local E, L, V, P, G = unpack(ElvUI);
local SousUI = E:GetModule('Souschef');

function SousUI:LoadPlaterProfile(layout)

	E.private["nameplates"]["enable"] = false

PlaterDB = {
	["profiles"] = {
		["SouschefsUI"] = {
			["target_highlight"] = false,
			["debuff_show_cc"] = false,
			["script_data"] = {
				{
					["Enabled"] = true,
					["Revision"] = 156,
					["ConstructorCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    --settings (you may need /reload if some configs isn't applied immediately)    \n    --change the nameplate color to this if allowed\n    envTable.CanChangeNameplateColor = false --change to true to change the color\n    envTable.NameplateColor = \"pink\"\n    envTable.NameplateSizeOffset = 6 --increase the nameplate height by this value\n    envTable.GlowAlpha = 0.5 --amount of alpha in the outside glow effect\n    \n    --create a glow effect around the nameplate\n    envTable.glowEffect = envTable.glowEffect or Plater.CreateNameplateGlow (unitFrame.healthBar, envTable.NameplateColor)\n    envTable.glowEffect:SetOffset (-27, 25, 9, -11)\n    --envTable.glowEffect:Show() --envTable.glowEffect:Hide() --\n    \n    --set the glow effect alpha\n    envTable.glowEffect:SetAlpha (envTable.GlowAlpha)\n    \nend\n\n--[=[\nUsing spellIDs for multi-language support\n\n135029 - A Knot of Snakes (Temple of Sethraliss)\n135388 - A Knot of Snakes (Temple of Sethraliss)\n134612 - Grasping Tentacles (Shrine of the Storm)\n133361 - Wasting Servant (Waycrest Manor)\n136330 - Soul Thorns (Waycrest Manor)\n130896 - Blackout Barrel (Freehold)\n129758 - Irontide Grenadier (Freehold)\n131009 - Spirit of Gold (Atal`Dazar)\n--]=]",
					["Icon"] = 135996,
					["Author"] = "Izimode-Azralon",
					["OnShowCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.glowEffect:Show()\n    \n    --increase the nameplate size\n    local nameplateHeight = Plater.db.profile.plate_config.enemynpc.health_incombat [2]\n    unitFrame.healthBar:SetHeight (nameplateHeight + envTable.NameplateSizeOffset)\n    \nend\n\n\n",
					["ScriptType"] = 3,
					["Time"] = 1537884697,
					["UpdateCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    --check if can change the nameplate color\n    if (envTable.CanChangeNameplateColor) then\n        Plater.SetNameplateColor (unitFrame, envTable.NameplateColor)\n    end\n    \nend\n\n\n\n\n",
					["Name"] = "Unit - Important [Plater]",
					["PlaterCore"] = 1,
					["SpellIds"] = {
					},
					["Desc"] = "Highlight a nameplate of an important Add. Add the unit name or NpcID into the trigger box to add more.",
					["NpcNames"] = {
						"135029", -- [1]
						"134388", -- [2]
						"134612", -- [3]
						"133361", -- [4]
						"136330", -- [5]
						"130896", -- [6]
						"129758", -- [7]
						"Healing Tide Totem", -- [8]
						"131009", -- [9]
					},
					["OnHideCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.glowEffect:Hide()\n    \n    --restore the nameplate size\n    local nameplateHeight = Plater.db.profile.plate_config.enemynpc.health_incombat [2]\n    unitFrame.healthBar:SetHeight (nameplateHeight)    \n    \nend\n\n\n",
				}, -- [1]
				{
					["Enabled"] = true,
					["Revision"] = 399,
					["ConstructorCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    --creates a glow around the icon\n    envTable.buffIconGlow = envTable.buffIconGlow or Plater.CreateIconGlow (self)\n    \nend",
					["Icon"] = "Interface\\AddOns\\Plater\\images\\icon_aura",
					["Author"] = "Tercioo-Sylvanas",
					["OnShowCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.buffIconGlow:Show()\n    \nend",
					["ScriptType"] = 1,
					["Time"] = 1539013601,
					["UpdateCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    \n    \n    \nend",
					["Name"] = "Aura - Buff Alert [Plater]",
					["PlaterCore"] = 1,
					["SpellIds"] = {
						275826, -- [1]
						272888, -- [2]
						272659, -- [3]
						267901, -- [4]
						267830, -- [5]
						265393, -- [6]
					},
					["Desc"] = "Add the buff name in the trigger box.",
					["NpcNames"] = {
					},
					["OnHideCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.buffIconGlow:Hide()\n    \nend",
				}, -- [2]
				{
					["Enabled"] = false,
					["Revision"] = 391,
					["ConstructorCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    --settings (you may need /reload if some configs isn't applied immediately)\n    local CONFIG_BACKGROUND_FLASH_DURATION = 0.8 --0.8\n    local CONFIG_BORDER_GLOW_ALPHA = 0.3 --0.3\n    local CONFIG_SHAKE_DURATION = 0.2 --0.2\n    local CONFIG_SHAKE_AMPLITUDE = 5 --5\n    \n    --create a glow effect in the border of the cast bar\n    envTable.glowEffect = envTable.glowEffect or Plater.CreateNameplateGlow (self)\n    envTable.glowEffect:SetOffset (-32, 30, 7, -9)\n    envTable.glowEffect:SetAlpha (CONFIG_BORDER_GLOW_ALPHA)\n    --envTable.glowEffect:Show() --envTable.glowEffect:Hide() \n    \n    --create a texture to use for a flash behind the cast bar\n    local backGroundFlashTexture = Plater:CreateImage (self, [[Interface\\ACHIEVEMENTFRAME\\UI-Achievement-Alert-Glow]], self:GetWidth()+40, self:GetHeight()+20, \"background\", {0, 400/512, 0, 170/256})\n    backGroundFlashTexture:SetBlendMode (\"ADD\")\n    backGroundFlashTexture:SetPoint (\"center\", self, \"center\")\n    backGroundFlashTexture:Hide()\n    \n    --create the animation hub to hold the flash animation sequence\n    envTable.BackgroundFlash = envTable.BackgroundFlash or Plater:CreateAnimationHub (backGroundFlashTexture, \n        function()\n            backGroundFlashTexture:Show()\n        end,\n        function()\n            backGroundFlashTexture:Hide()\n        end\n    )\n    \n    --create the flash animation sequence\n    local fadeIn = Plater:CreateAnimation (envTable.BackgroundFlash, \"ALPHA\", 1, CONFIG_BACKGROUND_FLASH_DURATION/2, 0, 1)\n    local fadeOut = Plater:CreateAnimation (envTable.BackgroundFlash, \"ALPHA\", 2, CONFIG_BACKGROUND_FLASH_DURATION/2, 1, 0)    \n    --envTable.BackgroundFlash:Play() --envTable.BackgroundFlash:Stop()\n    \n    --create a camera shake for the nameplate\n    envTable.FrameShake = Plater:CreateFrameShake (unitFrame, CONFIG_SHAKE_DURATION, CONFIG_SHAKE_AMPLITUDE, 35, false, false, 0, 1, 0.05, 0.1, Plater.GetPoints (unitFrame))    \n    \n    \n    --update the config for the flash here so it wont need a /reload\n    fadeIn:SetDuration (CONFIG_BACKGROUND_FLASH_DURATION/2)\n    fadeOut:SetDuration (CONFIG_BACKGROUND_FLASH_DURATION/2)    \n    \n    --update the config for the skake here so it wont need a /reload\n    envTable.FrameShake.OriginalAmplitude = CONFIG_SHAKE_AMPLITUDE\n    envTable.FrameShake.OriginalDuration = CONFIG_SHAKE_DURATION  \n    \nend",
					["Icon"] = "Interface\\AddOns\\Plater\\images\\cast_bar",
					["Author"] = "Bombad£o-Azralon",
					["OnShowCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.glowEffect:Show()\n    \n    envTable.BackgroundFlash:Play()\n    \n    Plater.FlashNameplateBorder (unitFrame, 0.05)   \n    Plater.FlashNameplateBody (unitFrame, \"\", 0.075)\n    \n    unitFrame:PlayFrameShake (envTable.FrameShake)\n    \nend\n\n\n",
					["ScriptType"] = 2,
					["Time"] = 1561923707,
					["UpdateCode"] = "function (self, unitId, unitFrame, envTable)\n    \nend\n\n\n",
					["Name"] = "Cast - Very Important [Plater]",
					["PlaterCore"] = 1,
					["SpellIds"] = {
						257785, -- [1]
						267237, -- [2]
						266951, -- [3]
						267273, -- [4]
						267433, -- [5]
						263066, -- [6]
						255577, -- [7]
						255371, -- [8]
					},
					["Desc"] = "Highlight a very important cast applying several effects into the Cast Bar. Add spell in the Add Trigger field.",
					["NpcNames"] = {
					},
					["OnHideCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.glowEffect:Hide()\n    \n    envTable.BackgroundFlash:Stop()\n    \n    unitFrame:StopFrameShake (envTable.FrameShake)    \n    \nend\n\n\n",
				}, -- [3]
				{
					["Enabled"] = true,
					["Revision"] = 324,
					["ConstructorCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    --settings\n    envTable.NameplateSizeOffset = 3\n    envTable.GlowAlpha = .45\n    envTable.ShowArrow = true\n    envTable.ArrowAlpha = .45    \n    envTable.HealthBarColor = \"orange\"\n    \n    --custom frames\n    envTable.glowEffect = envTable.glowEffect or Plater.CreateNameplateGlow (unitFrame.healthBar)\n    --envTable.glowEffect:Show() --envTable.glowEffect:Hide() \n    envTable.glowEffect:SetOffset (-27, 25, 6, -8)\n    \n    --creates the spark to show the cast progress inside the health bar\n    envTable.overlaySpark = envTable.overlaySpark or Plater:CreateImage (unitFrame.healthBar)\n    envTable.overlaySpark:SetBlendMode (\"ADD\")\n    envTable.overlaySpark.width = 32\n    envTable.overlaySpark.height = 36\n    envTable.overlaySpark.alpha = .9\n    envTable.overlaySpark.texture = [[Interface\\CastingBar\\UI-CastingBar-Spark]]\n    \n    envTable.topArrow = envTable.topArrow or Plater:CreateImage (unitFrame.healthBar)\n    envTable.topArrow:SetBlendMode (\"ADD\")\n    envTable.topArrow.width = 8\n    envTable.topArrow.height = 8\n    envTable.topArrow.alpha = envTable.ArrowAlpha\n    envTable.topArrow.texture = [[Interface\\BUTTONS\\Arrow-Down-Up]]\n    \n    --scale animation\n    envTable.smallScaleAnimation = envTable.smallScaleAnimation or Plater:CreateAnimationHub (unitFrame.healthBar)\n    Plater:CreateAnimation (envTable.smallScaleAnimation, \"SCALE\", 1, 0.075, 1, 1, 1.08, 1.08)\n    Plater:CreateAnimation (envTable.smallScaleAnimation, \"SCALE\", 2, 0.075, 1, 1, 0.95, 0.95)    \n    --envTable.smallScaleAnimation:Play() --envTable.smallScaleAnimation:Stop()\n    \nend\n\n\n\n\n\n\n\n",
					["Icon"] = 2175503,
					["Author"] = "Bombad£o-Azralon",
					["OnShowCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.glowEffect:Show()\n    envTable.overlaySpark:Show()\n    \n    if (envTable.ShowArrow) then\n        envTable.topArrow:Show()\n    end\n    \n    Plater.FlashNameplateBorder (unitFrame, 0.05)   \n    Plater.FlashNameplateBody (unitFrame, \"\", 0.075)\n    \n    envTable.smallScaleAnimation:Play()\n    \n    --increase the nameplate size\n    local nameplateHeight = Plater.db.profile.plate_config.enemynpc.health_incombat [2]\n    unitFrame.healthBar:SetHeight (nameplateHeight + envTable.NameplateSizeOffset)\n    \n    envTable.overlaySpark.height = nameplateHeight + 32\n    \n    envTable.glowEffect.Texture:SetAlpha (envTable.GlowAlpha)\n    \n    \nend\n\n\n\n\n\n\n",
					["ScriptType"] = 2,
					["Time"] = 1540663131,
					["UpdateCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    --update the percent\n    envTable.overlaySpark:SetPoint (\"left\", unitFrame.healthBar:GetWidth() * (envTable._CastPercent / 100)-16, 0)\n    \n    envTable.topArrow:SetPoint (\"bottomleft\", unitFrame.healthBar, \"topleft\", unitFrame.healthBar:GetWidth() * (envTable._CastPercent / 100) - 4, 2 )\n    \n    --forces the script to update on a 60Hz base\n    self.ThrottleUpdate = 0.016\n    \n    --update the health bar color coloring from yellow to red\n    --Plater.SetNameplateColor (unitFrame, max (envTable._CastPercent/100, .66), abs (envTable._CastPercent/100 - 1), 0, 1)\n    \n    Plater.SetNameplateColor (unitFrame, envTable.HealthBarColor)\n    envTable.glowEffect.Texture:SetAlpha (envTable.GlowAlpha)\n    \nend\n\n\n",
					["Name"] = "Explosion Affix M+ [Plater]",
					["PlaterCore"] = 1,
					["SpellIds"] = {
						240446, -- [1]
						273577, -- [2]
					},
					["Desc"] = "Apply several animations when the explosion orb cast starts on a Mythic Dungeon with Explosion Affix",
					["NpcNames"] = {
					},
					["OnHideCode"] = "function (self, unitId, unitFrame, envTable)\n    envTable.glowEffect:Hide()\n    \n    envTable.overlaySpark:Hide()\n    envTable.topArrow:Hide()\n    \n    Plater.RefreshNameplateColor (unitFrame)\n    \n    envTable.smallScaleAnimation:Stop()\n    \n    --increase the nameplate size\n    local nameplateHeight = Plater.db.profile.plate_config.enemynpc.health_incombat [2]\n    unitFrame.healthBar:SetHeight (nameplateHeight)\nend\n\n\n",
				}, -- [4]
				{
					["Enabled"] = true,
					["Revision"] = 232,
					["ConstructorCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    --creates a glow around the icon\n    envTable.debuffIconGlow = envTable.debuffIconGlow or Plater.CreateIconGlow (self)\n    \nend\n\n\n",
					["Icon"] = "Interface\\AddOns\\Plater\\images\\icon_aura",
					["Author"] = "Tercioo-Sylvanas",
					["OnShowCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.debuffIconGlow:Show()\n    \nend\n\n\n",
					["ScriptType"] = 1,
					["Time"] = 1538429739,
					["UpdateCode"] = "function (self, unitId, unitFrame, envTable)\n    \nend\n\n\n",
					["Name"] = "Aura - Debuff Alert [Plater]",
					["PlaterCore"] = 1,
					["SpellIds"] = {
					},
					["Desc"] = "Add the debuff name in the trigger box.",
					["NpcNames"] = {
					},
					["OnHideCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.debuffIconGlow:Hide()\n    \nend\n\n\n",
				}, -- [5]
				{
					["ConstructorCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    --https://www.wowhead.com/spell=253583/fiery-enchant\n    \n    --settings (you may need /reload if some configs isn't applied immediately)\n    \n    --castbar color (when can be interrupted)\n    envTable.CastbarColor = \"darkorange\"\n    --flash duration\n    local CONFIG_BACKGROUND_FLASH_DURATION = 0.4\n    --add this value to the cast bar height\n    envTable.CastBarHeightAdd = 5\n    \n    \n    \n    --create a fast flash above the cast bar\n    envTable.FullBarFlash = envTable.FullBarFlash or Plater.CreateFlash (self, 0.05, 1, \"white\")\n    \n    --create a camera shake for the nameplate\n    envTable.FrameShake = Plater:CreateFrameShake (unitFrame, 0.2, 5, 35, false, false, 0, 1, 0.05, 0.1, Plater.GetPoints (unitFrame))\n    \n    --create a texture to use for a flash behind the cast bar\n    local backGroundFlashTexture = Plater:CreateImage (self, [[Interface\\ACHIEVEMENTFRAME\\UI-Achievement-Alert-Glow]], self:GetWidth()+60, self:GetHeight()+50, \"background\", {0, 400/512, 0, 170/256})\n    backGroundFlashTexture:SetBlendMode (\"ADD\")\n    backGroundFlashTexture:SetPoint (\"center\", self, \"center\")\n    backGroundFlashTexture:Hide()\n    \n    --create the animation hub to hold the flash animation sequence\n    envTable.BackgroundFlash = envTable.BackgroundFlash or Plater:CreateAnimationHub (backGroundFlashTexture, \n        function()\n            backGroundFlashTexture:Show()\n        end,\n        function()\n            backGroundFlashTexture:Hide()\n        end\n    )\n    \n    --create the flash animation sequence\n    local fadeIn = Plater:CreateAnimation (envTable.BackgroundFlash, \"ALPHA\", 1, CONFIG_BACKGROUND_FLASH_DURATION/2, 0, .75)\n    local fadeOut = Plater:CreateAnimation (envTable.BackgroundFlash, \"ALPHA\", 2, CONFIG_BACKGROUND_FLASH_DURATION/2, 1, 0)    \n    --envTable.BackgroundFlash:Play() --envTable.BackgroundFlash:Stop()        \n    \nend\n\n\n",
					["OnHideCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    --don't execute on battlegrounds and arenas\n    if (Plater.ZoneInstanceType == \"arena\" or Plater.ZoneInstanceType == \"pvp\") then\n        return\n    end    \n    \n    --restore the cast bar to its original height\n    if (envTable.OriginalHeight) then\n        self:SetHeight (envTable.OriginalHeight)\n        envTable.OriginalHeight = nil\n    end\n    \n    --stop the camera shake\n    unitFrame:StopFrameShake (envTable.FrameShake)\n    \n    envTable.FullBarFlash:Stop()\n    envTable.BackgroundFlash:Stop()\n    \nend\n\n\n\n\n\n",
					["Temp_OnShowCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    --don't execute on battlegrounds and arenas\n    if (Plater.ZoneInstanceType == \"arena\" or Plater.ZoneInstanceType == \"pvp\") then\n        return\n    end\n    \n    --play flash animations\n    envTable.FullBarFlash:Play()\n    \n    --restoring the default size (not required since it already restore in the hide script)\n    if (envTable.OriginalHeight) then\n        self:SetHeight (envTable.OriginalHeight)\n    end\n    \n    --increase the cast bar size\n    local height = self:GetHeight()\n    envTable.OriginalHeight = height\n    \n    self:SetHeight (height + envTable.CastBarHeightAdd)\n    \n    Plater.SetCastBarBorderColor (self, 1, .2, .2, 0.4)\n    \n    unitFrame:PlayFrameShake (envTable.FrameShake)\n    \n    --set the color of the cast bar to dark orange (only if can be interrupted)\n    --Plater auto set this color to default when a new cast starts, no need to reset this value at OnHide.    \n    if (envTable._CanInterrupt) then\n        self:SetStatusBarColor (Plater:ParseColors (envTable.CastbarColor))\n    end\n    \n    envTable.BackgroundFlash:Play()\n    \nend\n\n\n\n\n\n\n\n\n",
					["ScriptType"] = 2,
					["UpdateCode"] = "function (self, unitId, unitFrame, envTable)\n    \nend\n\n\n",
					["Time"] = 1580866510,
					["Temp_ConstructorCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    --https://www.wowhead.com/spell=253583/fiery-enchant\n    \n    --settings (you may need /reload if some configs isn't applied immediately)\n    \n    --castbar color (when can be interrupted)\n    envTable.CastbarColor = \"darkorange\"\n    --flash duration\n    local CONFIG_BACKGROUND_FLASH_DURATION = 0.4\n    --add this value to the cast bar height\n    envTable.CastBarHeightAdd = 5\n    \n    \n    \n    --create a fast flash above the cast bar\n    envTable.FullBarFlash = envTable.FullBarFlash or Plater.CreateFlash (self, 0.05, 1, \"white\")\n    \n    --create a camera shake for the nameplate\n    envTable.FrameShake = Plater:CreateFrameShake (unitFrame, 0.2, 5, 35, false, false, 0, 1, 0.05, 0.1, Plater.GetPoints (unitFrame))\n    \n    --create a texture to use for a flash behind the cast bar\n    local backGroundFlashTexture = Plater:CreateImage (self, [[Interface\\ACHIEVEMENTFRAME\\UI-Achievement-Alert-Glow]], self:GetWidth()+60, self:GetHeight()+50, \"background\", {0, 400/512, 0, 170/256})\n    backGroundFlashTexture:SetBlendMode (\"ADD\")\n    backGroundFlashTexture:SetPoint (\"center\", self, \"center\")\n    backGroundFlashTexture:Hide()\n    \n    --create the animation hub to hold the flash animation sequence\n    envTable.BackgroundFlash = envTable.BackgroundFlash or Plater:CreateAnimationHub (backGroundFlashTexture, \n        function()\n            backGroundFlashTexture:Show()\n        end,\n        function()\n            backGroundFlashTexture:Hide()\n        end\n    )\n    \n    --create the flash animation sequence\n    local fadeIn = Plater:CreateAnimation (envTable.BackgroundFlash, \"ALPHA\", 1, CONFIG_BACKGROUND_FLASH_DURATION/2, 0, .75)\n    local fadeOut = Plater:CreateAnimation (envTable.BackgroundFlash, \"ALPHA\", 2, CONFIG_BACKGROUND_FLASH_DURATION/2, 1, 0)    \n    --envTable.BackgroundFlash:Play() --envTable.BackgroundFlash:Stop()        \n    \nend\n\n\n",
					["NpcNames"] = {
					},
					["Enabled"] = false,
					["Revision"] = 576,
					["Author"] = "Tercioo-Sylvanas",
					["OnShowCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    --don't execute on battlegrounds and arenas\n    if (Plater.ZoneInstanceType == \"arena\" or Plater.ZoneInstanceType == \"pvp\") then\n        return\n    end\n    \n    --play flash animations\n    envTable.FullBarFlash:Play()\n    \n    --restoring the default size (not required since it already restore in the hide script)\n    if (envTable.OriginalHeight) then\n        self:SetHeight (envTable.OriginalHeight)\n    end\n    \n    --increase the cast bar size\n    local height = self:GetHeight()\n    envTable.OriginalHeight = height\n    \n    self:SetHeight (height + envTable.CastBarHeightAdd)\n    \n    Plater.SetCastBarBorderColor (self, 1, .2, .2, 0.4)\n    \n    unitFrame:PlayFrameShake (envTable.FrameShake)\n    \n    --set the color of the cast bar to dark orange (only if can be interrupted)\n    --Plater auto set this color to default when a new cast starts, no need to reset this value at OnHide.    \n    if (envTable._CanInterrupt) then\n        self:SetStatusBarColor (Plater:ParseColors (envTable.CastbarColor))\n    end\n    \n    envTable.BackgroundFlash:Play()\n    \nend\n\n\n\n\n\n\n\n\n",
					["Prio"] = 99,
					["Temp_UpdateCode"] = "function (self, unitId, unitFrame, envTable)\n    \nend\n\n\n",
					["SpellIds"] = {
						258153, -- [1]
						258313, -- [2]
						257069, -- [3]
						274569, -- [4]
						278020, -- [5]
						261635, -- [6]
						272700, -- [7]
						280404, -- [8]
						268030, -- [9]
						265368, -- [10]
						263891, -- [11]
						264520, -- [12]
						265407, -- [13]
						278567, -- [14]
						278602, -- [15]
						258128, -- [16]
						257791, -- [17]
						258938, -- [18]
						265089, -- [19]
						272183, -- [20]
						256060, -- [21]
						257397, -- [22]
						257899, -- [23]
						269972, -- [24]
						270901, -- [25]
						270492, -- [26]
						268129, -- [27]
						268709, -- [28]
						263215, -- [29]
						268797, -- [30]
						262540, -- [31]
						262554, -- [32]
						253517, -- [33]
						255041, -- [34]
						252781, -- [35]
						250368, -- [36]
						258777, -- [37]
					},
					["PlaterCore"] = 1,
					["Temp_OnHideCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    --don't execute on battlegrounds and arenas\n    if (Plater.ZoneInstanceType == \"arena\" or Plater.ZoneInstanceType == \"pvp\") then\n        return\n    end    \n    \n    --restore the cast bar to its original height\n    if (envTable.OriginalHeight) then\n        self:SetHeight (envTable.OriginalHeight)\n        envTable.OriginalHeight = nil\n    end\n    \n    --stop the camera shake\n    unitFrame:StopFrameShake (envTable.FrameShake)\n    \n    envTable.FullBarFlash:Stop()\n    envTable.BackgroundFlash:Stop()\n    \nend\n\n\n\n\n\n",
					["Icon"] = "Interface\\AddOns\\Plater\\images\\cast_bar",
					["Desc"] = "Flash, Bounce and Red Color the CastBar border when when an important cast is happening. Add spell in the Add Trigger field.",
					["Name"] = "Cast - Big Alert [Plater]",
				}, -- [6]
				{
					["Enabled"] = false,
					["Revision"] = 376,
					["ConstructorCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    --settings (you may need /reload if some configs isn't applied immediately)\n    \n    --flash duration\n    local CONFIG_FLASH_DURATION = 0.6\n    \n    --manually create a new texture for the flash animation\n    if (not envTable.SmallFlashTexture) then\n        envTable.SmallFlashTexture = envTable.SmallFlashTexture or Plater:CreateImage (unitFrame.castBar)\n        envTable.SmallFlashTexture:SetColorTexture (1, 1, 1)\n        envTable.SmallFlashTexture:SetAllPoints()\n    end\n    \n    --manually create a flash animation using the framework\n    if (not envTable.SmallFlashAnimationHub) then \n        \n        local onPlay = function()\n            envTable.SmallFlashTexture:Show()\n        end\n        \n        local onFinished = function()\n            envTable.SmallFlashTexture:Hide()\n        end\n        \n        local animationHub = Plater:CreateAnimationHub (envTable.SmallFlashTexture, onPlay, onFinished)\n        Plater:CreateAnimation (animationHub, \"Alpha\", 1, CONFIG_FLASH_DURATION/2, 0, .6)\n        Plater:CreateAnimation (animationHub, \"Alpha\", 2, CONFIG_FLASH_DURATION/2, 1, 0)\n        \n        envTable.SmallFlashAnimationHub = animationHub\n    end\n    \n    \n    \nend\n\n\n\n\n\n\n\n",
					["Icon"] = "Interface\\AddOns\\Plater\\images\\cast_bar",
					["Author"] = "Tercioo-Sylvanas",
					["OnShowCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.SmallFlashAnimationHub:Play()\n    \nend\n\n\n",
					["ScriptType"] = 2,
					["Time"] = 1539201768,
					["UpdateCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    \n    \nend\n\n\n",
					["Name"] = "Cast - Small Alert [Plater]",
					["PlaterCore"] = 1,
					["SpellIds"] = {
						275192, -- [1]
						265912, -- [2]
						274438, -- [3]
						268317, -- [4]
						268375, -- [5]
						276767, -- [6]
						264105, -- [7]
						265876, -- [8]
						270464, -- [9]
						266106, -- [10]
						272180, -- [11]
						278961, -- [12]
						278755, -- [13]
						265468, -- [14]
						256405, -- [15]
						256897, -- [16]
						264101, -- [17]
						280604, -- [18]
						268702, -- [19]
						281621, -- [20]
						262515, -- [21]
						255824, -- [22]
						253583, -- [23]
						250096, -- [24]
					},
					["Desc"] = "Flashes the Cast Bar when a spell in the trigger list is Cast. Add spell in the Add Trigger field.",
					["NpcNames"] = {
					},
					["OnHideCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.SmallFlashAnimationHub:Stop()\n    \nend\n\n\n",
				}, -- [7]
				{
					["Enabled"] = true,
					["Revision"] = 106,
					["ConstructorCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    --color to set the nameplate\n    envTable.NameplateColor = \"gray\"\n    \nend\n\n\n",
					["Icon"] = "Interface\\AddOns\\Plater\\images\\icon_invalid",
					["Author"] = "Izimode-Azralon",
					["OnShowCode"] = "function (self, unitId, unitFrame, envTable)\n    \nend\n\n\n",
					["ScriptType"] = 1,
					["Time"] = 1538256464,
					["UpdateCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    --only change the nameplate color in combat\n    if (InCombatLockdown()) then\n        Plater.SetNameplateColor (unitFrame, envTable.NameplateColor)\n    end\n    \nend\n\n\n\n\n\n\n",
					["Name"] = "Aura - Invalidate Unit [Plater]",
					["PlaterCore"] = 1,
					["SpellIds"] = {
						261265, -- [1]
						261266, -- [2]
						271590, -- [3]
					},
					["Desc"] = "When an aura makes the unit invulnarable and you don't want to attack it. Add spell in the Add Trigger field.",
					["NpcNames"] = {
					},
					["OnHideCode"] = "function (self, unitId, unitFrame, envTable)\n    \nend\n\n\n",
				}, -- [8]
				{
					["Enabled"] = true,
					["Revision"] = 59,
					["ConstructorCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    --settings:\n    do\n        \n        --change the nameplate color to this color\n        --can use color names: \"red\", \"yellow\"\n        --can use color hex: \"#FF0000\", \"#FFFF00\"\n        --con use color table: {1, 0, 0}, {1, 1, 0}\n        \n        envTable.Color = \"green\"\n        \n        --if true, it'll replace the health info with the unit name\n        envTable.ReplaceHealthWithName = false\n        \n        --use flash when the unit is shown in the screen\n        envTable.FlashNameplate = true\n        \n    end\n    \n    --private:\n    do\n        --create a flash for when the unit if shown\n        envTable.smallFlash = envTable.smallFlash or Plater.CreateFlash (unitFrame.healthBar, 0.15, 1, envTable.Color)\n        \n    end\n    \nend\n\n--[=[\n\nNpc IDS:\n\n141851: Spawn of G'Huun on Mythic Dungeons\n\n\n--]=]\n\n\n\n\n",
					["Icon"] = 135024,
					["Author"] = "Izimode-Azralon",
					["OnShowCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    --check if can flash the nameplate\n    if (envTable.FlashNameplate) then\n        envTable.smallFlash:Play()\n    end\n    \nend\n\n\n\n\n\n\n\n\n",
					["ScriptType"] = 3,
					["Time"] = 1543253273,
					["UpdateCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    --adjust the nameplate color\n    Plater.SetNameplateColor (unitFrame, envTable.Color)\n    \n    --check if can replace the health amount with the unit name\n    if (envTable.ReplaceHealthWithName) then\n        \n        local healthPercent = format (\"%.1f\", unitFrame.healthBar.CurrentHealth / unitFrame.healthBar.CurrentHealthMax *100)\n        \n        unitFrame.healthBar.lifePercent:SetText (unitFrame.namePlateUnitName .. \"  (\" .. healthPercent  .. \"%)\")\n        \n    end\n    \nend\n\n\n",
					["Name"] = "Color Change [Plater]",
					["PlaterCore"] = 1,
					["SpellIds"] = {
					},
					["Desc"] = "Add a unitID or unit name in 'Add Trigger' entry. See the constructor script for options.",
					["NpcNames"] = {
						"141851", -- [1]
					},
					["OnHideCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    --make plater refresh the nameplate color\n    Plater.RefreshNameplateColor (unitFrame)\n    \n        envTable.smallFlash:Stop()\n    \nend\n\n\n",
				}, -- [9]
				{
					["Enabled"] = true,
					["Revision"] = 157,
					["ConstructorCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    --settings (require a /reload after editing any setting)\n    do\n        --blink and glow\n        envTable.BlinkEnabled = true --set to 'false' to disable blinks\n        envTable.GlowEnabled = true --set to 'false' to disable glows\n        envTable.ChangeNameplateColor = true; --set to 'true' to enable nameplate color change\n        envTable.TimeLeftToBlink = 4.5; --in seconds, affects the blink effect only\n        envTable.BlinkSpeed = 1.0; --time to complete a blink loop\n        envTable.BlinkColor = \"white\"; --color of the blink\n        envTable.BlinkMaxAlpha = 0.50; --max transparency in the animation loop (1.0 is full opaque)\n        envTable.NameplateColor = \"darkred\"; --nameplate color if ChangeNameplateColor is true\n        \n        --text color\n        envTable.TimerColorEnabled = true --set to 'false' to disable changes in the color of the time left text\n        envTable.TimeLeftWarning = 8.0; --in seconds, affects the color of the text\n        envTable.TimeLeftCritical = 3.0; --in seconds, affects the color of the text    \n        envTable.TextColor_Warning = \"yellow\"; --color when the time left entered in a warning zone\n        envTable.TextColor_Critical = \"red\"; --color when the time left is critical\n        \n        --list of spellIDs to ignore\n        envTable.IgnoredSpellID = {\n            [12] = true, --use a simple comma here\n            [13] = true,\n        }\n    end\n    \n    \n    --private\n    do\n        envTable.blinkTexture = Plater:CreateImage (self, \"\", 1, 1, \"overlay\")\n        envTable.blinkTexture:SetPoint ('center', 0, 0)\n        envTable.blinkTexture:Hide()\n        \n        local onPlay = function()\n            envTable.blinkTexture:Show() \n            envTable.blinkTexture.color = envTable.BlinkColor\n        end\n        local onStop = function()\n            envTable.blinkTexture:Hide()  \n        end\n        envTable.blinkAnimation = Plater:CreateAnimationHub (envTable.blinkTexture, onPlay, onStop)\n        Plater:CreateAnimation (envTable.blinkAnimation, \"ALPHA\", 1, envTable.BlinkSpeed / 2, 0, envTable.BlinkMaxAlpha)\n        Plater:CreateAnimation (envTable.blinkAnimation, \"ALPHA\", 2, envTable.BlinkSpeed / 2, envTable.BlinkMaxAlpha, 0)\n        \n        envTable.glowEffect = envTable.glowEffect or Plater.CreateIconGlow (self)\n        --envTable.glowEffect:Show() --envTable.glowEffect:Hide()\n        \n    end\n    \nend\n\n\n\n\n",
					["Icon"] = "Interface\\AddOns\\Plater\\images\\icon_aura_blink",
					["Author"] = "Izimode-Azralon",
					["OnShowCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.blinkTexture:SetSize (self:GetSize())\n    \nend\n\n\n",
					["ScriptType"] = 1,
					["Time"] = 1547991413,
					["UpdateCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    local timeLeft = envTable._RemainingTime\n    \n    --check if the spellID isn't being ignored\n    if (envTable.IgnoredSpellID [envTable._SpellID]) then\n        return\n    end\n    \n    --check the time left and start or stop the blink animation and also check if the time left is > zero\n    if ((envTable.BlinkEnabled or envTable.GlowEnabled) and timeLeft > 0) then\n        if (timeLeft < envTable.TimeLeftToBlink) then\n            --blink effect\n            if (envTable.BlinkEnabled) then\n                if (not envTable.blinkAnimation:IsPlaying()) then\n                    envTable.blinkAnimation:Play()\n                end\n            end\n            --glow effect\n            if (envTable.GlowEnabled) then\n                envTable.glowEffect:Show()\n            end\n            --nameplate color\n            if (envTable.ChangeNameplateColor) then\n                Plater.SetNameplateColor (unitFrame, envTable.NameplateColor)\n            end\n        else\n            --blink effect\n            if (envTable.blinkAnimation:IsPlaying()) then\n                envTable.blinkAnimation:Stop()\n            end\n            --glow effect\n            if (envTable.GlowEnabled and envTable.glowEffect:IsShown()) then\n                envTable.glowEffect:Hide()\n            end\n        end\n    end\n    \n    --timer color\n    if (envTable.TimerColorEnabled and timeLeft > 0) then\n        if (timeLeft < envTable.TimeLeftCritical) then\n            Plater:SetFontColor (self.Cooldown.Timer, envTable.TextColor_Critical)\n        elseif (timeLeft < envTable.TimeLeftWarning) then\n            Plater:SetFontColor (self.Cooldown.Timer, envTable.TextColor_Warning)        \n        else\n            Plater:SetFontColor (self.Cooldown.Timer, Plater.db.profile.aura_timer_text_color)\n        end\n    end\n    \nend",
					["Name"] = "Aura - Blink by Time Left [Plater]",
					["PlaterCore"] = 1,
					["SpellIds"] = {
					},
					["Desc"] = "Blink, change the number and nameplate color. Add the debuffs int he trigger box. Set settings on constructor script.",
					["NpcNames"] = {
					},
					["OnHideCode"] = "function (self, unitId, unitFrame, envTable)\n    envTable.blinkAnimation:Stop()\n    envTable.blinkTexture:Hide()\n    envTable.blinkAnimation:Stop()\n    envTable.glowEffect:Stop()\n    Plater:SetFontColor (self.Cooldown.Timer, Plater.db.profile.aura_timer_text_color)\nend\n\n\n",
				}, -- [10]
				{
					["Enabled"] = false,
					["Revision"] = 45,
					["ConstructorCode"] = "--gray lines are comments and doesn't affect the code\n\n--1) add the aura you want by typing its name or spellID into the \"Add Trigger\" and click the \"Add\" button.\n--2) the border will use the default color set below, to a custom color type aura name and the color you want in the BorderColorByAura table.\n\nfunction (self, unitId, unitFrame, envTable)\n    \n    --default color if the aura name isn't found in the Color By Aura table below\n    envTable.DefaultBorderColor = \"orange\"\n    \n    --transparency, affect all borders\n    envTable.BorderAlpha = 1.0\n    \n    --add the aura name and the color, \n    envTable.BorderColorByAura = {\n        \n        --examples:\n        --[\"Aura Name\"] = \"yellow\", --using regular aura name | using the name of the color\n        --[\"aura name\"] = \"#FFFF00\", --using lower case in the aura name |using html #hex for the color\n        --[54214] = {1, 1, 0}, --using the spellID instead of the name | using rgb table (0 to 1) for the color\n        --color table uses zero to one values: 255 = 1.0, 127 = 0.5, orange color = {1, 0.7, 0}\n        \n        --add your custom border colors below:\n        \n        [\"Aura Name\"] = {1, .5, 0}, --example to copy/paste\n        \n    }\n    \n    \nend\n\n\n\n\n",
					["Icon"] = 133006,
					["Author"] = "Izimode-Azralon",
					["OnShowCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    --get the aura name in lower case\n    local auraLowerName = string.lower (envTable._SpellName)\n    \n    --attempt to get a custom color added by the user in the constructor script\n    local hasCustomBorderColor = envTable.BorderColorByAura [auraLowerName] or envTable.BorderColorByAura [envTable._SpellName] or envTable.BorderColorByAura [envTable._SpellID]\n    \n    --save the custom color\n    envTable.CustomBorderColor = hasCustomBorderColor\n    \nend\n\n\n",
					["ScriptType"] = 1,
					["Time"] = 1543680853,
					["UpdateCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    --get the custom color added by the user or the default color\n    local color = envTable.CustomBorderColor or envTable.DefaultBorderColor\n    --parse the color since it can be a color name, hex or color table\n    local r, g, b = DetailsFramework:ParseColors (color)\n    \n    --set the border color\n    self:SetBackdropBorderColor (r, g, b, envTable.BorderAlpha)\n    \nend\n\n\n\n\n",
					["Name"] = "Aura - Border Color [Plater]",
					["PlaterCore"] = 1,
					["SpellIds"] = {
					},
					["Desc"] = "Add a border to an aura icon. Add the aura into the Add Trigger entry. You can customize the icon color at the constructor script.",
					["NpcNames"] = {
					},
					["OnHideCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    --reset the border color\n    self:SetBackdropBorderColor (0, 0, 0, 0)\n    \nend\n\n\n",
				}, -- [11]
				{
					["Enabled"] = true,
					["Revision"] = 131,
					["ConstructorCode"] = "function (self, unitId, unitFrame, envTable)\n    envTable.EnergyAmount = Plater:CreateLabel (unitFrame, \"\", 16, \"silver\");\n    envTable.EnergyAmount:SetPoint (\"bottom\", unitFrame, \"top\", 0, 18);\nend\n\n--[=[\n\n\n--]=]",
					["Icon"] = 136048,
					["Author"] = "Celian-Sylvanas",
					["OnShowCode"] = "function (self, unitId, unitFrame, envTable)\n    envTable.EnergyAmount:Show()\nend\n\n\n",
					["ScriptType"] = 3,
					["Time"] = 1539015649,
					["UpdateCode"] = "function (self, unitId, unitFrame, envTable)\n    envTable.EnergyAmount.text = \"\" .. UnitPower (unitId);\nend\n\n\n",
					["Name"] = "UnitPower [Plater]",
					["PlaterCore"] = 1,
					["SpellIds"] = {
					},
					["Desc"] = "Show the energy amount above the nameplate",
					["NpcNames"] = {
						"Guardian of Yogg-Saron", -- [1]
					},
					["OnHideCode"] = "function (self, unitId, unitFrame, envTable)\n    envTable.EnergyAmount:Hide()\nend\n\n\n",
				}, -- [12]
				{
					["Enabled"] = false,
					["Revision"] = 171,
					["ConstructorCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.movingArrow = envTable.movingArrow or Plater:CreateImage (self, [[Interface\\PETBATTLES\\PetBattle-StatIcons]], 16, self:GetHeight(), \"background\", {0, 15/32, 18/32, 30/32})\n    \n    envTable.movingArrow:SetAlpha (0.275)\n    --envTable.movingArrow:SetDesaturated (true)\n    \n    envTable.movingAnimation = envTable.movingAnimation or Plater:CreateAnimationHub (envTable.movingArrow, \n        function() \n            envTable.movingArrow:Show() \n            envTable.movingArrow:SetPoint(\"left\", 0, 0)\n        end, \n        function() envTable.movingArrow:Hide() end)\n    \n    envTable.movingAnimation:SetLooping (\"REPEAT\")\n    \n    local animation = Plater:CreateAnimation (envTable.movingAnimation, \"translation\", 1, 0.2, self:GetWidth()-16, 0)\n    \n    \n    \nend\n\n\n",
					["Icon"] = "Interface\\AddOns\\Plater\\images\\cast_bar",
					["Author"] = "Izimode-Azralon",
					["OnShowCode"] = "function (self, unitId, unitFrame, envTable)\n    envTable.movingAnimation:Play()\nend\n\n\n",
					["ScriptType"] = 2,
					["Time"] = 1539201849,
					["UpdateCode"] = "		function (self, unitId, unitFrame, envTable)\n			\n		end\n	",
					["Name"] = "Cast - Frontal Cone [Plater]",
					["PlaterCore"] = 1,
					["SpellIds"] = {
						255952, -- [1]
						257426, -- [2]
						274400, -- [3]
						272609, -- [4]
						269843, -- [5]
						269029, -- [6]
						272827, -- [7]
						269266, -- [8]
						263912, -- [9]
						264923, -- [10]
						258864, -- [11]
						256955, -- [12]
						265540, -- [13]
						260793, -- [14]
						270003, -- [15]
						270507, -- [16]
						257337, -- [17]
						268415, -- [18]
						275907, -- [19]
						268865, -- [20]
						260669, -- [21]
						260280, -- [22]
						253239, -- [23]
						265541, -- [24]
						250258, -- [25]
					},
					["Desc"] = "Does an animation for casts that affect the frontal area of the enemy. Add spell in the Add Trigger field.",
					["NpcNames"] = {
					},
					["OnHideCode"] = "function (self, unitId, unitFrame, envTable)\n    envTable.movingAnimation:Stop()\nend\n\n\n",
				}, -- [13]
				{
					["Enabled"] = true,
					["Revision"] = 190,
					["ConstructorCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.FixateTarget = Plater:CreateLabel (unitFrame);\n    envTable.FixateTarget:SetPoint (\"bottom\", unitFrame.BuffFrame, \"top\", 0, 10);    \n    \n    envTable.FixateIcon = Plater:CreateImage (unitFrame, 236188, 16, 16, \"overlay\");\n    envTable.FixateIcon:SetPoint (\"bottom\", envTable.FixateTarget, \"top\", 0, 4);    \n    \nend\n\n\n\n\n\n\n\n\n",
					["Icon"] = 1029718,
					["Author"] = "Celian-Sylvanas",
					["OnShowCode"] = "function (self, unitId, unitFrame, envTable)\n    envTable.FixateTarget:Show();\n    envTable.FixateIcon:Show();\n    \nend\n\n\n",
					["ScriptType"] = 1,
					["Time"] = 1539187387,
					["UpdateCode"] = "function (self, unitId, unitFrame, envTable)\n    local targetName = UnitName (unitId .. \"target\");\n    if (targetName) then\n        local _, class = UnitClass (unitId .. \"target\");\n        targetName = Plater.SetTextColorByClass (unitId .. \"target\", targetName);\n        envTable.FixateTarget.text = targetName;\n    end    \nend\n\n\n",
					["Name"] = "Fixate [Plater]",
					["PlaterCore"] = 1,
					["SpellIds"] = {
						272584, -- [1]
						244653, -- [2]
					},
					["Desc"] = "Show above the nameplate who is the player fixated",
					["NpcNames"] = {
					},
					["OnHideCode"] = "function (self, unitId, unitFrame, envTable)\n    envTable.FixateTarget:Hide()\n    envTable.FixateIcon:Hide()\nend\n\n\n",
				}, -- [14]
				{
					["Enabled"] = true,
					["Revision"] = 194,
					["ConstructorCode"] = "--todo: add npc ids for multilanguage support\n\nfunction (self, unitId, unitFrame, envTable)\n    \n    --settings\n    envTable.TextAboveNameplate = \"** On You **\"\n    envTable.NameplateColor = \"green\"\n    \n    --label to show the text above the nameplate\n    envTable.FixateTarget = Plater:CreateLabel (unitFrame);\n    envTable.FixateTarget:SetPoint (\"bottom\", unitFrame.healthBar, \"top\", 0, 30);\n    \n    --the spell casted by the npc in the trigger list needs to be in the list below as well\n    local spellList = {\n        [268074] = \"Dark Purpose\", --G'huun Mythic Add\n        [260954] = \"Iron Gaze\", --Sergeant Bainbridge - Siege of Boralus\n        [257739] = \"Blind Rage\", --Blacktooth Scrapper - Freehold\n        [257314] = \"Black Powder Bomb\", --Irontide Grenadier - Freehold\n        [266107] = \"Thirst For Blood\", --Feral Bloodswarmer - The Underrot\n        [257582] = \"Raging Gaze\", --Earthrager - The MOTHERLODE!!\n        [262377] = \"Seek and Destroy\", --Crawler Mine - The MOTHERLODE!!\n        [257407] = \"Pursuit\", --Rezan - Atal'Dazar\n        --[] = \"\" --       \n        \n    }\n    \n    --build the list with localized spell names\n    envTable.FixateDebuffs = {}\n    for spellID, enUSSpellName in pairs (spellList) do\n        local localizedSpellName = GetSpellInfo (spellID)\n        envTable.FixateDebuffs [localizedSpellName or enUSSpellName] = true\n    end\n    \n    --debug - smuggled crawg\n    envTable.FixateDebuffs [\"Jagged Maw\"] = true\n    \nend\n\n--[=[\nNpcIDs:\n136461: Spawn of G'huun (mythic uldir G'huun)\n\n--]=]\n\n\n\n\n",
					["Icon"] = 841383,
					["Author"] = "Tecno-Azralon",
					["OnShowCode"] = "function (self, unitId, unitFrame, envTable)\n    \nend\n\n\n",
					["ScriptType"] = 3,
					["Time"] = 1543250950,
					["UpdateCode"] = "function (self, unitId, unitFrame, envTable)\n    \n    --swap this to true when it is fixated\n    local isFixated = false\n    \n    --check the debuffs the player has and see if any of these debuffs has been placed by this unit\n    for debuffId = 1, 40 do\n        local name, texture, count, debuffType, duration, expirationTime, caster = UnitDebuff (\"player\", debuffId)\n        \n        --cancel the loop if there's no more debuffs on the player\n        if (not name) then \n            break \n        end\n        \n        --check if the owner of the debuff is this unit\n        if (envTable.FixateDebuffs [name] and caster and UnitIsUnit (caster, unitId)) then\n            --the debuff the player has, has been placed by this unit, set the name above the unit name\n            envTable.FixateTarget:SetText (envTable.TextAboveNameplate)\n            envTable.FixateTarget:Show()\n            Plater.SetNameplateColor (unitFrame,  envTable.NameplateColor)\n            isFixated = true\n            \n            if (not envTable.IsFixated) then\n                envTable.IsFixated = true\n                Plater.FlashNameplateBody (unitFrame, \"fixate\", .2)\n            end\n        end\n        \n    end\n    \n    --check if the nameplate color is changed but isn't fixated any more\n    if (not isFixated and envTable.IsFixated) then\n        --refresh the nameplate color\n        Plater.RefreshNameplateColor (unitFrame)\n        --reset the text\n        envTable.FixateTarget:SetText (\"\")\n        \n        envTable.IsFixated = false\n    end\n    \nend\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n",
					["Name"] = "Fixate On You [Plater]",
					["PlaterCore"] = 1,
					["SpellIds"] = {
						"spawn of g'huun", -- [1]
						"smuggled crawg", -- [2]
						"sergeant bainbridge", -- [3]
						"blacktooth scrapper", -- [4]
						"irontide grenadier", -- [5]
						"feral bloodswarmer", -- [6]
						"earthrager", -- [7]
						"crawler mine", -- [8]
						"rezan", -- [9]
					},
					["Desc"] = "When an enemy places a debuff and starts to chase you. This script changes the nameplate color and place your name above the nameplate as well.",
					["NpcNames"] = {
						"smuggled crawg", -- [1]
						"sergeant bainbridge", -- [2]
						"blacktooth scrapper", -- [3]
						"irontide grenadier", -- [4]
						"feral bloodswarmer", -- [5]
						"earthrager", -- [6]
						"crawler mine", -- [7]
						"rezan", -- [8]
						"136461", -- [9]
					},
					["OnHideCode"] = "function (self, unitId, unitFrame, envTable)\n    envTable.FixateTarget:SetText (\"\")\n    envTable.FixateTarget:Hide()\n    \n    envTable.IsFixated = false\n    \n    Plater.RefreshNameplateColor (unitFrame)\nend\n\n\n",
				}, -- [15]
			},
			["aura_x_offset"] = -43,
			["first_run3"] = true,
			["transparency_behavior"] = 2,
			["aura_stack_outline"] = "NONE",
			["aura_stack_anchor"] = {
				["y"] = 1.19999885559082,
			},
			["target_shady_enabled"] = false,
			["cast_statusbar_spark_alpha"] = 1,
			["aura2_y_offset"] = 5,
			["aura_timer_text_anchor"] = {
				["y"] = 1,
				["x"] = 0.6999988555908203,
			},
			["health_statusbar_bgtexture"] = "Flatt",
			["plate_config"] = {
				["friendlynpc"] = {
					["big_actortitle_text_outline"] = "NONE",
					["big_actorname_text_outline"] = "NONE",
					["big_actortitle_text_size"] = 9,
					["big_actorname_text_font"] = "Expressway",
					["big_actorname_text_size"] = 10,
					["big_actortitle_text_font"] = "Expressway",
				},
				["enemyplayer"] = {
					["actorname_text_font"] = "Expressway",
					["big_actorname_text_size"] = 10,
					["quest_color_enemy"] = {
						1, -- [1]
						0.369, -- [2]
						0, -- [3]
					},
					["health_incombat"] = {
						87, -- [1]
						9, -- [2]
					},
					["quest_color_neutral"] = {
						1, -- [1]
						0.6509803921568628, -- [2]
						0, -- [3]
						1, -- [4]
					},
					["level_text_size"] = 7,
					["quest_enabled"] = true,
					["big_actortitle_text_font"] = "Expressway",
					["cast"] = {
						87, -- [1]
						6, -- [2]
					},
					["all_names"] = true,
					["percent_show_percent"] = false,
					["big_actortitle_text_size"] = 10,
					["spellpercent_text_enabled"] = false,
					["spellname_text_font"] = "Expressway",
					["level_text_alpha"] = 1,
					["actorname_text_size"] = 9,
					["percent_text_size"] = 8,
					["actorname_text_spacing"] = 8,
					["percent_text_font"] = "Expressway",
					["buff_frame_y_offset"] = 7.5,
					["percent_text_outline"] = "NONE",
					["cast_incombat"] = {
						87, -- [1]
						6, -- [2]
					},
					["actorname_text_anchor"] = {
						["y"] = 1.799995422363281,
						["side"] = 8,
					},
					["castbar_offset"] = -1.5,
					["big_actorname_text_font"] = "Expressway",
					["spellname_text_size"] = 8,
					["health"] = {
						87, -- [1]
						9, -- [2]
					},
					["spellname_text_anchor"] = {
						["y"] = -6.770004272460938,
					},
					["level_text_anchor"] = {
						["y"] = 1.799995422363281,
					},
					["spellpercent_text_size"] = 11,
					["level_text_font"] = "Expressway",
					["level_text_enabled"] = false,
				},
				["friendlyplayer"] = {
					["quest_color"] = {
						0.5, -- [1]
						1, -- [2]
						0, -- [3]
					},
					["big_actorname_text_shadow_color_offset"] = {
						1, -- [1]
						-1, -- [2]
					},
					["mana_incombat"] = {
						nil, -- [1]
						4, -- [2]
					},
					["big_actortitle_text_font"] = "Expressway",
					["cast"] = {
						112, -- [1]
						10, -- [2]
					},
					["all_names"] = true,
					["big_actortitle_text_size"] = 9,
					["actorname_text_outline"] = "NONE",
					["big_actortitle_text_color"] = {
						1, -- [1]
						0.8, -- [2]
						0, -- [3]
					},
					["big_actorname_text_color"] = {
						0.5, -- [1]
						1, -- [2]
						0.5, -- [3]
					},
					["big_actortitle_text_outline"] = "NONE",
					["only_names"] = true,
					["big_actortitle_text_shadow_color_offset"] = {
						1, -- [1]
						-1, -- [2]
					},
					["health"] = {
						112, -- [1]
						12, -- [2]
					},
					["cast_incombat"] = {
						120, -- [1]
					},
					["health_incombat"] = {
						120, -- [1]
						16, -- [2]
					},
					["quest_enabled"] = true,
					["buff_frame_y_offset"] = 0,
					["relevance_state"] = 4,
					["big_actorname_text_shadow_color"] = {
						0, -- [1]
						0, -- [2]
						0, -- [3]
						1, -- [4]
					},
					["big_actorname_text_size"] = 10,
					["big_actortitle_text_shadow_color"] = {
						0, -- [1]
						0, -- [2]
						0, -- [3]
						1, -- [4]
					},
					["big_actorname_text_font"] = "Expressway",
					["mana"] = {
						nil, -- [1]
						4, -- [2]
					},
					["big_actorname_text_outline"] = "NONE",
				},
				["enemynpc"] = {
					["actorname_text_font"] = "Expressway",
					["castbar_offset"] = -1.5,
					["quest_color_neutral"] = {
						nil, -- [1]
						0.6509803921568628, -- [2]
						nil, -- [3]
						1, -- [4]
					},
					["level_text_size"] = 7,
					["big_actortitle_text_font"] = "Expressway",
					["cast"] = {
						87, -- [1]
						6, -- [2]
					},
					["level_text_anchor"] = {
						["y"] = 1.799995422363281,
						["x"] = 9.329994201660156,
					},
					["spellname_text_size"] = 8,
					["level_text_alpha"] = 1,
					["actorname_text_anchor"] = {
						["y"] = 1.799995422363281,
						["side"] = 8,
					},
					["spellpercent_text_enabled"] = false,
					["actorname_text_spacing"] = 8,
					["percent_text_font"] = "Expressway",
					["buff_frame_y_offset"] = 7.5,
					["big_actorname_text_font"] = "Expressway",
					["cast_incombat"] = {
						87, -- [1]
						6, -- [2]
					},
					["spellname_text_outline"] = "NONE",
					["percent_text_outline"] = "NONE",
					["actorname_text_size"] = 9,
					["health_incombat"] = {
						87, -- [1]
						9, -- [2]
					},
					["health"] = {
						87, -- [1]
						9, -- [2]
					},
					["spellname_text_anchor"] = {
						["y"] = -6.770004272460938,
					},
					["percent_text_enabled"] = false,
					["spellname_text_font"] = "Expressway",
					["level_text_font"] = "Expressway",
					["level_text_enabled"] = false,
				},
			},
			["indicator_quest"] = false,
			["aura_y_offset"] = 5,
			["use_ui_parent"] = true,
			["health_statusbar_texture"] = "Flatt",
			["hook_auto_imported"] = {
				["Reorder Nameplate"] = 4,
				["Dont Have Aura"] = 1,
				["Players Targetting Amount"] = 4,
				["Color Automation"] = 1,
				["Bwonsamdi Reaping"] = 1,
				["Jaina Encounter"] = 6,
				["Blockade Encounter"] = 1,
				["Execute Range"] = 1,
				["Cast Bar Icon Config"] = 2,
				["Extra Border"] = 2,
				["Combo Points"] = 3,
				["Attacking Specific Unit"] = 1,
				["Target Color"] = 3,
				["Aura Reorder"] = 2,
				["Hide Neutral Units"] = 1,
			},
			["cast_statusbar_color_nointerrupt"] = {
				0.6627450980392157, -- [1]
				0, -- [2]
				0.08235294117647059, -- [3]
				1, -- [4]
			},
			["update_throttle"] = 0.05000000074505806,
			["indicator_spec"] = false,
			["color_override_colors"] = {
				[3] = {
					0.9176470588235294, -- [1]
					0.1529411764705883, -- [2]
					0.1490196078431373, -- [3]
				},
				[4] = {
					0.9254901960784314, -- [1]
					0.8156862745098039, -- [2]
					0.09411764705882353, -- [3]
				},
				[5] = {
					0.3607843137254902, -- [1]
					0.8235294117647058, -- [2]
					0.3490196078431372, -- [3]
				},
			},
			["npc_cache"] = {
				[151658] = {
					"Strider Tonk", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[152809] = {
					"Alx'kov the Infested", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[37531] = {
					"Frostwarden Handler", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[153065] = {
					"Voidbound Ravager", -- [1]
					"Horrific Vision of Orgrimmar", -- [2]
				},
				[37595] = {
					"Darkfallen Blood Knight", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[134012] = {
					"Taskmaster Askari", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[28580] = {
					"Hardened Steel Skycaller", -- [1]
					"Halls of Lightning", -- [2]
				},
				[151659] = {
					"Rocket Tonk", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[34686] = {
					"Healing Stream Totem", -- [1]
					"Trial of the Crusader", -- [2]
				},
				[157158] = {
					"Cultist Slavedriver", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[158437] = {
					"Fallen Taskmaster", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[158565] = {
					"Naros", -- [1]
					"Horrific Vision of Orgrimmar", -- [2]
				},
				[138489] = {
					"Shadow of Zul", -- [1]
					"Kings' Rest", -- [2]
				},
				[17535] = {
					"Dorothee", -- [1]
					"Karazhan", -- [2]
				},
				[150254] = {
					"Scraphound", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[144244] = {
					"The Platinum Pummeler", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[28836] = {
					"Stormforged Runeshaper", -- [1]
					"Halls of Lightning", -- [2]
				},
				[129602] = {
					"Irontide Enforcer", -- [1]
					"Freehold", -- [2]
				},
				[161124] = {
					"Urg'roth, Breaker of Heroes", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[140792] = {
					"Breakbeak Bonepicker", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[153196] = {
					"Scrapbone Grunter", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[158567] = {
					"Tormented Kor'kron Annihilator", -- [1]
					"Horrific Vision of Orgrimmar", -- [2]
				},
				[12460] = {
					"Death Talon Wyrmguard", -- [1]
					"Blackwing Lair", -- [2]
				},
				[158056] = {
					"Rat", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[144246] = {
					"K.U.-J.0.", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[156650] = {
					"Dark Manifestation", -- [1]
					"Ny'alotha, the Waking City", -- [2]
				},
				[140794] = {
					"Scartalon", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[36829] = {
					"Deathspeaker High Priest", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[161510] = {
					"Mindrend Tentacle", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[156523] = {
					"Maut", -- [1]
					"Ny'alotha, the Waking City", -- [2]
				},
				[37021] = {
					"Skybreaker Vicar", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[123146] = {
					"Torn Spirit", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[15689] = {
					"Netherspite", -- [1]
					"Karazhan", -- [2]
				},
				[144248] = {
					"Head Machinist Sparkflux", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[161895] = {
					"Thing From Beyond", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[133379] = {
					"Adderis", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[132868] = {
					"Congealed Azerite", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[126919] = {
					"Irontide Stormcaller", -- [1]
					"Freehold", -- [2]
				},
				[126983] = {
					"Harlan Sweete", -- [1]
					"Freehold", -- [2]
				},
				[127111] = {
					"Irontide Oarsman", -- [1]
					"Freehold", -- [2]
				},
				[140669] = {
					"Rockmane Howler", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[126216] = {
					"Zian-Ti Destroyer", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[134787] = {
					"Spineclaw Crab", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[130436] = {
					"Off-Duty Laborer", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[28581] = {
					"Stormforged Tactician", -- [1]
					"Halls of Lightning", -- [2]
				},
				[141565] = {
					"Kul Tiran Footman", -- [1]
					"Siege of Boralus", -- [2]
				},
				[140670] = {
					"Hulking Rockmane", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[151028] = {
					"Thornstalker Nydora", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[134788] = {
					"Spineclaw Rockshell", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[127879] = {
					"Shieldbearer of Zul", -- [1]
					"Atal'Dazar", -- [2]
				},
				[86000] = {
					"Gentle Clefthoof", -- [1]
					"FW Horde Garrison Level 2", -- [2]
				},
				[138369] = {
					"Footbomb Hooligan", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[141566] = {
					"Scrimshaw Gutter", -- [1]
					"Siege of Boralus", -- [2]
				},
				[140671] = {
					"Feralclaw the Rager", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[151029] = {
					"Thornspeaker Tavery", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[134789] = {
					"Monstrous Spineclaw", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[16529] = {
					"Magical Horror", -- [1]
					"Karazhan", -- [2]
				},
				[16545] = {
					"Ethereal Spellfilcher", -- [1]
					"Karazhan", -- [2]
				},
				[28837] = {
					"Stormforged Sentinel", -- [1]
					"Halls of Lightning", -- [2]
				},
				[156145] = {
					"Burrowing Appendage", -- [1]
					"Horrific Vision of Orgrimmar", -- [2]
				},
				[132744] = {
					"Frostscale Hydra", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[35328] = {
					"Stormwind Champion", -- [1]
					"Trial of the Champion", -- [2]
				},
				[99300] = {
					"Water Elemental", -- [1]
					"Eye of Azshara", -- [2]
				},
				[28965] = {
					"Titanium Thunderer", -- [1]
					"Halls of Lightning", -- [2]
				},
				[37502] = {
					"Nerub'ar Webweaver", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[37534] = {
					"Spinestalker", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[156146] = {
					"Voidbound Shieldbearer", -- [1]
					"Horrific Vision of Orgrimmar", -- [2]
				},
				[150136] = {
					"Faceless Render", -- [1]
					"Uldir Scenario", -- [2]
				},
				[11981] = {
					"Flamegor", -- [1]
					"Blackwing Lair", -- [2]
				},
				[37662] = {
					"Darkfallen Commander", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[13020] = {
					"Vaelastrasz the Corrupt", -- [1]
					"Blackwing Lair", -- [2]
				},
				[34657] = {
					"Jaelyne Evensong", -- [1]
					"Trial of the Champion", -- [2]
				},
				[46965] = {
					"Cho'gall", -- [1]
					"The Bastion of Twilight", -- [2]
				},
				[53167] = {
					"Unbound Pyrelord", -- [1]
					"Firelands", -- [2]
				},
				[150137] = {
					"Faceless Subduer", -- [1]
					"Uldir Scenario", -- [2]
				},
				[137989] = {
					"Embalming Fluid", -- [1]
					"Kings' Rest", -- [2]
				},
				[101411] = {
					"Gom Crabbar", -- [1]
					"Eye of Azshara", -- [2]
				},
				[137478] = {
					"Queen Wasi", -- [1]
					"Kings' Rest", -- [2]
				},
				[132491] = {
					"Kul Tiran Marksman", -- [1]
					"Siege of Boralus", -- [2]
				},
				[12101] = {
					"Lava Surger", -- [1]
					"Molten Core", -- [2]
				},
				[157811] = {
					"Lilliam Sparkspindle", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[151801] = {
					"Amathet Zealot", -- [1]
					"Halls of Origination", -- [2]
				},
				[79609] = {
					"Aggar Thunder-Reaver", -- [1]
					"FW Horde Garrison Level 2", -- [2]
				},
				[147965] = {
					"Volatile Azerite", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[150139] = {
					"K'thxx the Void Hunter", -- [1]
					"Uldir Scenario", -- [2]
				},
				[35329] = {
					"Ironforge Champion", -- [1]
					"Trial of the Champion", -- [2]
				},
				[128969] = {
					"Ashvane Commander", -- [1]
					"Siege of Boralus", -- [2]
				},
				[44600] = {
					"Halfus Wyrmbreaker", -- [1]
					"The Bastion of Twilight", -- [2]
				},
				[157812] = {
					"Billibub Cogspinner", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[34466] = {
					"Anthar Forgemender", -- [1]
					"Trial of the Crusader", -- [2]
				},
				[131726] = {
					"Gunnolf the Ferocious", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[156406] = {
					"Voidbound Honor Guard", -- [1]
					"Horrific Vision of Orgrimmar", -- [2]
				},
				[37663] = {
					"Darkfallen Noble", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[28582] = {
					"Stormforged Mender", -- [1]
					"Halls of Lightning", -- [2]
				},
				[157813] = {
					"Sprite Jumpsprocket", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[133389] = {
					"Galvazzt", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[131727] = {
					"Fenrae the Cunning", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[150397] = {
					"King Mechagon", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[134157] = {
					"Shadow-Borne Warrior", -- [1]
					"Kings' Rest", -- [2]
				},
				[152699] = {
					"Voidbound Berserker", -- [1]
					"Horrific Vision of Orgrimmar", -- [2]
				},
				[16482] = {
					"Trapped Soul", -- [1]
					"Karazhan", -- [2]
				},
				[147968] = {
					"Agitated Azerite", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[150142] = {
					"Scrapbone Trashtosser", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[16530] = {
					"Mana Warp", -- [1]
					"Karazhan", -- [2]
				},
				[136076] = {
					"Agitated Nimbus", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[28838] = {
					"Titanium Vanguard", -- [1]
					"Halls of Lightning", -- [2]
				},
				[53616] = {
					"Kar the Everburning", -- [1]
					"Firelands", -- [2]
				},
				[53648] = {
					"Inferno Hawk", -- [1]
					"Firelands", -- [2]
				},
				[129802] = {
					"Earthrager", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[158327] = {
					"Crackling Shard", -- [1]
					"Ny'alotha, the Waking City", -- [2]
				},
				[147202] = {
					"Animated Azershard", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[89202] = {
					"Icemaw Scavenger", -- [1]
					"FW Horde Garrison Level 2", -- [2]
				},
				[12461] = {
					"Death Talon Overseer", -- [1]
					"Blackwing Lair", -- [2]
				},
				[34467] = {
					"Alyssia Moonstalker", -- [1]
					"Trial of the Crusader", -- [2]
				},
				[37664] = {
					"Darkfallen Archmage", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[129547] = {
					"Blacktooth Knuckleduster", -- [1]
					"Freehold", -- [2]
				},
				[156794] = {
					"SI:7 Light-Hunter", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[11502] = {
					"Ragnaros", -- [1]
					"Molten Core", -- [2]
				},
				[127757] = {
					"Reanimated Honor Guard", -- [1]
					"Atal'Dazar", -- [2]
				},
				[12557] = {
					"Grethok the Controller", -- [1]
					"Blackwing Lair", -- [2]
				},
				[97259] = {
					"Blazing Hydra Spawn", -- [1]
					"Eye of Azshara", -- [2]
				},
				[156795] = {
					"SI:7 Informant", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[137486] = {
					"Queen Patlaa", -- [1]
					"Kings' Rest", -- [2]
				},
				[37025] = {
					"Stinky", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[150146] = {
					"Scrapbone Shaman", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[84408] = {
					"Warsong Wolf Tamer", -- [1]
					"Grommashar Scenario", -- [2]
				},
				[52498] = {
					"Beth'tilac", -- [1]
					"Firelands", -- [2]
				},
				[129548] = {
					"Blacktooth Brute", -- [1]
					"Freehold", -- [2]
				},
				[152704] = {
					"Crawling Corruption", -- [1]
					"Horrific Vision of Orgrimmar", -- [2]
				},
				[53617] = {
					"Molten Erupter", -- [1]
					"Firelands", -- [2]
				},
				[160249] = {
					"Spike Tentacle", -- [1]
					"Ny'alotha, the Waking City", -- [2]
				},
				[11662] = {
					"Flamewaker Priest", -- [1]
					"Molten Core", -- [2]
				},
				[138255] = {
					"Ashvane Spotter", -- [1]
					"Siege of Boralus", -- [2]
				},
				[122963] = {
					"Rezan", -- [1]
					"Atal'Dazar", -- [2]
				},
				[127119] = {
					"Freehold Deckhand", -- [1]
					"Freehold", -- [2]
				},
				[34468] = {
					"Noozle Whizzlestick", -- [1]
					"Trial of the Crusader", -- [2]
				},
				[145033] = {
					"Arctic Hunter", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[150276] = {
					"Heavy Scrapbot", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[37665] = {
					"Darkfallen Lieutenant", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[28583] = {
					"Blistering Steamrager", -- [1]
					"Halls of Lightning", -- [2]
				},
				[140430] = {
					"Craghoof Bounder", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[54161] = {
					"Flame Archon", -- [1]
					"Firelands", -- [2]
				},
				[137474] = {
					"King Timalji", -- [1]
					"Kings' Rest", -- [2]
				},
				[125828] = {
					"Wàltz", -- [1]
					"Atal'Dazar", -- [2]
				},
				[126928] = {
					"Irontide Corsair", -- [1]
					"Freehold", -- [2]
				},
				[139536] = {
					"Zara'thik Drone", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[140431] = {
					"Craghoof Goat", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[151812] = {
					"Detect-o-Bot", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[138641] = {
					"Kvaldir Dreadbringer", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[37116] = {
					"Skybreaker Sorcerer", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[134805] = {
					"Wandering Behemoth", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[138254] = {
					"Irontide Powdershot", -- [1]
					"Siege of Boralus", -- [2]
				},
				[137103] = {
					"Blood Visage", -- [1]
					"The Underrot", -- [2]
				},
				[129550] = {
					"Bilge Rat Padfoot", -- [1]
					"Freehold", -- [2]
				},
				[140432] = {
					"Craghoof Leaper", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[16595] = {
					"Fleshbeast", -- [1]
					"Karazhan", -- [2]
				},
				[138642] = {
					"Kvaldir Reaver", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[156161] = {
					"Inquisitor Gnshal", -- [1]
					"Horrific Vision of Orgrimmar", -- [2]
				},
				[38369] = {
					"Dark Nucleus", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[35332] = {
					"Darnassus Champion", -- [1]
					"Trial of the Champion", -- [2]
				},
				[83963] = {
					"Warsong Raider", -- [1]
					"Grommashar Scenario", -- [2]
				},
				[129600] = {
					"Bilge Rat Brinescale", -- [1]
					"Freehold", -- [2]
				},
				[122965] = {
					"Vol'kaal", -- [1]
					"Atal'Dazar", -- [2]
				},
				[13996] = {
					"Blackwing Technician", -- [1]
					"Blackwing Lair", -- [2]
				},
				[138643] = {
					"Kvaldir Berserker", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[83954] = {
					"Nagrand Skirmisher", -- [1]
					"Grommashar Scenario", -- [2]
				},
				[14020] = {
					"Chromaggus", -- [1]
					"Blackwing Lair", -- [2]
				},
				[11982] = {
					"Magmadar", -- [1]
					"Molten Core", -- [2]
				},
				[37666] = {
					"Darkfallen Tactician", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[85562] = {
					"Skittering Doomstinger", -- [1]
					"Gorgrond Finale", -- [2]
				},
				[157825] = {
					"Crazed Tormenter", -- [1]
					"Horrific Vision of Orgrimmar", -- [2]
				},
				[136470] = {
					"Refreshment Vendor", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[138644] = {
					"Kvaldir Cursewalker", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[11669] = {
					"Flame Imp", -- [1]
					"Molten Core", -- [2]
				},
				[84409] = {
					"Warsong Wolf Tamer", -- [1]
					"Grommashar Scenario", -- [2]
				},
				[141938] = {
					"Ashvane Sniper", -- [1]
					"Siege of Boralus", -- [2]
				},
				[17007] = {
					"Lady Keira Berrybuck", -- [1]
					"Karazhan", -- [2]
				},
				[47161] = {
					"Twilight Brute", -- [1]
					"The Bastion of Twilight", -- [2]
				},
				[138645] = {
					"Kvaldir Soulflayer", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[16170] = {
					"Coldmist Stalker", -- [1]
					"Karazhan", -- [2]
				},
				[129232] = {
					"Mogul Razdunk", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[99629] = {
					"Bitterbrine Scavenger", -- [1]
					"Eye of Azshara", -- [2]
				},
				[150154] = {
					"Saurolisk Bonenipper", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[123286] = {
					"Southsea Gambler", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[12118] = {
					"Lucifron", -- [1]
					"Molten Core", -- [2]
				},
				[129552] = {
					"Monzumi", -- [1]
					"Atal'Dazar", -- [2]
				},
				[154758] = {
					"Toxic Monstrosity", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[53619] = {
					"Druid of the Flame", -- [1]
					"Firelands", -- [2]
				},
				[138646] = {
					"Kvaldir Mistcaller", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[12076] = {
					"Lava Elemental", -- [1]
					"Molten Core", -- [2]
				},
				[161408] = {
					"Malicious Growth", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[136984] = {
					"Reban", -- [1]
					"Kings' Rest", -- [2]
				},
				[140181] = {
					"Cragtusk", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[157700] = {
					"Agustus Moulaine", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[122967] = {
					"Priestess Alun'za", -- [1]
					"Atal'Dazar", -- [2]
				},
				[137233] = {
					"Plague Toad", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[138647] = {
					"Hjana Fogbringer", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[77124] = {
					"Crag Goretusk", -- [1]
					"Frostfire Finale Scenario", -- [2]
				},
				[145041] = {
					"Swifttail Stalker", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[123287] = {
					"Southsea Swashbuckler", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[123285] = {
					"Southsea Swabbie", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[28584] = {
					"Unbound Firestorm", -- [1]
					"Halls of Lightning", -- [2]
				},
				[135192] = {
					"Honored Raptor", -- [1]
					"Kings' Rest", -- [2]
				},
				[150249] = {
					"Pistonhead Scrapper", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[146832] = {
					"Necromancer Disciple", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[81728] = {
					"Grommashar Warsinger", -- [1]
					"Grommashar Scenario", -- [2]
				},
				[130896] = {
					"Blackout Barrel", -- [1]
					"Freehold", -- [2]
				},
				[132126] = {
					"Gilded Priestess", -- [1]
					"Atal'Dazar", -- [2]
				},
				[139284] = {
					"Plague Doctor", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[37955] = {
					"Blood-Queen Lana'thel", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[122968] = {
					"Yazma", -- [1]
					"Atal'Dazar", -- [2]
				},
				[16468] = {
					"Spectral Patron", -- [1]
					"Karazhan", -- [2]
				},
				[137626] = {
					"Demolishing Terror", -- [1]
					"Siege of Boralus", -- [2]
				},
				[81599] = {
					"Nagrand Skirmisher", -- [1]
					"Grommashar Scenario", -- [2]
				},
				[136976] = {
					"T'zala", -- [1]
					"Kings' Rest", -- [2]
				},
				[16178] = {
					"Phase Hound", -- [1]
					"Karazhan", -- [2]
				},
				[134686] = {
					"Mature Krolusk", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[134174] = {
					"Shadow-Borne Witch Doctor", -- [1]
					"Kings' Rest", -- [2]
				},
				[129471] = {
					"Deepsea Sandcrawler", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[16596] = {
					"Greater Fleshbeast", -- [1]
					"Karazhan", -- [2]
				},
				[146834] = {
					"Necromancer Master", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[133663] = {
					"Fanatical Headhunter", -- [1]
					"The Underrot", -- [2]
				},
				[150159] = {
					"King Gobbamak", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[42333] = {
					"High Priestess Azil", -- [1]
					"The Stonecore", -- [2]
				},
				[128967] = {
					"Ashvane Sniper", -- [1]
					"Siege of Boralus", -- [2]
				},
				[34497] = {
					"Fjola Lightbane", -- [1]
					"Trial of the Crusader", -- [2]
				},
				[58959] = {
					"Nipsy", -- [1]
					"Ny'alotha, the Waking City", -- [2]
				},
				[140657] = {
					"Craghorn Behemoth", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[146835] = {
					"Ghoul", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[15547] = {
					"Spectral Charger", -- [1]
					"Karazhan", -- [2]
				},
				[150160] = {
					"Scrapbone Bully", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[140058] = {
					"Grizzlefur Patriarch", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[42808] = {
					"Stonecore Flayer", -- [1]
					"The Stonecore", -- [2]
				},
				[84735] = {
					"Nagrand Savager", -- [1]
					"Grommashar Scenario", -- [2]
				},
				[152718] = {
					"Alleria Windrunner", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[156641] = {
					"Enthralled Weaponsmith", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[53141] = {
					"Molten Surger", -- [1]
					"Firelands", -- [2]
				},
				[36805] = {
					"Deathspeaker Servant", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[34470] = {
					"Saamul", -- [1]
					"Trial of the Crusader", -- [2]
				},
				[140059] = {
					"Grizzlefur Mauler", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[135167] = {
					"Spectral Berserker", -- [1]
					"Kings' Rest", -- [2]
				},
				[137487] = {
					"Skeletal Hunting Raptor", -- [1]
					"Kings' Rest", -- [2]
				},
				[29240] = {
					"Stormforged Lieutenant", -- [1]
					"Halls of Lightning", -- [2]
				},
				[127315] = {
					"Reanimation Totem", -- [1]
					"Atal'Dazar", -- [2]
				},
				[131492] = {
					"Devout Blood Priest", -- [1]
					"The Underrot", -- [2]
				},
				[139804] = {
					"Venture Inspector", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[36961] = {
					"Skybreaker Sergeant", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[140060] = {
					"Grizzlefur Bear", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[135322] = {
					"The Golden Serpent", -- [1]
					"Kings' Rest", -- [2]
				},
				[129598] = {
					"Freehold Pack Mule", -- [1]
					"Freehold", -- [2]
				},
				[95861] = {
					"Hatecoil Oracle", -- [1]
					"Eye of Azshara", -- [2]
				},
				[43391] = {
					"Millhouse Manastorm", -- [1]
					"The Stonecore", -- [2]
				},
				[146838] = {
					"Brittle Skeleton", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[139805] = {
					"Mechanical Guardhound", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[161416] = {
					"Aqir Shadowcrafter", -- [1]
					"Ny'alotha, the Waking City", -- [2]
				},
				[11663] = {
					"Flamewaker Healer", -- [1]
					"Molten Core", -- [2]
				},
				[11671] = {
					"Core Hound", -- [1]
					"Molten Core", -- [2]
				},
				[150547] = {
					"Scrapbone Grunter", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[139422] = {
					"Scaled Krolusk Tamer", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[37023] = {
					"Plague Scientist", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[158092] = {
					"Fallen Heartpiercer", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[134691] = {
					"Static-charged Dervish", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[122972] = {
					"Dazar'ai Augur", -- [1]
					"Atal'Dazar", -- [2]
				},
				[123291] = {
					"Sparkleshell Crab", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[126424] = {
					"Coralback Surfcrawler", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[28585] = {
					"Slag", -- [1]
					"Halls of Lightning", -- [2]
				},
				[152722] = {
					"Fallen Voidspeaker", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[136483] = {
					"Ashvane Deckhand", -- [1]
					"Siege of Boralus", -- [2]
				},
				[81668] = {
					"Warsong Raider", -- [1]
					"Grommashar Scenario", -- [2]
				},
				[139807] = {
					"Venture Surveyor", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[16389] = {
					"Spectral Apprentice", -- [1]
					"Karazhan", -- [2]
				},
				[150293] = {
					"Mechagon Prowler", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[129366] = {
					"Bilge Rat Buccaneer", -- [1]
					"Siege of Boralus", -- [2]
				},
				[135204] = {
					"Spectral Hex Priest", -- [1]
					"Kings' Rest", -- [2]
				},
				[140447] = {
					"Demolishing Terror", -- [1]
					"Siege of Boralus", -- [2]
				},
				[36998] = {
					"Skybreaker Protector", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[16485] = {
					"Arcane Watchman", -- [1]
					"Karazhan", -- [2]
				},
				[130325] = {
					"Deepsea Viseclaw", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[134821] = {
					"Vilegaze Petrifier", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[158478] = {
					"Corruption Tumor", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[28825] = {
					"Cyclone", -- [1]
					"Halls of Lightning", -- [2]
				},
				[35144] = {
					"Acidmaw", -- [1]
					"Trial of the Crusader", -- [2]
				},
				[139425] = {
					"Crazed Incubator", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[134158] = {
					"Shadow-Borne Champion", -- [1]
					"Kings' Rest", -- [2]
				},
				[126918] = {
					"Irontide Crackshot", -- [1]
					"Freehold", -- [2]
				},
				[137625] = {
					"Demolishing Terror", -- [1]
					"Siege of Boralus", -- [2]
				},
				[36678] = {
					"Professor Putricide", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[75723] = {
					"Gronnstalker's Trophy", -- [1]
					"FW Horde Garrison Level 2", -- [2]
				},
				[87040] = {
					"Alliance Opportunist", -- [1]
					"FW Horde Garrison Level 2", -- [2]
				},
				[99630] = {
					"Bitterbrine Scavenger", -- [1]
					"Eye of Azshara", -- [2]
				},
				[16415] = {
					"Skeletal Waiter", -- [1]
					"Karazhan", -- [2]
				},
				[100250] = {
					"Binder Ashioi", -- [1]
					"Eye of Azshara", -- [2]
				},
				[138659] = {
					"Risen Hound", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[140067] = {
					"Rustpelt Alpha", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[150168] = {
					"Toxic Monstrosity", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[11983] = {
					"Firemaw", -- [1]
					"Blackwing Lair", -- [2]
				},
				[19874] = {
					"Baron Rafe Dreuger", -- [1]
					"Karazhan", -- [2]
				},
				[129559] = {
					"Cutwater Duelist", -- [1]
					"Freehold", -- [2]
				},
				[156818] = {
					"Wrathion", -- [1]
					"Ny'alotha, the Waking City", -- [2]
				},
				[76491] = {
					"Maggoc", -- [1]
					"Frostfire Finale Scenario", -- [2]
				},
				[137713] = {
					"Big Money Crab", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[139811] = {
					"Venture Sub-Lead", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[150169] = {
					"Toxic Lurker", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[135975] = {
					"Off-Duty Laborer", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[159632] = {
					"Cultist Shadowblade", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[12422] = {
					"Death Talon Dragonspawn", -- [1]
					"Blackwing Lair", -- [2]
				},
				[138247] = {
					"Irontide Marauder", -- [1]
					"Siege of Boralus", -- [2]
				},
				[16171] = {
					"Coldmist Widow", -- [1]
					"Karazhan", -- [2]
				},
				[151960] = {
					"Suntouched Acolyte", -- [1]
					"Halls of Origination", -- [2]
				},
				[42810] = {
					"Crystalspawn Giant", -- [1]
					"The Stonecore", -- [2]
				},
				[126848] = {
					"Captain Eudora", -- [1]
					"Freehold", -- [2]
				},
				[140068] = {
					"Rustpelt Snarler", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[12119] = {
					"Flamewaker Protector", -- [1]
					"Molten Core", -- [2]
				},
				[128455] = {
					"T'lonja", -- [1]
					"Atal'Dazar", -- [2]
				},
				[122970] = {
					"Shadowblade Stalker", -- [1]
					"Atal'Dazar", -- [2]
				},
				[137511] = {
					"Bilge Rat Cutthroat", -- [1]
					"Siege of Boralus", -- [2]
				},
				[77579] = {
					"Mongrethod", -- [1]
					"Teron'gor's Confrontation", -- [2]
				},
				[139813] = {
					"Senior Producer Gixi", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[35305] = {
					"Argent Monk", -- [1]
					"Trial of the Champion", -- [2]
				},
				[53134] = {
					"Ancient Core Hound", -- [1]
					"Firelands", -- [2]
				},
				[129227] = {
					"Azerokk", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[16544] = {
					"Ethereal Thief", -- [1]
					"Karazhan", -- [2]
				},
				[37571] = {
					"Darkfallen Advisor", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[156949] = {
					"Armsmaster Terenson", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[14261] = {
					"Blue Drakonid", -- [1]
					"Blackwing Lair", -- [2]
				},
				[84357] = {
					"Nagrand Savager", -- [1]
					"Grommashar Scenario", -- [2]
				},
				[129369] = {
					"Irontide Raider", -- [1]
					"Siege of Boralus", -- [2]
				},
				[145185] = {
					"Gnomercy 4.U.", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[34472] = {
					"Irieth Shadowstep", -- [1]
					"Trial of the Crusader", -- [2]
				},
				[28586] = {
					"General Bjarngrim", -- [1]
					"Halls of Lightning", -- [2]
				},
				[11668] = {
					"Firelord", -- [1]
					"Molten Core", -- [2]
				},
				[100249] = {
					"Channeler Varisz", -- [1]
					"Eye of Azshara", -- [2]
				},
				[146848] = {
					"Eerie Conglomeration", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[36808] = {
					"Deathspeaker Zealot", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[89217] = {
					"Icemaw Scavenger", -- [1]
					"FW Horde Garrison Level 2", -- [2]
				},
				[16406] = {
					"Phantom Attendant", -- [1]
					"Karazhan", -- [2]
				},
				[129788] = {
					"Irontide Bonesaw", -- [1]
					"Freehold", -- [2]
				},
				[138281] = {
					"Faceless Corruptor", -- [1]
					"The Underrot", -- [2]
				},
				[139432] = {
					"Lu'si", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[16470] = {
					"Ghostly Philanthropist", -- [1]
					"Karazhan", -- [2]
				},
				[152987] = {
					"Faceless Willbreaker", -- [1]
					"Horrific Vision of Orgrimmar", -- [2]
				},
				[52409] = {
					"Ragnaros", -- [1]
					"Firelands", -- [2]
				},
				[129370] = {
					"Irontide Waveshaper", -- [1]
					"Siege of Boralus", -- [2]
				},
				[151325] = {
					"Alarm-o-Bot", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[28826] = {
					"Stormfury Revenant", -- [1]
					"Halls of Lightning", -- [2]
				},
				[137516] = {
					"Ashvane Invader", -- [1]
					"Siege of Boralus", -- [2]
				},
				[153755] = {
					"Naeno Megacrash", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[135470] = {
					"Aka'ali the Conqueror", -- [1]
					"Kings' Rest", -- [2]
				},
				[152988] = {
					"Faceless Shadowcaller", -- [1]
					"Horrific Vision of Orgrimmar", -- [2]
				},
				[15548] = {
					"Spectral Stallion", -- [1]
					"Karazhan", -- [2]
				},
				[153244] = {
					"Oblivion Elemental", -- [1]
					"Horrific Vision of Orgrimmar", -- [2]
				},
				[133935] = {
					"Animated Guardian", -- [1]
					"Kings' Rest", -- [2]
				},
				[144293] = {
					"Waste Processing Unit", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[129371] = {
					"Riptide Shredder", -- [1]
					"Siege of Boralus", -- [2]
				},
				[144294] = {
					"Mechagon Tinkerer", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[12463] = {
					"Death Talon Flamescale", -- [1]
					"Blackwing Lair", -- [2]
				},
				[34475] = {
					"Shocuul", -- [1]
					"Trial of the Crusader", -- [2]
				},
				[42691] = {
					"Stonecore Rift Conjurer", -- [1]
					"The Stonecore", -- [2]
				},
				[139946] = {
					"Heart Guardian", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[132913] = {
					"Island Ettin", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[19875] = {
					"Baroness Dorothea Millstipe", -- [1]
					"Karazhan", -- [2]
				},
				[84551] = {
					"Iron Subjugator", -- [1]
					"Grommashar Scenario", -- [2]
				},
				[144295] = {
					"Mechagon Mechanic", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[137517] = {
					"Ashvane Destroyer", -- [1]
					"Siege of Boralus", -- [2]
				},
				[132530] = {
					"Kul Tiran Vanguard", -- [1]
					"Siege of Boralus", -- [2]
				},
				[159321] = {
					"Khateph", -- [1]
					"Ny'alotha, the Waking City", -- [2]
				},
				[100216] = {
					"Hatecoil Wrangler", -- [1]
					"Eye of Azshara", -- [2]
				},
				[26125] = {
					"Ribface", -- [1]
					"Ny'alotha, the Waking City", -- [2]
				},
				[130011] = {
					"Irontide Buccaneer", -- [1]
					"Freehold", -- [2]
				},
				[129553] = {
					"Dinomancer Kish'o", -- [1]
					"Atal'Dazar", -- [2]
				},
				[36969] = {
					"Skybreaker Rifleman", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[135472] = {
					"Zanazal the Wise", -- [1]
					"Kings' Rest", -- [2]
				},
				[153119] = {
					"Lesser Void Elemental", -- [1]
					"Horrific Vision of Orgrimmar", -- [2]
				},
				[140843] = {
					"Air Spirit", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[129372] = {
					"Blacktar Bomber", -- [1]
					"Siege of Boralus", -- [2]
				},
				[24207] = {
					"Army of the Dead", -- [1]
					"Ny'alotha, the Waking City", -- [2]
				},
				[144296] = {
					"Spider Tank", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[37532] = {
					"Frostwing Whelp", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[35465] = {
					"Zhaagrym", -- [1]
					"Trial of the Crusader", -- [2]
				},
				[150818] = {
					"Disturbed Blood Globule", -- [1]
					"Uldir Scenario", -- [2]
				},
				[132532] = {
					"Kul Tiran Marksman", -- [1]
					"Siege of Boralus", -- [2]
				},
				[76624] = {
					"Vicious Longtusk", -- [1]
					"Frostfire Finale Scenario", -- [2]
				},
				[35307] = {
					"Argent Priestess", -- [1]
					"Trial of the Champion", -- [2]
				},
				[11664] = {
					"Flamewaker Elite", -- [1]
					"Molten Core", -- [2]
				},
				[11672] = {
					"Core Rager", -- [1]
					"Molten Core", -- [2]
				},
				[28587] = {
					"Volkhan", -- [1]
					"Halls of Lightning", -- [2]
				},
				[153760] = {
					"Enthralled Footman", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[137521] = {
					"Irontide Powdershot", -- [1]
					"Siege of Boralus", -- [2]
				},
				[14601] = {
					"Ebonroc", -- [1]
					"Blackwing Lair", -- [2]
				},
				[42692] = {
					"Stonecore Bruiser", -- [1]
					"The Stonecore", -- [2]
				},
				[129373] = {
					"Dockhound Packmaster", -- [1]
					"Siege of Boralus", -- [2]
				},
				[153377] = {
					"Goop", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[144298] = {
					"Defense Bot Mk III", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[54073] = {
					"Flamewaker Hound Master", -- [1]
					"Firelands", -- [2]
				},
				[131383] = {
					"Sporecaller Zancha", -- [1]
					"The Underrot", -- [2]
				},
				[88773] = {
					"Thunderlord Spearhand", -- [1]
					"FW Horde Garrison Level 2", -- [2]
				},
				[133685] = {
					"Befouled Spirit", -- [1]
					"The Underrot", -- [2]
				},
				[140846] = {
					"Impish Breeze", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[34796] = {
					"Gormok the Impaler", -- [1]
					"Trial of the Crusader", -- [2]
				},
				[16407] = {
					"Spectral Servant", -- [1]
					"Karazhan", -- [2]
				},
				[144299] = {
					"Workshop Defender", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[140335] = {
					"Nightscale Screecher", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[133430] = {
					"Venture Co. Mastermind", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[16471] = {
					"Skeletal Usher", -- [1]
					"Karazhan", -- [2]
				},
				[137614] = {
					"Demolishing Terror", -- [1]
					"Siege of Boralus", -- [2]
				},
				[130333] = {
					"Gritplate Basilisk", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[37098] = {
					"Val'kyr Herald", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[34473] = {
					"Brienna Nightfell", -- [1]
					"Trial of the Crusader", -- [2]
				},
				[144300] = {
					"Mechagon Citizen", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[140336] = {
					"Nightscale Wind Serpent", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[52571] = {
					"Majordomo Staghelm", -- [1]
					"Firelands", -- [2]
				},
				[131728] = {
					"Raul the Tenacious", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[129758] = {
					"Irontide Grenadier", -- [1]
					"Freehold", -- [2]
				},
				[162331] = {
					"Corrupted Neuron", -- [1]
					"Ny'alotha, the Waking City", -- [2]
				},
				[158367] = {
					"Basher Tentacle", -- [1]
					"Ny'alotha, the Waking City", -- [2]
				},
				[133943] = {
					"Minion of Zul", -- [1]
					"Kings' Rest", -- [2]
				},
				[156577] = {
					"Therum Deepforge", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[140337] = {
					"Nightscale Hatchling", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[133432] = {
					"Venture Co. Alchemist", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[88263] = {
					"Thunderlord Spearhand", -- [1]
					"FW Horde Garrison Level 2", -- [2]
				},
				[135562] = {
					"Venomous Ophidian", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[130334] = {
					"Gritplate Gazer", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[140977] = {
					"Jadescale Gnasher", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[133944] = {
					"Aspix", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[19876] = {
					"Lord Robin Daris", -- [1]
					"Karazhan", -- [2]
				},
				[150165] = {
					"Slime Elemental", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[130635] = {
					"Stonefury", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[53115] = {
					"Molten Lord", -- [1]
					"Firelands", -- [2]
				},
				[53786] = {
					"Blazing Monstrosity", -- [1]
					"Firelands", -- [2]
				},
				[36811] = {
					"Deathspeaker Attendant", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[140978] = {
					"Doomtunnel", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[144303] = {
					"G.U.A.R.D.", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[12056] = {
					"Baron Geddon", -- [1]
					"Molten Core", -- [2]
				},
				[53494] = {
					"Baleroc", -- [1]
					"Firelands", -- [2]
				},
				[53901] = {
					"Unstable Magma", -- [1]
					"Firelands", -- [2]
				},
				[37003] = {
					"Skybreaker Vindicator", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[133384] = {
					"Merektha", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[130335] = {
					"Gritplate Crystaleye", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[45265] = {
					"Twilight Soul Blade", -- [1]
					"The Bastion of Twilight", -- [2]
				},
				[38154] = {
					"Warhawk", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[129367] = {
					"Bilge Rat Tempest", -- [1]
					"Siege of Boralus", -- [2]
				},
				[37533] = {
					"Rimefang", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[91781] = {
					"Hatecoil Warrior", -- [1]
					"Eye of Azshara", -- [2]
				},
				[134769] = {
					"Jagged Claw", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[35309] = {
					"Argent Lightwielder", -- [1]
					"Trial of the Champion", -- [2]
				},
				[53691] = {
					"Shannox", -- [1]
					"Firelands", -- [2]
				},
				[140980] = {
					"Jadescale Worm", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[34797] = {
					"Icehowl", -- [1]
					"Trial of the Crusader", -- [2]
				},
				[12264] = {
					"Shazzrah", -- [1]
					"Molten Core", -- [2]
				},
				[154663] = {
					"Gnome-Eating Droplet", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[134331] = {
					"King Rahu'ai", -- [1]
					"Kings' Rest", -- [2]
				},
				[88265] = {
					"Thunderlord Beastmaster", -- [1]
					"FW Horde Garrison Level 2", -- [2]
				},
				[14262] = {
					"Green Drakonid", -- [1]
					"Blackwing Lair", -- [2]
				},
				[160291] = {
					"Ashwalker Assassin", -- [1]
					"Ny'alotha, the Waking City", -- [2]
				},
				[130400] = {
					"Irontide Crusher", -- [1]
					"Freehold", -- [2]
				},
				[133870] = {
					"Diseased Lasher", -- [1]
					"The Underrot", -- [2]
				},
				[45264] = {
					"Twilight Crossfire", -- [1]
					"The Bastion of Twilight", -- [2]
				},
				[14302] = {
					"Chromatic Drakonid", -- [1]
					"Blackwing Lair", -- [2]
				},
				[91782] = {
					"Hatecoil Crusher", -- [1]
					"Eye of Azshara", -- [2]
				},
				[53116] = {
					"Unbound Blazing Elemental", -- [1]
					"Firelands", -- [2]
				},
				[126205] = {
					"Profit-O-Matic", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[76629] = {
					"Iron Clusterpult", -- [1]
					"Frostfire Finale Scenario", -- [2]
				},
				[43014] = {
					"Imp", -- [1]
					"The Stonecore", -- [2]
				},
				[53244] = {
					"Flamewaker Trainee", -- [1]
					"Firelands", -- [2]
				},
				[16424] = {
					"Spectral Sentry", -- [1]
					"Karazhan", -- [2]
				},
				[37127] = {
					"Ymirjar Frostbinder", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[37501] = {
					"Nerub'ar Champion", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[16472] = {
					"Phantom Stagehand", -- [1]
					"Karazhan", -- [2]
				},
				[16488] = {
					"Arcane Anomaly", -- [1]
					"Karazhan", -- [2]
				},
				[16504] = {
					"Arcane Protector", -- [1]
					"Karazhan", -- [2]
				},
				[150190] = {
					"HK-8 Aerial Oppression Unit", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[37132] = {
					"Ymirjar Battle-Maiden", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[91783] = {
					"Hatecoil Stormweaver", -- [1]
					"Eye of Azshara", -- [2]
				},
				[76630] = {
					"Malgrim Stormhand", -- [1]
					"Frostfire Finale Scenario", -- [2]
				},
				[141495] = {
					"Kul Tiran Footman", -- [1]
					"Siege of Boralus", -- [2]
				},
				[53224] = {
					"Flamewaker Taskmaster", -- [1]
					"Firelands", -- [2]
				},
				[43430] = {
					"Stonecore Berserker", -- [1]
					"The Stonecore", -- [2]
				},
				[12416] = {
					"Blackwing Legionnaire", -- [1]
					"Blackwing Lair", -- [2]
				},
				[158375] = {
					"Corruptor Tentacle", -- [1]
					"Ny'alotha, the Waking City", -- [2]
				},
				[11661] = {
					"Flamewaker", -- [1]
					"Molten Core", -- [2]
				},
				[163746] = {
					"Walkie Shockie X1", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[137405] = {
					"Gripping Terror", -- [1]
					"Siege of Boralus", -- [2]
				},
				[75416] = {
					"Coldsnout Boar", -- [1]
					"FW Horde Garrison Level 1", -- [2]
				},
				[12464] = {
					"Death Talon Seether", -- [1]
					"Blackwing Lair", -- [2]
				},
				[131311] = {
					"Unleashed Azerite", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[42695] = {
					"Stonecore Sentry", -- [1]
					"The Stonecore", -- [2]
				},
				[158376] = {
					"Psychus", -- [1]
					"Ny'alotha, the Waking City", -- [2]
				},
				[129699] = {
					"Ludwig Von Tortollan", -- [1]
					"Freehold", -- [2]
				},
				[129529] = {
					"Blacktooth Scrapper", -- [1]
					"Freehold", -- [2]
				},
				[135231] = {
					"Spectral Brute", -- [1]
					"Kings' Rest", -- [2]
				},
				[91784] = {
					"Warlord Parjesh", -- [1]
					"Eye of Azshara", -- [2]
				},
				[95940] = {
					"Bitterbrine Scavenger", -- [1]
					"Eye of Azshara", -- [2]
				},
				[130307] = {
					"Unstable Typhoon", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[34799] = {
					"Dreadscale", -- [1]
					"Trial of the Crusader", -- [2]
				},
				[140986] = {
					"Acidic Burrower", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[130653] = {
					"Wanton Sapper", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[34564] = {
					"Anub'arak", -- [1]
					"Trial of the Crusader", -- [2]
				},
				[130437] = {
					"Mine Rat", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[150297] = {
					"Mechagon Renormalizer", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[88268] = {
					"Thunderlord Gronnstalker", -- [1]
					"FW Horde Garrison Level 2", -- [2]
				},
				[37022] = {
					"Blighted Abomination", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[138650] = {
					"Tide-Lost Champion", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[132803] = {
					"Rockmane Wendigo", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[37133] = {
					"Ymirjar Warlord", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[43537] = {
					"Stonecore Earthshaper", -- [1]
					"The Stonecore", -- [2]
				},
				[75417] = {
					"Coldsnout Piglet", -- [1]
					"FW Horde Garrison Level 1", -- [2]
				},
				[91785] = {
					"Wandering Shellback", -- [1]
					"Eye of Azshara", -- [2]
				},
				[34465] = {
					"Velanaa", -- [1]
					"Trial of the Crusader", -- [2]
				},
				[155094] = {
					"Mechagon Trooper", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[53639] = {
					"Flamewaker Cauterizer", -- [1]
					"Firelands", -- [2]
				},
				[140988] = {
					"Steelshred", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[11665] = {
					"Lava Annihilator", -- [1]
					"Molten Core", -- [2]
				},
				[11673] = {
					"Ancient Core Hound", -- [1]
					"Molten Core", -- [2]
				},
				[100248] = {
					"Ritualist Lesha", -- [1]
					"Eye of Azshara", -- [2]
				},
				[140095] = {
					"Mudsnout Gorer", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[82131] = {
					"Packmaster Grokglok", -- [1]
					"Grommashar Scenario", -- [2]
				},
				[16457] = {
					"Maiden of Virtue", -- [1]
					"Karazhan", -- [2]
				},
				[42696] = {
					"Stonecore Warbringer", -- [1]
					"The Stonecore", -- [2]
				},
				[130404] = {
					"Vermin Trapper", -- [1]
					"Freehold", -- [2]
				},
				[140094] = {
					"Mudsnout Thornback", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[16473] = {
					"Spectral Performer", -- [1]
					"Karazhan", -- [2]
				},
				[135235] = {
					"Spectral Beastmaster", -- [1]
					"Kings' Rest", -- [2]
				},
				[91786] = {
					"Gritslime Snail", -- [1]
					"Eye of Azshara", -- [2]
				},
				[126185] = {
					"Zian-Ti Shadowcaster", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[88288] = {
					"Dungeoneer's Training Dummy", -- [1]
					"FW Horde Garrison Level 3", -- [2]
				},
				[76633] = {
					"Blackrock Hammer-Sister", -- [1]
					"Frostfire Finale Scenario", -- [2]
				},
				[34800] = {
					"Snobold Vassal", -- [1]
					"Trial of the Crusader", -- [2]
				},
				[16409] = {
					"Phantom Guest", -- [1]
					"Karazhan", -- [2]
				},
				[16425] = {
					"Phantom Guardsman", -- [1]
					"Karazhan", -- [2]
				},
				[38125] = {
					"Ymirjar Deathbringer", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[34928] = {
					"Argent Confessor Paletress", -- [1]
					"Trial of the Champion", -- [2]
				},
				[82132] = {
					"Durn the Hungerer", -- [1]
					"Grommashar Scenario", -- [2]
				},
				[16489] = {
					"Chaotic Sentience", -- [1]
					"Karazhan", -- [2]
				},
				[131436] = {
					"Chosen Blood Matron", -- [1]
					"The Underrot", -- [2]
				},
				[159405] = {
					"Aqir Scarab", -- [1]
					"Ny'alotha, the Waking City", -- [2]
				},
				[140096] = {
					"Mudsnout Boar", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[130661] = {
					"Venture Co. Earthshaper", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[128551] = {
					"Irontide Mastiff", -- [1]
					"Freehold", -- [2]
				},
				[91787] = {
					"Cove Seagull", -- [1]
					"Eye of Azshara", -- [2]
				},
				[53630] = {
					"Unstable Pyrelord", -- [1]
					"Firelands", -- [2]
				},
				[15691] = {
					"The Curator", -- [1]
					"Karazhan", -- [2]
				},
				[53694] = {
					"Riplimb", -- [1]
					"Firelands", -- [2]
				},
				[141282] = {
					"Kul Tiran Footman", -- [1]
					"Siege of Boralus", -- [2]
				},
				[136005] = {
					"Rowdy Reveler", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[95920] = {
					"Animated Storm", -- [1]
					"Eye of Azshara", -- [2]
				},
				[140353] = {
					"Brightscale Coilfang", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[53223] = {
					"Flamewaker Beast Handler", -- [1]
					"Firelands", -- [2]
				},
				[131402] = {
					"Underrot Tick", -- [1]
					"The Underrot", -- [2]
				},
				[134599] = {
					"Imbued Stormcaller", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[82133] = {
					"Garrosh Hellscream", -- [1]
					"Grommashar Scenario", -- [2]
				},
				[14023] = {
					"Corrupted Green Whelp", -- [1]
					"Blackwing Lair", -- [2]
				},
				[136006] = {
					"Rowdy Reveler", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[53119] = {
					"Flamewaker Forward Guard", -- [1]
					"Firelands", -- [2]
				},
				[135239] = {
					"Spectral Witch Doctor", -- [1]
					"Kings' Rest", -- [2]
				},
				[150712] = {
					"Trixie Tazer", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[81622] = {
					"Warsong Wolf Tamer", -- [1]
					"Grommashar Scenario", -- [2]
				},
				[134600] = {
					"Sandswept Marksman", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[53127] = {
					"Fire Scorpion", -- [1]
					"Firelands", -- [2]
				},
				[42789] = {
					"Stonecore Magmalord", -- [1]
					"The Stonecore", -- [2]
				},
				[158452] = {
					"Mindtwist Tendril", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[12057] = {
					"Garr", -- [1]
					"Molten Core", -- [2]
				},
				[140355] = {
					"Brightscale Screecher", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[136391] = {
					"Heart Guardian", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[88272] = {
					"Thunderlord Giantslayer", -- [1]
					"FW Horde Garrison Level 2", -- [2]
				},
				[162764] = {
					"Twisted Appendage", -- [1]
					"The Battle for Gilneas", -- [2]
				},
				[34474] = {
					"Serissa Grimdabbler", -- [1]
					"Trial of the Crusader", -- [2]
				},
				[37134] = {
					"Ymirjar Huntress", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[87761] = {
					"Dungeoneer's Training Dummy", -- [1]
					"FW Horde Garrison Level 3", -- [2]
				},
				[151610] = {
					"Amathet Guardian", -- [1]
					"Halls of Origination", -- [2]
				},
				[135241] = {
					"Bilge Rat Pillager", -- [1]
					"Siege of Boralus", -- [2]
				},
				[129640] = {
					"Snarling Dockhound", -- [1]
					"Siege of Boralus", -- [2]
				},
				[53631] = {
					"Cinderweb Spiderling", -- [1]
					"Firelands", -- [2]
				},
				[134602] = {
					"Shrouded Fang", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[18168] = {
					"The Crone", -- [1]
					"Karazhan", -- [2]
				},
				[133835] = {
					"Feral Bloodswarmer", -- [1]
					"The Underrot", -- [2]
				},
				[133963] = {
					"Test Subject", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[130024] = {
					"Soggy Shiprat", -- [1]
					"Freehold", -- [2]
				},
				[127019] = {
					"Training Dummy", -- [1]
					"Freehold", -- [2]
				},
				[37004] = {
					"Skybreaker Dreadblade", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[36807] = {
					"Deathspeaker Disciple", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[53791] = {
					"Blazing Monstrosity", -- [1]
					"Firelands", -- [2]
				},
				[28961] = {
					"Titanium Siegebreaker", -- [1]
					"Halls of Lightning", -- [2]
				},
				[133836] = {
					"Reanimated Guardian", -- [1]
					"The Underrot", -- [2]
				},
				[54015] = {
					"Majordomo Staghelm", -- [1]
					"Firelands", -- [2]
				},
				[153401] = {
					"K'thir Dominator", -- [1]
					"Horrific Vision of Orgrimmar", -- [2]
				},
				[131407] = {
					"Venture Goon", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[91790] = {
					"Mak'rana Siltwalker", -- [1]
					"Eye of Azshara", -- [2]
				},
				[53120] = {
					"Flamewaker Pathfinder", -- [1]
					"Firelands", -- [2]
				},
				[37027] = {
					"Skybreaker Hierophant", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[130521] = {
					"Freehold Deckhand", -- [1]
					"Freehold", -- [2]
				},
				[81880] = {
					"Iron Subjugator", -- [1]
					"Grommashar Scenario", -- [2]
				},
				[16410] = {
					"Spectral Retainer", -- [1]
					"Karazhan", -- [2]
				},
				[136139] = {
					"Mechanized Peacekeeper", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[151612] = {
					"Amathet Sun Priest", -- [1]
					"Halls of Origination", -- [2]
				},
				[139464] = {
					"Zian-Ti Howler", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[17543] = {
					"Strawman", -- [1]
					"Karazhan", -- [2]
				},
				[34705] = {
					"Marshal Jacob Alerius", -- [1]
					"Trial of the Champion", -- [2]
				},
				[154744] = {
					"Toxic Monstrosity", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[135245] = {
					"Bilge Rat Demolisher", -- [1]
					"Siege of Boralus", -- [2]
				},
				[158774] = {
					"Broken Citizen", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[52577] = {
					"Left Foot", -- [1]
					"Firelands", -- [2]
				},
				[151613] = {
					"Anti-Personnel Squirrel", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[37232] = {
					"Nerub'ar Broodling", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[95947] = {
					"Mak'rana Hardshell", -- [1]
					"Eye of Azshara", -- [2]
				},
				[134629] = {
					"Scaled Krolusk Rider", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[12468] = {
					"Death Talon Hatcher", -- [1]
					"Blackwing Lair", -- [2]
				},
				[28926] = {
					"Spark of Ionar", -- [1]
					"Halls of Lightning", -- [2]
				},
				[134990] = {
					"Charged Dust Devil", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[138187] = {
					"Grotesque Horror", -- [1]
					"The Underrot", -- [2]
				},
				[138465] = {
					"Ashvane Cannoneer", -- [1]
					"Siege of Boralus", -- [2]
				},
				[12457] = {
					"Blackwing Spellbinder", -- [1]
					"Blackwing Lair", -- [2]
				},
				[12465] = {
					"Death Talon Wyrmkin", -- [1]
					"Blackwing Lair", -- [2]
				},
				[158136] = {
					"Inquisitor Darkspeak", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[15550] = {
					"Attumen the Huntsman", -- [1]
					"Karazhan", -- [2]
				},
				[36950] = {
					"Skybreaker Marine", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[134991] = {
					"Sandfury Stonefist", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[81817] = {
					"Burning Legionnaire", -- [1]
					"Teron'gor's Confrontation", -- [2]
				},
				[131411] = {
					"Venomscale Monitor", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[46951] = {
					"Chosen Warrior", -- [1]
					"The Bastion of Twilight", -- [2]
				},
				[53121] = {
					"Flamewaker Cauterizer", -- [1]
					"Firelands", -- [2]
				},
				[153022] = {
					"Snang", -- [1]
					"Horrific Vision of Orgrimmar", -- [2]
				},
				[76639] = {
					"Blackrock Ironhusk", -- [1]
					"Frostfire Finale Scenario", -- [2]
				},
				[144071] = {
					"Irontide Waveshaper", -- [1]
					"Siege of Boralus", -- [2]
				},
				[138061] = {
					"Venture Co. Longshoreman", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[132051] = {
					"Blood Tick", -- [1]
					"The Underrot", -- [2]
				},
				[53222] = {
					"Flamewaker Centurion", -- [1]
					"Firelands", -- [2]
				},
				[127799] = {
					"Dazar'ai Honor Guard", -- [1]
					"Atal'Dazar", -- [2]
				},
				[52530] = {
					"Alysrazor", -- [1]
					"Firelands", -- [2]
				},
				[130012] = {
					"Irontide Ravager", -- [1]
					"Freehold", -- [2]
				},
				[42188] = {
					"Ozruk", -- [1]
					"The Stonecore", -- [2]
				},
				[132819] = {
					"Rustpelt Pup", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[134993] = {
					"Mchimba the Embalmer", -- [1]
					"Kings' Rest", -- [2]
				},
				[138464] = {
					"Ashvane Deckhand", -- [1]
					"Siege of Boralus", -- [2]
				},
				[129208] = {
					"Dread Captain Lockwood", -- [1]
					"Siege of Boralus", -- [2]
				},
				[91793] = {
					"Seaspray Crab", -- [1]
					"Eye of Azshara", -- [2]
				},
				[150253] = {
					"Weaponized Crawler", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[52558] = {
					"Lord Rhyolith", -- [1]
					"Firelands", -- [2]
				},
				[11658] = {
					"Molten Giant", -- [1]
					"Molten Core", -- [2]
				},
				[132820] = {
					"Mudsnout Piglet", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[11666] = {
					"Firewalker", -- [1]
					"Molten Core", -- [2]
				},
				[53793] = {
					"Harbinger of Flame", -- [1]
					"Firelands", -- [2]
				},
				[35590] = {
					"Risen Champion", -- [1]
					"Trial of the Champion", -- [2]
				},
				[76960] = {
					"Iron Grunt", -- [1]
					"Frostfire Finale Scenario", -- [2]
				},
				[135846] = {
					"Sand-Crusted Striker", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[158140] = {
					"Frenzied Rat", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[134739] = {
					"Purification Construct", -- [1]
					"Kings' Rest", -- [2]
				},
				[97264] = {
					"Hatecoil Shellbreaker", -- [1]
					"Eye of Azshara", -- [2]
				},
				[36626] = {
					"Festergut", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[129517] = {
					"Reanimated Raptor", -- [1]
					"Atal'Dazar", -- [2]
				},
				[98173] = {
					"Mystic Ssa'veh", -- [1]
					"Eye of Azshara", -- [2]
				},
				[46952] = {
					"Chosen Seer", -- [1]
					"The Bastion of Twilight", -- [2]
				},
				[132755] = {
					"Breakbeak Scavenger", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[47016] = {
					"Shadow Lord", -- [1]
					"The Bastion of Twilight", -- [2]
				},
				[11583] = {
					"Nefarian", -- [1]
					"Blackwing Lair", -- [2]
				},
				[133482] = {
					"Crawler Mine", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[16411] = {
					"Spectral Chef", -- [1]
					"Karazhan", -- [2]
				},
				[97172] = {
					"Saltsea Droplet", -- [1]
					"Eye of Azshara", -- [2]
				},
				[37868] = {
					"Risen Archmage", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[16459] = {
					"Wanton Hostess", -- [1]
					"Karazhan", -- [2]
				},
				[36612] = {
					"Lord Marrowgar", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[16491] = {
					"Mana Feeder", -- [1]
					"Karazhan", -- [2]
				},
				[5925] = {
					"Grounding Totem", -- [1]
					"Trial of the Crusader", -- [2]
				},
				[17546] = {
					"Roar", -- [1]
					"Karazhan", -- [2]
				},
				[16539] = {
					"Homunculus", -- [1]
					"Karazhan", -- [2]
				},
				[91789] = {
					"Lady Hatecoil", -- [1]
					"Eye of Azshara", -- [2]
				},
				[37038] = {
					"Vengeful Fleshreaper", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[16481] = {
					"Ghastly Haunt", -- [1]
					"Karazhan", -- [2]
				},
				[133463] = {
					"Venture Co. War Machine", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[91792] = {
					"Stormwake Hydra", -- [1]
					"Eye of Azshara", -- [2]
				},
				[150295] = {
					"Tank Buster MK1", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[16177] = {
					"Dreadbeast", -- [1]
					"Karazhan", -- [2]
				},
				[159305] = {
					"Maddened Conscript", -- [1]
					"Ny'alotha, the Waking City", -- [2]
				},
				[140985] = {
					"Acidic Worm", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[159633] = {
					"Cultist Executioner", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[131729] = {
					"Lyco", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[72934] = {
					"Trained Coldsnout", -- [1]
					"FW Horde Garrison Level 2", -- [2]
				},
				[36855] = {
					"Lady Deathwhisper", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[137940] = {
					"Safety Shark", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[14024] = {
					"Corrupted Blue Whelp", -- [1]
					"Blackwing Lair", -- [2]
				},
				[36627] = {
					"Rotface", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[153541] = {
					"Slavemaster Ul'rok", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[134232] = {
					"Hired Assassin", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[133593] = {
					"Expert Technician", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[12018] = {
					"Majordomo Executus", -- [1]
					"Molten Core", -- [2]
				},
				[134616] = {
					"Krolusk Pup", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[53187] = {
					"Flamewaker Animator", -- [1]
					"Firelands", -- [2]
				},
				[47081] = {
					"Elemental Firelord", -- [1]
					"The Bastion of Twilight", -- [2]
				},
				[97171] = {
					"Hatecoil Arcanist", -- [1]
					"Eye of Azshara", -- [2]
				},
				[153130] = {
					"Greater Void Elemental", -- [1]
					"Horrific Vision of Orgrimmar", -- [2]
				},
				[37970] = {
					"Prince Valanar", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[158146] = {
					"Fallen Riftwalker", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[16174] = {
					"Greater Shadowbat", -- [1]
					"Karazhan", -- [2]
				},
				[134617] = {
					"Krolusk Hatchling", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[12098] = {
					"Sulfuron Harbinger", -- [1]
					"Molten Core", -- [2]
				},
				[159425] = {
					"Occult Shadowmender", -- [1]
					"Ny'alotha, the Waking City", -- [2]
				},
				[35029] = {
					"Memory of Mutanus", -- [1]
					"Trial of the Champion", -- [2]
				},
				[17067] = {
					"Phantom Hound", -- [1]
					"Karazhan", -- [2]
				},
				[133345] = {
					"Feckless Assistant", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[91797] = {
					"King Deepbeard", -- [1]
					"Eye of Azshara", -- [2]
				},
				[53635] = {
					"Cinderweb Drone", -- [1]
					"Firelands", -- [2]
				},
				[152009] = {
					"Malfunctioning Scrapbot", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[138838] = {
					"Zara'thik Mantid", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[127124] = {
					"Freehold Barhand", -- [1]
					"Freehold", -- [2]
				},
				[153942] = {
					"Annihilator Lak'hal", -- [1]
					"Horrific Vision of Orgrimmar", -- [2]
				},
				[53795] = {
					"Egg Pile", -- [1]
					"Firelands", -- [2]
				},
				[135258] = {
					"Irontide Marauder", -- [1]
					"Siege of Boralus", -- [2]
				},
				[134364] = {
					"Faithless Tender", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[138971] = {
					"Zian-Ti Serpent", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[159303] = {
					"Monstrous Behemoth", -- [1]
					"Ny'alotha, the Waking City", -- [2]
				},
				[138840] = {
					"Zara'thik Impaler", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[133852] = {
					"Living Rot", -- [1]
					"The Underrot", -- [2]
				},
				[128434] = {
					"Feasting Skyscreamer", -- [1]
					"Atal'Dazar", -- [2]
				},
				[89241] = {
					"Grom'kar Sniper", -- [1]
					"FW Horde Garrison Level 2", -- [2]
				},
				[78116] = {
					"Water Elemental", -- [1]
					"Ny'alotha, the Waking City", -- [2]
				},
				[36724] = {
					"Servant of the Throne", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[73448] = {
					"Giantslayer's Trophy", -- [1]
					"FW Horde Garrison Level 2", -- [2]
				},
				[16524] = {
					"Shade of Aran", -- [1]
					"Karazhan", -- [2]
				},
				[53188] = {
					"Flamewaker Subjugator", -- [1]
					"Firelands", -- [2]
				},
				[138968] = {
					"Zian-Ti Ironmaw", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[16412] = {
					"Ghostly Baker", -- [1]
					"Karazhan", -- [2]
				},
				[16540] = {
					"Shadow Pillager", -- [1]
					"Karazhan", -- [2]
				},
				[36948] = {
					"Muradin Bronzebeard", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[16460] = {
					"Night Mistress", -- [1]
					"Karazhan", -- [2]
				},
				[37012] = {
					"Ancient Skeletal Soldier", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[16492] = {
					"Syphoner", -- [1]
					"Karazhan", -- [2]
				},
				[43214] = {
					"Slabhide", -- [1]
					"The Stonecore", -- [2]
				},
				[150222] = {
					"Gunker", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[128435] = {
					"Toxic Saurid", -- [1]
					"Atal'Dazar", -- [2]
				},
				[138969] = {
					"Zian-Ti Spirit", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[97170] = {
					"Hatecoil Wavebinder", -- [1]
					"Eye of Azshara", -- [2]
				},
				[158279] = {
					"Haywire Clockwork Rocket Bot", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[14456] = {
					"Blackwing Guardsman", -- [1]
					"Blackwing Lair", -- [2]
				},
				[43438] = {
					"Corborus", -- [1]
					"The Stonecore", -- [2]
				},
				[138842] = {
					"Ta'kil the Resonator", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[53732] = {
					"Unbound Smoldering Elemental", -- [1]
					"Firelands", -- [2]
				},
				[150143] = {
					"Scrapbone Grinder", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[139097] = {
					"Sandswept Marksman", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[10404] = {
					"Pustulating Horror", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[12458] = {
					"Blackwing Taskmaster", -- [1]
					"Blackwing Lair", -- [2]
				},
				[43662] = {
					"Unbound Earth Rager", -- [1]
					"The Stonecore", -- [2]
				},
				[17547] = {
					"Tinhead", -- [1]
					"Karazhan", -- [2]
				},
				[15551] = {
					"Spectral Stable Hand", -- [1]
					"Karazhan", -- [2]
				},
				[36597] = {
					"The Lich King", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[135007] = {
					"Orb Guardian", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[126429] = {
					"Encrusted Coralback", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[135263] = {
					"Ashvane Spotter", -- [1]
					"Siege of Boralus", -- [2]
				},
				[36725] = {
					"Nerub'ar Broodkeeper", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[157594] = {
					"Lesser Void Elemental", -- [1]
					"Horrific Vision of Orgrimmar", -- [2]
				},
				[37011] = {
					"The Damned", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[16175] = {
					"Vampiric Shadowbat", -- [1]
					"Karazhan", -- [2]
				},
				[36853] = {
					"Sindragosa", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[140123] = {
					"Weaponmaster Halu", -- [1]
					"Kings' Rest", -- [2]
				},
				[47017] = {
					"Fire Elemental", -- [1]
					"The Bastion of Twilight", -- [2]
				},
				[37972] = {
					"Prince Keleseth", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[139433] = {
					"Sister of Anguish", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[141285] = {
					"Kul Tiran Marksman", -- [1]
					"Siege of Boralus", -- [2]
				},
				[162647] = {
					"Willing Sacrifice", -- [1]
					"Ny'alotha, the Waking City", -- [2]
				},
				[45261] = {
					"Twilight Shadow Knight", -- [1]
					"The Bastion of Twilight", -- [2]
				},
				[15687] = {
					"Moroes", -- [1]
					"Karazhan", -- [2]
				},
				[150292] = {
					"Mechagon Cavalry", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[136160] = {
					"King Dazar", -- [1]
					"Kings' Rest", -- [2]
				},
				[81629] = {
					"Nagrand Savager", -- [1]
					"Grommashar Scenario", -- [2]
				},
				[161953] = {
					"Inimot, the Radiant Blade", -- [1]
					"Halls of Origination", -- [2]
				},
				[28695] = {
					"Molten Golem", -- [1]
					"Halls of Lightning", -- [2]
				},
				[130522] = {
					"Freehold Shipmate", -- [1]
					"Freehold", -- [2]
				},
				[126190] = {
					"Zian-Ti Brutalizer", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[11659] = {
					"Molten Destroyer", -- [1]
					"Molten Core", -- [2]
				},
				[11667] = {
					"Flameguard", -- [1]
					"Molten Core", -- [2]
				},
				[53206] = {
					"Hell Hound", -- [1]
					"Firelands", -- [2]
				},
				[45993] = {
					"Theralion", -- [1]
					"The Bastion of Twilight", -- [2]
				},
				[35763] = {
					"Skittering Scarab", -- [1]
					"Trial of the Crusader", -- [2]
				},
				[132807] = {
					"Zian-Ti Quilen", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[144301] = {
					"Living Waste", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[158284] = {
					"Craggle Wobbletop", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[134994] = {
					"Spectral Headhunter", -- [1]
					"Kings' Rest", -- [2]
				},
				[81818] = {
					"Legion Hunter-Killer", -- [1]
					"Teron'gor's Confrontation", -- [2]
				},
				[53185] = {
					"Flamewaker Overseer", -- [1]
					"Firelands", -- [2]
				},
				[84577] = {
					"Grommashar Warsinger", -- [1]
					"Grommashar Scenario", -- [2]
				},
				[53094] = {
					"Patriarch Fire Turtle", -- [1]
					"Firelands", -- [2]
				},
				[131431] = {
					"Safety Inspection Bot", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[37813] = {
					"Deathbringer Saurfang", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[158285] = {
					"Tinkered Shieldbot", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[97173] = {
					"Restless Tides", -- [1]
					"Eye of Azshara", -- [2]
				},
				[47079] = {
					"Lava Scarab", -- [1]
					"The Bastion of Twilight", -- [2]
				},
				[160183] = {
					"Void Fanatic", -- [1]
					"Ny'alotha, the Waking City", -- [2]
				},
				[37973] = {
					"Prince Taldaram", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[16461] = {
					"Concubine", -- [1]
					"Karazhan", -- [2]
				},
				[36880] = {
					"Decaying Colossus", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[158158] = {
					"Forge-Guard Hurrul", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[158286] = {
					"Reprogrammed Warbot", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[16525] = {
					"Spell Shade", -- [1]
					"Karazhan", -- [2]
				},
				[130485] = {
					"Mechanized Peacekeeper", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[129526] = {
					"Bilge Rat Swabby", -- [1]
					"Freehold", -- [2]
				},
				[138338] = {
					"Reanimated Guardian", -- [1]
					"The Underrot", -- [2]
				},
				[54143] = {
					"Molten Flamefather", -- [1]
					"Firelands", -- [2]
				},
				[140334] = {
					"Nightscale Coilfang", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[155090] = {
					"Anodized Coilbearer", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[140434] = {
					"Craghoof Rockhorn", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[131817] = {
					"Cragmaw the Infested", -- [1]
					"The Underrot", -- [2]
				},
				[53140] = {
					"Son of Flame", -- [1]
					"Firelands", -- [2]
				},
				[126969] = {
					"Trothak", -- [1]
					"Freehold", -- [2]
				},
				[12420] = {
					"Blackwing Mage", -- [1]
					"Blackwing Lair", -- [2]
				},
				[137029] = {
					"Ordnance Specialist", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[136549] = {
					"Ashvane Cannoneer", -- [1]
					"Siege of Boralus", -- [2]
				},
				[53695] = {
					"Rageface", -- [1]
					"Firelands", -- [2]
				},
				[132713] = {
					"Mogul Razdunk", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[14025] = {
					"Corrupted Bronze Whelp", -- [1]
					"Blackwing Lair", -- [2]
				},
				[53087] = {
					"Right Foot", -- [1]
					"Firelands", -- [2]
				},
				[129527] = {
					"Bilge Rat Buccaneer", -- [1]
					"Freehold", -- [2]
				},
				[16173] = {
					"Shadowbat", -- [1]
					"Karazhan", -- [2]
				},
				[154524] = {
					"K'thir Mindcarver", -- [1]
					"Horrific Vision of Orgrimmar", -- [2]
				},
				[37782] = {
					"Flesh-eating Insect", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[76587] = {
					"Thunderlord Trapper", -- [1]
					"Frostfire Finale Scenario", -- [2]
				},
				[12017] = {
					"Broodlord Lashlayer", -- [1]
					"Blackwing Lair", -- [2]
				},
				[136934] = {
					"Weapons Tester", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[14022] = {
					"Corrupted Red Whelp", -- [1]
					"Blackwing Lair", -- [2]
				},
				[16151] = {
					"Midnight", -- [1]
					"Karazhan", -- [2]
				},
				[42428] = {
					"Devout Follower", -- [1]
					"The Stonecore", -- [2]
				},
				[37217] = {
					"Precious", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[140643] = {
					"Ferocious Craghorn", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[147932] = {
					"Agitated Azershard", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[12099] = {
					"Firesworn", -- [1]
					"Molten Core", -- [2]
				},
				[84388] = {
					"Nagrand Savager", -- [1]
					"Grommashar Scenario", -- [2]
				},
				[78314] = {
					"Glacial Icemaw", -- [1]
					"FW Horde Garrison Level 1", -- [2]
				},
				[141283] = {
					"Kul Tiran Halberd", -- [1]
					"Siege of Boralus", -- [2]
				},
				[53575] = {
					"Lava Wielder", -- [1]
					"Firelands", -- [2]
				},
				[136643] = {
					"Azerite Extractor", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[153943] = {
					"Decimator Shiq'voth", -- [1]
					"Horrific Vision of Orgrimmar", -- [2]
				},
				[147933] = {
					"Geoactive Azershard", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[150195] = {
					"Gnome-Eating Slime", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[37229] = {
					"Frostwarden Sorceress", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[139110] = {
					"Spark Channeler", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[141284] = {
					"Kul Tiran Wavetender", -- [1]
					"Siege of Boralus", -- [2]
				},
				[134251] = {
					"Seneschal M'bara", -- [1]
					"Kings' Rest", -- [2]
				},
				[34703] = {
					"Lana Stouthammer", -- [1]
					"Trial of the Champion", -- [2]
				},
				[146843] = {
					"Spiked Ghoul", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[161437] = {
					"Explosive Scarab", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[35545] = {
					"Risen Jaeren Sunsworn", -- [1]
					"Trial of the Champion", -- [2]
				},
				[28546] = {
					"Ionar", -- [1]
					"Halls of Lightning", -- [2]
				},
				[130488] = {
					"Mech Jockey", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[28578] = {
					"Hardened Steel Reaver", -- [1]
					"Halls of Lightning", -- [2]
				},
				[12259] = {
					"Gehennas", -- [1]
					"Molten Core", -- [2]
				},
				[53096] = {
					"Fire Turtle Hatchling", -- [1]
					"Firelands", -- [2]
				},
				[53128] = {
					"Giant Fire Scorpion", -- [1]
					"Firelands", -- [2]
				},
				[147935] = {
					"Azergem Crawler", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[88266] = {
					"Thunderlord Shaman", -- [1]
					"FW Horde Garrison Level 2", -- [2]
				},
				[47086] = {
					"Crimsonborne Firestarter", -- [1]
					"The Bastion of Twilight", -- [2]
				},
				[16414] = {
					"Ghostly Steward", -- [1]
					"Karazhan", -- [2]
				},
				[47150] = {
					"Earth Ravager", -- [1]
					"The Bastion of Twilight", -- [2]
				},
				[37228] = {
					"Frostwarden Warrior", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[16408] = {
					"Phantom Valet", -- [1]
					"Karazhan", -- [2]
				},
				[37016] = {
					"Skybreaker Luminary", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[147936] = {
					"Azergem Shardback", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[14401] = {
					"Master Elemental Shaper Krixix", -- [1]
					"Blackwing Lair", -- [2]
				},
				[16526] = {
					"Sorcerous Shade", -- [1]
					"Karazhan", -- [2]
				},
				[37144] = {
					"Skybreaker Marksman", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[136250] = {
					"Hoodoo Hexer", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[133436] = {
					"Venture Co. Skyscorcher", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[151773] = {
					"Junkyard D.0.G.", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[53640] = {
					"Flamewaker Sentinel", -- [1]
					"Firelands", -- [2]
				},
				[137485] = {
					"Bloodsworn Agent", -- [1]
					"Kings' Rest", -- [2]
				},
				[160341] = {
					"Sewer Beastling", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[126845] = {
					"Captain Jolly", -- [1]
					"Freehold", -- [2]
				},
				[12435] = {
					"Razorgore the Untamed", -- [1]
					"Blackwing Lair", -- [2]
				},
				[140071] = {
					"Old One-Fang", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[152669] = {
					"Void Globule", -- [1]
					"Horrific Vision of Orgrimmar", -- [2]
				},
				[12459] = {
					"Blackwing Warlock", -- [1]
					"Blackwing Lair", -- [2]
				},
				[12467] = {
					"Death Talon Captain", -- [1]
					"Blackwing Lair", -- [2]
				},
				[147938] = {
					"Azergem Crystalback", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[45267] = {
					"Twilight Phase-Twister", -- [1]
					"The Bastion of Twilight", -- [2]
				},
				[132849] = {
					"Grizzlefur Cub", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[35610] = {
					"Cat", -- [1]
					"Trial of the Crusader", -- [2]
				},
				[130909] = {
					"Fetid Maggot", -- [1]
					"The Underrot", -- [2]
				},
				[37026] = {
					"Skybreaker Sorcerer", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[91808] = {
					"Serpentrix", -- [1]
					"Eye of Azshara", -- [2]
				},
				[158041] = {
					"N'Zoth the Corruptor", -- [1]
					"Ny'alotha, the Waking City", -- [2]
				},
				[96028] = {
					"Wrath of Azshara", -- [1]
					"Eye of Azshara", -- [2]
				},
				[159320] = {
					"Amahtet", -- [1]
					"Ny'alotha, the Waking City", -- [2]
				},
				[47087] = {
					"Azureborne Destroyer", -- [1]
					"The Bastion of Twilight", -- [2]
				},
				[144231] = {
					"Rowdy Reveler", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[47151] = {
					"Wind Breaker", -- [1]
					"The Bastion of Twilight", -- [2]
				},
				[135475] = {
					"Kula the Butcher", -- [1]
					"Kings' Rest", -- [2]
				},
				[139949] = {
					"Plague Doctor", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[37017] = {
					"Skybreaker Assassin", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[89219] = {
					"Shattered Hand Assassin", -- [1]
					"FW Horde Garrison Level 2", -- [2]
				},
				[38104] = {
					"Plagued Zombie", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[79756] = {
					"Coldsnout Sow", -- [1]
					"FW Horde Garrison Level 1", -- [2]
				},
				[144232] = {
					"Rowdy Reveler", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[53545] = {
					"Molten Spewer", -- [1]
					"Firelands", -- [2]
				},
				[151649] = {
					"Defense Bot Mk I", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[129601] = {
					"Cutwater Harpooner", -- [1]
					"Freehold", -- [2]
				},
				[37126] = {
					"Sister Svalna", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[152033] = {
					"Inconspicuous Plant", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[89] = {
					"Infernal", -- [1]
					"Ny'alotha, the Waking City", -- [2]
				},
				[126847] = {
					"Captain Raoul", -- [1]
					"Freehold", -- [2]
				},
				[159578] = {
					"Exposed Synapse", -- [1]
					"Ny'alotha, the Waking City", -- [2]
				},
				[151579] = {
					"Shield Generator", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[152089] = {
					"Thrall", -- [1]
					"Horrific Vision of Orgrimmar", -- [2]
				},
				[35451] = {
					"The Black Knight", -- [1]
					"Trial of the Champion", -- [2]
				},
				[130435] = {
					"Addled Thug", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[161241] = {
					"Voidweaver Mal'thir", -- [1]
					"Freehold", -- [2]
				},
				[43286] = {
					"Crystal Shard", -- [1]
					"The Stonecore", -- [2]
				},
				[28547] = {
					"Storming Vortex", -- [1]
					"Halls of Lightning", -- [2]
				},
				[122969] = {
					"Zanchuli Witch-Doctor", -- [1]
					"Atal'Dazar", -- [2]
				},
				[28579] = {
					"Hardened Steel Berserker", -- [1]
					"Halls of Lightning", -- [2]
				},
				[42845] = {
					"Rock Borer", -- [1]
					"The Stonecore", -- [2]
				},
				[134388] = {
					"A Knot of Snakes", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[122971] = {
					"Dazar'ai Juggernaut", -- [1]
					"Atal'Dazar", -- [2]
				},
				[139759] = {
					"Mutineer Jalia", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[34780] = {
					"Lord Jaraxxus", -- [1]
					"Trial of the Crusader", -- [2]
				},
				[137969] = {
					"Interment Construct", -- [1]
					"Kings' Rest", -- [2]
				},
				[134005] = {
					"Shalebiter", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[47152] = {
					"Twilight Elementalist", -- [1]
					"The Bastion of Twilight", -- [2]
				},
				[138019] = {
					"Kul Tiran Vanguard", -- [1]
					"Siege of Boralus", -- [2]
				},
				[134389] = {
					"Venomous Ophidian", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[129214] = {
					"Coin-Operated Crowd Pummeler", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[161243] = {
					"Samh'rek, Beckoner of Chaos", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[45266] = {
					"Twilight Dark Mender", -- [1]
					"The Bastion of Twilight", -- [2]
				},
				[125977] = {
					"Reanimation Totem", -- [1]
					"Atal'Dazar", -- [2]
				},
				[135971] = {
					"Faithless Conscript", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[28835] = {
					"Stormforged Construct", -- [1]
					"Halls of Lightning", -- [2]
				},
				[151653] = {
					"Void Tentacle", -- [1]
					"Uldir Scenario", -- [2]
				},
				[134390] = {
					"Sand-crusted Striker", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[53642] = {
					"Cinderweb Spinner", -- [1]
					"Firelands", -- [2]
				},
				[161244] = {
					"Blood of the Corruptor", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[128651] = {
					"Hadal Darkfathom", -- [1]
					"Siege of Boralus", -- [2]
				},
				[137473] = {
					"Guard Captain Atu", -- [1]
					"Kings' Rest", -- [2]
				},
				[129231] = {
					"Rixxa Fluxflame", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[137204] = {
					"Hoodoo Hexer", -- [1]
					"Temple of Sethraliss", -- [2]
				},
				[34496] = {
					"Eydis Darkbane", -- [1]
					"Trial of the Crusader", -- [2]
				},
				[128652] = {
					"Viq'Goth", -- [1]
					"Siege of Boralus", -- [2]
				},
				[34461] = {
					"Tyrius Duskblade", -- [1]
					"Trial of the Crusader", -- [2]
				},
				[137716] = {
					"Bottom Feeder", -- [1]
					"The MOTHERLODE!!", -- [2]
				},
				[137484] = {
					"King A'akul", -- [1]
					"Kings' Rest", -- [2]
				},
				[76549] = {
					"Iron Grunt", -- [1]
					"Frostfire Finale Scenario", -- [2]
				},
				[11988] = {
					"Golemagg the Incinerator", -- [1]
					"Molten Core", -- [2]
				},
				[156642] = {
					"Enthralled Laborer", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[129599] = {
					"Cutwater Knife Juggler", -- [1]
					"Freehold", -- [2]
				},
				[133912] = {
					"Bloodsworn Defiler", -- [1]
					"The Underrot", -- [2]
				},
				[132481] = {
					"Kul Tiran Vanguard", -- [1]
					"Siege of Boralus", -- [2]
				},
				[151027] = {
					"Thornguard Burton", -- [1]
					"The Dread Chain (Islands 4)", -- [2]
				},
				[128649] = {
					"Sergeant Bainbridge", -- [1]
					"Siege of Boralus", -- [2]
				},
				[161502] = {
					"Ravenous Fleshfiend", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[133007] = {
					"Unbound Abomination", -- [1]
					"The Underrot", -- [2]
				},
				[16152] = {
					"Attumen the Huntsman", -- [1]
					"Karazhan", -- [2]
				},
				[153097] = {
					"Voidbound Shaman", -- [1]
					"Horrific Vision of Orgrimmar", -- [2]
				},
				[127106] = {
					"Irontide Officer", -- [1]
					"Freehold", -- [2]
				},
				[16176] = {
					"Shadowbeast", -- [1]
					"Karazhan", -- [2]
				},
				[147948] = {
					"Coagulated Azerite", -- [1]
					"The Rotting Mire (Islands 9)", -- [2]
				},
				[12100] = {
					"Lava Reaver", -- [1]
					"Molten Core", -- [2]
				},
				[150250] = {
					"Pistonhead Blaster", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[134284] = {
					"Fallen Deathspeaker", -- [1]
					"The Underrot", -- [2]
				},
				[158690] = {
					"Cultist Tormenter", -- [1]
					"Horrific Vision of Stormwind", -- [2]
				},
				[151657] = {
					"Bomb Tonk", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[150396] = {
					"Aerial Unit R-21/X", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[137591] = {
					"Healing Tide Totem", -- [1]
					"Kings' Rest", -- [2]
				},
				[37148] = {
					"Skybreaker Summoner", -- [1]
					"Icecrown Citadel", -- [2]
				},
				[141939] = {
					"Ashvane Spotter", -- [1]
					"Siege of Boralus", -- [2]
				},
				[150251] = {
					"Pistonhead Mechanic", -- [1]
					"Operation: Mechagon", -- [2]
				},
				[144249] = {
					"Omega Buster", -- [1]
					"Operation: Mechagon", -- [2]
				},
			},
			["aura_frame1_anchor"] = {
				["x"] = -43,
			},
			["indicator_scale"] = 0.8999999761581421,
			["cast_statusbar_spark_offset"] = 1,
			["global_offset_y"] = -3,
			["indicator_anchor"] = {
				["y"] = 12.83999633789063,
				["x"] = 0,
				["side"] = 8,
			},
			["aggro_modifies"] = {
				["health_bar_color"] = false,
			},
			["not_affecting_combat_alpha"] = 1,
			["cast_statusbar_color_finished"] = {
				1, -- [1]
				0.8392156862745098, -- [2]
				0.1843137254901961, -- [3]
			},
			["indicator_elite"] = false,
			["aura2_x_offset"] = 0,
			["aura_height"] = 18,
			["non_targeted_alpha_enabled"] = true,
			["aura_padding"] = 1.5,
			["cast_statusbar_bgtexture"] = "ElvUI Blank",
			["news_frame"] = {
				["PlaterNewsFrame"] = {
					["scale"] = 1,
				},
			},
			["target_indicator"] = "Simple Arrow",
			["hook_data"] = {
				{
					["Enabled"] = false,
					["Revision"] = 50,
					["HooksTemp"] = {
					},
					["Author"] = "Kastfall-Azralon",
					["Desc"] = "Easy way to change the color of an unit. Open the constructor script and follow the examples.",
					["Hooks"] = {
						["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    --list of npcs and their colors, can be inserted:\n    --name of the unit\n    --name of the unit in lower case\n    --npcID of the unit\n    \n    --color can be added as:\n    --color names: \"red\", \"yellow\"\n    --color hex: \"#FF0000\", \"#FFFF00\"\n    --color table: {1, 0, 0}, {1, 1, 0}    \n    \n    envTable.NpcColors = {\n        \n        --examples, using the unit name in lower case, regular unit name and the unitID:\n        \n        [\"Thunderlord Windreader\"] = \"red\", --using regular mob name and color it as red\n        [\"thunderlord crag-leaper\"] = {1, 1, 0}, --using lower case and coloring it yellow\n        [75790] = \"#00FF00\", --using the ID of the unit and using green as color\n        \n        --insert the new mobs here:\n        \n        \n        \n        \n        \n        \n        \n        \n        \n        \n        \n        \n        \n    } --close custom color bracket\n    \nend\n\n\n\n\n",
						["Nameplate Updated"] = "function (self, unitId, unitFrame, envTable)\n    \n    --attempt to get the color from the unit color list\n    local color = envTable.NpcColors [unitFrame.namePlateUnitNameLower] or envTable.NpcColors [unitFrame.namePlateUnitName] or envTable.NpcColors [unitFrame.namePlateNpcId]\n    \n    --if the color exists, set the health bar color\n    if (color) then\n        Plater.SetNameplateColor (unitFrame, color)\n    end\n    \nend\n\n\n\n\n\n\n\n\n\n\n\n",
					},
					["Time"] = 1547392935,
					["PlaterCore"] = 1,
					["Name"] = "Color Automation [Plater]",
					["LoadConditions"] = {
						["talent"] = {
						},
						["group"] = {
						},
						["class"] = {
						},
						["map_ids"] = {
						},
						["race"] = {
						},
						["pvptalent"] = {
						},
						["spec"] = {
						},
						["affix"] = {
						},
						["encounter_ids"] = {
						},
						["role"] = {
						},
					},
					["Icon"] = "Interface\\AddOns\\Plater\\images\\color_bar",
					["LastHookEdited"] = "",
				}, -- [1]
				{
					["Enabled"] = false,
					["Revision"] = 59,
					["HooksTemp"] = {
					},
					["Author"] = "Izimode-Azralon",
					["Desc"] = "Change the nameplate color when a nameplate does not have the auras set in the constructor script.",
					["Hooks"] = {
						["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    --Important: lines starting with double dashes are comments and are not part of the script\n    \n    --set this to true if you are not using threat colors in the health bar\n    envTable.ForceRefreshNameplateColor = true\n    \n    --if the unit does not have any of the following auras, it will be painted with the color listed below\n    --list of spells to track, can be the spell name (case-sensitive) or the spellID\n    envTable.TrackingAuras = {\n        --[\"Nightblade\"] = true, --this is an example using the spell name\n        --[195452] = true, --this is an example using the spellID\n        \n    }\n    \n    --which color the nameplate wil be changed\n    --color can be added as:\n    --color names: \"red\", \"yellow\"\n    --color hex: \"#FF0000\", \"#FFFF00\"\n    --color table: {1, 0, 0}, {1, 1, 0}    \n    --you may also use /plater colors\n    envTable.NameplateColor = \"pink\"\n    \nend",
						["Nameplate Updated"] = "function (self, unitId, unitFrame, envTable)\n    \n    --do nothing if the player isn't in combat\n    if (not Plater.IsInCombat()) then\n        return \n    end\n    \n    --do nothing if the unit isn't in combat\n    if (not unitFrame.InCombat) then\n        return\n    end\n    \n    --do nothing if the unit is the player it self\n    if (unitFrame.IsSelf) then\n        return\n    end\n    \n    --check the auras\n    local hasAura = false\n    \n    for auraName, _ in pairs (envTable.TrackingAuras) do\n        if (Plater.NameplateHasAura (unitFrame, auraName)) then\n            hasAura = true\n            break\n        end\n    end\n    \n    if (not hasAura) then\n        Plater.SetNameplateColor (unitFrame, envTable.NameplateColor)\n    else\n        if (envTable.ForceRefreshNameplateColor) then\n            Plater.RefreshNameplateColor (unitFrame) \n        end\n    end    \n    \nend",
					},
					["Time"] = 1554138845,
					["PlaterCore"] = 1,
					["Name"] = "Don't Have Aura [Plater]",
					["LoadConditions"] = {
						["talent"] = {
						},
						["group"] = {
						},
						["class"] = {
						},
						["map_ids"] = {
						},
						["race"] = {
						},
						["pvptalent"] = {
						},
						["role"] = {
						},
						["affix"] = {
						},
						["encounter_ids"] = {
						},
						["spec"] = {
						},
					},
					["Icon"] = 136207,
					["LastHookEdited"] = "",
				}, -- [2]
				{
					["Enabled"] = false,
					["Revision"] = 179,
					["Options"] = {
					},
					["HooksTemp"] = {
						["Nameplate Created"] = "function (self, unitId, unitFrame, envTable)\n    \n    --run constructor!\n    \nend\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n",
						["Nameplate Added"] = "function (self, unitId, unitFrame, envTable)\n    if (envTable.IsEnabled) then\n        if (unitFrame.IsSelf) then\n            if (envTable.ShowOnPersonalBar) then\n                envTable.BorderFrame:Show()\n            else\n                envTable.BorderFrame:Hide() \n            end\n        else\n            envTable.BorderFrame:Show()\n        end   \n    end\n    \nend   \n\n\n\n",
						["Nameplate Removed"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.BorderFrame:Hide()\n    \nend\n\n\n",
						["Destructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.BorderFrame:Hide()\n    \nend\n\n\n",
						["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    --border color\n    local borderColor = \"yellow\"\n    \n    --size of the border\n    local borderSize = 1\n    \n    --transparency\n    local borderAlpha = 1\n    \n    --enabled (set to false it you only want to use the extra border in other scripts)\n    local isEnabled = true\n    \n    --export border (allow the border to be used by other scripts)\n    --other scripts can use:\n    --unitFrame.healthBar.extraBorder:Show()\n    --unitFrame.healthBar.extraBorder:SetVertexColor (r, g, b)\n    --unitFrame.healthBar.extraBorder:SetBorderSizes (borderSize)\n    local canExportBorder = true\n    \n    --do not add the border to personal bar\n    local noPersonalBar = true\n    \n    --private\n    do\n        \n        local newBorder = CreateFrame (\"frame\", nil, unitFrame.healthBar, \"NamePlateFullBorderTemplate\")\n        envTable.BorderFrame = newBorder\n        \n        newBorder:SetBorderSizes (borderSize, borderSize, borderSize, borderSize)\n        newBorder:UpdateSizes()\n        \n        local r, g, b = DetailsFramework:ParseColors (borderColor)\n        newBorder:SetVertexColor (r, g, b, borderAlpha)\n        \n        envTable.ShowOnPersonalBar = not noPersonalBar\n        \n        if (canExportBorder) then\n            unitFrame.healthBar.extraBorder = newBorder\n        end\n        \n        if (not isEnabled) then\n            envTable.IsEnabled = false\n        else\n            envTable.IsEnabled = true\n        end\n    end\n    \nend\n\n\n",
					},
					["Author"] = "Tecno-Azralon",
					["OptionsValues"] = {
					},
					["Desc"] = "Add another border with more customizations. This border can also be manipulated by other scripts.",
					["Hooks"] = {
						["Nameplate Created"] = "function (self, unitId, unitFrame, envTable)\n    \n    --run constructor!\n    \nend\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n",
						["Nameplate Added"] = "function (self, unitId, unitFrame, envTable)\n    if (envTable.IsEnabled) then\n        if (unitFrame.IsSelf) then\n            if (envTable.ShowOnPersonalBar) then\n                envTable.BorderFrame:Show()\n            else\n                envTable.BorderFrame:Hide() \n            end\n        else\n            envTable.BorderFrame:Show()\n        end   \n    end\n    \nend   \n\n\n\n",
						["Nameplate Removed"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.BorderFrame:Hide()\n    \nend\n\n\n",
						["Destructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.BorderFrame:Hide()\n    \nend\n\n\n",
						["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    --border color\n    local borderColor = \"yellow\"\n    \n    --size of the border\n    local borderSize = 1\n    \n    --transparency\n    local borderAlpha = 1\n    \n    --enabled (set to false it you only want to use the extra border in other scripts)\n    local isEnabled = true\n    \n    --export border (allow the border to be used by other scripts)\n    --other scripts can use:\n    --unitFrame.healthBar.extraBorder:Show()\n    --unitFrame.healthBar.extraBorder:SetVertexColor (r, g, b)\n    --unitFrame.healthBar.extraBorder:SetBorderSizes (borderSize)\n    local canExportBorder = true\n    \n    --do not add the border to personal bar\n    local noPersonalBar = true\n    \n    --private\n    do\n        \n        local newBorder = CreateFrame (\"frame\", nil, unitFrame.healthBar, \"NamePlateFullBorderTemplate\")\n        envTable.BorderFrame = newBorder\n        \n        newBorder:SetBorderSizes (borderSize, borderSize, borderSize, borderSize)\n        newBorder:UpdateSizes()\n        \n        local r, g, b = DetailsFramework:ParseColors (borderColor)\n        newBorder:SetVertexColor (r, g, b, borderAlpha)\n        \n        envTable.ShowOnPersonalBar = not noPersonalBar\n        \n        if (canExportBorder) then\n            unitFrame.healthBar.extraBorder = newBorder\n        end\n        \n        if (not isEnabled) then\n            envTable.IsEnabled = false\n        else\n            envTable.IsEnabled = true\n        end\n    end\n    \nend\n\n\n",
					},
					["Prio"] = 99,
					["Time"] = 1589137409,
					["PlaterCore"] = 1,
					["Name"] = "Extra Border [Plater]",
					["LoadConditions"] = {
						["talent"] = {
						},
						["group"] = {
						},
						["class"] = {
						},
						["map_ids"] = {
						},
						["role"] = {
						},
						["pvptalent"] = {
						},
						["race"] = {
						},
						["affix"] = {
						},
						["encounter_ids"] = {
						},
						["spec"] = {
						},
					},
					["Icon"] = 133689,
					["LastHookEdited"] = "Constructor",
				}, -- [3]
				{
					["Enabled"] = true,
					["Revision"] = 76,
					["HooksTemp"] = {
						["Leave Combat"] = "function (self, unitId, unitFrame, envTable)\n    if (unitFrame.namePlateUnitReaction == envTable.REACTION_NEUTRAL) then\n        \n        --plater already handle this\n        if (unitFrame.PlayerCannotAttack) then\n            return\n        end    \n        \n        --check if is only open world\n        if (envTable.OnlyInOpenWorld and Plater.ZoneInstanceType ~= \"none\") then\n            return \n        end\n        \n        --check for only in combat\n        if (envTable.ShowInCombat) then\n            envTable.HideNameplate (unitFrame)\n        end\n    end\nend\n\n\n",
						["Nameplate Added"] = "function (self, unitId, unitFrame, envTable)\n    \n    if (unitFrame.namePlateUnitReaction == envTable.REACTION_NEUTRAL) then\n        \n        --plater already handle this\n        if (unitFrame.PlayerCannotAttack) then\n            return\n        end\n        \n        --check if is only open world\n        if (envTable.OnlyInOpenWorld and Plater.ZoneInstanceType ~= \"none\") then\n            return \n        end\n        \n        --check for only in combat\n        if (envTable.ShowInCombat and InCombatLockdown()) then\n            return\n        end\n        \n        envTable.HideNameplate (unitFrame)\n    end\n    \nend\n\n\n\n\n\n\n",
						["Target Changed"] = "function (self, unitId, unitFrame, envTable)\n    \n    if (unitFrame.namePlateUnitReaction == envTable.REACTION_NEUTRAL) then\n        \n        --plater already handle this\n        if (unitFrame.PlayerCannotAttack) then\n            return\n        end    \n        \n        --check if is only open world\n        if (envTable.OnlyInOpenWorld and Plater.ZoneInstanceType ~= \"none\") then\n            return \n        end\n        \n        --check for only in combat\n        if (envTable.ShowInCombat and InCombatLockdown()) then\n            return\n        end\n        \n        --check the unit reaction\n        if (unitFrame.namePlateIsTarget) then\n            envTable.ShowNameplate (unitFrame)\n            \n        else\n            envTable.HideNameplate (unitFrame)\n            \n        end    \n    end\n    \nend\n\n\n\n\n\n\n",
						["Nameplate Removed"] = "function (self, unitId, unitFrame, envTable)\n    \n    if (unitFrame.namePlateUnitReaction == envTable.REACTION_NEUTRAL) then\n        envTable.ShowNameplate (unitFrame)\n    end\n    \nend\n\n\n\n\n",
						["Nameplate Updated"] = "function (self, unitId, unitFrame, envTable)\n    \n    --when plater finishes an update on the nameplate\n    --check within the envTable if the healthBar of this nameplate should be hidden\n    if (envTable.IsHidden) then\n        if (unitFrame.healthBar:IsShown()) then\n            envTable.HideNameplate (unitFrame)\n        end\n    end\n    \nend\n\n\n\n\n",
						["Enter Combat"] = "function (self, unitId, unitFrame, envTable)\n    \n    if (unitFrame.namePlateUnitReaction == envTable.REACTION_NEUTRAL) then\n        \n        --plater already handle this\n        if (unitFrame.PlayerCannotAttack) then\n            return\n        end    \n        \n        --check if is only open world\n        if (envTable.OnlyInOpenWorld and Plater.ZoneInstanceType ~= \"none\") then\n            return \n        end\n        \n        --check for only in combat\n        if (envTable.ShowInCombat) then\n            envTable.ShowNameplate (unitFrame)\n        end\n    end\nend\n\n\n",
						["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    --settings\n    envTable.OnlyInOpenWorld = true;\n    envTable.ShowInCombat = true;\n    \n    --consts\n    envTable.REACTION_NEUTRAL = 4;\n    \n    --functions to hide and show the healthBar\n    function envTable.HideNameplate (unitFrame)\n        Plater.HideHealthBar (unitFrame)\n        Plater.DisableHighlight (unitFrame)\n        envTable.IsHidden = true\n    end\n    \n    function envTable.ShowNameplate (unitFrame)\n        Plater.ShowHealthBar (unitFrame)\n        Plater.EnableHighlight (unitFrame)\n        envTable.IsHidden = false\n    end\n    \nend\n\n\n\n\n",
					},
					["Author"] = "Izimode-Azralon",
					["Desc"] = "Hide neutral units, show when selected, see the constructor script for options.",
					["Hooks"] = {
						["Leave Combat"] = "function (self, unitId, unitFrame, envTable)\n    if (unitFrame.namePlateUnitReaction == envTable.REACTION_NEUTRAL) then\n        \n        --plater already handle this\n        if (unitFrame.PlayerCannotAttack) then\n            return\n        end    \n        \n        --check if is only open world\n        if (envTable.OnlyInOpenWorld and Plater.ZoneInstanceType ~= \"none\") then\n            return \n        end\n        \n        --check for only in combat\n        if (envTable.ShowInCombat) then\n            envTable.HideNameplate (unitFrame)\n        end\n    end\nend\n\n\n",
						["Nameplate Added"] = "function (self, unitId, unitFrame, envTable)\n    \n    if (unitFrame.namePlateUnitReaction == envTable.REACTION_NEUTRAL) then\n        \n        --plater already handle this\n        if (unitFrame.PlayerCannotAttack) then\n            return\n        end\n        \n        --check if is only open world\n        if (envTable.OnlyInOpenWorld and Plater.ZoneInstanceType ~= \"none\") then\n            return \n        end\n        \n        --check for only in combat\n        if (envTable.ShowInCombat and InCombatLockdown()) then\n            return\n        end\n        \n        envTable.HideNameplate (unitFrame)\n    end\n    \nend\n\n\n\n\n\n\n",
						["Target Changed"] = "function (self, unitId, unitFrame, envTable)\n    \n    if (unitFrame.namePlateUnitReaction == envTable.REACTION_NEUTRAL) then\n        \n        --plater already handle this\n        if (unitFrame.PlayerCannotAttack) then\n            return\n        end    \n        \n        --check if is only open world\n        if (envTable.OnlyInOpenWorld and Plater.ZoneInstanceType ~= \"none\") then\n            return \n        end\n        \n        --check for only in combat\n        if (envTable.ShowInCombat and InCombatLockdown()) then\n            return\n        end\n        \n        --check the unit reaction\n        if (unitFrame.namePlateIsTarget) then\n            envTable.ShowNameplate (unitFrame)\n            \n        else\n            envTable.HideNameplate (unitFrame)\n            \n        end    \n    end\n    \nend\n\n\n\n\n\n\n",
						["Nameplate Removed"] = "function (self, unitId, unitFrame, envTable)\n    \n    if (unitFrame.namePlateUnitReaction == envTable.REACTION_NEUTRAL) then\n        envTable.ShowNameplate (unitFrame)\n    end\n    \nend\n\n\n\n\n",
						["Nameplate Updated"] = "function (self, unitId, unitFrame, envTable)\n    \n    --when plater finishes an update on the nameplate\n    --check within the envTable if the healthBar of this nameplate should be hidden\n    if (envTable.IsHidden) then\n        if (unitFrame.healthBar:IsShown()) then\n            envTable.HideNameplate (unitFrame)\n        end\n    end\n    \nend\n\n\n\n\n",
						["Enter Combat"] = "function (self, unitId, unitFrame, envTable)\n    \n    if (unitFrame.namePlateUnitReaction == envTable.REACTION_NEUTRAL) then\n        \n        --plater already handle this\n        if (unitFrame.PlayerCannotAttack) then\n            return\n        end    \n        \n        --check if is only open world\n        if (envTable.OnlyInOpenWorld and Plater.ZoneInstanceType ~= \"none\") then\n            return \n        end\n        \n        --check for only in combat\n        if (envTable.ShowInCombat) then\n            envTable.ShowNameplate (unitFrame)\n        end\n    end\nend\n\n\n",
						["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    --settings\n    envTable.OnlyInOpenWorld = true;\n    envTable.ShowInCombat = true;\n    \n    --consts\n    envTable.REACTION_NEUTRAL = 4;\n    \n    --functions to hide and show the healthBar\n    function envTable.HideNameplate (unitFrame)\n        Plater.HideHealthBar (unitFrame)\n        Plater.DisableHighlight (unitFrame)\n        envTable.IsHidden = true\n    end\n    \n    function envTable.ShowNameplate (unitFrame)\n        Plater.ShowHealthBar (unitFrame)\n        Plater.EnableHighlight (unitFrame)\n        envTable.IsHidden = false\n    end\n    \nend\n\n\n\n\n",
					},
					["Prio"] = 99,
					["Time"] = 1589137419,
					["PlaterCore"] = 1,
					["Name"] = "Hide Neutral Units [Plater]",
					["LoadConditions"] = {
						["talent"] = {
						},
						["group"] = {
						},
						["class"] = {
						},
						["map_ids"] = {
						},
						["role"] = {
						},
						["pvptalent"] = {
						},
						["spec"] = {
						},
						["affix"] = {
						},
						["encounter_ids"] = {
						},
						["race"] = {
						},
					},
					["Icon"] = 1990989,
					["LastHookEdited"] = "Constructor",
				}, -- [4]
				{
					["Enabled"] = false,
					["Revision"] = 66,
					["HooksTemp"] = {
						["Nameplate Updated"] = "function (self, unitId, unitFrame, envTable)\n    \n    if (unitFrame.namePlateNpcId == envTable.NpcIDs.TemptingSiren) then\n        \n        if (envTable.Colors.TemptingSiren) then\n            Plater.SetNameplateColor (unitFrame, envTable.Colors.TemptingSiren)\n        end\n        \n    end\n    \n    \nend\n\n\n\n\n\n\n\n\n",
						["Nameplate Added"] = "function (self, unitId, unitFrame, envTable)\n    \n    if (unitFrame.namePlateNpcId == envTable.NpcIDs.TemptingSiren) then\n        \n        if (envTable.NameplateHeight.TemptingSiren) then\n            \n            Plater.SetNameplateSize (unitFrame, nil, envTable.NameplateHeight.TemptingSiren)\n            \n        end\n        \n    end    \n    \nend\n\n\n",
						["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    --nameplate colors for unit\n    envTable.Colors = {}\n    envTable.Colors.TemptingSiren = \"orange\"\n    \n    --npcID\n    envTable.NpcIDs = {}\n    envTable.NpcIDs.TemptingSiren = 146436\n    \n    --nameplate height for each unit\n    envTable.NameplateHeight = {}\n    envTable.NameplateHeight.TemptingSiren = 18\n    \n    \n    \nend\n\n\n",
					},
					["Author"] = "Kastfall-Azralon",
					["Desc"] = "Script for Stormwall Blockade encounter on Battle for Dazzar'alor",
					["Hooks"] = {
						["Nameplate Updated"] = "function (self, unitId, unitFrame, envTable)\n    \n    if (unitFrame.namePlateNpcId == envTable.NpcIDs.TemptingSiren) then\n        \n        if (envTable.Colors.TemptingSiren) then\n            Plater.SetNameplateColor (unitFrame, envTable.Colors.TemptingSiren)\n        end\n        \n    end\n    \n    \nend\n\n\n\n\n\n\n\n\n",
						["Nameplate Added"] = "function (self, unitId, unitFrame, envTable)\n    \n    if (unitFrame.namePlateNpcId == envTable.NpcIDs.TemptingSiren) then\n        \n        if (envTable.NameplateHeight.TemptingSiren) then\n            \n            Plater.SetNameplateSize (unitFrame, nil, envTable.NameplateHeight.TemptingSiren)\n            \n        end\n        \n    end    \n    \nend\n\n\n",
						["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    --nameplate colors for unit\n    envTable.Colors = {}\n    envTable.Colors.TemptingSiren = \"orange\"\n    \n    --npcID\n    envTable.NpcIDs = {}\n    envTable.NpcIDs.TemptingSiren = 146436\n    \n    --nameplate height for each unit\n    envTable.NameplateHeight = {}\n    envTable.NameplateHeight.TemptingSiren = 18\n    \n    \n    \nend\n\n\n",
					},
					["Prio"] = 99,
					["Time"] = 1589138303,
					["PlaterCore"] = 1,
					["Name"] = "Stormwall Encounter [Plater]",
					["LoadConditions"] = {
						["talent"] = {
						},
						["group"] = {
						},
						["class"] = {
						},
						["map_ids"] = {
						},
						["race"] = {
						},
						["pvptalent"] = {
						},
						["role"] = {
						},
						["affix"] = {
						},
						["encounter_ids"] = {
							2280, -- [1]
							["Enabled"] = true,
						},
						["spec"] = {
						},
					},
					["Icon"] = "Interface\\AddOns\\Plater\\images\\encounter_stormwall_blockade",
					["LastHookEdited"] = "Constructor",
				}, -- [5]
				{
					["Enabled"] = false,
					["Revision"] = 223,
					["HooksTemp"] = {
						["Nameplate Added"] = "function (self, unitId, unitFrame, envTable)\n    \n    --Unexploded Ordinance\n    if (unitFrame.namePlateNpcId == envTable.NpcIDs.UnexplodedOrdinance) then\n        \n        --make the life percent be bigger than the regular size\n        --so it's better to see the health percent of the barrel\n        local currentSize = Plater.db.profile.plate_config.enemynpc.percent_text_size\n        Plater:SetFontSize (unitFrame.healthBar.lifePercent, currentSize + envTable.UnexplodedOrdinanceTextSizeIncrease)\n    end\n    \n    if (envTable.IncreaseSize [unitFrame.namePlateNpcId]) then\n        local currentHeight = unitFrame.healthBar:GetHeight()\n        Plater.SetNameplateSize (unitFrame, nil, currentHeight + envTable.IncreaseSize [unitFrame.namePlateNpcId])\n    end\n    \nend\n\n\n\n\n\n\n",
						["Cast Start"] = "function (self, unitId, unitFrame, envTable)\n    if (envTable.UnexplodedOrdinanceCast and envTable._SpellID == envTable.UnexplodedOrdinanceSpellID) then\n        Plater.SetCastBarSize (unitFrame, nil, envTable.UnexplodedOrdinanceCastBarHeight)\n        Plater:SetFontSize (unitFrame.castBar.percentText, envTable.UnexplodedOrdinanceTimerSize)\n    end\nend\n\n\n",
						["Nameplate Removed"] = "function (self, unitId, unitFrame, envTable)\n    \n    --reset the health percent text size\n    local currentSize = Plater.db.profile.plate_config.enemynpc.percent_text_size\n    Plater:SetFontSize (unitFrame.healthBar.lifePercent, currentSize)    \n    \nend\n\n\n",
						["Nameplate Updated"] = "function (self, unitId, unitFrame, envTable)\n    \n    --Override the color\n    if (envTable.Colors [unitFrame.namePlateNpcId]) then\n        Plater.SetNameplateColor (unitFrame, envTable.Colors [unitFrame.namePlateNpcId])\n    end    \n    \n    --Show the name of the unit in the Ice Block nameplate\n    if (unitFrame.namePlateNpcId == envTable.NpcIDs.IceBlock) then\n        --find which player this block are holding\n        for i = 1, GetNumGroupMembers() do\n            local unit = \"raid\" .. i\n            if (UnitExists (unit)) then\n                for debuffId = 1, 40 do\n                    local name, texture, count, debuffType, duration, expirationTime, caster = UnitDebuff (unit, debuffId)\n                    \n                    --cancel the loop if there's no more debuffs on the player\n                    if (not name) then \n                        break \n                    end                    \n                    \n                    --check if who casted this debuff is the unit shown on this nameplate\n                    if (UnitIsUnit (caster or \"\", unitId)) then\n                        local unitName = UnitName (unit)\n                        \n                        --color the text by the class\n                        unitName = Plater.SetTextColorByClass (unit, unitName)\n                        \n                        --add the role icon\n                        if (Details) then\n                            local role = UnitGroupRolesAssigned (unit)\n                            unitName = Details:AddRoleIcon (unitName, role, 12)\n                        end\n                        \n                        unitFrame.unitName:SetText (unitName)\n                        unitFrame.castBar.Text:SetText (unitName)\n                        break\n                    end\n                    \n                end\n            else\n                break\n            end\n        end\n    end\nend",
						["Cast Stop"] = "function (self, unitId, unitFrame, envTable)\n    if (envTable.UnexplodedOrdinanceCast and envTable._SpellID == envTable.UnexplodedOrdinanceSpellID) then\n        Plater.SetCastBarSize (unitFrame)\n        Plater:SetFontSize (unitFrame.castBar.percentText, Plater.db.profile.plate_config.enemynpc.spellpercent_text_size)\n    end\nend\n\n\n",
						["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    --nameplate colors for unit\n    envTable.Colors = {}\n    envTable.Colors [148631] = \"orange\" --Unexploded Ordinance\n    envTable.Colors [148522] = \"white\" --Ice Block\n    \n    --increase the nameplate height for these units\n    envTable.IncreaseSize = {}\n    envTable.IncreaseSize [148522] = 4 --Ice Block (increase in 4 pixels)\n    \n    --increase the size of the life percent for the nameplate of the barrel\n    envTable.UnexplodedOrdinanceTextSizeIncrease = 3\n    \n    --increase the castbar size for the unexploded ordinance explosion cast\n    envTable.UnexplodedOrdinanceCast = true\n    envTable.UnexplodedOrdinanceSpellID = 288221 --12058 --(debug)\n    envTable.UnexplodedOrdinanceCastBarHeight = 18\n    envTable.UnexplodedOrdinanceTimerSize = 18\n    \n    --npcIDs\n    envTable.NpcIDs = {}\n    envTable.NpcIDs.UnexplodedOrdinance = 148631\n    envTable.NpcIDs.IceBlock = 148522\nend\n\n--tests 126023 --harbor saurid - dazar'alor harbor\n--tests 3127 venomtail scorpid - durotar\n--tests 12058 dustwind storm witch - durotar\n--Load Condition: EncounterID 2281\n\n\n",
					},
					["Author"] = "Kastfall-Azralon",
					["Desc"] = "Script for the Jaina encounter on Battle for Dazzar'alor",
					["Hooks"] = {
						["Nameplate Added"] = "function (self, unitId, unitFrame, envTable)\n    \n    --Unexploded Ordinance\n    if (unitFrame.namePlateNpcId == envTable.NpcIDs.UnexplodedOrdinance) then\n        \n        --make the life percent be bigger than the regular size\n        --so it's better to see the health percent of the barrel\n        local currentSize = Plater.db.profile.plate_config.enemynpc.percent_text_size\n        Plater:SetFontSize (unitFrame.healthBar.lifePercent, currentSize + envTable.UnexplodedOrdinanceTextSizeIncrease)\n    end\n    \n    if (envTable.IncreaseSize [unitFrame.namePlateNpcId]) then\n        local currentHeight = unitFrame.healthBar:GetHeight()\n        Plater.SetNameplateSize (unitFrame, nil, currentHeight + envTable.IncreaseSize [unitFrame.namePlateNpcId])\n    end\n    \nend\n\n\n\n\n\n\n",
						["Cast Start"] = "function (self, unitId, unitFrame, envTable)\n    if (envTable.UnexplodedOrdinanceCast and envTable._SpellID == envTable.UnexplodedOrdinanceSpellID) then\n        Plater.SetCastBarSize (unitFrame, nil, envTable.UnexplodedOrdinanceCastBarHeight)\n        Plater:SetFontSize (unitFrame.castBar.percentText, envTable.UnexplodedOrdinanceTimerSize)\n    end\nend\n\n\n",
						["Nameplate Removed"] = "function (self, unitId, unitFrame, envTable)\n    \n    --reset the health percent text size\n    local currentSize = Plater.db.profile.plate_config.enemynpc.percent_text_size\n    Plater:SetFontSize (unitFrame.healthBar.lifePercent, currentSize)    \n    \nend\n\n\n",
						["Nameplate Updated"] = "function (self, unitId, unitFrame, envTable)\n    \n    --Override the color\n    if (envTable.Colors [unitFrame.namePlateNpcId]) then\n        Plater.SetNameplateColor (unitFrame, envTable.Colors [unitFrame.namePlateNpcId])\n    end    \n    \n    --Show the name of the unit in the Ice Block nameplate\n    if (unitFrame.namePlateNpcId == envTable.NpcIDs.IceBlock) then\n        --find which player this block are holding\n        for i = 1, GetNumGroupMembers() do\n            local unit = \"raid\" .. i\n            if (UnitExists (unit)) then\n                for debuffId = 1, 40 do\n                    local name, texture, count, debuffType, duration, expirationTime, caster = UnitDebuff (unit, debuffId)\n                    \n                    --cancel the loop if there's no more debuffs on the player\n                    if (not name) then \n                        break \n                    end                    \n                    \n                    --check if who casted this debuff is the unit shown on this nameplate\n                    if (UnitIsUnit (caster or \"\", unitId)) then\n                        local unitName = UnitName (unit)\n                        \n                        --color the text by the class\n                        unitName = Plater.SetTextColorByClass (unit, unitName)\n                        \n                        --add the role icon\n                        if (Details) then\n                            local role = UnitGroupRolesAssigned (unit)\n                            unitName = Details:AddRoleIcon (unitName, role, 12)\n                        end\n                        \n                        unitFrame.unitName:SetText (unitName)\n                        unitFrame.castBar.Text:SetText (unitName)\n                        break\n                    end\n                    \n                end\n            else\n                break\n            end\n        end\n    end\nend",
						["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    --nameplate colors for unit\n    envTable.Colors = {}\n    envTable.Colors [148631] = \"orange\" --Unexploded Ordinance\n    envTable.Colors [148522] = \"white\" --Ice Block\n    \n    --increase the nameplate height for these units\n    envTable.IncreaseSize = {}\n    envTable.IncreaseSize [148522] = 4 --Ice Block (increase in 4 pixels)\n    \n    --increase the size of the life percent for the nameplate of the barrel\n    envTable.UnexplodedOrdinanceTextSizeIncrease = 3\n    \n    --increase the castbar size for the unexploded ordinance explosion cast\n    envTable.UnexplodedOrdinanceCast = true\n    envTable.UnexplodedOrdinanceSpellID = 288221 --12058 --(debug)\n    envTable.UnexplodedOrdinanceCastBarHeight = 18\n    envTable.UnexplodedOrdinanceTimerSize = 18\n    \n    --npcIDs\n    envTable.NpcIDs = {}\n    envTable.NpcIDs.UnexplodedOrdinance = 148631\n    envTable.NpcIDs.IceBlock = 148522\nend\n\n--tests 126023 --harbor saurid - dazar'alor harbor\n--tests 3127 venomtail scorpid - durotar\n--tests 12058 dustwind storm witch - durotar\n--Load Condition: EncounterID 2281\n\n\n",
						["Cast Stop"] = "function (self, unitId, unitFrame, envTable)\n    if (envTable.UnexplodedOrdinanceCast and envTable._SpellID == envTable.UnexplodedOrdinanceSpellID) then\n        Plater.SetCastBarSize (unitFrame)\n        Plater:SetFontSize (unitFrame.castBar.percentText, Plater.db.profile.plate_config.enemynpc.spellpercent_text_size)\n    end\nend\n\n\n",
					},
					["Prio"] = 99,
					["Time"] = 1589136227,
					["PlaterCore"] = 1,
					["Name"] = "Jaina Encounter [Plater]",
					["LoadConditions"] = {
						["talent"] = {
						},
						["group"] = {
						},
						["class"] = {
						},
						["map_ids"] = {
						},
						["race"] = {
						},
						["pvptalent"] = {
						},
						["spec"] = {
						},
						["affix"] = {
						},
						["encounter_ids"] = {
							2281, -- [1]
							["Enabled"] = true,
						},
						["role"] = {
						},
					},
					["Icon"] = "Interface\\AddOns\\Plater\\images\\encounter_jaina",
					["LastHookEdited"] = "Constructor",
				}, -- [6]
				{
					["Enabled"] = false,
					["Revision"] = 84,
					["HooksTemp"] = {
					},
					["Author"] = "Ahwa-Azralon",
					["Desc"] = "Add extra effects to execute range. See the constructor script for options.",
					["Hooks"] = {
						["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    --execute detection, if true the script will handle the execute percent\n    --while false Plater will automatically trigger the execute range\n    --you only want to set this to true in case of Plater not detecting the execute range correctly\n    envTable.UseCustomExecutePercent = false\n    --execute percent, if not detecting automatic, this is the percent to active the execute range\n    --use from zero to one, 0.20 is equal to 20% of the unit life\n    envTable.ExecutePercent = 0.20\n    \n    --allow this script to change the nameplate color when the unit is in execute range\n    envTable.CanChangeColor = true\n    --change the health bar color to this color when the unit is in execute range\n    --color can be set as:\n    --color names: \"red\", \"yellow\"\n    --color hex: \"#FF0000\", \"#FFFF00\"\n    --color table: {1, 0, 0}, {1, 1, 0}\n    envTable.ExecuteColor = \"green\"\n    \n    --border color\n    envTable.CanChangeBorderColor = false\n    envTable.BorderColor = \"red\"\n    \n    --hide the default health divisor and the health execute indicator\n    envTable.HideHealthDivisor = false\n    --if not hidden, adjust the health divisor settings and the health execute indicator\n    envTable.HealthDivisorAlpha = 0.5\n    envTable.HealthDivisorColor = \"white\"\n    envTable.HealthExecuteIndicatorAlpha = 0.15\n    envTable.HealthExecuteIndicatorColor = \"darkred\"\n    \n    \n    --private (internal functions)\n    do\n        function envTable.UnitInExecuteRange (unitFrame)\n            --check if can change the execute color\n            if (envTable.CanChangeColor) then\n                Plater.SetNameplateColor (unitFrame, envTable.ExecuteColor)\n            end\n            \n            if (envTable.CanChangeBorderColor) then\n                Plater.SetBorderColor (unitFrame, envTable.BorderColor)\n            end\n            \n            if (envTable.HideHealthDivisor) then\n                unitFrame.healthBar.healthCutOff:Hide() \n                unitFrame.healthBar.executeRange:Hide()\n                \n            else\n                envTable.UpdateHealthDivisor (unitFrame)\n                \n            end\n        end\n        \n        function envTable.UpdateHealthDivisor (unitFrame)\n            local healthBar = unitFrame.healthBar\n            \n            healthBar.healthCutOff:Show()\n            healthBar.healthCutOff:SetVertexColor (DetailsFramework:ParseColors (envTable.HealthDivisorColor))\n            healthBar.healthCutOff:SetAlpha (envTable.HealthDivisorAlpha)\n            \n            healthBar.executeRange:Show()\n            healthBar.executeRange:SetVertexColor (DetailsFramework:ParseColors (envTable.HealthExecuteIndicatorColor))\n            healthBar.executeRange:SetAlpha (envTable.HealthExecuteIndicatorAlpha)\n            \n            if (envTable.UseCustomExecutePercent) then\n                healthBar.healthCutOff:ClearAllPoints()\n                healthBar.executeRange:ClearAllPoints()\n                \n                healthBar.healthCutOff:SetSize (healthBar:GetHeight(), healthBar:GetHeight())\n                healthBar.healthCutOff:SetPoint (\"center\", healthBar, \"left\", healthBar:GetWidth() * envTable.ExecutePercent, 0)\n                \n                healthBar.executeRange:SetTexCoord (0, envTable.ExecutePercent, 0, 1)\n                healthBar.executeRange:SetHeight (healthBar:GetHeight())\n                healthBar.executeRange:SetPoint (\"left\", healthBar, \"left\", 0, 0)\n                healthBar.executeRange:SetPoint (\"right\", healthBar.healthCutOff, \"center\")\n            end\n            \n        end\n    end\n    \nend",
						["Nameplate Updated"] = "function (self, unitId, unitFrame, envTable)\n    \n    if (envTable.UseCustomExecutePercent) then\n        \n        --manual detection\n        local healthBar = unitFrame.healthBar\n        if (healthBar.CurrentHealth / healthBar.CurrentHealthMax <= envTable.ExecutePercent) then\n            envTable.UnitInExecuteRange (unitFrame)\n        end        \n        \n    else\n        \n        --auto detection\n        if (unitFrame.InExecuteRange) then\n            envTable.UnitInExecuteRange (unitFrame)\n        end\n        \n    end\n    \nend\n\n\n\n\n\n\n\n\n\n\n\n\n",
					},
					["Time"] = 1547406548,
					["PlaterCore"] = 1,
					["Name"] = "Execute Range [Plater]",
					["LoadConditions"] = {
						["talent"] = {
						},
						["group"] = {
						},
						["class"] = {
						},
						["map_ids"] = {
						},
						["race"] = {
						},
						["pvptalent"] = {
						},
						["role"] = {
						},
						["affix"] = {
						},
						["encounter_ids"] = {
						},
						["spec"] = {
						},
					},
					["Icon"] = 135358,
					["LastHookEdited"] = "",
				}, -- [7]
				{
					["Enabled"] = false,
					["Revision"] = 224,
					["Options"] = {
					},
					["HooksTemp"] = {
						["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    --list of npcs and their colors, can be inserted:\n    --name of the unit\n    --name of the unit in lower case\n    --npcID of the unit\n    \n    --color can be added as:\n    --color names: \"red\", \"yellow\"\n    --color hex: \"#FF0000\", \"#FFFF00\"\n    --color table: {1, 0, 0}, {1, 1, 0}    \n    \n    envTable.ListOfNpcs = {\n        [61146] = \"olive\", --monk statue npcID\n        [103822] = \"olive\", --druid treant npcID\n        \n    }\n    \n    \nend\n\n\n\n\n",
						["Nameplate Updated"] = "function (self, unitId, unitFrame, envTable)\n    \n    --get the GUID of the target of the unit\n    local targetGUID = UnitGUID (unitId .. \"target\")\n    \n    if (targetGUID) then\n        \n        --get the npcID of the target\n        local npcID = Plater.GetNpcIDFromGUID (targetGUID)\n        --check if the npcID of this unit is in the npc list \n        if (envTable.ListOfNpcs [npcID]) then\n            Plater.SetNameplateColor (unitFrame, envTable.ListOfNpcs [npcID])\n            \n        else\n            --check if the name of ths unit is in the list\n            local unitName = UnitName (unitId .. \"target\")\n            if (envTable.ListOfNpcs [unitName]) then\n                Plater.SetNameplateColor (unitFrame, envTable.ListOfNpcs [unitName])\n                \n            else\n                --check if the name of the unit in lower case is in the npc list\n                unitName = string.lower (unitName)\n                if (envTable.ListOfNpcs [unitName]) then\n                    Plater.SetNameplateColor (unitFrame, envTable.ListOfNpcs [unitName])                \n                    \n                end\n            end\n        end\n        \n    end\nend\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n",
					},
					["Author"] = "Kastfall-Azralon",
					["Name"] = "Attacking Specific Unit [Plater]",
					["Desc"] = "Change the nameplate color if the unit is attacking a specific unit like Monk's Ox Statue or Druid's Treants. You may edit which units it track in the constructor script.",
					["Hooks"] = {
						["Nameplate Updated"] = "function (self, unitId, unitFrame, envTable)\n    \n    --get the GUID of the target of the unit\n    local targetGUID = UnitGUID (unitId .. \"target\")\n    \n    if (targetGUID) then\n        \n        --get the npcID of the target\n        local npcID = Plater.GetNpcIDFromGUID (targetGUID)\n        --check if the npcID of this unit is in the npc list \n        if (envTable.ListOfNpcs [npcID]) then\n            Plater.SetNameplateColor (unitFrame, envTable.ListOfNpcs [npcID])\n            \n        else\n            --check if the name of ths unit is in the list\n            local unitName = UnitName (unitId .. \"target\")\n            if (envTable.ListOfNpcs [unitName]) then\n                Plater.SetNameplateColor (unitFrame, envTable.ListOfNpcs [unitName])\n                \n            else\n                --check if the name of the unit in lower case is in the npc list\n                unitName = string.lower (unitName)\n                if (envTable.ListOfNpcs [unitName]) then\n                    Plater.SetNameplateColor (unitFrame, envTable.ListOfNpcs [unitName])                \n                    \n                end\n            end\n        end\n        \n    end\nend\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n",
						["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    --list of npcs and their colors, can be inserted:\n    --name of the unit\n    --name of the unit in lower case\n    --npcID of the unit\n    \n    --color can be added as:\n    --color names: \"red\", \"yellow\"\n    --color hex: \"#FF0000\", \"#FFFF00\"\n    --color table: {1, 0, 0}, {1, 1, 0}    \n    \n    envTable.ListOfNpcs = {\n        [61146] = \"olive\", --monk statue npcID\n        [103822] = \"olive\", --druid treant npcID\n        \n    }\n    \n    \nend\n\n\n\n\n",
					},
					["Prio"] = 99,
					["Time"] = 1599515671,
					["PlaterCore"] = 1,
					["LastHookEdited"] = "",
					["LoadConditions"] = {
						["talent"] = {
						},
						["group"] = {
						},
						["class"] = {
						},
						["map_ids"] = {
						},
						["race"] = {
						},
						["pvptalent"] = {
						},
						["spec"] = {
						},
						["affix"] = {
						},
						["encounter_ids"] = {
						},
						["role"] = {
						},
					},
					["Icon"] = "Interface\\AddOns\\Plater\\images\\icon_attacking_unit",
					["OptionsValues"] = {
					},
				}, -- [8]
				{
					["Enabled"] = false,
					["Revision"] = 40,
					["HooksTemp"] = {
						["Nameplate Updated"] = "function (self, unitId, unitFrame, envTable)\n    \n    --can detect the reaping souls aggro?\n    if (envTable.detectAggro and Plater.IsInCombat()) then\n        \n        --is this npc a reaping soul?\n        if (envTable.npcIDs [unitFrame.namePlateNpcId]) then\n            \n            --check if the mob is attacking the player\n            if (UnitIsUnit (unitFrame.targetUnitID, \"player\")) then\n                Plater.SetNameplateColor (unitFrame, envTable.NameplateAggroColor)\n                \n            else\n                Plater.SetNameplateColor (unitFrame, envTable.NameplateNoAggroColor)\n            end\n            \n        end\n        \n    end\n    \nend",
						["Nameplate Added"] = "function (self, unitId, unitFrame, envTable)\n    \n    --when the nameplate is added and the npcID matches, cache the color for the nameplate\n    if (envTable.detectAggro) then\n        if (envTable.npcIDs [unitFrame.namePlateNpcId]) then\n            local profile = Plater.db.profile\n            local role = Plater:GetPlayerRole()\n            \n            if (role == \"TANK\") then\n                envTable.NameplateAggroColor = profile.tank.colors.aggro\n                envTable.NameplateNoAggroColor = profile.tank.colors.noaggro\n            else\n                envTable.NameplateAggroColor = profile.dps.colors.aggro\n                envTable.NameplateNoAggroColor = profile.dps.colors.noaggro\n            end\n            \n        end\n    end\n    \n    \nend\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n",
						["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    --npcs affected by this script\n    \n    envTable.npcIDs = {\n        [148716] = true, --risen soul\n        [148893] = true, --tormented soul\n        [148894] = true, --lost soul\n        \n        [127278] = true, --skittering feeder (tests and debug, also need to disable the load conditions)\n    }\n    \n    --detect aggro, if true it will see which group member the soul is attacking and override the color\n    envTable.detectAggro = true\n    \n    \nend\n\n\n",
					},
					["Author"] = "Izimode-Azralon",
					["Desc"] = "Tint nameplates of Reaping Soul units (Mythic Dungeon Affix) depending on its target and role of the player",
					["Hooks"] = {
						["Nameplate Updated"] = "function (self, unitId, unitFrame, envTable)\n    \n    --can detect the reaping souls aggro?\n    if (envTable.detectAggro and Plater.IsInCombat()) then\n        \n        --is this npc a reaping soul?\n        if (envTable.npcIDs [unitFrame.namePlateNpcId]) then\n            \n            --check if the mob is attacking the player\n            if (UnitIsUnit (unitFrame.targetUnitID, \"player\")) then\n                Plater.SetNameplateColor (unitFrame, envTable.NameplateAggroColor)\n                \n            else\n                Plater.SetNameplateColor (unitFrame, envTable.NameplateNoAggroColor)\n            end\n            \n        end\n        \n    end\n    \nend",
						["Nameplate Added"] = "function (self, unitId, unitFrame, envTable)\n    \n    --when the nameplate is added and the npcID matches, cache the color for the nameplate\n    if (envTable.detectAggro) then\n        if (envTable.npcIDs [unitFrame.namePlateNpcId]) then\n            local profile = Plater.db.profile\n            local role = Plater:GetPlayerRole()\n            \n            if (role == \"TANK\") then\n                envTable.NameplateAggroColor = profile.tank.colors.aggro\n                envTable.NameplateNoAggroColor = profile.tank.colors.noaggro\n            else\n                envTable.NameplateAggroColor = profile.dps.colors.aggro\n                envTable.NameplateNoAggroColor = profile.dps.colors.noaggro\n            end\n            \n        end\n    end\n    \n    \nend\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n",
						["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    --npcs affected by this script\n    \n    envTable.npcIDs = {\n        [148716] = true, --risen soul\n        [148893] = true, --tormented soul\n        [148894] = true, --lost soul\n        \n        [127278] = true, --skittering feeder (tests and debug, also need to disable the load conditions)\n    }\n    \n    --detect aggro, if true it will see which group member the soul is attacking and override the color\n    envTable.detectAggro = true\n    \n    \nend\n\n\n",
					},
					["Prio"] = 99,
					["Time"] = 1589136225,
					["PlaterCore"] = 1,
					["Name"] = "M+ Bwonsamdi Reaping",
					["LoadConditions"] = {
						["talent"] = {
						},
						["group"] = {
							["Enabled"] = true,
							["party"] = true,
						},
						["class"] = {
						},
						["map_ids"] = {
						},
						["role"] = {
						},
						["pvptalent"] = {
						},
						["spec"] = {
						},
						["affix"] = {
							[117] = true,
							["Enabled"] = true,
						},
						["encounter_ids"] = {
						},
						["race"] = {
						},
					},
					["Icon"] = 2446016,
					["LastHookEdited"] = "Constructor",
				}, -- [9]
				{
					["Enabled"] = false,
					["Revision"] = 189,
					["HooksTemp"] = {
					},
					["Author"] = "Izimode-Azralon",
					["Desc"] = "Show combo points above the nameplate for Druid Feral and Rogues.",
					["Hooks"] = {
						["Nameplate Created"] = "function (self, unitId, unitFrame, envTable)\n    \n    --run constructor!\n    --constructor is executed only once when any script of the hook runs.\n    \nend\n\n\n",
						["Nameplate Added"] = "function (self, unitId, unitFrame, envTable)\n    \n    --check if need update the amount of combo points shown\n    if (envTable.LastPlayerTalentUpdate > envTable.LastUpdate) then\n        envTable.UpdateComboPointAmount()\n    end    \n    \n    if (unitFrame.namePlateIsTarget and not unitFrame.IsSelf) then\n        envTable.ComboPointFrame:Show()\n        envTable.UpdateComboPoints()\n        \n    else\n        envTable.ComboPointFrame:Hide()\n    end    \n    \nend\n\n\n",
						["Target Changed"] = "function (self, unitId, unitFrame, envTable)\n    \n    --check if this nameplate is the current target\n    if (unitFrame.namePlateIsTarget and not unitFrame.IsSelf) then\n        envTable.ComboPointFrame:Show()\n        \n    else\n        envTable.ComboPointFrame:Hide()\n    end\n    \nend\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n",
						["Player Power Update"] = "function (self, unitId, unitFrame, envTable)\n    \n    if (unitFrame.namePlateIsTarget and not unitFrame.IsSelf) then\n        envTable.UpdateComboPoints()\n    end\n    \n    \nend\n\n\n\n\n\n\n",
						["Player Talent Update"] = "function (self, unitId, unitFrame, envTable)\n    \n    --update the amount of comboo points shown when the player changes talents or specialization\n    envTable.UpdateComboPointAmount()\n    \n    --save the time of the last talent change\n    envTable.LastPlayerTalentUpdate = GetTime()\n    \n    \nend\n\n\n",
						["Destructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.ComboPointFrame:Hide()\n    \nend\n\n\n\n\n",
						["Nameplate Removed"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.ComboPointFrame:Hide()\n    \nend\n\n\n",
						["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    --settings\n    local anchors = {\n        {\"bottom\", unitFrame.healthBar, \"top\", 0, 24},\n    }\n    \n    local sizes = {\n        width = 12,\n        height = 12,\n        scale = 1,\n    }\n    \n    local textures = {\n        backgroundTexture = [[Interface\\PLAYERFRAME\\ClassOverlayComboPoints]],\n        backgroundTexCoords = {78/128, 98/128, 21/64, 41/64},\n        \n        comboPointTexture = [[Interface\\PLAYERFRAME\\ClassOverlayComboPoints]],\n        comboPointTexCoords = {100/128, 120/128, 21/64, 41/64},\n    }\n    \n    local frameLevel = 1000\n    local frameStrata = \"high\"    \n    \n    --private\n    do\n        --store combo points frames on this table\n        envTable.ComboPoints = {}\n        --save when the player changed talents or spec\n        envTable.LastPlayerTalentUpdate = GetTime()\n        --save when this nameplate got a combo point amount and alignment update        \n        \n        --build combo points frame anchor (combo point are anchored to this)\n        if (not unitFrame.PlaterComboPointFrame) then\n            local hostFrame = CreateFrame (\"frame\", nil, unitFrame)\n            hostFrame.ComboPointFramesPool = {}\n            unitFrame.PlaterComboPointFrame = hostFrame\n            envTable.ComboPointFrame = hostFrame\n            \n            --DetailsFramework:ApplyStandardBackdrop (envTable.ComboPointFrame) --debug anchor size\n            \n            --animations\n            local onPlayShowAnimation = function (animation)\n                --stop the hide animation if it's playing\n                if (animation:GetParent():GetParent().HideAnimation:IsPlaying()) then\n                    animation:GetParent():GetParent().HideAnimation:Stop()\n                end\n                \n                animation:GetParent():Show()\n            end\n            \n            local onPlayHideAnimation = function (animation)\n                --stop the show animation if it's playing\n                if (animation:GetParent():GetParent().ShowAnimation:IsPlaying()) then\n                    animation:GetParent():GetParent().ShowAnimation:Stop()\n                end\n            end        \n            local onStopHideAnimation = function (animation)\n                animation:GetParent():Hide()       \n            end\n            \n            local createAnimations = function (comboPoint)\n                --on show\n                comboPoint.ShowAnimation = Plater:CreateAnimationHub (comboPoint.comboPointTexture, onPlayShowAnimation, nil)\n                Plater:CreateAnimation (comboPoint.ShowAnimation, \"scale\", 1, 0.1, 0, 0, 1, 1)\n                Plater:CreateAnimation (comboPoint.ShowAnimation, \"alpha\", 1, 0.1, .5, 1)\n                Plater:CreateAnimation (comboPoint.ShowAnimation, \"scale\", 2, 0.1, 1.2, 1.2, 1, 1)\n                \n                --on hide\n                comboPoint.HideAnimation = Plater:CreateAnimationHub (comboPoint.comboPointTexture, onPlayHideAnimation, onStopHideAnimation)\n                Plater:CreateAnimation (comboPoint.HideAnimation, \"scale\", 1, 0.1, 1, 1, 0, 0)\n                Plater:CreateAnimation (comboPoint.HideAnimation, \"alpha\", 1, 0.1, 1, 0)\n            end\n            \n            --build combo point frame        \n            for i =1, 10 do \n                local f = CreateFrame (\"frame\", nil, envTable.ComboPointFrame)\n                f:SetSize (sizes.width, sizes.height)\n                tinsert (envTable.ComboPoints, f)\n                tinsert (unitFrame.PlaterComboPointFrame.ComboPointFramesPool, f)\n                \n                local backgroundTexture = f:CreateTexture (nil, \"background\")\n                backgroundTexture:SetTexture (textures.backgroundTexture)\n                backgroundTexture:SetTexCoord (unpack (textures.backgroundTexCoords))\n                backgroundTexture:SetSize (sizes.width, sizes.height)\n                backgroundTexture:SetPoint (\"center\")\n                \n                local comboPointTexture = f:CreateTexture (nil, \"artwork\")\n                comboPointTexture:SetTexture (textures.comboPointTexture)\n                comboPointTexture:SetTexCoord (unpack (textures.comboPointTexCoords))\n                \n                comboPointTexture:SetSize (sizes.width, sizes.height)\n                comboPointTexture:SetPoint (\"center\")\n                comboPointTexture:Hide()            \n                \n                f.IsActive = false\n                \n                f.backgroundTexture = backgroundTexture\n                f.comboPointTexture = comboPointTexture\n                \n                createAnimations (f)\n            end\n            \n        else\n            envTable.ComboPointFrame = unitFrame.PlaterComboPointFrame\n            envTable.ComboPointFrame:SetScale (sizes.scale)\n            envTable.ComboPoints = unitFrame.PlaterComboPointFrame.ComboPointFramesPool\n            \n        end            \n        \n        envTable.ComboPointFrame:SetFrameLevel (frameLevel)\n        envTable.ComboPointFrame:SetFrameStrata (frameStrata)\n        \n        function envTable.UpdateComboPoints()\n            local comboPoints = UnitPower (\"player\", Enum.PowerType.ComboPoints)\n            \n            for i = 1, envTable.TotalComboPoints do\n                local thisComboPoint = envTable.ComboPoints [i]\n                \n                if (i <= comboPoints ) then\n                    --combo point enabled\n                    if (not thisComboPoint.IsActive) then\n                        thisComboPoint.ShowAnimation:Play()\n                        thisComboPoint.IsActive = true\n                        \n                    end\n                    \n                else\n                    --combo point disabled\n                    if (thisComboPoint.IsActive) then\n                        thisComboPoint.HideAnimation:Play()\n                        thisComboPoint.IsActive = false\n                        \n                    end\n                end\n            end\n            \n            \n        end\n        \n        function envTable.UpdateComboPointAmount()\n            local namePlateWidth = Plater.db.profile.plate_config.enemynpc.health_incombat[1]\n            local comboPoints = UnitPowerMax (\"player\", Enum.PowerType.ComboPoints)\n            local reservedSpace = namePlateWidth / comboPoints\n            \n            --store the total amount of combo points\n            envTable.TotalComboPoints = comboPoints\n            \n            --update anchor frame\n            envTable.ComboPointFrame:SetWidth (namePlateWidth)\n            envTable.ComboPointFrame:SetHeight (20)\n            envTable.ComboPointFrame:ClearAllPoints()\n            for i = 1, #anchors do\n                local anchor = anchors[i]\n                envTable.ComboPointFrame:SetPoint (unpack (anchor))\n            end        \n            \n            --\n            for i = 1, #envTable.ComboPoints do\n                envTable.ComboPoints[i]:Hide()\n                envTable.ComboPoints[i]:ClearAllPoints()\n            end\n            \n            for i = 1, comboPoints do\n                local comboPoint = envTable.ComboPoints[i]\n                comboPoint:SetPoint (\"left\", envTable.ComboPointFrame, \"left\", reservedSpace * (i-1), 0)\n                comboPoint:Show()\n            end\n            \n            envTable.LastUpdate = GetTime()\n            \n            envTable.UpdateComboPoints()\n        end\n        \n        --initialize\n        envTable.UpdateComboPointAmount()\n        envTable.ComboPointFrame:Hide()\n    end\n    \n    \nend",
					},
					["Time"] = 1548354524,
					["PlaterCore"] = 1,
					["Name"] = "Combo Points [Plater]",
					["LoadConditions"] = {
						["talent"] = {
						},
						["group"] = {
						},
						["class"] = {
							["Enabled"] = true,
							["DRUID"] = true,
							["ROGUE"] = true,
						},
						["map_ids"] = {
						},
						["role"] = {
						},
						["pvptalent"] = {
						},
						["race"] = {
						},
						["affix"] = {
						},
						["encounter_ids"] = {
						},
						["spec"] = {
							[103] = true,
							["Enabled"] = true,
						},
					},
					["Icon"] = 135426,
					["LastHookEdited"] = "",
				}, -- [10]
				{
					["Enabled"] = false,
					["Revision"] = 182,
					["HooksTemp"] = {
					},
					["Author"] = "Izimode-Azralon",
					["Desc"] = "Show how many raid members are targeting the unit",
					["Hooks"] = {
						["Leave Combat"] = "function (self, unitId, unitFrame, envTable)\n    envTable.CanShow = false;\n    envTable.TargetAmount:SetText (\"\")\nend\n\n\n",
						["Nameplate Added"] = "function (self, unitId, unitFrame, envTable)\n    \n    --when a nameplate is added to the screen check if the player is in combat\n    if (InCombatLockdown()) then\n        --player is in combat, check if can check amount of targets\n        envTable.CanShow = envTable.CanShowTargetAmount();\n        \n    else\n        envTable.CanShow = false; \n    end\n    \n    envTable.TargetAmount:SetText (\"\");\n    \nend",
						["Nameplate Removed"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.TargetAmount:SetText (\"\");\n    envTable.CanShow = false;\n    \nend\n\n\n",
						["Nameplate Updated"] = "function (self, unitId, unitFrame, envTable)\n    \n    --if the script is allowed to show the amount of targets\n    --also check if the unit is in combat\n    if (envTable.CanShow and UnitAffectingCombat (unitId)) then\n        \n        --check if can update the amount of targets following the cooldown set in the constructor script\n        --by default Plater updates the nameplate every 250ms, by default the cooldown is 2, so it'll update the amuont of target every 1/2 of a second\n        envTable.UpdateCooldown = envTable.UpdateCooldown + 1\n        if (envTable.UpdateCooldown < envTable.UpdateInterval) then\n            return\n        else\n            \n            --reset the cooldown interval to check the amount of target again\n            envTable.UpdateCooldown = 0\n            \n            --get the amount of targets\n            local amount;\n            if (envTable.InRaid) then\n                amount = envTable.NumTargetsInRaid (unitFrame)      \n                \n            elseif (envTable.InParty) then\n                amount = envTable.NumTargetsInParty (unitFrame)   \n                \n            else\n                envTable.TargetAmount:SetText (\"\")\n                return\n            end\n            \n            --update the amount text\n            if (amount == 0) then\n                envTable.TargetAmount:SetText (\"\")\n            else\n                envTable.TargetAmount:SetText (amount)\n            end\n            \n        end\n    end\nend\n\n\n",
						["Enter Combat"] = "function (self, unitId, unitFrame, envTable)\n    \n    --check if can show the amount of targets\n    envTable.CanShow = envTable.CanShowTargetAmount();\n    \n    if (not envTable.CanShow) then\n        envTable.TargetAmount:SetText (\"\") \n    end\nend\n\n\n\n\n",
						["Constructor"] = "--all gray text like this are comments and do not run as code\n--build the settings and basic functions for the hook\n\nfunction (self, unitId, unitFrame, envTable)\n    \n    --declare setting variables:\n    local textColor = \"orange\";\n    local textSize = 12;\n    \n    local showInRaid = true;\n    local showInDungeon = true;\n    local showInArena = false;\n    local showInBattleground = false;\n    local showInOpenWorld = true;\n    \n    envTable.UpdateInterval = 2; --each 2 updates in the nameplate it'll update the amount of targets\n    \n    local anchor = {\n        side = 6, --1 = topleft 2 = left 3 = bottomleft 4 = bottom 5 = bottom right 6 = right 7 = topright 8 = top\n        x = 4, --x offset\n        y = 0, --y offset\n    };\n    \n    \n    ---------------------------------------------------------------------------------------------------------------------------------------------\n    \n    \n    --frames:\n    \n    --create the text that will show the amount of people targeting the unit\n    if (not  unitFrame.healthBar.TargetAmount) then\n        envTable.TargetAmount = Plater:CreateLabel (unitFrame.healthBar, \"\", textSize, textColor);\n        Plater.SetAnchor (envTable.TargetAmount, anchor);\n        unitFrame.healthBar.TargetAmount = envTable.TargetAmount\n    end\n    \n    --in case Plater wipes the envTable\n    envTable.TargetAmount = unitFrame.healthBar.TargetAmount\n    \n    ---------------------------------------------------------------------------------------------------------------------------------------------           \n    --private variables (they will be used in the other scripts within this hook)\n    envTable.CanShow = false;\n    envTable.UpdateCooldown = 0;\n    envTable.InRaid = false;\n    envTable.InParty = false;\n    \n    ---------------------------------------------------------------------------------------------------------------------------------------------           \n    --functions\n    \n    --update the InRaid or InParty proprieties\n    function envTable.UpdateGroupType()\n        if (IsInRaid()) then\n            envTable.InRaid = true;\n            envTable.InParty = false;     \n            \n        elseif (IsInGroup()) then\n            envTable.InRaid = false;\n            envTable.InParty = true;   \n            \n        else\n            envTable.InRaid = false;            \n            envTable.InParty = false;\n        end\n    end\n    \n    --this function controls if the amount of targets can show following the settings in the top of this script\n    function envTable.CanShowTargetAmount()\n        \n        local _, instanceType, difficultyID, _, _, _, _, instanceMapID, instanceGroupSize = GetInstanceInfo()\n        \n        if (showInRaid and instanceType == \"raid\") then\n            envTable.UpdateGroupType()\n            return true\n        end\n        \n        if (showInDungeon and instanceType == \"party\") then\n            envTable.UpdateGroupType()\n            return true\n        end\n        \n        if (showInArena and instanceType == \"arena\") then\n            envTable.UpdateGroupType()\n            return true\n        end\n        \n        if (showInBattleground and instanceType == \"pvp\") then\n            envTable.UpdateGroupType()\n            return true\n        end\n        \n        if (showInOpenWorld and instanceType == \"none\") then\n            envTable.UpdateGroupType()\n            if (envTable.InRaid or envTable.InParty) then\n                return true\n            end\n        end\n        \n        return false\n    end\n    \n    --get the amount of player targetting the unit in raid or party\n    function envTable.NumTargetsInRaid (unitFrame)\n        local amount = 0\n        for i = 1, GetNumGroupMembers() do\n            local unit = \"raid\" .. i .. \"target\"\n            if (UnitGUID (unit) == unitFrame.namePlateUnitGUID) then\n                amount = amount + 1\n            end\n        end\n        \n        return amount\n    end\n    \n    function envTable.NumTargetsInParty()\n        local amount = 0\n        for i = 1, GetNumGroupMembers() - 1 do\n            local unit = \"party\" .. i .. \"target\"\n            if (UnitGUID (unit) == unitFrame.namePlateUnitGUID) then\n                amount = amount + 1\n            end\n        end\n        \n        local unit = \"playertarget\"\n        if (UnitGUID (unit) == unitFrame.namePlateUnitGUID) then\n            amount = amount + 1\n        end        \n        \n        return amount\n    end\n    \nend",
					},
					["Time"] = 1548278227,
					["PlaterCore"] = 1,
					["Name"] = "Players Targeting a Target [Plater]",
					["LoadConditions"] = {
						["talent"] = {
						},
						["group"] = {
						},
						["class"] = {
						},
						["map_ids"] = {
						},
						["race"] = {
						},
						["pvptalent"] = {
						},
						["spec"] = {
						},
						["affix"] = {
						},
						["encounter_ids"] = {
						},
						["role"] = {
						},
					},
					["Icon"] = 1966587,
					["LastHookEdited"] = "",
				}, -- [11]
				{
					["Enabled"] = false,
					["Revision"] = 93,
					["HooksTemp"] = {
					},
					["Author"] = "Izimode-Azralon",
					["Desc"] = "Changes the target color to the color set in the constructor script.",
					["Hooks"] = {
						["Nameplate Updated"] = "function (self, unitId, unitFrame, envTable)\n    envTable.UpdateColor (unitFrame)\nend",
						["Nameplate Added"] = "function (self, unitId, unitFrame, envTable)\n    envTable.UpdateColor (unitFrame)\nend",
						["Target Changed"] = "function (self, unitId, unitFrame, envTable)\n    envTable.UpdateColor (unitFrame)\nend\n\n\n\n\n\n\n\n\n\n\n",
						["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    --usage: color name e.g \"red\" \"yellow\"; color table e.g {1, 0, 0} {1, 1, 0}; hex string e.g. \"#FF0000\" \"FFFF00\"\n    \n    envTable.TargetColor = \"purple\"\n    --envTable.TargetColor = \"#FF00FF\"\n    --envTable.TargetColor = {252/255, 0/255, 254/255}\n    \n    function envTable.UpdateColor (unitFrame)\n        --do not change the color of the personal bar\n        if (not unitFrame.IsSelf) then\n            \n            --if this nameplate the current target of the player?\n            if (unitFrame.namePlateIsTarget) then\n                Plater.SetNameplateColor (unitFrame, envTable.TargetColor)  --rgb\n            else\n                --refresh the nameplate color\n                Plater.RefreshNameplateColor (unitFrame)\n            end\n        end\n    end\n    \nend\n\n\n\n\n",
					},
					["Time"] = 1552354619,
					["PlaterCore"] = 1,
					["Name"] = "Current Target Color [Plater]",
					["LoadConditions"] = {
						["talent"] = {
						},
						["group"] = {
						},
						["class"] = {
						},
						["map_ids"] = {
						},
						["race"] = {
						},
						["pvptalent"] = {
						},
						["role"] = {
						},
						["affix"] = {
						},
						["encounter_ids"] = {
						},
						["spec"] = {
						},
					},
					["Icon"] = 878211,
					["LastHookEdited"] = "",
				}, -- [12]
				{
					["OptionsValues"] = {
					},
					["LastHookEdited"] = "",
					["Hooks"] = {
						["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    --ATTENTION: after enabling this script, you may have to adjust the anchor point at the Buff Settings tab\n    \n    --space between each aura icon\n    envTable.padding = 2\n    \n    --space between each row of icons\n    envTable.rowPadding = 12\n    \n    --amount of icons in the row, it'll breakline and start a new row after reach the threshold\n    envTable.maxAurasPerRow = 5\n    \n    --stack auras of the same name that arent stacked by default from the game\n    envTable.consolidadeRepeatedAuras = true    \n    \n    --which auras goes first, assign a value (any number), bigger value goes first\n    envTable.priority = {\n        [\"Vampiric Touch\"] = 50,\n        [\"Shadow Word: Pain\"] = 22,\n        [\"Mind Flay\"] = 5,\n    }\n    \nend \n\n\n\n\n",
						["Nameplate Updated"] = "function (self, unitId, unitFrame, envTable)\n    \n    local auraContainers = {unitFrame.BuffFrame.PlaterBuffList}\n    \n    if (Plater.db.profile.buffs_on_aura2) then\n        auraContainers [2] = unitFrame.BuffFrame2.PlaterBuffList\n    end\n    \n    for containerID = 1, #auraContainers do\n        \n        local auraContainer = auraContainers [containerID]\n        local aurasShown = {}\n        local aurasDuplicated = {}\n        \n        --build the list of auras shown in the buff frame and check for each aura priority\n        --also check if the consolidate (stack) auras with the same name is enabled\n        for index, auraIcon in ipairs (auraContainer) do\n            if (auraIcon:IsShown()) then\n                if (envTable.consolidadeRepeatedAuras) then\n                    --is this aura already shown?\n                    local iconShownIndex = aurasDuplicated [auraIcon.SpellName]\n                    if (iconShownIndex) then\n                        --get the table with information about the shown icon\n                        local auraShownTable = aurasShown [iconShownIndex]\n                        --get the icon already in the table\n                        local icon = auraShownTable[1]\n                        --increase the amount of stacks\n                        auraShownTable[3] = auraShownTable[3] + 1\n                        \n                        --check if the remaining time of the icon already added in the table is lower than the current\n                        if (auraIcon.RemainingTime > icon.RemainingTime) then\n                            --replace the icon for the icon with bigger duration\n                            auraShownTable[1] = auraIcon\n                            icon:Hide()\n                        else\n                            auraIcon:Hide()\n                        end\n                    else    \n                        local priority = envTable.priority[auraIcon.SpellName] or envTable.priority[auraIcon.spellId] or 1\n                        tinsert (aurasShown, {auraIcon, priority, 1}) --icon frame, priority, stack amount\n                        aurasDuplicated [auraIcon.SpellName] = #aurasShown\n                    end\n                else\n                    --not stacking similar auras\n                    local priority = envTable.priority[auraIcon.SpellName] or envTable.priority[auraIcon.spellId] or 1\n                    tinsert (aurasShown, {auraIcon, priority})\n                    \n                end           \n            end\n        end\n        \n        --sort auras by priority\n        table.sort (aurasShown, DetailsFramework.SortOrder2)\n        \n        local growDirection\n        if (containerID == 1) then --debuff container\n            growDirection = Plater.db.profile.aura_grow_direction\n            --force to grow to right if it is anchored to center\n            if (growDirection == 2) then\n                growDirection = 3\n            end\n            -- \"Left\", \"Center\", \"Right\" - 1  2  3\n            \n        elseif (containerID == 2) then --buff container\n            growDirection = Plater.db.profile.aura2_grow_direction\n            --force to grow to left if it is anchored to center\n            if (growDirection == 2) then\n                growDirection = 1\n            end\n            \n        end\n        \n        local padding = envTable.padding\n        local framersPerRow = envTable.maxAurasPerRow + 1\n        local horizontalLength = (-padding or 0)\n        \n        --first icon is where the row starts\n        local firstIcon = aurasShown[1] and aurasShown[1][1]\n        \n        if (firstIcon) then\n            local anchorPoint = firstIcon:GetParent() --anchor point is the BuffFrame\n            anchorPoint:SetSize (1, 1)\n            \n            --> left to right\n            if (growDirection == 3) then\n                --> iterate among all aura icons\n                for i = 1, #aurasShown do\n                    local auraIcon = aurasShown [i][1]\n                    auraIcon:ClearAllPoints()\n                    \n                    if (i == 1) then\n                        auraIcon:SetPoint (\"bottomleft\", anchorPoint, \"bottomleft\", 0, 0)\n                    elseif (i % framersPerRow == 0) then\n                        auraIcon:SetPoint (\"bottomleft\", firstIcon, \"topleft\", 0, envTable.rowPadding or 0)\n                        framersPerRow = framersPerRow + framersPerRow\n                    else\n                        auraIcon:SetPoint (\"topleft\", aurasShown [i-1][1], \"topright\", padding, 0)\n                    end\n                    \n                    local stacks = aurasShown[i][3]\n                    if (stacks and stacks > 1) then\n                        auraIcon.StackText:SetText (stacks)\n                        auraIcon.StackText:Show()\n                    end\n                    \n                    horizontalLength = horizontalLength + auraIcon:GetWidth() + padding\n                end\n                \n                --right to left\n            elseif (growDirection == 1) then\n                --> iterate among all aura icons\n                for i = 1, #aurasShown do\n                    local auraIcon = aurasShown [i][1]\n                    auraIcon:ClearAllPoints()\n                    \n                    if (i == 1) then\n                        auraIcon:SetPoint (\"bottomright\", anchorPoint, \"bottomright\", 0, 0)\n                    elseif (i % framersPerRow == 0) then\n                        auraIcon:SetPoint (\"bottomright\", firstIcon, \"topright\", 0, envTable.rowPadding or 0)\n                        framersPerRow = framersPerRow + framersPerRow\n                    else\n                        auraIcon:SetPoint (\"topright\", aurasShown [i-1][1], \"topleft\", -padding, 0)\n                    end\n                    \n                    local stacks = aurasShown[i][3]\n                    if (stacks and stacks > 1) then\n                        auraIcon.StackText:SetText (stacks)\n                        auraIcon.StackText:Show()\n                    end\n                    \n                    horizontalLength = horizontalLength + auraIcon:GetWidth() + padding\n                end                    \n            end\n            \n            --set the size of the buff frame\n            anchorPoint:SetWidth (horizontalLength)\n            anchorPoint:SetHeight (firstIcon:GetHeight())\n            \n        end\n    end\nend\n\n\n",
					},
					["Time"] = 1596741775,
					["LoadConditions"] = {
						["talent"] = {
						},
						["group"] = {
						},
						["class"] = {
						},
						["map_ids"] = {
						},
						["race"] = {
						},
						["pvptalent"] = {
						},
						["spec"] = {
						},
						["affix"] = {
						},
						["encounter_ids"] = {
						},
						["role"] = {
						},
					},
					["url"] = "",
					["Icon"] = "Interface\\AddOns\\Plater\\images\\icon_aura_reorder",
					["Enabled"] = false,
					["Revision"] = 295,
					["semver"] = "",
					["Author"] = "Ditador-Azralon",
					["Desc"] = "Reorder buffs and debuffs following the settings set in the constructor.",
					["Name"] = "Aura Reorder [Plater]",
					["PlaterCore"] = 1,
					["Options"] = {
					},
					["HooksTemp"] = {
					},
					["version"] = -1,
				}, -- [13]
				{
					["Enabled"] = true,
					["Revision"] = 119,
					["semver"] = "1.0.0",
					["HooksTemp"] = {
						["Cast Update"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.UpdateIconPosition (unitFrame)\n    self.ThrottleUpdate = -1\n    \nend\n\n\n",
						["Cast Start"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.UpdateIconPosition (unitFrame)\n    \nend\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n",
						["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    --settings:\n    --show cast icon\n    envTable.ShowIcon = true\n    --anchor icon on what side\n    envTable.IconAnchor = \"left\" --accep 'left' 'right'\n    --fine tune the size of the icon\n    envTable.IconSizeOffset = 1\n    \n    --shield for non interruptible casts\n    envTable.ShowShield = true\n    envTable.ShieldTexture = [[Interface\\GROUPFRAME\\UI-GROUP-MAINTANKICON]]\n    envTable.ShieldDesaturated = true\n    envTable.ShieldColor = {1, 1, 1 ,1}\n    envTable.ShieldSize = {10, 12}\n    \n    --private:\n    function envTable.UpdateIconPosition (unitFrame)\n        local castBar = unitFrame.castBar\n        local icon = castBar.Icon\n        local shield = castBar.BorderShield\n        \n        if (envTable.ShowIcon) then\n            icon:ClearAllPoints()\n            \n            if (envTable.IconAnchor == \"left\") then\n                icon:SetPoint (\"topright\", unitFrame.healthBar, \"topleft\", -1, envTable.IconSizeOffset)\n                icon:SetPoint (\"bottomright\", unitFrame.castBar, \"bottomleft\", -1, 0)    \n                \n            elseif (envTable.IconAnchor == \"right\") then\n                icon:SetPoint (\"topleft\", unitFrame.healthBar, \"topright\", 1, envTable.IconSizeOffset)\n                icon:SetPoint (\"bottomleft\", unitFrame.castBar, \"bottomright\", 1, 0)\n                \n            end\n            \n            icon:SetWidth (icon:GetHeight())\n            icon:Show()\n            \n        else\n            icon:Hide()\n            \n        end\n        \n        if (envTable.ShowShield and not castBar.canInterrupt) then\n            shield:Show()\n            shield:SetAlpha (1)\n            shield:SetTexCoord (0, 1, 0, 1)\n            shield:SetVertexColor (1, 1, 1, 1)\n            \n            shield:SetTexture (envTable.ShieldTexture)\n            shield:SetDesaturated (envTable.ShieldDesaturated)\n            \n            if (not envTable.ShieldDesaturated) then\n                shield:SetVertexColor (DetailsFramework:ParseColors (envTable.ShieldColor))\n            end\n            \n            shield:SetSize (unpack (envTable.ShieldSize))\n            \n            shield:ClearAllPoints()\n            shield:SetPoint (\"center\", castBar, \"left\", 0, 0)\n            \n        else\n            shield:Hide()\n            \n        end\n        \n    end\nend",
					},
					["Time"] = 1589137428,
					["Author"] = "Ditador-Azralon",
					["PlaterCore"] = 1,
					["Desc"] = "Move the icon of the spell cast to the left or right side of the nameplate.",
					["Hooks"] = {
						["Cast Update"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.UpdateIconPosition (unitFrame)\n    self.ThrottleUpdate = -1\n    \nend\n\n\n",
						["Cast Start"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.UpdateIconPosition (unitFrame)\n    \nend\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n",
						["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    --settings:\n    --show cast icon\n    envTable.ShowIcon = true\n    --anchor icon on what side\n    envTable.IconAnchor = \"left\" --accep 'left' 'right'\n    --fine tune the size of the icon\n    envTable.IconSizeOffset = 1\n    \n    --shield for non interruptible casts\n    envTable.ShowShield = true\n    envTable.ShieldTexture = [[Interface\\GROUPFRAME\\UI-GROUP-MAINTANKICON]]\n    envTable.ShieldDesaturated = true\n    envTable.ShieldColor = {1, 1, 1 ,1}\n    envTable.ShieldSize = {10, 12}\n    \n    --private:\n    function envTable.UpdateIconPosition (unitFrame)\n        local castBar = unitFrame.castBar\n        local icon = castBar.Icon\n        local shield = castBar.BorderShield\n        \n        if (envTable.ShowIcon) then\n            icon:ClearAllPoints()\n            \n            if (envTable.IconAnchor == \"left\") then\n                icon:SetPoint (\"topright\", unitFrame.healthBar, \"topleft\", -1, envTable.IconSizeOffset)\n                icon:SetPoint (\"bottomright\", unitFrame.castBar, \"bottomleft\", -1, 0)    \n                \n            elseif (envTable.IconAnchor == \"right\") then\n                icon:SetPoint (\"topleft\", unitFrame.healthBar, \"topright\", 1, envTable.IconSizeOffset)\n                icon:SetPoint (\"bottomleft\", unitFrame.castBar, \"bottomright\", 1, 0)\n                \n            end\n            \n            icon:SetWidth (icon:GetHeight())\n            icon:Show()\n            \n        else\n            icon:Hide()\n            \n        end\n        \n        if (envTable.ShowShield and not castBar.canInterrupt) then\n            shield:Show()\n            shield:SetAlpha (1)\n            shield:SetTexCoord (0, 1, 0, 1)\n            shield:SetVertexColor (1, 1, 1, 1)\n            \n            shield:SetTexture (envTable.ShieldTexture)\n            shield:SetDesaturated (envTable.ShieldDesaturated)\n            \n            if (not envTable.ShieldDesaturated) then\n                shield:SetVertexColor (DetailsFramework:ParseColors (envTable.ShieldColor))\n            end\n            \n            shield:SetSize (unpack (envTable.ShieldSize))\n            \n            shield:ClearAllPoints()\n            shield:SetPoint (\"center\", castBar, \"left\", 0, 0)\n            \n        else\n            shield:Hide()\n            \n        end\n        \n    end\nend",
					},
					["Prio"] = 99,
					["Name"] = "Cast Icon Anchor",
					["LoadConditions"] = {
						["talent"] = {
						},
						["group"] = {
						},
						["class"] = {
						},
						["map_ids"] = {
						},
						["race"] = {
						},
						["pvptalent"] = {
						},
						["spec"] = {
						},
						["affix"] = {
						},
						["encounter_ids"] = {
						},
						["role"] = {
						},
					},
					["LastHookEdited"] = "Constructor",
					["url"] = "https://wago.io/SR0FJSEDZ/1",
					["Icon"] = "Interface\\Buttons\\UI-Quickslot2",
					["version"] = 1,
				}, -- [14]
				{
					["OptionsValues"] = {
					},
					["LastHookEdited"] = "",
					["Hooks"] = {
						["Cast Start"] = "function (self, unitId, unitFrame, envTable)\n    \n    unitFrame.castBar.BorderShield:SetDrawLayer(\"artwork\")\n    envTable.UpdateIconPosition (unitFrame)\n    \nend\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n",
						["Cast Update"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.UpdateIconPosition (unitFrame)\n    self.ThrottleUpdate = -1\n    \nend\n\n\n",
						["Constructor"] = "function (self, unitId, unitFrame, envTable, modTable)\n    \n    --private:\n    function envTable.UpdateIconPosition (unitFrame)\n        local castBar = unitFrame.castBar\n        local icon = castBar.Icon\n        local noInterruptTexture = castBar.BorderShield\n        \n        if (modTable.config.showIcon) then\n            icon:ClearAllPoints()\n            \n            if (modTable.config.iconOnLeftSide) then\n                if (modTable.config.useFullSize) then\n                    icon:SetPoint (\"topright\", unitFrame.healthBar, \"topleft\", modTable.config.iconPadding, modTable.config.iconSizeOffset)\n                    icon:SetPoint (\"bottomright\", unitFrame.castBar, \"bottomleft\", modTable.config.iconPadding, -modTable.config.iconSizeOffset)\n                    \n                else\n                    \n                    icon:SetPoint (\"topright\", unitFrame.castBar, \"topleft\", modTable.config.iconPadding, modTable.config.iconSizeOffset)\n                    icon:SetPoint (\"bottomright\", unitFrame.castBar, \"bottomleft\", modTable.config.iconPadding, -modTable.config.iconSizeOffset)\n                end\n                \n            else\n                if (modTable.config.useFullSize) then\n                    icon:SetPoint (\"topleft\", unitFrame.healthBar, \"topright\", modTable.config.iconPadding, modTable.config.iconSizeOffset)\n                    icon:SetPoint (\"bottomleft\", unitFrame.castBar, \"bottomright\", modTable.config.iconPadding, -modTable.config.iconSizeOffset)\n                    \n                else\n                    \n                    icon:SetPoint (\"topleft\", unitFrame.castBar, \"topright\", modTable.config.iconPadding, modTable.config.iconSizeOffset)\n                    icon:SetPoint (\"bottomleft\", unitFrame.castBar, \"bottomright\", modTable.config.iconPadding, -modTable.config.iconSizeOffset)\n                end\n            end\n            \n            icon:SetWidth (icon:GetHeight())\n            icon:Show()\n        else\n            icon:Hide()\n        end\n        \n        if (modTable.config.showTexture and not castBar.canInterrupt) then\n            noInterruptTexture:Show()\n            \n            local texturePath = modTable.config.iconTexturePath\n            texturePath = texturePath:gsub(\"//\", \"/\")\n            texturePath = texturePath:gsub(\"\\\\\", \"/\")\n            \n            noInterruptTexture:SetTexture (texturePath)\n            noInterruptTexture:SetTexCoord (0, 1, 0, 1)\n            \n            if (modTable.config.desaturatedTexture) then\n                noInterruptTexture:SetDesaturated (modTable.config.desaturatedTexture)\n            else\n                noInterruptTexture:SetVertexColor (DetailsFramework:ParseColors (modTable.config.textureColor))\n            end\n            \n            noInterruptTexture:SetSize (modTable.config.textureWidth, castBar:GetHeight() + modTable.config.textureHeightMod)\n            noInterruptTexture:ClearAllPoints()\n            noInterruptTexture:SetPoint (\"center\", castBar, \"left\", modTable.config.texturePosition, 0)\n            noInterruptTexture:SetAlpha (modTable.config.textureAlpha)\n        else\n            noInterruptTexture:Hide()\n        end\n    end\nend",
					},
					["Time"] = 1597097268,
					["LoadConditions"] = {
						["talent"] = {
						},
						["group"] = {
						},
						["class"] = {
						},
						["map_ids"] = {
						},
						["role"] = {
						},
						["pvptalent"] = {
						},
						["race"] = {
						},
						["affix"] = {
						},
						["encounter_ids"] = {
						},
						["spec"] = {
						},
					},
					["url"] = "",
					["Icon"] = "Interface\\AddOns\\Plater\\images\\castbar_icon",
					["Enabled"] = false,
					["Revision"] = 348,
					["semver"] = "",
					["Author"] = "Ditador-Azralon",
					["Desc"] = "Move the icon of the spell cast to the left or right side of the nameplate.",
					["Name"] = "Cast Bar Icon Settings [P]",
					["PlaterCore"] = 1,
					["version"] = -1,
					["HooksTemp"] = {
					},
					["Options"] = {
						{
							["Type"] = 5,
							["Name"] = "Icon Settings",
							["Value"] = "Icon Settings:",
							["Key"] = "option4",
							["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
							["Desc"] = "",
						}, -- [1]
						{
							["Type"] = 4,
							["Name"] = "Show Icon",
							["Value"] = true,
							["Key"] = "showIcon",
							["Icon"] = "Interface\\AddOns\\Plater\\images\\option_bool",
							["Desc"] = "Show the castbar icon when enabled",
						}, -- [2]
						{
							["Type"] = 4,
							["Name"] = "Icon on Left Side",
							["Value"] = true,
							["Key"] = "iconOnLeftSide",
							["Icon"] = "Interface\\AddOns\\Plater\\images\\option_bool",
							["Desc"] = "If enabled it anchor the icon on the left side, right otherwise",
						}, -- [3]
						{
							["Type"] = 4,
							["Key"] = "useFullSize",
							["Value"] = false,
							["Name"] = "Use Big Icon",
							["Icon"] = "Interface\\AddOns\\Plater\\images\\option_bool",
							["Desc"] = "If enabled the icon has the size of the cast bar plus the healthbar",
						}, -- [4]
						{
							["Type"] = 2,
							["Max"] = 5,
							["Desc"] = "Fine tune the icon size",
							["Min"] = 0,
							["Fraction"] = true,
							["Value"] = 0,
							["Name"] = "Icon Size Offset",
							["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
							["Key"] = "iconSizeOffset",
						}, -- [5]
						{
							["Type"] = 2,
							["Max"] = 5,
							["Desc"] = "Space between the icon and the cast bar",
							["Min"] = -5,
							["Name"] = "Icon Padding",
							["Value"] = 0,
							["Key"] = "iconPadding",
							["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
							["Fraction"] = false,
						}, -- [6]
						{
							["Type"] = 6,
							["Name"] = "Blank Space",
							["Value"] = 0,
							["Key"] = "option6",
							["Icon"] = "Interface\\AddOns\\Plater\\images\\option_blank",
							["Desc"] = "",
						}, -- [7]
						{
							["Type"] = 5,
							["Name"] = "Interrupt Texture",
							["Value"] = "Can't Interrupt Texture:",
							["Key"] = "option5",
							["Icon"] = "Interface\\AddOns\\Plater\\images\\option_label",
							["Desc"] = "",
						}, -- [8]
						{
							["Type"] = 4,
							["Name"] = "Show Texture",
							["Value"] = true,
							["Key"] = "showTexture",
							["Icon"] = "Interface\\AddOns\\Plater\\images\\option_bool",
							["Desc"] = "If enabled show a texture to tell the cast can't be interrupted",
						}, -- [9]
						{
							["Type"] = 3,
							["Name"] = "Texture Path",
							["Value"] = "Interface\\GROUPFRAME\\UI-GROUP-MAINTANKICON",
							["Key"] = "iconTexturePath",
							["Icon"] = "Interface\\AddOns\\Plater\\images\\option_text",
							["Desc"] = "Insert the path for the texture",
						}, -- [10]
						{
							["Type"] = 4,
							["Name"] = "Texture Desaturated",
							["Value"] = true,
							["Key"] = "desaturatedTexture",
							["Icon"] = "Interface\\AddOns\\Plater\\images\\option_bool",
							["Desc"] = "If enbaled, texture is shown in black & white",
						}, -- [11]
						{
							["Type"] = 1,
							["Name"] = "Texture Color",
							["Value"] = {
								1, -- [1]
								1, -- [2]
								1, -- [3]
								0.3056715726852417, -- [4]
							},
							["Key"] = "textureColor",
							["Icon"] = "Interface\\AddOns\\Plater\\images\\option_color",
							["Desc"] = "Select the color of the texture",
						}, -- [12]
						{
							["Type"] = 2,
							["Max"] = 32,
							["Desc"] = "Adjust the texture width",
							["Min"] = 1,
							["Fraction"] = false,
							["Value"] = 10,
							["Name"] = "Texture Width",
							["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
							["Key"] = "textureWidth",
						}, -- [13]
						{
							["Type"] = 2,
							["Max"] = 16,
							["Desc"] = "The texture is set to be the same size as the cast bar, fine tune the height as wanted",
							["Min"] = -16,
							["Name"] = "Texture Height Mod",
							["Value"] = 0,
							["Key"] = "textureHeightMod",
							["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
							["Fraction"] = true,
						}, -- [14]
						{
							["Type"] = 2,
							["Max"] = 32,
							["Desc"] = "Adjust the texture position",
							["Min"] = -32,
							["Fraction"] = false,
							["Value"] = 0,
							["Name"] = "Texture Position",
							["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
							["Key"] = "texturePosition",
						}, -- [15]
						{
							["Type"] = 2,
							["Max"] = 1,
							["Desc"] = "Adjust the texture transparency",
							["Min"] = 0,
							["Key"] = "textureAlpha",
							["Value"] = 1,
							["Fraction"] = true,
							["Icon"] = "Interface\\AddOns\\Plater\\images\\option_number",
							["Name"] = "Texture Alpha",
						}, -- [16]
					},
				}, -- [15]
				{
					["Enabled"] = false,
					["Revision"] = 93,
					["Options"] = {
					},
					["HooksTemp"] = {
					},
					["semver"] = "",
					["Author"] = "Kastfall-Azralon",
					["version"] = -1,
					["Desc"] = "Function Plater.UpdatePlateSize from Plater.lua exported to scritps.",
					["Hooks"] = {
						["Nameplate Added"] = "\n\n-- exported function Plater.UpdatePlateSize() from Plater.lua\n--this is for advanced users which wants to reorder the nameplate frame at their desire\n\n\n\nfunction (self, unitId, unitFrame, envTable)\n    \n    --check if there's a type of unit on this nameplate\n    local plateFrame = unitFrame:GetParent()\n    if (not plateFrame.actorType) then\n        return\n    end\n    \n    --get all the frames and cache some variables\n    local ACTORTYPE_ENEMY_PLAYER = \"enemyplayer\"\n    local profile = Plater.db.profile\n    local DB_PLATE_CONFIG = profile.plate_config\n    local isInCombat = Plater.IsInCombat()\n    local actorType = plateFrame.actorType\n    \n    local unitFrame = plateFrame.unitFrame\n    local healthBar = unitFrame.healthBar\n    local castBar = unitFrame.castBar\n    local powerBar = unitFrame.powerBar\n    local buffFrame1 = unitFrame.BuffFrame\n    local buffFrame2 = unitFrame.BuffFrame2\n    \n    --use in combat bars when in pvp\n    if (plateFrame.actorType == ACTORTYPE_ENEMY_PLAYER) then\n        if ((Plater.ZoneInstanceType == \"pvp\" or Plater.ZoneInstanceType == \"arena\") and DB_PLATE_CONFIG.player.pvp_always_incombat) then\n            isInCombat = true\n        end\n    end\n    \n    --get the config for this actor type\n    local plateConfigs = DB_PLATE_CONFIG [actorType]\n    --get the config key based if the player is in combat\n    local castBarConfigKey, healthBarConfigKey, manaConfigKey = Plater.GetHashKey (isInCombat)\n    \n    --get the width and height from what the user set in the options panel\n    local healthBarWidth, healthBarHeight = unitFrame.customHealthBarWidth or plateConfigs [healthBarConfigKey][1], unitFrame.customHealthBarHeight or plateConfigs [healthBarConfigKey][2]\n    local castBarWidth, castBarHeight = unitFrame.customCastBarWidth or plateConfigs [castBarConfigKey][1], unitFrame.customCastBarHeight or plateConfigs [castBarConfigKey][2]\n    local powerBarWidth, powerBarHeight = unitFrame.customPowerBarHeight or plateConfigs [manaConfigKey][1], unitFrame.customPowerBarHeight or plateConfigs [manaConfigKey][2]\n    \n    --calculate the offset for the cast bar, this is done due to the cast bar be anchored to topleft and topright\n    local castBarOffSetX = (healthBarWidth - castBarWidth) / 2\n    local castBarOffSetY = plateConfigs.castbar_offset\n    \n    --calculate offsets for the power bar\n    local powerBarOffSetX = (healthBarWidth - powerBarWidth) / 2\n    local powerBarOffSetY = 0\n    \n    --calculate the size deviation for pets\n    local unitType = Plater.GetUnitType (plateFrame)\n    if (unitType == \"pet\") then\n        healthBarHeight = healthBarHeight * Plater.db.profile.pet_height_scale\n        healthBarWidth = healthBarWidth * Plater.db.profile.pet_width_scale\n        \n    elseif (unitType == \"minus\") then\n        healthBarHeight = healthBarHeight * Plater.db.profile.minor_height_scale\n        healthBarWidth = healthBarWidth * Plater.db.profile.minor_width_scale\n    end\n    \n    --unit frame - is set to be the same size as the plateFrame\n    unitFrame:ClearAllPoints()\n    unitFrame:SetAllPoints()\n    \n    --calculates the health bar anchor points\n    --it will always be placed in the center of the nameplate area (where it accepts mouse clicks) \n    local xOffSet = (plateFrame:GetWidth() - healthBarWidth) / 2\n    local yOffSet = (plateFrame:GetHeight() - healthBarHeight) / 2\n    \n    --set the health bar point\n    healthBar:ClearAllPoints()\n    PixelUtil.SetPoint (healthBar, \"topleft\", unitFrame, \"topleft\", xOffSet + profile.global_offset_x, -yOffSet + profile.global_offset_y)\n    PixelUtil.SetPoint (healthBar, \"bottomright\", unitFrame, \"bottomright\", -xOffSet + profile.global_offset_x, yOffSet + profile.global_offset_y)\n    \n    --set the cast bar point and size\n    castBar:ClearAllPoints()\n    PixelUtil.SetPoint (castBar, \"topleft\", healthBar, \"bottomleft\", castBarOffSetX, castBarOffSetY)\n    PixelUtil.SetPoint (castBar, \"topright\", healthBar, \"bottomright\", -castBarOffSetX, castBarOffSetY)\n    PixelUtil.SetHeight (castBar, castBarHeight)\n    PixelUtil.SetSize (castBar.Icon, castBarHeight, castBarHeight)\n    PixelUtil.SetSize (castBar.BorderShield, castBarHeight * 1.4, castBarHeight * 1.4)\n    \n    --set the power bar point and size\n    powerBar:ClearAllPoints()\n    PixelUtil.SetPoint (powerBar, \"topleft\", healthBar, \"bottomleft\", powerBarOffSetX, powerBarOffSetY)\n    PixelUtil.SetPoint (powerBar, \"topright\", healthBar, \"bottomright\", -powerBarOffSetX, powerBarOffSetY)\n    PixelUtil.SetHeight (powerBar, powerBarHeight)\n    \n    --power bar are hidden by default, show it if there's a custom size for it\n    if (unitFrame.customPowerBarWidth and unitFrame.customPowerBarHeight) then\n        powerBar:SetUnit (unitFrame.unit)\n    end\n    \n    --aura frames\n    local bf1Anchor = Plater.db.profile.aura_frame1_anchor\n    Plater.SetAnchor (buffFrame1, {side = bf1Anchor.side, x = bf1Anchor.x, y = bf1Anchor.y + plateConfigs.buff_frame_y_offset}, unitFrame.healthBar, (Plater.db.profile.aura_grow_direction or 2) == 2)\n    \n    local bf2Anchor = Plater.db.profile.aura_frame2_anchor\n    Plater.SetAnchor (buffFrame2, {side = bf2Anchor.side, x = bf2Anchor.x, y = bf2Anchor.y + plateConfigs.buff_frame_y_offset}, unitFrame.healthBar, (Plater.db.profile.aura2_grow_direction or 2) == 2)\n    \nend\n\n\n",
					},
					["LoadConditions"] = {
						["talent"] = {
						},
						["group"] = {
						},
						["class"] = {
						},
						["map_ids"] = {
						},
						["role"] = {
						},
						["pvptalent"] = {
						},
						["spec"] = {
						},
						["affix"] = {
						},
						["encounter_ids"] = {
						},
						["race"] = {
						},
					},
					["Name"] = "Reorder Nameplate [Plater]",
					["PlaterCore"] = 1,
					["LastHookEdited"] = "",
					["url"] = "",
					["Icon"] = 574574,
					["Time"] = 1596791840,
				}, -- [16]
				{
					["OptionsValues"] = {
					},
					["LastHookEdited"] = "Player Logon",
					["Hooks"] = {
						["Player Logon"] = "function()\n    -- /RELOAD AFTER IMPORTING OR CHANGING THE SCRIPT\n    -- SELECT THE INDICATOR AT THE TARGET TAB\n    local profile = Plater.db.profile\n    \n    Plater.TargetIndicators    [\"Thin Arrow\"] = {\n        path = [[Interface\\AddOns\\Plater\\media\\arrow_thin_right_64]],\n        coords = {\n            {0, 1, 0, 1}, \n            {1, 0, 0, 1}\n        },\n        desaturated = false,\n        width = 16,\n        height = 16,\n        x = 1,\n        y = 0,\n        blend = \"ADD\",\n        color = profile.target_highlight_color, --\"white\",\n    }    \n    \n    Plater.TargetIndicators    [\"Single Arrow\"] = {\n        path = [[Interface\\AddOns\\Plater\\media\\arrow_single_right_64]],\n        coords = {\n            {0, 1, 0, 1}, \n            {1, 0, 0, 1}\n        },\n        desaturated = false,\n        width = 16,\n        height = 16,\n        x = 1,\n        y = 0,\n        blend = \"ADD\",\n        color = profile.target_highlight_color, --\"white\",\n    }    \n    \n    Plater.TargetIndicators    [\"Simple Arrow\"] = {\n        path = [[Interface\\AddOns\\Plater\\media\\arrow_simple_right_64]],\n        coords = {\n            {0, 1, 0, 1}, \n            {1, 0, 0, 1}\n        },\n        desaturated = false,\n        width = 16,\n        height = 16,\n        x = 14,\n        y = 0,\n        blend = \"ADD\",\n        color = profile.target_highlight_color, --\"white\",\n    }    \n    \n    Plater.TargetIndicators    [\"Double Arrows\"] = {\n        path = [[Interface\\AddOns\\Plater\\media\\arrow_double_right_64]],\n        coords = {\n            {0, 1, 0, 1}, \n            {1, 0, 0, 1}\n        },\n        desaturated = false,\n        width = 16,\n        height = 16,\n        x = 22,\n        y = 0,\n        blend = \"ADD\",\n        color = profile.target_highlight_color, --\"white\",\n    }    \n    \n    Plater.TargetIndicators    [\"Big Arrow\"] = {\n        path = [[Interface\\AddOns\\Plater\\media\\arrow_right_64]],\n        coords = {\n            {0, 1, 0, 1}, \n            {1, 0, 0, 1}\n        },\n        desaturated = false,\n        width = 18,\n        height = 16,\n        x = 20,\n        y = 0,\n        blend = \"ADD\",\n        color = profile.target_highlight_color, --\"white\",\n    }\nend",
					},
					["Time"] = 1599519419,
					["LoadConditions"] = {
						["talent"] = {
						},
						["group"] = {
						},
						["class"] = {
						},
						["map_ids"] = {
						},
						["role"] = {
						},
						["pvptalent"] = {
						},
						["affix"] = {
						},
						["race"] = {
						},
						["encounter_ids"] = {
						},
						["spec"] = {
						},
					},
					["url"] = "https://wago.io/KmqtKfWVN/3",
					["Icon"] = "Interface\\AddOns\\Plater\\media\\arrow_thin_right_64",
					["Enabled"] = true,
					["Revision"] = 160,
					["semver"] = "1.0.2",
					["Author"] = "Xitobel-Saurfang",
					["Desc"] = "Adds 4 types of arrow to target indicator options.",
					["Prio"] = 99,
					["Name"] = "Target Arrows",
					["PlaterCore"] = 1,
					["Options"] = {
					},
					["HooksTemp"] = {
						["Player Logon"] = "function()\n    -- /RELOAD AFTER IMPORTING OR CHANGING THE SCRIPT\n    -- SELECT THE INDICATOR AT THE TARGET TAB\n    local profile = Plater.db.profile\n    \n    Plater.TargetIndicators    [\"Thin Arrow\"] = {\n        path = [[Interface\\AddOns\\Plater\\media\\arrow_thin_right_64]],\n        coords = {\n            {0, 1, 0, 1}, \n            {1, 0, 0, 1}\n        },\n        desaturated = false,\n        width = 16,\n        height = 16,\n        x = 1,\n        y = 0,\n        blend = \"ADD\",\n        color = profile.target_highlight_color, --\"white\",\n    }    \n    \n    Plater.TargetIndicators    [\"Single Arrow\"] = {\n        path = [[Interface\\AddOns\\Plater\\media\\arrow_single_right_64]],\n        coords = {\n            {0, 1, 0, 1}, \n            {1, 0, 0, 1}\n        },\n        desaturated = false,\n        width = 16,\n        height = 16,\n        x = 1,\n        y = 0,\n        blend = \"ADD\",\n        color = profile.target_highlight_color, --\"white\",\n    }    \n    \n    Plater.TargetIndicators    [\"Simple Arrow\"] = {\n        path = [[Interface\\AddOns\\Plater\\media\\arrow_simple_right_64]],\n        coords = {\n            {0, 1, 0, 1}, \n            {1, 0, 0, 1}\n        },\n        desaturated = false,\n        width = 16,\n        height = 16,\n        x = 14,\n        y = 0,\n        blend = \"ADD\",\n        color = profile.target_highlight_color, --\"white\",\n    }    \n    \n    Plater.TargetIndicators    [\"Double Arrows\"] = {\n        path = [[Interface\\AddOns\\Plater\\media\\arrow_double_right_64]],\n        coords = {\n            {0, 1, 0, 1}, \n            {1, 0, 0, 1}\n        },\n        desaturated = false,\n        width = 16,\n        height = 16,\n        x = 22,\n        y = 0,\n        blend = \"ADD\",\n        color = profile.target_highlight_color, --\"white\",\n    }    \n    \n    Plater.TargetIndicators    [\"Big Arrow\"] = {\n        path = [[Interface\\AddOns\\Plater\\media\\arrow_right_64]],\n        coords = {\n            {0, 1, 0, 1}, \n            {1, 0, 0, 1}\n        },\n        desaturated = false,\n        width = 18,\n        height = 16,\n        x = 20,\n        y = 0,\n        blend = \"ADD\",\n        color = profile.target_highlight_color, --\"white\",\n    }\nend",
						["Constructor"] = "		function (self, unitId, unitFrame, envTable, modTable)\n			--insert code here\n			\n		end\n	",
					},
					["version"] = 3,
				}, -- [17]
				{
					["Enabled"] = true,
					["Revision"] = 8,
					["semver"] = "1.0.0",
					["HooksTemp"] = {
						["Cast Start"] = "function (self, unitId, unitFrame, envTable)\n    envTable.updateShield(unitFrame)\nend\n\n\n",
						["Cast Update"] = "function (self, unitId, unitFrame, envTable)\n    envTable.updateShield(unitFrame)\nend\n\n\n",
						["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    function envTable.updateShield(frame) \n        local castBar = frame.castBar\n        local shield = castBar.BorderShield\n        \n        if not castBar.canInterrupt then\n            shield:Hide()\n        end \n    end\nend\n\n\n",
					},
					["Author"] = "Egraowdh-Illidan",
					["Name"] = "No Castbar Shield",
					["Desc"] = "Removes the shield border on uninterruptible casts",
					["Hooks"] = {
						["Cast Start"] = "function (self, unitId, unitFrame, envTable)\n    envTable.updateShield(unitFrame)\nend\n\n\n",
						["Cast Update"] = "function (self, unitId, unitFrame, envTable)\n    envTable.updateShield(unitFrame)\nend\n\n\n",
						["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    function envTable.updateShield(frame) \n        local castBar = frame.castBar\n        local shield = castBar.BorderShield\n        \n        if not castBar.canInterrupt then\n            shield:Hide()\n        end \n    end\nend\n\n\n",
					},
					["LoadConditions"] = {
						["talent"] = {
						},
						["group"] = {
						},
						["class"] = {
						},
						["map_ids"] = {
						},
						["race"] = {
						},
						["pvptalent"] = {
						},
						["role"] = {
						},
						["affix"] = {
						},
						["encounter_ids"] = {
						},
						["spec"] = {
						},
					},
					["version"] = 1,
					["PlaterCore"] = 1,
					["LastHookEdited"] = "Constructor",
					["url"] = "https://wago.io/JLVY55vqV/1",
					["Icon"] = 133504,
					["Time"] = 1577977219,
				}, -- [18]
				{
					["OptionsValues"] = {
					},
					["LastHookEdited"] = "Constructor",
					["Hooks"] = {
						["Nameplate Added"] = "function (self, unitId, unitFrame, envTable)\n    local plateFrame = unitFrame:GetParent()\n    local unitClassification = UnitClassification (unitId)\n    \n    --border options\n    local borderSize = 1\n    local borderColor = \"yellow\"\n    \n    if (unitClassification == \"elite\") then\n        local r, g, b, a = DetailsFramework:ParseColors (borderColor)\n        unitFrame.healthBar.TargetBorder:SetVertexColor (r, g, b, a)\n        \n        unitFrame.healthBar.TargetBorder:SetBorderSizes (borderSize, borderSize, borderSize, borderSize)\n        unitFrame.healthBar.TargetBorder:UpdateSizes()            \n        \n        unitFrame.healthBar.TargetBorder:Show()\n    else\n        unitFrame.healthBar.TargetBorder:Hide()\n    end\nend\n\n\n",
						["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    --border options\n    local borderSize = 1\n    local borderColor = \"yellow\"\n    \n    if (not unitFrame.healthBar.TargetBorder) then\n        unitFrame.healthBar.TargetBorder = CreateFrame (\"frame\", nil, unitFrame.healthBar, \"NamePlateFullBorderTemplate\")\n    end\nend\n\n\n\n\n\n\n\n\n\n\n\n",
					},
					["Time"] = 1599518361,
					["LoadConditions"] = {
						["talent"] = {
						},
						["group"] = {
						},
						["class"] = {
						},
						["map_ids"] = {
						},
						["role"] = {
						},
						["pvptalent"] = {
						},
						["affix"] = {
						},
						["race"] = {
						},
						["encounter_ids"] = {
						},
						["spec"] = {
						},
					},
					["url"] = "https://wago.io/gbPaggucd/1",
					["Icon"] = 133006,
					["Enabled"] = false,
					["Revision"] = 234,
					["semver"] = "1.0.0",
					["Author"] = "Herith�gue-Proudmoore",
					["Desc"] = "Change the border of Elite mobs",
					["Prio"] = 99,
					["version"] = 1,
					["PlaterCore"] = 1,
					["Options"] = {
					},
					["HooksTemp"] = {
						["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    --border options\n    local borderSize = 1\n    local borderColor = \"yellow\"\n    \n    if (not unitFrame.healthBar.TargetBorder) then\n        unitFrame.healthBar.TargetBorder = CreateFrame (\"frame\", nil, unitFrame.healthBar, \"NamePlateFullBorderTemplate\")\n    end\nend\n\n\n\n\n\n\n\n\n\n\n\n",
						["Nameplate Added"] = "function (self, unitId, unitFrame, envTable)\n    local plateFrame = unitFrame:GetParent()\n    local unitClassification = UnitClassification (unitId)\n    \n    --border options\n    local borderSize = 1\n    local borderColor = \"yellow\"\n    \n    if (unitClassification == \"elite\") then\n        local r, g, b, a = DetailsFramework:ParseColors (borderColor)\n        unitFrame.healthBar.TargetBorder:SetVertexColor (r, g, b, a)\n        \n        unitFrame.healthBar.TargetBorder:SetBorderSizes (borderSize, borderSize, borderSize, borderSize)\n        unitFrame.healthBar.TargetBorder:UpdateSizes()            \n        \n        unitFrame.healthBar.TargetBorder:Show()\n    else\n        unitFrame.healthBar.TargetBorder:Hide()\n    end\nend\n\n\n",
					},
					["Name"] = "Elite Border",
				}, -- [19]
				{
					["OptionsValues"] = {
					},
					["LastHookEdited"] = "Constructor",
					["Hooks"] = {
						["Nameplate Added"] = "function (self, unitId, unitFrame, envTable, modTable)\n    envTable.UpdateIndicator (unitFrame)\nend\n\n\n",
						["Constructor"] = "function (self, unitId, unitFrame, envTable, modTable)\n    -- text settings:\n    local textSize = 13\n    local alpha = 0.75\n    --local textColor = \"white\"\n    local textColor = GetRelativeDifficultyColor (UnitLevel (\"player\") or 120 , UnitLevel (unitId) or 120) or   Plater.DefaultLevelColor\n    local textOutline = \"OUTLINE\"\n    \n    local anchor = {\n        side = 6, --1 = topleft 2 = left 3 = bottomleft 4 = bottom 5 = bottom right 6 = right 7 = topright 8 = top\n        x = -2.5, --x offset\n        y = 0, --y offset\n    };\n    \n    \n    \n    ---- functions\n    local DF = _G [\"DetailsFramework\"]\n    \n    if not unitFrame.RareEliteTextIndicator then\n        unitFrame.RareEliteTextIndicator = Plater:CreateLabel (unitFrame.healthBar, \"\", textSize);\n    end\n    \n    if textFont then\n        DF:SetFontFace (unitFrame.RareEliteTextIndicator, Plater.GetConfig (unitFrame).percent_text_font)\n        --DF:SetFontFace (unitFrame.RareEliteTextIndicator, textFont)\n    end\n    if textSize then\n        DF:SetFontSize (unitFrame.RareEliteTextIndicator, textSize)\n    end\n    if textOutline then\n        DF:SetFontOutline (unitFrame.RareEliteTextIndicator, textOutline)\n    end\n    if textColor then\n        local r, g, b, a = DF:ParseColors (textColor)\n        unitFrame.RareEliteTextIndicator:SetTextColor (r, g, b, a)\n    end\n    if textShadowColor then\n        local r, g, b, a = DF:ParseColors (textShadowColor)\n        DF:SetFontShadow (unitFrame.RareEliteTextIndicator, r, g, b, a, 1, -1)\n    end\n    \n    Plater.SetAnchor (unitFrame.RareEliteTextIndicator, anchor, unitFrame.healthBar.actorLevel);\n    unitFrame.RareEliteTextIndicator:SetAlpha(alpha or 1)\n    \n    function envTable.UpdateIndicator (unitFrame)\n        local unitClassification = unitFrame.namePlateClassification\n        \n        if (unitClassification == \"rareelite\") then\n            unitFrame.RareEliteTextIndicator:SetText (\"R+\")\n            \n        elseif (unitClassification == \"rare\") then\n            unitFrame.RareEliteTextIndicator:SetText (\"R\")\n            \n        elseif (unitClassification == \"elite\") then\n            unitFrame.RareEliteTextIndicator:SetText (\"+\")\n            \n        elseif (unitClassification == \"worldboss\") then\n            unitFrame.RareEliteTextIndicator:SetText (\"B\")\n            \n        else\n            unitFrame.RareEliteTextIndicator:SetText (\"\")\n            \n        end\n    end\n    \nend\n\n\n\n\n",
					},
					["Time"] = 1599520209,
					["LoadConditions"] = {
						["talent"] = {
						},
						["group"] = {
						},
						["class"] = {
						},
						["map_ids"] = {
						},
						["role"] = {
						},
						["pvptalent"] = {
						},
						["affix"] = {
						},
						["race"] = {
						},
						["encounter_ids"] = {
						},
						["spec"] = {
						},
					},
					["url"] = "https://wago.io/B3x4nT-qT/1",
					["Icon"] = 644389,
					["Enabled"] = false,
					["Revision"] = 149,
					["Options"] = {
					},
					["Author"] = "Driani-Antonidas",
					["Desc"] = "Adds a simple text indicator for rares, elites and bosses.",
					["Prio"] = 99,
					["version"] = 1,
					["PlaterCore"] = 1,
					["semver"] = "1.0.0",
					["HooksTemp"] = {
						["Constructor"] = "function (self, unitId, unitFrame, envTable, modTable)\n    -- text settings:\n    local textSize = 13\n    local alpha = 0.75\n    --local textColor = \"white\"\n    local textColor = GetRelativeDifficultyColor (UnitLevel (\"player\") or 120 , UnitLevel (unitId) or 120) or   Plater.DefaultLevelColor\n    local textOutline = \"OUTLINE\"\n    \n    local anchor = {\n        side = 6, --1 = topleft 2 = left 3 = bottomleft 4 = bottom 5 = bottom right 6 = right 7 = topright 8 = top\n        x = -2.5, --x offset\n        y = 0, --y offset\n    };\n    \n    \n    \n    ---- functions\n    local DF = _G [\"DetailsFramework\"]\n    \n    if not unitFrame.RareEliteTextIndicator then\n        unitFrame.RareEliteTextIndicator = Plater:CreateLabel (unitFrame.healthBar, \"\", textSize);\n    end\n    \n    if textFont then\n        DF:SetFontFace (unitFrame.RareEliteTextIndicator, Plater.GetConfig (unitFrame).percent_text_font)\n        --DF:SetFontFace (unitFrame.RareEliteTextIndicator, textFont)\n    end\n    if textSize then\n        DF:SetFontSize (unitFrame.RareEliteTextIndicator, textSize)\n    end\n    if textOutline then\n        DF:SetFontOutline (unitFrame.RareEliteTextIndicator, textOutline)\n    end\n    if textColor then\n        local r, g, b, a = DF:ParseColors (textColor)\n        unitFrame.RareEliteTextIndicator:SetTextColor (r, g, b, a)\n    end\n    if textShadowColor then\n        local r, g, b, a = DF:ParseColors (textShadowColor)\n        DF:SetFontShadow (unitFrame.RareEliteTextIndicator, r, g, b, a, 1, -1)\n    end\n    \n    Plater.SetAnchor (unitFrame.RareEliteTextIndicator, anchor, unitFrame.healthBar.actorLevel);\n    unitFrame.RareEliteTextIndicator:SetAlpha(alpha or 1)\n    \n    function envTable.UpdateIndicator (unitFrame)\n        local unitClassification = unitFrame.namePlateClassification\n        \n        if (unitClassification == \"rareelite\") then\n            unitFrame.RareEliteTextIndicator:SetText (\"R+\")\n            \n        elseif (unitClassification == \"rare\") then\n            unitFrame.RareEliteTextIndicator:SetText (\"R\")\n            \n        elseif (unitClassification == \"elite\") then\n            unitFrame.RareEliteTextIndicator:SetText (\"+\")\n            \n        elseif (unitClassification == \"worldboss\") then\n            unitFrame.RareEliteTextIndicator:SetText (\"B\")\n            \n        else\n            unitFrame.RareEliteTextIndicator:SetText (\"\")\n            \n        end\n    end\n    \nend\n\n\n\n\n",
						["Nameplate Added"] = "function (self, unitId, unitFrame, envTable, modTable)\n    envTable.UpdateIndicator (unitFrame)\nend\n\n\n",
					},
					["Name"] = "RareElite Text Inidicator",
				}, -- [20]
				{
					["OptionsValues"] = {
					},
					["LastHookEdited"] = "Constructor",
					["Hooks"] = {
						["Nameplate Updated"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.UpdateIndicator (unitFrame, unitId)\n    \nend\n\n\n",
						["Nameplate Added"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.UpdateIndicator (unitFrame, unitId)\n    \nend\n\n\n\n\n\n\n\n",
						["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    function envTable.UpdateIndicator (unitFrame, unitId)\n        local unitClassification = UnitClassification (unitId)\n        local unitName = UnitName (unitId)\n        unitName = unitName or UNKNOWN\n        \n        if (unitClassification == \"rareelite\") then\n            unitFrame.unitName:SetText (unitName .. \" R+\")\n            \n        elseif (unitClassification == \"rare\") then\n            unitFrame.unitName:SetText (unitName .. \" R\")\n            \n        elseif (unitClassification == \"elite\") then\n            unitFrame.unitName:SetText (unitName .. \" +\")\n            \n        end\n    end\n    \nend\n\n\n\n\n",
					},
					["Time"] = 1599520191,
					["LoadConditions"] = {
						["talent"] = {
						},
						["group"] = {
						},
						["class"] = {
						},
						["map_ids"] = {
						},
						["race"] = {
						},
						["pvptalent"] = {
						},
						["role"] = {
						},
						["affix"] = {
						},
						["encounter_ids"] = {
						},
						["spec"] = {
						},
					},
					["url"] = "https://wago.io/UfM0TP_PR/1",
					["Icon"] = "Interface\\AddOns\\Plater\\media\\star_full_64",
					["Enabled"] = true,
					["Revision"] = 45,
					["semver"] = "1.0.0",
					["Author"] = "�r��ne-Kel'thuzad",
					["Desc"] = "Show yellow star for elite; Silver star for rares",
					["Prio"] = 99,
					["version"] = 1,
					["PlaterCore"] = 1,
					["Name"] = "Rarity in the Name",
					["HooksTemp"] = {
						["Nameplate Updated"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.UpdateIndicator (unitFrame, unitId)\n    \nend\n\n\n",
						["Nameplate Added"] = "function (self, unitId, unitFrame, envTable)\n    \n    envTable.UpdateIndicator (unitFrame, unitId)\n    \nend\n\n\n\n\n\n\n\n",
						["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    function envTable.UpdateIndicator (unitFrame, unitId)\n        local unitClassification = UnitClassification (unitId)\n        local unitName = UnitName (unitId)\n        unitName = unitName or UNKNOWN\n        \n        if (unitClassification == \"rareelite\") then\n            unitFrame.unitName:SetText (unitName .. \" R+\")\n            \n        elseif (unitClassification == \"rare\") then\n            unitFrame.unitName:SetText (unitName .. \" R\")\n            \n        elseif (unitClassification == \"elite\") then\n            unitFrame.unitName:SetText (unitName .. \" +\")\n            \n        end\n    end\n    \nend\n\n\n\n\n",
					},
					["Options"] = {
					},
				}, -- [21]
				{
					["Enabled"] = true,
					["Revision"] = 203,
					["semver"] = "1.0.0",
					["HooksTemp"] = {
						["Nameplate Removed"] = "function (self, unitId, unitFrame, envTable)\n    \n    if (UnitIsUnit(\"pet\", unitFrame.namePlateUnitToken)) then\n        envTable.ShowNameplate (unitFrame)\n    end\n    \nend\n\n\n\n\n",
						["Nameplate Updated"] = "function (self, unitId, unitFrame, envTable)\n    \n    --when plater finishes an update on the nameplate\n    --check within the envTable if the healthBar of this nameplate should be hidden\n    if (envTable.IsHidden) then\n        if (unitFrame.healthBar:IsShown()) then\n            envTable.HideNameplate (unitFrame)\n        end\n    end\n    \nend\n\n\n\n\n",
						["Nameplate Added"] = "function (self, unitId, unitFrame, envTable)\n    \n    if (UnitIsUnit(\"pet\", unitFrame.namePlateUnitToken)) then\n        envTable.HideNameplate (unitFrame)\n    end\n    \nend\n\n\n\n\n\n\n\n\n",
						["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    --functions to hide and show the healthBar\n    function envTable.HideNameplate (unitFrame)\n        unitFrame.PlateFrame:Hide()\n        envTable.IsHidden = true\n    end\n    \n    function envTable.ShowNameplate (unitFrame)\n        unitFrame.PlateFrame:Show()\n        envTable.IsHidden = false\n    end\n    \nend\n\n\n\n\n\n\n",
					},
					["version"] = 1,
					["Author"] = "Izimode-Azralon",
					["PlaterCore"] = 1,
					["Desc"] = "Hides your pet nameplates, show when selected, see the constructor script for options.",
					["Hooks"] = {
						["Nameplate Removed"] = "function (self, unitId, unitFrame, envTable)\n    \n    if (UnitIsUnit(\"pet\", unitFrame.namePlateUnitToken)) then\n        envTable.ShowNameplate (unitFrame)\n    end\n    \nend\n\n\n\n\n",
						["Nameplate Updated"] = "function (self, unitId, unitFrame, envTable)\n    \n    --when plater finishes an update on the nameplate\n    --check within the envTable if the healthBar of this nameplate should be hidden\n    if (envTable.IsHidden) then\n        if (unitFrame.healthBar:IsShown()) then\n            envTable.HideNameplate (unitFrame)\n        end\n    end\n    \nend\n\n\n\n\n",
						["Nameplate Added"] = "function (self, unitId, unitFrame, envTable)\n    \n    if (UnitIsUnit(\"pet\", unitFrame.namePlateUnitToken)) then\n        envTable.HideNameplate (unitFrame)\n    end\n    \nend\n\n\n\n\n\n\n\n\n",
						["Constructor"] = "function (self, unitId, unitFrame, envTable)\n    \n    --functions to hide and show the healthBar\n    function envTable.HideNameplate (unitFrame)\n        unitFrame.PlateFrame:Hide()\n        envTable.IsHidden = true\n    end\n    \n    function envTable.ShowNameplate (unitFrame)\n        unitFrame.PlateFrame:Show()\n        envTable.IsHidden = false\n    end\n    \nend\n\n\n\n\n\n\n",
					},
					["Prio"] = 99,
					["Time"] = 1599591879,
					["LoadConditions"] = {
						["talent"] = {
						},
						["group"] = {
						},
						["class"] = {
						},
						["map_ids"] = {
						},
						["race"] = {
						},
						["pvptalent"] = {
						},
						["spec"] = {
						},
						["affix"] = {
						},
						["encounter_ids"] = {
						},
						["role"] = {
						},
					},
					["LastHookEdited"] = "Constructor",
					["url"] = "https://wago.io/KlLYwJ3aD/1",
					["Icon"] = 1990989,
					["Name"] = "Hide Your Pets",
				}, -- [22]
			},
			["last_news_time"] = 1580862793,
			["border_color"] = {
				nil, -- [1]
				nil, -- [2]
				nil, -- [3]
				1, -- [4]
			},
			["cast_statusbar_fadeout_time"] = 0.009999999776482582,
			["ui_parent_scale_tune"] = 1.406249965948519,
			["aura_cooldown_edge_texture"] = "Interface\\AddOns\\Plater\\images\\cooldown_edge_1",
			["cast_statusbar_spark_texture"] = "Interface\\AddOns\\Plater\\images\\spark8",
			["cast_statusbar_texture"] = "ElvUI Blank",
			["patch_version"] = 12,
			["target_highlight_alpha"] = 1,
			["aura_width"] = 18,
			["aura_height2"] = 13,
			["aura_grow_direction"] = 3,
			["saved_cvars"] = {
				["ShowClassColorInNameplate"] = "1",
				["nameplateOverlapV"] = "1.1",
				["ShowNamePlateLoseAggroFlash"] = "1",
				["nameplateShowEnemyMinus"] = "1",
				["nameplatePersonalShowAlways"] = "1",
				["nameplateMotionSpeed"] = "0.05",
				["nameplateSelfTopInset"] = "0.5",
				["nameplateShowFriendlyTotems"] = "0",
				["nameplateShowEnemyMinions"] = "1",
				["nameplateShowFriendlyPets"] = "0",
				["nameplateShowFriendlyNPCs"] = "0",
				["nameplateSelectedScale"] = "1",
				["nameplatePersonalShowInCombat"] = "1",
				["nameplatePersonalShowWithTarget"] = "0",
				["nameplateShowSelf"] = "0",
				["nameplateShowFriendlyMinions"] = "0",
				["nameplateResourceOnTarget"] = "0",
				["nameplateMotion"] = "0",
				["nameplateSelfAlpha"] = "1",
				["nameplateMinScale"] = "0.8",
				["nameplateMaxDistance"] = "60",
				["nameplateOtherTopInset"] = "0.1",
				["nameplateSelfScale"] = "1",
				["nameplateSelfBottomInset"] = "0.2",
				["NamePlateHorizontalScale"] = "1",
				["nameplateShowFriendlyGuardians"] = "0",
				["nameplateOccludedAlphaMult"] = "0.4",
				["nameplateShowAll"] = "1",
				["nameplatePersonalHideDelaySeconds"] = "0.2",
				["nameplateGlobalScale"] = "1",
				["NamePlateVerticalScale"] = "1",
			},
			["aura_show_crowdcontrol"] = true,
			["target_highlight_height"] = 13,
			["login_counter"] = 901,
			["no_spellname_length_limit"] = true,
			["click_space_friendly"] = {
				nil, -- [1]
				28.23381423950195, -- [2]
			},
			["health_cutoff"] = false,
			["cast_statusbar_color_interrupted"] = {
				0.792156862745098, -- [1]
				0.803921568627451, -- [2]
				0.7647058823529411, -- [3]
			},
			["health_selection_overlay_alpha"] = 0.1499999910593033,
			["cast_statusbar_use_fade_effects"] = false,
			["aura_timer_text_font"] = "Expressway",
			["quick_hide"] = true,
			["aura_width2"] = 18,
			["aura_stack_font"] = "Expressway",
			["script_auto_imported"] = {
				["Cast - Small Alert"] = 4,
				["Aura - Invalidate Unit"] = 1,
				["Aura - Buff Alert"] = 4,
				["Unit - Important"] = 5,
				["Explosion Affix M+"] = 3,
				["Cast - Very Important"] = 2,
				["Aura Border Color"] = 1,
				["Color Change"] = 1,
				["Aura - Debuff Alert"] = 3,
				["Cast - Frontal Cone"] = 2,
				["Fixate"] = 3,
				["Aura - Blink Time Left"] = 1,
				["Unit Power"] = 1,
				["Cast - Big Alert"] = 5,
				["Fixate On You"] = 2,
			},
			["target_highlight_color"] = {
				0.996078431372549, -- [1]
				1, -- [2]
				0.9803921568627451, -- [3]
			},
			["range_check_in_range_or_target_alpha"] = 1,
			["aura_timer_text_size"] = 10,
			["hide_blizzard_castbar"] = true,
			["show_interrupt_author"] = false,
			["number_region_first_run"] = true,
			["health_selection_overlay"] = "Flatt",
			["range_check_enabled"] = false,
			["range_check_alpha"] = 0.5476323366165161,
			["click_space"] = {
				90, -- [1]
				25, -- [2]
			},
			["extra_icon_auras"] = {
				277242, -- [1]
			},
			["castbar_target_font"] = "Expressway",
			["OptionsPanelDB"] = {
				["PlaterOptionsPanelFrame"] = {
					["scale"] = 1.100000023841858,
				},
			},
			["focus_indicator_enabled"] = false,
			["target_shady_combat_only"] = false,
			["cast_statusbar_color"] = {
				nil, -- [1]
				0.8392156862745098, -- [2]
				0.1843137254901961, -- [3]
				1, -- [4]
			},
			["aura_tracker"] = {
				["buff_tracked"] = {
					[209859] = true,
				},
			},
			["aura_show_enrage"] = true,
			["cast_statusbar_bgcolor"] = {
				0.1137254901960784, -- [1]
				0.1137254901960784, -- [2]
				0.1137254901960784, -- [3]
				0.8900000005960464, -- [4]
			},
			["health_statusbar_bgcolor"] = {
				0.1137254901960784, -- [1]
				0.1137254901960784, -- [2]
				0.1137254901960784, -- [3]
				1, -- [4]
			},
			["spell_animation_list"] = {
				[46968] = {
					{
						["fade_out"] = 0.009999999776482582,
						["amplitude"] = 0.949999988079071,
						["fade_in"] = 0.009999999776482582,
						["duration"] = 0.09999999403953552,
						["cooldown"] = 0.09999999403953552,
						["scaleX"] = 0.09999847412109375,
					}, -- [1]
				},
				[31935] = {
					{
						["scale_upY"] = 1.029999971389771,
						["scale_upX"] = 1.029999971389771,
						["scale_downX"] = 0.9699999690055847,
						["scale_downY"] = 0.9699999690055847,
					}, -- [1]
				},
			},
			["aura_alpha"] = 1,
			["border_thickness"] = 0.949999988079071,
			["not_affecting_combat_enabled"] = true,
			["indicator_rare"] = false,
			["captured_spells"] = {
				[204262] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Weemz-Draenor",
					["npcID"] = 0,
				},
				[282539] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[53385] = {
					["source"] = "Kyun-DefiasBrotherhood",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[66060] = {
					["source"] = "Highlands Clucker",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 157590,
				},
				[269231] = {
					["encounterID"] = 2143,
					["source"] = "Reban",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 136984,
				},
				[260057] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Priest of Gonk",
					["npcID"] = 131809,
				},
				[190954] = {
					["source"] = "Slowbo-Quel'Thalas",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[170991] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Seething Blood",
					["npcID"] = 85617,
				},
				[281517] = {
					["source"] = "Dumpl-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[172015] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Juqe",
					["npcID"] = 0,
				},
				[287660] = {
					["type"] = "BUFF",
					["source"] = "Hitzlock-Ragnaros",
					["npcID"] = 0,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2106,
				},
				[168944] = {
					["source"] = "Kor'gall",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 77020,
				},
				[198121] = {
					["source"] = "Nanto-Drak'thul",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[223203] = {
					["source"] = "Hordeman",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[279471] = {
					["source"] = "Feeltheheat-ArgentDawn",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[127230] = {
					["source"] = "Hiddleston-Al'Akir",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[300971] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Mlem",
					["npcID"] = 0,
				},
				[273330] = {
					["source"] = "Sathrene",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[55817] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Sýnnove",
					["npcID"] = 0,
				},
				[275378] = {
					["source"] = "Híroshi",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[199658] = {
					["source"] = "Scraw-Darksorrow",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[125439] = {
					["source"] = "Varguk-Spinebreaker",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[295855] = {
					["source"] = "Kakaopie-Blackrock",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[318378] = {
					["source"] = "Exrat-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[274357] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Endokis-BurningLegion",
					["npcID"] = 0,
				},
				[295856] = {
					["source"] = "Guardian of Azeroth",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 152396,
				},
				[269239] = {
					["source"] = "Idiefree-ShatteredHand",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[190446] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Elrethíel",
					["npcID"] = 0,
				},
				[271287] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Unbound Stormsurge",
					["npcID"] = 141123,
				},
				[222695] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[247777] = {
					["source"] = "Banankungen-Xavius",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[256991] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Frightened Brutosaur",
					["npcID"] = 129668,
				},
				[277432] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[172020] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Fibreoptics-Draenor",
					["npcID"] = 0,
				},
				[177139] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 88673,
				},
				[51723] = {
					["source"] = "Exrat-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[133630] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Kolonc-Draenor",
					["npcID"] = 0,
				},
				[256992] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Frightened Brutosaur",
					["npcID"] = 129668,
				},
				[200174] = {
					["source"] = "Wàltz",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[283577] = {
					["source"] = "Infinite Shade of Delormi",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 145507,
				},
				[213995] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Jonsey-ShatteredHand",
					["npcID"] = 0,
				},
				[263103] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Feckless Assistant",
					["npcID"] = 133345,
				},
				[146940] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 73189,
				},
				[317363] = {
					["source"] = "Alalios-Draenor",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[57994] = {
					["npcID"] = 0,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Voxylol-Darksorrow",
					["encounterID"] = 2124,
				},
				[257506] = {
					["source"] = "Sthetrogue-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[304056] = {
					["source"] = "Reycazador-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[264130] = {
					["source"] = "Randomiitti-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[2139] = {
					["source"] = "Nanto-Drak'thul",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[182773] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Fathom-Commander Zarrin",
					["npcID"] = 88090,
				},
				[256995] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Frightened Brutosaur",
					["npcID"] = 129668,
				},
				[8680] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Ashzyx-Draenor",
					["npcID"] = 0,
				},
				[274369] = {
					["source"] = "Yeahbutbttv-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[213486] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 111557,
				},
				[152573] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Trained Coldsnout",
					["npcID"] = 72934,
				},
				[318391] = {
					["source"] = "Great Worm From Beyond",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 152550,
				},
				[303035] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Jnêz-Draenor",
					["npcID"] = 0,
				},
				[256484] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Coldtooth Alpha",
					["npcID"] = 136204,
				},
				[256996] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Frightened Brutosaur",
					["npcID"] = 129668,
				},
				[8936] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[262115] = {
					["source"] = "Scraw-Darksorrow",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[300989] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Suliza-Draenor",
					["npcID"] = 0,
				},
				[97034] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Xaaph",
					["npcID"] = 0,
				},
				[324536] = {
					["source"] = "Bigolcritie-Magtheridon",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[268230] = {
					["source"] = "Ashvane Deckhand",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 138464,
				},
				[81678] = {
					["source"] = "Highlands Clucker",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 157590,
				},
				[274373] = {
					["source"] = "Jumpxy",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[152575] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Trained Coldsnout",
					["npcID"] = 72934,
				},
				[260069] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Priest of Gonk",
					["npcID"] = 131809,
				},
				[275398] = {
					["source"] = "Avalyhn-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[589] = {
					["source"] = "Hiëdra-DunModr",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[293827] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Mechagon Tinkerer",
					["npcID"] = 144294,
				},
				[260070] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Pa'kura Priest",
					["npcID"] = 131834,
				},
				[170492] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Warsong Miss Arrow",
					["npcID"] = 85401,
				},
				[302018] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Kittycat-Draenor",
					["npcID"] = 0,
				},
				[294852] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Voice in the Deeps",
					["npcID"] = 151719,
				},
				[164862] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Gavebaba-Magtheridon",
					["npcID"] = 0,
				},
				[298948] = {
					["source"] = "Feliok-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[158208] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Gronnslaver Raz",
					["npcID"] = 83774,
				},
				[317376] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Bloodded-Mazrigos",
					["npcID"] = 0,
				},
				[257512] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Unknown",
					["npcID"] = 129759,
				},
				[270284] = {
					["source"] = "Purification Construct",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 134739,
				},
				[265166] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Midland Stag",
					["npcID"] = 126967,
				},
				[298950] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Koyri-BurningBlade",
					["npcID"] = 0,
				},
				[101643] = {
					["source"] = "Deepdamp-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[81680] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Tormented Stagwing",
					["npcID"] = 90480,
				},
				[266191] = {
					["encounterID"] = 2140,
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[16589] = {
					["source"] = "Supershyteen-AzjolNerub",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[5221] = {
					["source"] = "Animorpheus",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[257514] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Vengeful Bones",
					["npcID"] = 128703,
				},
				[38033] = {
					["source"] = "Darktide Witch",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 144770,
				},
				[2643] = {
					["source"] = "Nateríver-ShatteredHand",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[270289] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[291788] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Wrablé-BurningLegion",
					["npcID"] = 0,
				},
				[269266] = {
					["encounterID"] = 2100,
					["source"] = "Demolishing Terror",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 137614,
				},
				[291789] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Frostminum-ShatteredHand",
					["npcID"] = 0,
				},
				[315336] = {
					["source"] = "Tent",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 161974,
				},
				[270292] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[691] = {
					["source"] = "Méaa",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[270293] = {
					["source"] = "Purification Construct",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 134739,
				},
				[256493] = {
					["type"] = "BUFF",
					["source"] = "Azerite Footbomb",
					["npcID"] = 129246,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2105,
				},
				[703] = {
					["source"] = "Gotyâ-DunModr",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[303054] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Lavabeard-Nordrassil",
					["npcID"] = 0,
				},
				[53390] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Voxylol-Darksorrow",
					["npcID"] = 0,
				},
				[254958] = {
					["source"] = "Dazar'ai Colossus",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 122984,
				},
				[257518] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Vengeful Bones",
					["npcID"] = 128703,
				},
				[266201] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Reanimated Guardian",
					["npcID"] = 133836,
				},
				[5781] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Prairie Wolf",
					["npcID"] = 2958,
				},
				[193534] = {
					["source"] = "Grapejuices-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[174083] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 79488,
				},
				[257519] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Vengeful Bones",
					["npcID"] = 128703,
				},
				[2963] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Hijirí",
					["npcID"] = 0,
				},
				[82707] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Garrison Marksman",
					["npcID"] = 88391,
				},
				[236021] = {
					["source"] = "Shushuna",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[297941] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Navelpain-BurningLegion",
					["npcID"] = 0,
				},
				[79892] = {
					["source"] = "Murgha the Tempered",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 96957,
				},
				[266206] = {
					["encounterID"] = 2140,
					["source"] = "Kula the Butcher",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 135475,
				},
				[195072] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Felrazor-Skullcrusher",
					["npcID"] = 0,
				},
				[264159] = {
					["source"] = "Unknown",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 134048,
				},
				[261616] = {
					["source"] = "Katy Stampwhistle",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 132969,
				},
				[282587] = {
					["source"] = "Timeweaver Delormi",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 145022,
				},
				[168967] = {
					["source"] = "Yrel",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 77197,
				},
				[269279] = {
					["source"] = "Iamherb-Dragonblight",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[303063] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Crayzyhunt-Skullcrusher",
					["npcID"] = 0,
				},
				[781] = {
					["source"] = "Beerejäger-Blackrock",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[783] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[266209] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Fallen Deathspeaker",
					["npcID"] = 134284,
				},
				[80149] = {
					["source"] = "Nagrand Warrider",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 81331,
				},
				[193538] = {
					["source"] = "Wishr",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[271329] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Unknown",
					["npcID"] = 141108,
				},
				[265187] = {
					["source"] = "Randomiitti-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[217597] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Yoidk",
					["npcID"] = 0,
				},
				[3219] = {
					["source"] = "Nordá",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[132626] = {
					["source"] = "Helzir-Drak'thul",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[196099] = {
					["source"] = "Deadmöuse-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[88084] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Hathur-Kel'Thuzad",
					["npcID"] = 47243,
				},
				[30283] = {
					["source"] = "Randomiitti-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[259572] = {
					["type"] = "BUFF",
					["source"] = "Vol'kaal",
					["encounterID"] = 2085,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 122965,
				},
				[308188] = {
					["source"] = "Alobeta-Frostwhisper",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[302046] = {
					["source"] = "Rustfeather",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 152182,
				},
				[102417] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[308189] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Trollbat-Dentarg",
					["npcID"] = 0,
				},
				[3355] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Cellith-Draenor",
					["npcID"] = 0,
				},
				[315356] = {
					["source"] = "Caravaneer's Pack",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 162001,
				},
				[845] = {
					["source"] = "Scraw-Darksorrow",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[6789] = {
					["source"] = "Randomiitti-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[279526] = {
					["source"] = "Animorpheus",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[313310] = {
					["source"] = "Gotyâ-DunModr",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[169484] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Shattered Hand Gladiator",
					["npcID"] = 84032,
				},
				[126476] = {
					["source"] = "Odödligtliv-Turalyon",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[34709] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[59663] = {
					["source"] = "Thexal Deathchill",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 31775,
				},
				[293861] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Anti-Personnel Squirrel",
					["npcID"] = 151613,
				},
				[190984] = {
					["source"] = "Proafker-Darkspear",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[264173] = {
					["source"] = "Randomiitti-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[48018] = {
					["source"] = "Felgren",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[32267] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Leonya",
					["npcID"] = 0,
				},
				[883] = {
					["source"] = "Illeris",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[315362] = {
					["source"] = "Deepdamp-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[3563] = {
					["source"] = "Trolleyd",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[203782] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Jæveln",
					["npcID"] = 0,
				},
				[278508] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Doc Marrtens",
					["npcID"] = 140925,
				},
				[16591] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Döskalle-Skullcrusher",
					["npcID"] = 0,
				},
				[162321] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Bladespire Ogron",
					["npcID"] = 78173,
				},
				[252923] = {
					["source"] = "Zanchuli Witch-Doctor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 122969,
				},
				[273391] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Volatile Rat",
					["npcID"] = 137126,
				},
				[264178] = {
					["source"] = "Randomiitti-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[177678] = {
					["source"] = "Archmage Khadgar",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 77195,
				},
				[228354] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Elrethíel",
					["npcID"] = 0,
				},
				[269298] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Hired Assassin",
					["npcID"] = 134232,
				},
				[180750] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Cuttya-ShatteredHand",
					["npcID"] = 0,
				},
				[152597] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 75869,
				},
				[161299] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Mandragora Lifedrinker",
					["npcID"] = 80699,
				},
				[270323] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Urkel",
					["npcID"] = 0,
				},
				[224772] = {
					["source"] = "Lonsðale-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[185358] = {
					["source"] = "Sírvival-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[269301] = {
					["type"] = "DEBUFF",
					["source"] = "Unbound Abomination",
					["npcID"] = 133007,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2123,
				},
				[274420] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Hitzlock-Ragnaros",
					["npcID"] = 0,
				},
				[26573] = {
					["source"] = "Callá-Spinebreaker",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[197644] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Nar'thalas Citizen",
					["npcID"] = 89634,
				},
				[190990] = {
					["source"] = "Slowbo-Quel'Thalas",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[317420] = {
					["source"] = "Servallius-BronzeDragonflight",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[269304] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Venture Co. Oiler",
					["npcID"] = 137065,
				},
				[159766] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Thunderlord Gronnstalker",
					["npcID"] = 78644,
				},
				[33943] = {
					["source"] = "Amally",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[288756] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Ashlionheart-Draenor",
					["npcID"] = 0,
				},
				[228358] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Elrethíel",
					["npcID"] = 0,
				},
				[31884] = {
					["source"] = "Himena-Al'Akir",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[274426] = {
					["source"] = "Animorpheus",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[227847] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Oskir",
					["npcID"] = 0,
				},
				[11977] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Unknown",
					["npcID"] = 36943,
				},
				[204301] = {
					["source"] = "Mélittâ-TwistingNether",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[270332] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Urkel",
					["npcID"] = 0,
				},
				[229895] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Bloodgazer Nest-Keeper",
					["npcID"] = 115666,
				},
				[153626] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Hathur-Kel'Thuzad",
					["npcID"] = 0,
				},
				[257537] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Elrethíel",
					["npcID"] = 0,
				},
				[270335] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Urkel",
					["npcID"] = 0,
				},
				[250372] = {
					["type"] = "DEBUFF",
					["source"] = "Vol'kaal",
					["encounterID"] = 2085,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 122965,
				},
				[1066] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[8618] = {
					["source"] = "Smooch",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[176151] = {
					["source"] = "Alobeta-Frostwhisper",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[221708] = {
					["source"] = "Silver Hand Knight",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 111292,
				},
				[82717] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Shadow Hunter Ukambe",
					["npcID"] = 81914,
				},
				[294909] = {
					["source"] = "Mélittâ-TwistingNether",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[115989] = {
					["source"] = "Sergeo",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[273411] = {
					["type"] = "BUFF",
					["source"] = "Aspix",
					["npcID"] = 133944,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2124,
				},
				[1122] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Fëlwaffle",
					["npcID"] = 0,
				},
				[272388] = {
					["source"] = "Shadow of Zul",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 138489,
				},
				[113942] = {
					["source"] = "Randomiitti-Stormreaver",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[257541] = {
					["source"] = "Brelshar",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[294912] = {
					["source"] = "Mélittâ-TwistingNether",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[160285] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Goren Gouger",
					["npcID"] = 80690,
				},
				[45334] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[269319] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[270343] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Urkel",
					["npcID"] = 0,
				},
				[203795] = {
					["source"] = "Hakunbtata-AzjolNerub",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[273415] = {
					["source"] = "Vaînglory",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[290819] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Nannami-Draenor",
					["npcID"] = 0,
				},
				[117014] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Antraluk",
					["npcID"] = 0,
				},
				[296962] = {
					["source"] = "Skreep-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[118038] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Souschef",
					["npcID"] = 0,
				},
				[280583] = {
					["source"] = "Randomiitti-Stormreaver",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[315391] = {
					["source"] = "Deepdamp-Kazzak",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[254472] = {
					["source"] = "Callá-Spinebreaker",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[317439] = {
					["source"] = "Echo of Chi-Ji",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 152895,
				},
				[315392] = {
					["source"] = "Deepdamp-Kazzak",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[203285] = {
					["source"] = "Succmeoff-Blackmoore",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[171549] = {
					["source"] = "Idiefree-ShatteredHand",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[274443] = {
					["source"] = "Reycazador-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[292871] = {
					["source"] = "Shade of Delormi",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 145507,
				},
				[144932] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Thunderlord Trapper",
					["npcID"] = 74067,
				},
				[267278] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Static-charged Dervish",
					["npcID"] = 134691,
				},
				[297991] = {
					["source"] = "Erlendaar-Magtheridon",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[254474] = {
					["source"] = "Traenna-BurningLegion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[321538] = {
					["source"] = "Loque'nahak",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 165189,
				},
				[16593] = {
					["source"] = "Supershyteen-AzjolNerub",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[262161] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Oskir",
					["npcID"] = 0,
				},
				[215572] = {
					["source"] = "Bahamra-Eredar",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[159266] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Durotan",
					["npcID"] = 76240,
				},
				[274447] = {
					["source"] = "Frestor-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[5302] = {
					["source"] = "Alikhan-Stormscale",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[1330] = {
					["source"] = "Gotyâ-DunModr",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[191003] = {
					["source"] = "Appal",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[296971] = {
					["source"] = "Execrate-Blackhand",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[297995] = {
					["source"] = "Mjd",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[291853] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Scrappy",
					["npcID"] = 150497,
				},
				[144935] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Thunderlord Trapper",
					["npcID"] = 74067,
				},
				[291854] = {
					["source"] = "Helna",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[257036] = {
					["source"] = "Dockhound Packmaster",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 129373,
				},
				[167458] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Terokk",
					["npcID"] = 83554,
				},
				[294926] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[201754] = {
					["source"] = "Peto",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 21108,
				},
				[273428] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 0,
				},
				[291856] = {
					["npcID"] = 150485,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Plasma Orb",
					["encounterID"] = 2260,
				},
				[257549] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Awoken Guardian",
					["npcID"] = 126355,
				},
				[279572] = {
					["source"] = "Hiëdra-DunModr",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[268311] = {
					["type"] = "BUFF",
					["source"] = "Ogjooga-Stormreaver",
					["encounterID"] = 2086,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[235027] = {
					["source"] = "Veralÿn-AzjolNerub",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[256014] = {
					["source"] = "Obedient Drudge",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 126807,
				},
				[207386] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[281621] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Mech Jockey",
					["npcID"] = 130488,
				},
				[266265] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Fallen Deathspeaker",
					["npcID"] = 134284,
				},
				[5782] = {
					["source"] = "Randomiitti-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[132653] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 136697,
				},
				[191007] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Appal",
					["npcID"] = 0,
				},
				[268314] = {
					["encounterID"] = 2086,
					["source"] = "Ogjooga-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[275481] = {
					["source"] = "Ill-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[285719] = {
					["source"] = "Ollioned-ShatteredHand",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[1490] = {
					["source"] = "Meiluxa-Quel'Thalas",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[79140] = {
					["source"] = "Gotyâ-DunModr",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[285720] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Schwiifty-Draenor",
					["npcID"] = 0,
				},
				[12042] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Mytho-Sanguino",
					["npcID"] = 0,
				},
				[254481] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Yoidk",
					["npcID"] = 0,
				},
				[280602] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Mech Jockey",
					["npcID"] = 130488,
				},
				[230935] = {
					["type"] = "BUFF",
					["source"] = "Athanior-ArgentDawn",
					["encounterID"] = 2108,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[294935] = {
					["source"] = "Moyez-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[48792] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[126489] = {
					["source"] = "Smooch",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[93985] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[53271] = {
					["source"] = "Serpent",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 165189,
				},
				[291865] = {
					["npcID"] = 150396,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Aerial Unit R-21/X",
					["encounterID"] = 2260,
				},
				[186403] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Wàltz",
					["npcID"] = 0,
				},
				[257042] = {
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[6262] = {
					["source"] = "Dizziedix-Turalyon",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[233496] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Hitzlock-Ragnaros",
					["npcID"] = 0,
				},
				[263202] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Venture Co. Earthshaper",
					["npcID"] = 130661,
				},
				[97057] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Emiliaßiel",
					["npcID"] = 0,
				},
				[278559] = {
					["source"] = "Jazai-Al'Akir",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[42650] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Degigi-BronzeDragonflight",
					["npcID"] = 0,
				},
				[233497] = {
					["type"] = "DEBUFF",
					["source"] = "Hitzlock-Ragnaros",
					["npcID"] = 0,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2105,
				},
				[279584] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Xolene",
					["npcID"] = 0,
				},
				[157228] = {
					["source"] = "Mickeys-Bladefist",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[257044] = {
					["source"] = "Sírvival-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[233498] = {
					["type"] = "DEBUFF",
					["source"] = "Hitzlock-Ragnaros",
					["npcID"] = 0,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2106,
				},
				[288800] = {
					["source"] = "Gopherqt",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[202274] = {
					["source"] = "Punchosaurus",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[186406] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[199203] = {
					["source"] = "Kallackon-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[272421] = {
					["source"] = "Ashvane Spotter",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 138255,
				},
				[233499] = {
					["type"] = "DEBUFF",
					["source"] = "Hitzlock-Ragnaros",
					["npcID"] = 0,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2106,
				},
				[156206] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Durotan",
					["npcID"] = 81414,
				},
				[272422] = {
					["source"] = "Ashvane Spotter",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 138255,
				},
				[269351] = {
					["encounterID"] = 2143,
					["source"] = "T'zala",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 136976,
				},
				[263209] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Mine Rat",
					["npcID"] = 130437,
				},
				[288803] = {
					["source"] = "Lookinass-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[151088] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Lodeth-Draenor",
					["npcID"] = 0,
				},
				[159790] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Frostwolf Champion",
					["npcID"] = 72940,
				},
				[225822] = {
					["source"] = "Pallows-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[1706] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Wàltz",
					["npcID"] = 0,
				},
				[54680] = {
					["source"] = "Knesesmamma",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 38346,
				},
				[236060] = {
					["source"] = "Lookinass-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[280615] = {
					["type"] = "BUFF",
					["source"] = "Voxylol-Darksorrow",
					["npcID"] = 0,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2124,
				},
				[167981] = {
					["source"] = "Hnusnohnil-Drak'thul",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[106785] = {
					["source"] = "Clawandnail-Darkspear",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[119582] = {
					["encounterID"] = 2086,
					["source"] = "Invatkaa-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[267308] = {
					["encounterID"] = 2140,
					["source"] = "Zanazal the Wise",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 135472,
				},
				[184362] = {
					["source"] = "Skyrin",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[1766] = {
					["source"] = "Exrat-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[203814] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Bladeflame-Draenor",
					["npcID"] = 0,
				},
				[273453] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Elementul",
					["npcID"] = 0,
				},
				[303142] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Wrenchbot",
					["npcID"] = 155428,
				},
				[16595] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Döskalle-Skullcrusher",
					["npcID"] = 0,
				},
				[1822] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[184364] = {
					["type"] = "BUFF",
					["source"] = "Souschef",
					["encounterID"] = 2108,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[205351] = {
					["source"] = "Hiëdra-DunModr",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[272432] = {
					["source"] = "Wrathguard",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 136407,
				},
				[293931] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Faceless Render",
					["npcID"] = 150136,
				},
				[274480] = {
					["source"] = "Risen Ravasaur",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 139842,
				},
				[85288] = {
					["source"] = "Skyrin",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[1850] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[287790] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Krallum",
					["npcID"] = 0,
				},
				[342049] = {
					["source"] = "Devalina",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[207400] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Voxylol-Darksorrow",
					["npcID"] = 0,
				},
				[195627] = {
					["source"] = "Uncrowned-Dentarg",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[96038] = {
					["source"] = "Smooch",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[161332] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[299054] = {
					["source"] = "Orfa-Turalyon",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[261148] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Steelarm Pillager",
					["npcID"] = 150997,
				},
				[212520] = {
					["source"] = "Varanosh-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[184367] = {
					["source"] = "Skyrin",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[263224] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 136303,
				},
				[83242] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Blackfiction",
					["npcID"] = 0,
				},
				[203819] = {
					["source"] = "Hakunbtata-AzjolNerub",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[265273] = {
					["source"] = "Randomiitti-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[7814] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Unknown",
					["npcID"] = 1863,
				},
				[279606] = {
					["npcID"] = 24207,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Army of the Dead",
					["encounterID"] = 2124,
				},
				[132157] = {
					["source"] = "Juriko-AzjolNerub",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[1966] = {
					["source"] = "Skylertopkek-C'Thun",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[162358] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[195630] = {
					["source"] = "Punchosaurus",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[273465] = {
					["source"] = "Breghar-Bloodhoof",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[280632] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Icecoldfish",
					["npcID"] = 0,
				},
				[165430] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 81135,
				},
				[83243] = {
					["source"] = "Sprenix",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[294966] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[312370] = {
					["source"] = "Rylihun-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[185394] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Elmosco-Draenor",
					["npcID"] = 0,
				},
				[290872] = {
					["source"] = "Automated Flame Turret",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 149879,
				},
				[267326] = {
					["source"] = "Azraela-Pozzodell'Eternità",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[280635] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Bolcovnik-Draenor",
					["npcID"] = 0,
				},
				[2060] = {
					["source"] = "Mirrý-Ravencrest",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[148540] = {
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[273470] = {
					["encounterID"] = 2109,
					["source"] = "Dread Captain Lockwood",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 129208,
				},
				[299064] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Koyri-BurningBlade",
					["npcID"] = 0,
				},
				[83244] = {
					["source"] = "Phoenixhuntr-Aszune",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[75310] = {
					["source"] = "Wàltz",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[293946] = {
					["source"] = "Rïmjob",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[299065] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Koyri-BurningBlade",
					["npcID"] = 0,
				},
				[267329] = {
					["source"] = "Azraela-Pozzodell'Eternità",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[259618] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Vicious Diemetradon",
					["npcID"] = 130756,
				},
				[267330] = {
					["source"] = "Azraela-Pozzodell'Eternità",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[204336] = {
					["source"] = "Boeman-Doomhammer",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[267331] = {
					["source"] = "Azraela-Pozzodell'Eternità",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[169017] = {
					["source"] = "Felfire Familiar",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 84442,
				},
				[260643] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Oskir",
					["npcID"] = 0,
				},
				[170554] = {
					["source"] = "Vixy-Blade'sEdge",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[287810] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Karpaloo-Draenor",
					["npcID"] = 0,
				},
				[152639] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Thunderlord Talon",
					["npcID"] = 72232,
				},
				[57755] = {
					["source"] = "Skyrin",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[115750] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Jamanjia",
					["npcID"] = 0,
				},
				[49821] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Wàltz",
					["npcID"] = 0,
				},
				[33697] = {
					["source"] = "Tedd-Frostwhisper",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[193078] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Forsaken Keenblade",
					["npcID"] = 136439,
				},
				[152640] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Trained Bonestripper",
					["npcID"] = 72650,
				},
				[296003] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[268362] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Wanton Sapper",
					["npcID"] = 130653,
				},
				[273481] = {
					["source"] = "Ortografot-Kazzak",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[221744] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Sinister Leyrunner",
					["npcID"] = 112636,
				},
				[317503] = {
					["source"] = "Depthsborn Binder",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 154329,
				},
				[111400] = {
					["source"] = "Loctarogar-Quel'Thalas",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[182330] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Hatecoil Riptail",
					["npcID"] = 88086,
				},
				[236077] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Хса-СвежевательДуш",
					["npcID"] = 0,
				},
				[2484] = {
					["source"] = "Stator",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[200758] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Bazeroth-Draenor",
					["npcID"] = 0,
				},
				[263246] = {
					["type"] = "BUFF",
					["source"] = "Aspix",
					["npcID"] = 133944,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2124,
				},
				[24275] = {
					["source"] = "Глорифейс-Термоштепсель",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[166463] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Spiteful Animate",
					["npcID"] = 80637,
				},
				[317506] = {
					["source"] = "Depthsborn Binder",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 154329,
				},
				[303174] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Display Base: Mechagon",
					["npcID"] = 155431,
				},
				[5143] = {
					["source"] = "Lionjur-Destromath",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[2580] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[191034] = {
					["source"] = "Engine-Khadgar",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[199736] = {
					["source"] = "Vorrak-BronzeDragonflight",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[192058] = {
					["encounterID"] = 2105,
					["source"] = "Gunnarson-DefiasBrotherhood",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[50334] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Bearu",
					["npcID"] = 0,
				},
				[132169] = {
					["source"] = "Alikhan-Stormscale",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[182333] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Hatecoil Stormcaller",
					["npcID"] = 88087,
				},
				[105771] = {
					["source"] = "Skyrin",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[297035] = {
					["source"] = "Pinggwin-BurningLegion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[134729] = {
					["source"] = "Deathweb Hatchling",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 75258,
				},
				[197690] = {
					["source"] = "Scraw-Darksorrow",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[271443] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Unknown",
					["npcID"] = 142072,
				},
				[297037] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Meditater-Draenor",
					["npcID"] = 0,
				},
				[17877] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Bloodded-Mazrigos",
					["npcID"] = 0,
				},
				[205369] = {
					["source"] = "Szeith-Blackhand",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[287825] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Simôns-TwistingNether",
					["npcID"] = 0,
				},
				[297039] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Taruskith-Drak'thul",
					["npcID"] = 0,
				},
				[293968] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "K'thxx the Void Hunter",
					["npcID"] = 150139,
				},
				[262232] = {
					["source"] = "Souschef",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[297040] = {
					["source"] = "Meagara-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[287827] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Simôns-TwistingNether",
					["npcID"] = 0,
				},
				[292946] = {
					["source"] = "Wàltz",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[257582] = {
					["npcID"] = 129802,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Earthrager",
					["encounterID"] = 2106,
				},
				[169028] = {
					["source"] = "Warlock Ritualist",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 78321,
				},
				[267354] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Hired Assassin",
					["npcID"] = 134232,
				},
				[288853] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Nikoma-Stormreaver",
					["npcID"] = 0,
				},
				[2948] = {
					["source"] = "Gopherqt",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[157256] = {
					["source"] = "Smooch",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[116011] = {
					["encounterID"] = 2099,
					["source"] = "Tarasbulba-Pozzodell'Eternità",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[191552] = {
					["source"] = "Nedly",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[56222] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[263262] = {
					["npcID"] = 134005,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Shalebiter",
					["encounterID"] = 2105,
				},
				[291928] = {
					["npcID"] = 150396,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Aerial Unit R-21/X",
					["encounterID"] = 2260,
				},
				[191553] = {
					["source"] = "Casperisbad",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[269406] = {
					["npcID"] = 134419,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Titan Keeper Hezrel",
					["encounterID"] = 2123,
				},
				[49184] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Kogó",
					["npcID"] = 0,
				},
				[296024] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[287835] = {
					["source"] = "Deepdamp-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[150604] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "The Iron Wolf",
					["npcID"] = 74225,
				},
				[287836] = {
					["source"] = "Deepdamp-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[6343] = {
					["source"] = "Hammundoclap",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[287837] = {
					["source"] = "Deepdamp-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[265315] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Paleco-Stormscale",
					["npcID"] = 0,
				},
				[279648] = {
					["source"] = "Chrillzdru-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[152653] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Thunderlord Trapper",
					["npcID"] = 74067,
				},
				[170569] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[299102] = {
					["source"] = "Arachnoid Harvester",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 151934,
				},
				[312411] = {
					["source"] = "Mirrý-Ravencrest",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[271462] = {
					["npcID"] = 0,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Paleco-Stormscale",
					["encounterID"] = 2124,
				},
				[265320] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Voxylol-Darksorrow",
					["npcID"] = 0,
				},
				[116014] = {
					["type"] = "BUFF",
					["source"] = "Tarasbulba-Pozzodell'Eternità",
					["encounterID"] = 2099,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[293986] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Blastatron X-80",
					["npcID"] = 151476,
				},
				[79927] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Earthcaller Gulgort",
					["npcID"] = 134775,
				},
				[6807] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[271465] = {
					["type"] = "DEBUFF",
					["source"] = "Paleco-Stormscale",
					["npcID"] = 0,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2124,
				},
				[187464] = {
					["source"] = "Wàltz",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[263276] = {
					["type"] = "DEBUFF",
					["source"] = "Taskmaster Askari",
					["npcID"] = 134012,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2105,
				},
				[110885] = {
					["source"] = "Maleka-BurningBlade",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[32019] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Equine Sunrunner",
					["npcID"] = 91308,
				},
				[24719] = {
					["source"] = "Wolfrick",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[316322] = {
					["source"] = "Foreman Magrok",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 145978,
				},
				[24723] = {
					["source"] = "Hingrim-ShatteredHand",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[191008] = {
					["source"] = "Appal",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[164431] = {
					["source"] = "Smooch",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[148563] = {
					["source"] = "Eskadrus-Bloodhoof",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[225798] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Gvcn",
					["npcID"] = 0,
				},
				[194632] = {
					["type"] = "BUFF",
					["source"] = "Stàbzz-Ragnaros",
					["npcID"] = 0,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2257,
				},
				[291944] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Warridan-Dentarg",
					["npcID"] = 0,
				},
				[297063] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Giov-BurningLegion",
					["npcID"] = 0,
				},
				[293935] = {
					["source"] = "Unnämed",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[44185] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Headless Horseman",
					["npcID"] = 23682,
				},
				[273323] = {
					["source"] = "Gunnarson-DefiasBrotherhood",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[297064] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Sephix-Twilight'sHammer",
					["npcID"] = 0,
				},
				[161361] = {
					["source"] = "Smooch",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[107570] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Souschef",
					["npcID"] = 0,
				},
				[275566] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Paleco-Stormscale",
					["npcID"] = 0,
				},
				[54049] = {
					["source"] = "Sruuzun",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 417,
				},
				[33702] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Fëlwaffle",
					["npcID"] = 0,
				},
				[24714] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Fibreoptics-Draenor",
					["npcID"] = 0,
				},
				[128252] = {
					["source"] = "Pale Skulker",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 81308,
				},
				[274346] = {
					["source"] = "Oblie-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[270339] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Urkel",
					["npcID"] = 0,
				},
				[261612] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Faithless Auditor",
					["npcID"] = 134560,
				},
				[172524] = {
					["source"] = "Iron Laborer",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 85277,
				},
				[267201] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Gnocchi-Twilight'sHammer",
					["npcID"] = 0,
				},
				[281711] = {
					["source"] = "ßaußau-Draenor",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[3716] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Jhomtast",
					["npcID"] = 1860,
				},
				[31687] = {
					["source"] = "Místyn",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[268403] = {
					["encounterID"] = 2143,
					["source"] = "King Dazar",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 136160,
				},
				[291878] = {
					["npcID"] = 150396,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Aerial Unit R-21/X",
					["encounterID"] = 2260,
				},
				[303211] = {
					["source"] = "Millercow",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[150102] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Thunderlord Driftstalker",
					["npcID"] = 74981,
				},
				[203849] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Sliceolator",
					["npcID"] = 0,
				},
				[3307] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[303044] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Fibreoptics-Draenor",
					["npcID"] = 0,
				},
				[205385] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Naikas-Draenor",
					["npcID"] = 0,
				},
				[185422] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Diedrich-Drak'thul",
					["npcID"] = 0,
				},
				[269429] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Venture Co. War Machine",
					["npcID"] = 133463,
				},
				[215111] = {
					["source"] = "Dreadstalker",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 98035,
				},
				[316522] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Enexy",
					["npcID"] = 0,
				},
				[203850] = {
					["source"] = "Expresso-BurningLegion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[257597] = {
					["type"] = "BUFF",
					["source"] = "Azerokk",
					["npcID"] = 129227,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2106,
				},
				[249919] = {
					["encounterID"] = 2087,
					["source"] = "Yazma",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 122968,
				},
				[97056] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Kelthan",
					["npcID"] = 0,
				},
				[288882] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Mongolen-Doomhammer",
					["npcID"] = 0,
				},
				[24713] = {
					["source"] = "Maleka-BurningBlade",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[286835] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Enexy",
					["npcID"] = 0,
				},
				[300144] = {
					["source"] = "Drywater-Darkspear",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[158806] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Croaker",
					["npcID"] = 140938,
				},
				[183888] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Invading Grunt",
					["npcID"] = 135860,
				},
				[321507] = {
					["source"] = "Sathrene",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[300145] = {
					["source"] = "Deepdamp-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[264314] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Twoeasy-Draenor",
					["npcID"] = 0,
				},
				[265338] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 135060,
				},
				[191013] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Appal",
					["npcID"] = 0,
				},
				[191548] = {
					["source"] = "Casperisbad",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[203852] = {
					["source"] = "Mäüpa-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[191551] = {
					["source"] = "Casperisbad",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[262268] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Venture Co. Alchemist",
					["npcID"] = 133432,
				},
				[191022] = {
					["source"] = "Appal",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[291946] = {
					["type"] = "BUFF",
					["source"] = "K.U.-J.0.",
					["npcID"] = 144246,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2258,
				},
				[198222] = {
					["source"] = "Exrat-Kazzak",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[191554] = {
					["source"] = "Casperisbad",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[279673] = {
					["type"] = "BUFF",
					["source"] = "Paleco-Stormscale",
					["npcID"] = 0,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2124,
				},
				[312372] = {
					["source"] = "Quazimojo",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[281721] = {
					["source"] = "Klóppý-Blackrock",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[262270] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Venture Co. Alchemist",
					["npcID"] = 133432,
				},
				[108853] = {
					["source"] = "Gopherqt",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[255041] = {
					["source"] = "Feasting Skyscreamer",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 128434,
				},
				[294855] = {
					["npcID"] = 152033,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Inconspicuous Plant",
					["encounterID"] = 2259,
				},
				[172010] = {
					["source"] = "Selfie",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[113972] = {
					["source"] = "Rîddler",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[126513] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Kaéri-Darksorrow",
					["npcID"] = 0,
				},
				[192081] = {
					["type"] = "BUFF",
					["source"] = "Except",
					["npcID"] = 0,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2108,
				},
				[249923] = {
					["encounterID"] = 2087,
					["source"] = "Yazma",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 122968,
				},
				[8238] = {
					["source"] = "Snublefant",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[268415] = {
					["type"] = "BUFF",
					["source"] = "Azerite Extractor",
					["encounterID"] = 2106,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 136643,
				},
				[281724] = {
					["source"] = "Randomiitti-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[223306] = {
					["source"] = "Skank-Emeriss",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[77575] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Enexy",
					["npcID"] = 0,
				},
				[3411] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Morfay-Ragnaros",
					["npcID"] = 0,
				},
				[159322] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Frostwolf Shaman",
					["npcID"] = 74622,
				},
				[188499] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Xolene",
					["npcID"] = 0,
				},
				[221771] = {
					["source"] = "Jinraya-KhazModan",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[246853] = {
					["source"] = "Reycazador-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[72968] = {
					["source"] = "Deepdamp-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[108294] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[296059] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[315341] = {
					["source"] = "Elonir-AzjolNerub",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[17] = {
					["source"] = "Baldkaaya",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[25046] = {
					["source"] = "Träumer",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[258627] = {
					["type"] = "BUFF",
					["source"] = "Earthrager",
					["npcID"] = 129802,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2106,
				},
				[268419] = {
					["encounterID"] = 2143,
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[48265] = {
					["source"] = "Ballha-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[202833] = {
					["source"] = "Nether Acolyte",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 127579,
				},
				[124211] = {
					["source"] = "Vashuna-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[297085] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[269444] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Smusenblagob",
					["npcID"] = 0,
				},
				[188501] = {
					["source"] = "Djöfli",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[79878] = {
					["source"] = "Morketh Bladehowl",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 80341,
				},
				[147444] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Playful Water Spirit",
					["npcID"] = 71883,
				},
				[294015] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Spider Tank",
					["npcID"] = 144296,
				},
				[270469] = {
					["source"] = "Mindless Exile",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 128348,
				},
				[256581] = {
					["source"] = "Scheming Street Scamp",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 129394,
				},
				[162908] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Territorial Hydra",
					["npcID"] = 140050,
				},
				[278650] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Tharek",
					["npcID"] = 0,
				},
				[193530] = {
					["source"] = "Phoenixhuntr-Aszune",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[279684] = {
					["type"] = "BUFF",
					["source"] = "Fröstshade",
					["encounterID"] = 2139,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[317563] = {
					["source"] = "Vil'raxx",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 153326,
				},
				[255558] = {
					["encounterID"] = 2084,
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[206930] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[124212] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Deadspells",
					["npcID"] = 0,
				},
				[280709] = {
					["source"] = "Barrelroll-EmeraldDream",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[6660] = {
					["source"] = "Thunderlord Talon",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 72232,
				},
				[204883] = {
					["source"] = "Lijkbleek",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[172635] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Shattered Hand Reaper",
					["npcID"] = 84086,
				},
				[58511] = {
					["source"] = "Orgrimmar Grunt",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 3296,
				},
				[280544] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[270473] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Tamer Dukazi",
					["npcID"] = 136673,
				},
				[113975] = {
					["source"] = "Rîddler",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[280711] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Wàltz",
					["npcID"] = 0,
				},
				[42919] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Nottprepared",
					["npcID"] = 0,
				},
				[168029] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[263309] = {
					["npcID"] = 133379,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Adderis",
					["encounterID"] = 2124,
				},
				[115767] = {
					["source"] = "Alikhan-Stormscale",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[280653] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[295045] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[291974] = {
					["npcID"] = 150397,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "King Mechagon",
					["encounterID"] = 2260,
				},
				[280713] = {
					["source"] = "Vevyv-BurningLegion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[273547] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Cornered Operative",
					["npcID"] = 142072,
				},
				[162794] = {
					["source"] = "Surger-AzjolNerub",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[219622] = {
					["source"] = "Xardisen-BurningLegion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[268429] = {
					["type"] = "DEBUFF",
					["source"] = "Gunnarson-DefiasBrotherhood",
					["encounterID"] = 2105,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[191004] = {
					["source"] = "Appal",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[60302] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Stàbzz-Ragnaros",
					["npcID"] = 0,
				},
				[113976] = {
					["source"] = "Rîddler",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[150627] = {
					["source"] = "Vindicator Maraad",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 77196,
				},
				[74530] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Flazze",
					["npcID"] = 0,
				},
				[345209] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[303000] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Allez",
					["npcID"] = 0,
				},
				[272526] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Mine Technician",
					["npcID"] = 138521,
				},
				[5176] = {
					["npcID"] = 0,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Beyondpowdar",
					["encounterID"] = 2106,
				},
				[291930] = {
					["npcID"] = 150520,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Cubed Clutter",
					["encounterID"] = 2258,
				},
				[316531] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Morfay-Ragnaros",
					["npcID"] = 0,
				},
				[244813] = {
					["source"] = "Nukeit-Doomhammer",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[192090] = {
					["source"] = "Beelzebubb",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[146948] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 73018,
				},
				[298904] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Foul Manifestation",
					["npcID"] = 151202,
				},
				[272528] = {
					["source"] = "Ashvane Sniper",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 128967,
				},
				[294027] = {
					["source"] = "Dumpl-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[5320] = {
					["source"] = "Sergra Darkthorn",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 3338,
				},
				[291874] = {
					["npcID"] = 150442,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Flying Claw",
					["encounterID"] = 2258,
				},
				[167009] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Dorald Kilnheart",
					["npcID"] = 82244,
				},
				[291918] = {
					["npcID"] = 150442,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Flying Claw",
					["encounterID"] = 2258,
				},
				[270482] = {
					["source"] = "Spectral Berserker",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 135167,
				},
				[291981] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Geolin",
					["npcID"] = 0,
				},
				[283640] = {
					["type"] = "DEBUFF",
					["source"] = "Gnomercy 4.U.",
					["npcID"] = 145185,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2257,
				},
				[281744] = {
					["source"] = "Impis-Quel'Thalas",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[12294] = {
					["source"] = "Scraw-Darksorrow",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[296077] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Corroded Coilbearer",
					["npcID"] = 152392,
				},
				[167010] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 82029,
				},
				[167522] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Terokk",
					["npcID"] = 83554,
				},
				[297879] = {
					["source"] = "Eye of the Corruptor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 153347,
				},
				[263318] = {
					["npcID"] = 133944,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Aspix",
					["encounterID"] = 2124,
				},
				[185438] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Diedrich-Drak'thul",
					["npcID"] = 0,
				},
				[236502] = {
					["source"] = "Dioni",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[270485] = {
					["source"] = "Spectral Berserker",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 135167,
				},
				[345219] = {
					["source"] = "Eex",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[167011] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Packmaster Grokglok",
					["npcID"] = 82131,
				},
				[113978] = {
					["source"] = "Rîddler",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[270486] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Master Gunner Torwec",
					["npcID"] = 136446,
				},
				[297108] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Weemz-Draenor",
					["npcID"] = 0,
				},
				[5672] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Healing Stream Totem",
					["npcID"] = 3527,
				},
				[343173] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Ipoou",
					["npcID"] = 0,
				},
				[270487] = {
					["source"] = "Spectral Berserker",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 135167,
				},
				[260685] = {
					["type"] = "DEBUFF",
					["source"] = "Elder Leaxa",
					["encounterID"] = 2111,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 131318,
				},
				[167012] = {
					["source"] = "Saberon Ambusher",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 88813,
				},
				[44425] = {
					["source"] = "Lionjur-Destromath",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[104509] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Gbm-Darksorrow",
					["npcID"] = 0,
				},
				[5784] = {
					["source"] = "Ginelle",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[80451] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[255567] = {
					["source"] = "T'lonja",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 128455,
				},
				[32390] = {
					["source"] = "Xeradz-Doomhammer",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[113979] = {
					["source"] = "Rîddler",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[257103] = {
					["source"] = "Wàltz",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[221657] = {
					["source"] = "Silver Hand Knight",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 111292,
				},
				[113724] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Frozøne",
					["npcID"] = 0,
				},
				[197214] = {
					["source"] = "Gunnarson-DefiasBrotherhood",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[181346] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Amani Bear",
					["npcID"] = 130256,
				},
				[78660] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Twilight Shadow Knight",
					["npcID"] = 45261,
				},
				[301972] = {
					["source"] = "Katsodooro-Magtheridon",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[124217] = {
					["source"] = "Rotchlock-Frostwhisper",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[333964] = {
					["source"] = "Shamalama-Twilight'sHammer",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[273563] = {
					["source"] = "Sandswept Marksman",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 134600,
				},
				[270492] = {
					["source"] = "Spectral Hex Priest",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 135204,
				},
				[291922] = {
					["npcID"] = 144246,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "K.U.-J.0.",
					["encounterID"] = 2258,
				},
				[287639] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Lewella-EmeraldDream",
					["npcID"] = 0,
				},
				[44457] = {
					["source"] = "Lookinass-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[270493] = {
					["source"] = "Spectral Hex Priest",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 135204,
				},
				[294929] = {
					["npcID"] = 144246,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "K.U.-J.0.",
					["encounterID"] = 2258,
				},
				[170570] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[202335] = {
					["source"] = "Punchosaurus",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[279709] = {
					["source"] = "Engine-Khadgar",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[180734] = {
					["source"] = "Nérds",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[272542] = {
					["source"] = "Ashvane Sniper",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 128967,
				},
				[127801] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 65310,
				},
				[270495] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[124218] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Shalinez-Draenor",
					["npcID"] = 0,
				},
				[264353] = {
					["source"] = "Lionjur-Destromath",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[265377] = {
					["source"] = "Fanatical Headhunter",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 133663,
				},
				[214621] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Lealet-Draenor",
					["npcID"] = 0,
				},
				[342076] = {
					["source"] = "Ojdara-BurningBlade",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[156779] = {
					["source"] = "Maagnum",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[101184] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Stàbzz-Ragnaros",
					["npcID"] = 0,
				},
				[270497] = {
					["source"] = "Spectral Witch Doctor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 135239,
				},
				[220238] = {
					["source"] = "Tirisgarde Apprentice",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 110750,
				},
				[280735] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Löskuk-Dentarg",
					["npcID"] = 0,
				},
				[203761] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 105292,
				},
				[293779] = {
					["source"] = "Nérds",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[152173] = {
					["source"] = "Ciob-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[272546] = {
					["source"] = "Bilge Rat Buccaneer",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 129366,
				},
				[273570] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Ringtail Bandicoon",
					["npcID"] = 139166,
				},
				[270499] = {
					["source"] = "Spectral Witch Doctor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 135239,
				},
				[124219] = {
					["type"] = "BUFF",
					["source"] = "Clawandnail-Darkspear",
					["encounterID"] = 2106,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[297117] = {
					["source"] = "Serrilox",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[257620] = {
					["source"] = "Sírvival-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[270500] = {
					["source"] = "Skeletal Hunting Raptor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 137487,
				},
				[217694] = {
					["source"] = "Lookinass-Draenor",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[268185] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Refreshment Vendor",
					["npcID"] = 136470,
				},
				[274377] = {
					["source"] = "Captain Townsworth",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 146255,
				},
				[178740] = {
					["source"] = "Hakunbtata-AzjolNerub",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[279715] = {
					["source"] = "Gredelin",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[293024] = {
					["source"] = "Kayrø-Doomhammer",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[50977] = {
					["source"] = "Guläs-Drak'thul",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[270502] = {
					["source"] = "Skeletal Hunting Raptor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 137487,
				},
				[271526] = {
					["npcID"] = 129802,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Earthrager",
					["encounterID"] = 2106,
				},
				[265241] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Lazy Drudge",
					["npcID"] = 135190,
				},
				[162295] = {
					["source"] = "Trained Bonestripper",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 72650,
				},
				[274598] = {
					["source"] = "Gopherqt",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[228920] = {
					["source"] = "Aaronxd",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[11366] = {
					["source"] = "Gopherqt",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[257622] = {
					["source"] = "Frestor-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[163949] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[267433] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Mech Jockey",
					["npcID"] = 130488,
				},
				[94719] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[101186] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Stàbzz-Ragnaros",
					["npcID"] = 0,
				},
				[270505] = {
					["source"] = "Queen Patlaa",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 137486,
				},
				[34477] = {
					["source"] = "Nateríver-ShatteredHand",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[278523] = {
					["source"] = "Creed-Nordrassil",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[179818] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[270506] = {
					["source"] = "Spectral Beastmaster",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 135235,
				},
				[213602] = {
					["source"] = "Seosoojin",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[52127] = {
					["source"] = "Blixtur",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[118521] = {
					["source"] = "Enraged Priest",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 59166,
				},
				[270507] = {
					["source"] = "Spectral Beastmaster",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 135235,
				},
				[262263] = {
					["source"] = "Grotesque Experiment",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 133345,
				},
				[246807] = {
					["source"] = "Zabrak-Aszune",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[194594] = {
					["source"] = "Facetime-Dentarg",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[135286] = {
					["source"] = "Bearu",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[190456] = {
					["source"] = "Aaronxd",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[297126] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Koyri-BurningBlade",
					["npcID"] = 0,
				},
				[160331] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Richpanini",
					["npcID"] = 0,
				},
				[89158] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Zulty-BronzeDragonflight",
					["npcID"] = 0,
				},
				[297128] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Defense Bot Mk III",
					["npcID"] = 144298,
				},
				[221707] = {
					["source"] = "Silver Hand Knight",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 111292,
				},
				[32727] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[188456] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Thistleleaf Ruffian",
					["npcID"] = 91354,
				},
				[115008] = {
					["source"] = "Deepdamp-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[264368] = {
					["npcID"] = 134516,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Unknown",
					["encounterID"] = 2125,
				},
				[194153] = {
					["source"] = "Engine-Khadgar",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[244263] = {
					["source"] = "Sliceolator",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[150132] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Thunderlord Driftstalker",
					["npcID"] = 74981,
				},
				[267288] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Earthen Ring Shaman",
					["npcID"] = 135671,
				},
				[192106] = {
					["source"] = "Aibas-Turalyon",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[315496] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Rightupyour-Draenor",
					["npcID"] = 0,
				},
				[263346] = {
					["encounterID"] = 2086,
					["source"] = "Louy-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[129597] = {
					["source"] = "Deepdamp-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[255579] = {
					["type"] = "BUFF",
					["source"] = "Priestess Alun'za",
					["encounterID"] = 2084,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 122967,
				},
				[273298] = {
					["source"] = "Gehn-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[292012] = {
					["source"] = "Thehood-Kor'gall",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[162930] = {
					["source"] = "Cliffscar Ravager",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 85516,
				},
				[298009] = {
					["source"] = "Naturésfury",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[274609] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 136251,
				},
				[63619] = {
					["source"] = "Shadowfiend",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 19668,
				},
				[43308] = {
					["source"] = "Getreckeda-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[294061] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Strider Tonk",
					["npcID"] = 151658,
				},
				[170097] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[159241] = {
					["source"] = "Draka",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 77194,
				},
				[199786] = {
					["source"] = "Nanto-Drak'thul",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[261602] = {
					["source"] = "Lyañña-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[282801] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 144244,
				},
				[160372] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Lost Tormenter",
					["npcID"] = 90985,
				},
				[173169] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Rippling Steamfury",
					["npcID"] = 83458,
				},
				[202346] = {
					["source"] = "Punchosaurus",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[260188] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 134156,
				},
				[197625] = {
					["source"] = "Darkzoanoid",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[633] = {
					["source"] = "Raithea-BurningLegion",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[294064] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Strider Tonk",
					["npcID"] = 151658,
				},
				[222256] = {
					["source"] = "Brohnk-Executus",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[258653] = {
					["source"] = "Reanimated Honor Guard",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 127757,
				},
				[267367] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Mechanized Peacekeeper",
					["npcID"] = 130485,
				},
				[255582] = {
					["encounterID"] = 2084,
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[260189] = {
					["type"] = "BUFF",
					["source"] = "Mogul Razdunk",
					["encounterID"] = 2108,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 129232,
				},
				[195181] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[150648] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Frost Wolf",
					["npcID"] = 74265,
				},
				[159350] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Frostwolf Cold-Singer",
					["npcID"] = 78911,
				},
				[150628] = {
					["source"] = "Vindicator Maraad",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 77196,
				},
				[104773] = {
					["source"] = "Randomiitti-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[273424] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Diedrich-Drak'thul",
					["npcID"] = 0,
				},
				[163332] = {
					["source"] = "Tura'aka",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 83591,
				},
				[260190] = {
					["type"] = "BUFF",
					["source"] = "Mogul Razdunk",
					["npcID"] = 129232,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2107,
				},
				[195182] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[286739] = {
					["source"] = "Kotara-Doomhammer",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[224871] = {
					["source"] = "Shinsea",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[19483] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Infernal",
					["npcID"] = 89,
				},
				[307378] = {
					["source"] = "Fraux-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[115450] = {
					["source"] = "Cumis-Ragnaros",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[235614] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 118512,
				},
				[198766] = {
					["source"] = "Echo of Chi-Ji",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 152895,
				},
				[47788] = {
					["source"] = "Mirrý-Ravencrest",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[272571] = {
					["source"] = "Bilge Rat Tempest",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 129367,
				},
				[32216] = {
					["source"] = "Furyharem-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[200183] = {
					["source"] = "Sunshíne",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[24711] = {
					["source"] = "Rastafareye-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[173173] = {
					["source"] = "Gorge Rylak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 84151,
				},
				[173174] = {
					["source"] = "Gorge Rylak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 84151,
				},
				[182387] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Kubuliak-Drak'thul",
					["npcID"] = 0,
				},
				[293954] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Void Tentacle",
					["npcID"] = 151653,
				},
				[321530] = {
					["source"] = "Bloodeva-Zenedar",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[61353] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Dagna Flintlock",
					["npcID"] = 96779,
				},
				[147580] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Thunderlord Giantslayer",
					["npcID"] = 78812,
				},
				[2061] = {
					["source"] = "Mirrý-Ravencrest",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[86603] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 84288,
				},
				[294073] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Strider Tonk",
					["npcID"] = 151658,
				},
				[24858] = {
					["source"] = "Slayerd",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[32645] = {
					["source"] = "Exrat-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[38313] = {
					["source"] = "Morketh Bladehowl",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 80341,
				},
				[167544] = {
					["source"] = "Garrosh Hellscream",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 82133,
				},
				[315573] = {
					["source"] = "Zabrak-Aszune",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[97097] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 88779,
				},
				[48518] = {
					["source"] = "Hanikani-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[165497] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Adherent Sol-Shaper",
					["npcID"] = 82245,
				},
				[117828] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Fëlwaffle",
					["npcID"] = 0,
				},
				[220234] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 110751,
				},
				[6533] = {
					["source"] = "Squallfin Pearlguard",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 127833,
				},
				[171503] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Sol-Shaper Veoryx",
					["npcID"] = 81933,
				},
				[258147] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Coppertooth Prowler",
					["npcID"] = 131365,
				},
				[241224] = {
					["source"] = "Barovo-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[107079] = {
					["source"] = "Ciob-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[165498] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Adherent Sol-Shaper",
					["npcID"] = 82245,
				},
				[269232] = {
					["type"] = "BUFF",
					["source"] = "Reban",
					["encounterID"] = 2143,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 136984,
				},
				[271555] = {
					["source"] = "Interment Construct",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 137969,
				},
				[177135] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[48045] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Wàltz",
					["npcID"] = 0,
				},
				[293980] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "K'thxx the Void Hunter",
					["npcID"] = 150139,
				},
				[172665] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[275391] = {
					["source"] = "Shamalama-Twilight'sHammer",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[269366] = {
					["encounterID"] = 2100,
					["source"] = "Kul Tiran Engineer",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 139830,
				},
				[202866] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Drakyren-Drak'thul",
					["npcID"] = 0,
				},
				[260708] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Koyri-BurningBlade",
					["npcID"] = 0,
				},
				[272581] = {
					["source"] = "Bilge Rat Tempest",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 129367,
				},
				[281795] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Zookay",
					["npcID"] = 0,
				},
				[135299] = {
					["source"] = "Jukelitoon-Stormreaver",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[303299] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Water Elemental",
					["npcID"] = 153896,
				},
				[280772] = {
					["source"] = "Apexie-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[315584] = {
					["source"] = "Lilletøsa",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[233582] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Fëlwaffle",
					["npcID"] = 0,
				},
				[271559] = {
					["source"] = "Deepdamp-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[280773] = {
					["source"] = "Apexie-Draenor",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[155263] = {
					["source"] = "Iron Clusterpult",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 76629,
				},
				[217200] = {
					["source"] = "Nateríver-ShatteredHand",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[279754] = {
					["source"] = "Snedigejarl",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[109128] = {
					["source"] = "Skyrin",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[255591] = {
					["encounterID"] = 2084,
					["source"] = "Priestess Alun'za",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 122967,
				},
				[262347] = {
					["npcID"] = 129214,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Coin-Operated Crowd Pummeler",
					["encounterID"] = 2105,
				},
				[271561] = {
					["source"] = "Interment Construct",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 137969,
				},
				[63106] = {
					["source"] = "Pastek-BurningLegion",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[244844] = {
					["source"] = "Tidecaller Nezara",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 157734,
				},
				[262348] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Crawler Mine",
					["npcID"] = 133482,
				},
				[271562] = {
					["source"] = "Interment Construct",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 137969,
				},
				[280776] = {
					["source"] = "Apexie-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[145027] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Thunderlord Giantslayer",
					["npcID"] = 78812,
				},
				[194679] = {
					["source"] = "Shacklebones",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[271563] = {
					["source"] = "Embalming Fluid",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 137989,
				},
				[311231] = {
					["source"] = "Taniushalol-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[277706] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Fëlwaffle",
					["npcID"] = 0,
				},
				[155777] = {
					["source"] = "Hisante-BurningLegion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[271564] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[272588] = {
					["source"] = "Bilge Rat Cutthroat",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 137511,
				},
				[255593] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Harbor Thresher",
					["npcID"] = 123226,
				},
				[282826] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Scalefang Tech-Thief",
					["npcID"] = 128554,
				},
				[271565] = {
					["source"] = "Embalming Fluid",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 137989,
				},
				[232559] = {
					["source"] = "Vis-Bloodscalp",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[257641] = {
					["source"] = "Kul Tiran Marksman",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 141285,
				},
				[2565] = {
					["source"] = "Obogae-BurningLegion",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[20572] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Enexy",
					["npcID"] = 0,
				},
				[280780] = {
					["source"] = "Athanior-ArgentDawn",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[333957] = {
					["source"] = "Malak-Azuremyst",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[299905] = {
					["source"] = "Dhunterus-TheMaelstrom",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[296137] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Standmore-Draenor",
					["npcID"] = 0,
				},
				[49966] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "moggePUNG",
					["npcID"] = 50885,
				},
				[108293] = {
					["source"] = "Pages",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[216528] = {
					["source"] = "Dioni",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[296138] = {
					["source"] = "Joaquan",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[297162] = {
					["source"] = "Gotyâ-DunModr",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[255595] = {
					["source"] = "Krolusk Sandhunter",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 135582,
				},
				[260202] = {
					["encounterID"] = 2108,
					["source"] = "Mogul Razdunk",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 129232,
				},
				[256619] = {
					["source"] = "Scheming Street Scamp",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 129394,
				},
				[153714] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 78877,
				},
				[297116] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Aquademon-Alonsus",
					["npcID"] = 0,
				},
				[278736] = {
					["source"] = "Raenthas-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[160387] = {
					["source"] = "Yrel",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 77197,
				},
				[173184] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Antraluk",
					["npcID"] = 0,
				},
				[78674] = {
					["source"] = "Proafker-Darkspear",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[274642] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Hoodoo Hexer",
					["npcID"] = 136250,
				},
				[60076] = {
					["source"] = "Tempus Wyrm",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 32180,
				},
				[221710] = {
					["source"] = "Silver Hand Knight",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 111292,
				},
				[312523] = {
					["source"] = "Living Infestation",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 153906,
				},
				[79954] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 86868,
				},
				[114250] = {
					["source"] = "Zabrak-Aszune",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[151072] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "The Iron Wolf",
					["npcID"] = 74225,
				},
				[157317] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 77441,
				},
				[270549] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Soulspitter Cobra",
					["npcID"] = 128356,
				},
				[40625] = {
					["source"] = "Zattanna",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[280787] = {
					["source"] = "Meleemeta-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[173159] = {
					["source"] = "Botani Roottender",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 86581,
				},
				[58506] = {
					["source"] = "Ridge Prowler",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 79703,
				},
				[15407] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Naikas-Draenor",
					["npcID"] = 0,
				},
				[297168] = {
					["source"] = "Exrat-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[78675] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Meztlí-Draenor",
					["npcID"] = 0,
				},
				[22812] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[62124] = {
					["source"] = "Dumpl-Drak'thul",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[199804] = {
					["source"] = "Uncrowned-Dentarg",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[188031] = {
					["source"] = "Dioni",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[196733] = {
					["type"] = "DEBUFF",
					["source"] = "Invatkaa-Stormreaver",
					["encounterID"] = 2085,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[312526] = {
					["source"] = "Drowned Zealot",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 153956,
				},
				[109132] = {
					["source"] = "Bonny",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[255599] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Venomspine Saurolisk",
					["npcID"] = 126243,
				},
				[89157] = {
					["source"] = "Thrawnzz-Turalyon",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[275672] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Ahkaun-Draenor",
					["npcID"] = 0,
				},
				[288981] = {
					["source"] = "Nirini-AzjolNerub",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[277720] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Chodobaser-Draenor",
					["npcID"] = 0,
				},
				[55342] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Hathur-Kel'Thuzad",
					["npcID"] = 0,
				},
				[259161] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Ghostfacé",
					["npcID"] = 0,
				},
				[75068] = {
					["source"] = "Ebon Slavehunter",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 42043,
				},
				[47536] = {
					["type"] = "BUFF",
					["source"] = "Wàltz",
					["npcID"] = 0,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2125,
				},
				[64044] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Sallahdin-Nordrassil",
					["npcID"] = 0,
				},
				[271579] = {
					["npcID"] = 130661,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Venture Co. Earthshaper",
					["encounterID"] = 2105,
				},
				[48517] = {
					["source"] = "Snits-Terenas",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[298197] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[270302] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Briarback Boarmaster",
					["npcID"] = 129870,
				},
				[221645] = {
					["source"] = "Silver Hand Knight",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 111292,
				},
				[30213] = {
					["source"] = "Kazgorath",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 58965,
				},
				[294103] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Rocket Tonk",
					["npcID"] = 151659,
				},
				[154760] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[271581] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Metesn-Drak'thul",
					["npcID"] = 0,
				},
				[287802] = {
					["source"] = "Nefarias-Zenedar",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[188034] = {
					["source"] = "Dinkpaladin-Al'Akir",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[108366] = {
					["source"] = "Pastek-BurningLegion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[106830] = {
					["source"] = "Animorpheus",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[24732] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Fenkyr-Draenor",
					["npcID"] = 0,
				},
				[6201] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Unsouled",
					["npcID"] = 0,
				},
				[68413] = {
					["source"] = "Nze",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[24924] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Maphy-Draenor",
					["npcID"] = 0,
				},
				[49039] = {
					["source"] = "Gorot",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[257650] = {
					["type"] = "BUFF",
					["source"] = "Sergeant Bainbridge",
					["encounterID"] = 2097,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 128649,
				},
				[295130] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Detect-o-Bot",
					["npcID"] = 151812,
				},
				[258674] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Off-Duty Laborer",
					["npcID"] = 130436,
				},
				[288988] = {
					["source"] = "Pietrzu-BurningLegion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[294107] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Jawbreaker",
					["npcID"] = 151684,
				},
				[7384] = {
					["source"] = "Scraw-Darksorrow",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[256627] = {
					["source"] = "Kul Tiran Halberd",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 141283,
				},
				[272609] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Faceless Corruptor",
					["npcID"] = 138281,
				},
				[280788] = {
					["source"] = "Meleemeta-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[312537] = {
					["source"] = "Tidal Corruptor",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 153910,
				},
				[294110] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Jawbreaker",
					["npcID"] = 151684,
				},
				[264420] = {
					["source"] = "Sarvice-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[79877] = {
					["source"] = "Morketh Bladehowl",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 80341,
				},
				[110882] = {
					["source"] = "Rubban",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[154253] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Camelslock-Draenor",
					["npcID"] = 0,
				},
				[236665] = {
					["source"] = "Jaylien-Blackmoore",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[314585] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Nutrageous",
					["npcID"] = 0,
				},
				[15791] = {
					["source"] = "Ango'rosh Spellweaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 81756,
				},
				[301945] = {
					["source"] = "Katsodooro-Magtheridon",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[169020] = {
					["source"] = "Shadowflame Familiar",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 84445,
				},
				[277731] = {
					["source"] = "Moromete-Magtheridon",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[97107] = {
					["source"] = "Fapie",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[158349] = {
					["source"] = "Coldstomp the Griever",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 77513,
				},
				[268518] = {
					["source"] = "Roheito-Khadgar",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[270569] = {
					["source"] = "Randomiitti-Stormreaver",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[70233] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Alixa",
					["npcID"] = 0,
				},
				[165508] = {
					["source"] = "Bruto",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 81187,
				},
				[268519] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Saorla-Nordrassil",
					["npcID"] = 0,
				},
				[157326] = {
					["source"] = "Insidious Defiler",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 76969,
				},
				[262377] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Crawler Mine",
					["npcID"] = 133482,
				},
				[141970] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Yoidk",
					["npcID"] = 0,
				},
				[228477] = {
					["source"] = "Hakunbtata-AzjolNerub",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[53] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Diedrich-Drak'thul",
					["npcID"] = 0,
				},
				[196741] = {
					["source"] = "Akrm-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[341207] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Altergutten",
					["npcID"] = 0,
				},
				[158240] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 77684,
				},
				[294115] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Jawbreaker",
					["npcID"] = 151684,
				},
				[80983] = {
					["source"] = "Morketh Bladehowl",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 80341,
				},
				[105809] = {
					["source"] = "Redemptíon-Al'Akir",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[114255] = {
					["source"] = "Mirrý-Ravencrest",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[273641] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Solid Egg",
					["npcID"] = 139300,
				},
				[196742] = {
					["source"] = "Mellermonk-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[225919] = {
					["source"] = "Hakunbtata-AzjolNerub",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[51505] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Antraluk",
					["npcID"] = 0,
				},
				[302307] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Metesn-Drak'thul",
					["npcID"] = 0,
				},
				[262116] = {
					["source"] = "Nazeshi Tempest-Wielder",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 128604,
				},
				[257145] = {
					["source"] = "Snarling Dockhound",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 129640,
				},
				[150674] = {
					["source"] = "Vindicator Maraad",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 77196,
				},
				[104274] = {
					["source"] = "Gharvis-BurningLegion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[300919] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Simôns-TwistingNether",
					["npcID"] = 0,
				},
				[168590] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 81330,
				},
				[159356] = {
					["source"] = "Malevolent Breath",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 78791,
				},
				[52657] = {
					["source"] = "Unknown",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 32185,
				},
				[262383] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Venture Co. War Machine",
					["npcID"] = 133463,
				},
				[165907] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Bladespire Ogron",
					["npcID"] = 78173,
				},
				[313571] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[253562] = {
					["source"] = "Dazar'ai Augur",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 122972,
				},
				[172679] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Gronnling Bonebreaker",
					["npcID"] = 80685,
				},
				[225921] = {
					["source"] = "Hakunbtata-AzjolNerub",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[210053] = {
					["source"] = "Shirimani-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[33206] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Wàltz",
					["npcID"] = 0,
				},
				[278767] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Namína",
					["npcID"] = 0,
				},
				[195125] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Jæveln",
					["npcID"] = 0,
				},
				[173711] = {
					["source"] = "Infected Bar Patron",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 85325,
				},
				[229904] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Bloodgazer Nest-Keeper",
					["npcID"] = 115666,
				},
				[270576] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[300265] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Wrablé-BurningLegion",
					["npcID"] = 0,
				},
				[209967] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 105419,
				},
				[97109] = {
					["source"] = "Xenid-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[157843] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Grom'kar Grunt",
					["npcID"] = 75091,
				},
				[158341] = {
					["source"] = "Coldstomp the Griever",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 77513,
				},
				[342240] = {
					["source"] = "Drektumar-Emeriss",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[81753] = {
					["source"] = "Wastewander Foreman",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 154425,
				},
				[275699] = {
					["npcID"] = 0,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Degigi-BronzeDragonflight",
					["encounterID"] = 2124,
				},
				[205448] = {
					["source"] = "Hiëdra-DunModr",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[276441] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Irontide Skyrider",
					["npcID"] = 141485,
				},
				[288819] = {
					["source"] = "Darktide Mrrgl-gurk",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 145495,
				},
				[278769] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Jæveln",
					["npcID"] = 0,
				},
				[279793] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[30108] = {
					["source"] = "Pastek-BurningLegion",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[298221] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[79962] = {
					["source"] = "Nelur Lightsown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 96954,
				},
				[44212] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Steifmeister-Turalyon",
					["npcID"] = 0,
				},
				[167060] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Shattered Hand Gladiator",
					["npcID"] = 84032,
				},
				[124682] = {
					["source"] = "Deepdamp-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[113746] = {
					["source"] = "Deepdamp-Kazzak",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[265084] = {
					["source"] = "Devout Blood Priest",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 131492,
				},
				[268534] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Mongolen-Doomhammer",
					["npcID"] = 0,
				},
				[281843] = {
					["source"] = "Mumín-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[131228] = {
					["source"] = "Frostala-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[300271] = {
					["source"] = "Helna",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[342245] = {
					["source"] = "Ainos-BurningSteppes",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[321390] = {
					["source"] = "Iseria-Bloodhoof",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[272631] = {
					["source"] = "Reanimated Honor Guard",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 127757,
				},
				[275702] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 134341,
				},
				[342246] = {
					["source"] = "Hayaleet",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[260654] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Pinku'shon",
					["npcID"] = 139298,
				},
				[303344] = {
					["source"] = "Randomiitti-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[47540] = {
					["source"] = "Clossen-TheMaelstrom",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[296819] = {
					["source"] = "Tsirppu-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[97111] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Eflorescence-Twilight'sHammer",
					["npcID"] = 0,
				},
				[303345] = {
					["source"] = "Randomiitti-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[260734] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Antraluk",
					["npcID"] = 0,
				},
				[305393] = {
					["type"] = "DEBUFF",
					["source"] = "The Platinum Pummeler",
					["npcID"] = 144244,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2257,
				},
				[335082] = {
					["source"] = "Xrain-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[282871] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Smusenblagob",
					["npcID"] = 0,
				},
				[304370] = {
					["source"] = "Imppimp-Xavius",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[301299] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[294133] = {
					["source"] = "Tankhe-BurningLegion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[55090] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Enexy",
					["npcID"] = 0,
				},
				[286581] = {
					["source"] = "Gotyâ-DunModr",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[228487] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Shalandis",
					["npcID"] = 0,
				},
				[212619] = {
					["source"] = "Randomiitti-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[202188] = {
					["source"] = "Dembbeli-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[304372] = {
					["source"] = "Dunp-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[97112] = {
					["source"] = "Evilbushehr-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[84827] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Twilight Shadow Knight",
					["npcID"] = 45261,
				},
				[273478] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[300278] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Elementul",
					["npcID"] = 0,
				},
				[81500] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Fledgling Brave",
					["npcID"] = 36942,
				},
				[171071] = {
					["source"] = "Abyssal Invader",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 78458,
				},
				[270590] = {
					["encounterID"] = 2100,
					["source"] = "Demolishing Terror",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 137625,
				},
				[213644] = {
					["source"] = "Mélittâ-TwistingNether",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[164407] = {
					["source"] = "Smooch",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[259519] = {
					["source"] = "Bonepicker",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 152001,
				},
				[123986] = {
					["source"] = "Aureliyà-TwistingNether",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[263425] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Adderis",
					["npcID"] = 133379,
				},
				[191634] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Elementul",
					["npcID"] = 0,
				},
				[66] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Leonya",
					["npcID"] = 0,
				},
				[159318] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Frostwolf Axethrower",
					["npcID"] = 74799,
				},
				[194509] = {
					["source"] = "Wàltz",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[158854] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Sethekk Oracle",
					["npcID"] = 86123,
				},
				[281854] = {
					["source"] = "Surger-AzjolNerub",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[86606] = {
					["source"] = "Krolusk Sandhunter",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 135582,
				},
				[219788] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[297989] = {
					["source"] = "Luckzoo",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[204432] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Urkel",
					["npcID"] = 0,
				},
				[78397] = {
					["source"] = "Dragonmaw Whelpstealer",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 42041,
				},
				[106839] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[263165] = {
					["source"] = "Szeith-Blackhand",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[269571] = {
					["source"] = "Klkl-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[182422] = {
					["source"] = "Galdranorn-BurningLegion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[256644] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Kel'vax Warrior",
					["npcID"] = 126112,
				},
				[246407] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Walcate",
					["npcID"] = 0,
				},
				[147103] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Grimfrost Lavaslinger",
					["npcID"] = 72987,
				},
				[48181] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Hitzlock-Ragnaros",
					["npcID"] = 0,
				},
				[279810] = {
					["source"] = "Ogjooga-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[242824] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Thisalee Crow",
					["npcID"] = 119078,
				},
				[190925] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Urkel",
					["npcID"] = 0,
				},
				[282482] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Rakkrokarr-Drak'thul",
					["npcID"] = 0,
				},
				[182384] = {
					["source"] = "Darktide Sorceress",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 144769,
				},
				[81502] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Unknown",
					["npcID"] = 36942,
				},
				[147104] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Bladespire Stonecaster",
					["npcID"] = 73472,
				},
				[159901] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Shiha-Draenor",
					["npcID"] = 0,
				},
				[152223] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Chilltongue",
					["npcID"] = 76477,
				},
				[119381] = {
					["source"] = "Deepdamp-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[269456] = {
					["encounterID"] = 2100,
					["source"] = "Viq'Goth",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 128652,
				},
				[286979] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Enexy",
					["npcID"] = 0,
				},
				[196718] = {
					["source"] = "Yata",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[271374] = {
					["source"] = "Ortografot-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[269576] = {
					["source"] = "Sírvival-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[79967] = {
					["source"] = "Exarch Maladaar",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 81813,
				},
				[171044] = {
					["source"] = "Siege Cannon",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 85587,
				},
				[276743] = {
					["source"] = "Lionjur-Destromath",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[259718] = {
					["npcID"] = 131383,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Sporecaller Zancha",
					["encounterID"] = 2112,
				},
				[300291] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Warbones-EmeraldDream",
					["npcID"] = 0,
				},
				[219589] = {
					["source"] = "Mageymcmagey",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[73313] = {
					["source"] = "Redemptíon-Al'Akir",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[51714] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Kogó",
					["npcID"] = 0,
				},
				[262412] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Mechanized Peacekeeper",
					["npcID"] = 130485,
				},
				[152225] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Chilltongue",
					["npcID"] = 76477,
				},
				[70242] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Deathbabz-Al'Akir",
					["npcID"] = 0,
				},
				[157344] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Thunderlord Lasher",
					["npcID"] = 74154,
				},
				[79968] = {
					["source"] = "Exarch Maladaar",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 81813,
				},
				[48438] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[150614] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Frost Wolf",
					["npcID"] = 74265,
				},
				[310530] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Yieang-Draenor",
					["npcID"] = 0,
				},
				[282889] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Smusenblagob",
					["npcID"] = 0,
				},
				[40120] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[242828] = {
					["source"] = "Thisalee Crow",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 119078,
				},
				[97116] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Nezlamna",
					["npcID"] = 0,
				},
				[3714] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[245389] = {
					["source"] = "Exrat-Kazzak",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[257161] = {
					["source"] = "Ahjani Excavator",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 134169,
				},
				[273677] = {
					["npcID"] = 137204,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Hoodoo Hexer",
					["encounterID"] = 2127,
				},
				[266511] = {
					["type"] = "BUFF",
					["source"] = "Galvazzt",
					["npcID"] = 133389,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2126,
				},
				[213652] = {
					["source"] = "Mélittâ-TwistingNether",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[24735] = {
					["source"] = "Xsyluz-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[177821] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 88900,
				},
				[266512] = {
					["npcID"] = 133389,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Galvazzt",
					["encounterID"] = 2126,
				},
				[152669] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Broken Clefthoof",
					["npcID"] = 72881,
				},
				[176798] = {
					["source"] = "Badinho-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[261769] = {
					["source"] = "Mellermonk-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[251836] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Ashzyx-Draenor",
					["npcID"] = 0,
				},
				[267537] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Bloodded-Mazrigos",
					["npcID"] = 0,
				},
				[294155] = {
					["source"] = "Klaato-Bladefist",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[84832] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Twilight Shadow Knight",
					["npcID"] = 45261,
				},
				[81683] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 3566,
				},
				[70244] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Shiftymoof",
					["npcID"] = 0,
				},
				[272657] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Scaled Krolusk Rider",
					["npcID"] = 134629,
				},
				[79865] = {
					["source"] = "Nerog",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 46716,
				},
				[168097] = {
					["source"] = "Iron Cannoneer",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 80964,
				},
				[172704] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Unknown",
					["npcID"] = 80698,
				},
				[242831] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Thisalee Crow",
					["npcID"] = 119078,
				},
				[213090] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 107439,
				},
				[15727] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Bloodmane Raider",
					["npcID"] = 80447,
				},
				[313199] = {
					["source"] = "Putrid Ichor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 153907,
				},
				[124503] = {
					["encounterID"] = 2085,
					["source"] = "Invatkaa-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[326918] = {
					["source"] = "Shacklebones",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[327942] = {
					["source"] = "Windfury Totem",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 6112,
				},
				[15089] = {
					["source"] = "Frostwolf Shaman",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 74622,
				},
				[297230] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Fathom Ray",
					["npcID"] = 145967,
				},
				[132568] = {
					["source"] = "Grukbar-Ravenholdt",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[173006] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 80700,
				},
				[317588] = {
					["source"] = "Vil'raxx",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 153326,
				},
				[150612] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Frost Wolf",
					["npcID"] = 74265,
				},
				[273685] = {
					["source"] = "Exrat-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[171171] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Charl Doomwing",
					["npcID"] = 81548,
				},
				[38166] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Captive Gronn",
					["npcID"] = 71646,
				},
				[272662] = {
					["source"] = "Irontide Raider",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 129369,
				},
				[294161] = {
					["source"] = "Loragnar",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[336135] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Shishansho-BurningLegion",
					["npcID"] = 0,
				},
				[158374] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[167076] = {
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[296211] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[295186] = {
					["source"] = "Gotyâ-DunModr",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[197277] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Klamat-Drak'thul",
					["npcID"] = 0,
				},
				[244808] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Sandclaw Crab",
					["npcID"] = 145337,
				},
				[276754] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Monolithic Stone",
					["npcID"] = 136239,
				},
				[1459] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Navelpain-BurningLegion",
					["npcID"] = 0,
				},
				[158375] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[167077] = {
					["source"] = "Smooch",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[267547] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Coin-Operated Crowd Pummeler",
					["npcID"] = 129214,
				},
				[303378] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Frostminum-ShatteredHand",
					["npcID"] = 0,
				},
				[160423] = {
					["source"] = "Pale Shade",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 81782,
				},
				[257169] = {
					["source"] = "Bilge Rat Demolisher",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 135245,
				},
				[272670] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Sandswept Marksman",
					["npcID"] = 134600,
				},
				[147115] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Grimfrost Lavaslinger",
					["npcID"] = 72987,
				},
				[198304] = {
					["source"] = "Alikhan-Stormscale",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[257168] = {
					["source"] = "Irontide Marauder",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 135258,
				},
				[285976] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Barthezz-Drak'thul",
					["npcID"] = 0,
				},
				[303380] = {
					["source"] = "Deepdamp-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[288024] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[280858] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Karybdus-BurningBlade",
					["npcID"] = 0,
				},
				[132627] = {
					["source"] = "Syntzz",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[268350] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Bound Seasurge",
					["npcID"] = 134340,
				},
				[341260] = {
					["source"] = "Kumugwe",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[162984] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Giggletush-ShatteredHand",
					["npcID"] = 0,
				},
				[285978] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Sweda-Drak'thul",
					["npcID"] = 0,
				},
				[168103] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Pakoj-Bloodscalp",
					["npcID"] = 0,
				},
				[267551] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Coin-Operated Crowd Pummeler",
					["npcID"] = 129214,
				},
				[24736] = {
					["source"] = "Scrubzero-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[285979] = {
					["source"] = "Kreatores-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[115804] = {
					["source"] = "Hotmom",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 126973,
				},
				[312597] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Depths Monstrosity",
					["npcID"] = 153171,
				},
				[257170] = {
					["source"] = "Irontide Raider",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 129369,
				},
				[138927] = {
					["source"] = "Fonnkk-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[153260] = {
					["source"] = "Smooch",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[341263] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Altergutten",
					["npcID"] = 0,
				},
				[158807] = {
					["source"] = "Goren Nibbler",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 81775,
				},
				[84836] = {
					["source"] = "Twilight Crossfire",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 45264,
				},
				[260242] = {
					["source"] = "Sírvival-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[153262] = {
					["source"] = "Smooch",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[154796] = {
					["source"] = "Aeden-TheMaelstrom",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[100] = {
					["source"] = "Skyrin",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[147630] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Thunderlord Giantslayer",
					["npcID"] = 88272,
				},
				[43194] = {
					["source"] = "Lykanixus-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[266091] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Fëlwaffle",
					["npcID"] = 0,
				},
				[267558] = {
					["source"] = "Kreatores-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[256148] = {
					["source"] = "Gotyâ-DunModr",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[79206] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Voxylol-Darksorrow",
					["npcID"] = 0,
				},
				[154797] = {
					["source"] = "Weebsgetout-Bloodhoof",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[96098] = {
					["source"] = "Prowler Sasha",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 81263,
				},
				[221341] = {
					["source"] = "Ozoz-Bloodscalp",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[205473] = {
					["source"] = "Nanto-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[259220] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Dreadcoil Seeker",
					["npcID"] = 125174,
				},
				[84837] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Twilight Crossfire",
					["npcID"] = 45264,
				},
				[198819] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Хса-СвежевательДуш",
					["npcID"] = 0,
				},
				[215711] = {
					["source"] = "Dauðakóngur-Skullcrusher",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[172714] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Botani Roottender",
					["npcID"] = 86581,
				},
				[188070] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[164012] = {
					["source"] = "Smooch",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[45242] = {
					["source"] = "Wàltz",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[147085] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 76706,
				},
				[165548] = {
					["source"] = "Pitfighter Vaandaam",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 81188,
				},
				[191545] = {
					["source"] = "Nedly",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[267560] = {
					["source"] = "Kreatores-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[272679] = {
					["source"] = "Phoenixhuntr-Aszune",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[159748] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Frostwolf Grunt",
					["npcID"] = 76233,
				},
				[211522] = {
					["source"] = "Argennon-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[188033] = {
					["source"] = "Nimfje-Dentarg",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[83958] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[204227] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 113634,
				},
				[1715] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Souschef",
					["npcID"] = 0,
				},
				[248473] = {
					["source"] = "Nuunuu-GrimBatol",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[268586] = {
					["type"] = "BUFF",
					["source"] = "King Dazar",
					["encounterID"] = 2143,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 136160,
				},
				[294180] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Junkyard D.0.G.",
					["npcID"] = 151773,
				},
				[20243] = {
					["source"] = "Obogae-BurningLegion",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[230046] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[300279] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Eova-BurningLegion",
					["npcID"] = 0,
				},
				[153265] = {
					["source"] = "Smooch",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[315681] = {
					["source"] = "Demondamon-Magtheridon",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[161229] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Sabertron",
					["npcID"] = 139328,
				},
				[172687] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[32223] = {
					["source"] = "Lozdid",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[274731] = {
					["source"] = "Darktide Witch",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 144770,
				},
				[172717] = {
					["source"] = "Botani Greensworn",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 80696,
				},
				[270514] = {
					["source"] = "Spectral Brute",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 135231,
				},
				[165551] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[266087] = {
					["source"] = "Mazibanez",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[81256] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[171466] = {
					["source"] = "Shadow Militant",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 78319,
				},
				[270598] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 130916,
				},
				[298958] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Foul Manifestation",
					["npcID"] = 151202,
				},
				[132168] = {
					["source"] = "Obogae-BurningLegion",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[79977] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Alynblaze",
					["npcID"] = 98159,
				},
				[281900] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "V-300 SENTRY",
					["npcID"] = 137743,
				},
				[260249] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Urkel",
					["npcID"] = 0,
				},
				[16739] = {
					["source"] = "Valistaja-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[88423] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[163505] = {
					["source"] = "Except",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[147637] = {
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[121183] = {
					["source"] = "Dommeturk",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[231390] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Nannami-Draenor",
					["npcID"] = 0,
				},
				[199167] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Amani Bear",
					["npcID"] = 130256,
				},
				[95826] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Waycrest Guard",
					["npcID"] = 129486,
				},
				[149174] = {
					["source"] = "Iron Grunt",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 76549,
				},
				[282932] = {
					["source"] = "Wàltz",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[116] = {
					["source"] = "Nanto-Drak'thul",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[157644] = {
					["source"] = "Gopherqt",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[172720] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Brood Mother Xylax",
					["npcID"] = 86455,
				},
				[130] = {
					["source"] = "Articfowl-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[29920] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 80081,
				},
				[274738] = {
					["source"] = "Primum",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[341282] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Altergutten",
					["npcID"] = 0,
				},
				[193475] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Elmosco-Draenor",
					["npcID"] = 0,
				},
				[257692] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[118] = {
					["source"] = "Diknek-Doomhammer",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[76139] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Darfel",
					["npcID"] = 0,
				},
				[266083] = {
					["source"] = "Krolusk Sandhunter",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 135582,
				},
				[81653] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 36943,
				},
				[274740] = {
					["source"] = "Primum",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[126] = {
					["source"] = "Idee-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[313643] = {
					["source"] = "Iamherb-Dragonblight",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[120] = {
					["source"] = "Snãga-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[274741] = {
					["source"] = "Qargath-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[275765] = {
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[8613] = {
					["source"] = "Thuya-Blackmoore",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[247456] = {
					["source"] = "Nephthyis-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[119905] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Helloyoucant",
					["npcID"] = 0,
				},
				[1943] = {
					["source"] = "Exrat-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[162997] = {
					["source"] = "Oskargodx",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[122] = {
					["source"] = "Nanto-Drak'thul",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[341291] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Altergutten",
					["npcID"] = 0,
				},
				[168628] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Savage Warwolf",
					["npcID"] = 83000,
				},
				[272696] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Crazed Incubator",
					["npcID"] = 139425,
				},
				[294195] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Defense Bot Mk I",
					["npcID"] = 151649,
				},
				[149179] = {
					["source"] = "Grom'kar Grunt",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 82047,
				},
				[294198] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[268602] = {
					["source"] = "Gunnarson-DefiasBrotherhood",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[53563] = {
					["source"] = "Callá-Spinebreaker",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[196782] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Enexy",
					["npcID"] = 0,
				},
				[43197] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Myriad-Doomhammer",
					["npcID"] = 0,
				},
				[272698] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Crazed Incubator",
					["npcID"] = 139425,
				},
				[194223] = {
					["type"] = "BUFF",
					["source"] = "Meztlí-Draenor",
					["npcID"] = 0,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2105,
				},
				[298841] = {
					["source"] = "Aquaranna",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[187057] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 41200,
				},
				[79468] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Strejt-BurningLegion",
					["npcID"] = 0,
				},
				[265533] = {
					["source"] = "Underrot Tick",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 131402,
				},
				[12051] = {
					["type"] = "BUFF",
					["source"] = "Mytho-Sanguino",
					["npcID"] = 0,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2108,
				},
				[168630] = {
					["source"] = "Blackhand",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 77256,
				},
				[272700] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Faithless Tender",
					["npcID"] = 134364,
				},
				[8122] = {
					["source"] = "Dzitra-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[335151] = {
					["source"] = "Aeden-TheMaelstrom",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[256673] = {
					["source"] = "Blacktar Bomber",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 129372,
				},
				[313173] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Depths Monstrosity",
					["npcID"] = 153171,
				},
				[267584] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 136154,
				},
				[198813] = {
					["source"] = "Athanior-ArgentDawn",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[275773] = {
					["source"] = "Redemptíon-Al'Akir",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[268607] = {
					["source"] = "Darthos-Emeriss",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[20707] = {
					["source"] = "Forbandelsen-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[119907] = {
					["source"] = "Unsouled",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[2094] = {
					["source"] = "Exrat-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[282943] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Piston Smasher",
					["npcID"] = 153202,
				},
				[302392] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 155640,
				},
				[217260] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Hatecoil Stormcaller",
					["npcID"] = 88087,
				},
				[133] = {
					["source"] = "Gopherqt",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[280412] = {
					["source"] = "Mickeys-Bladefist",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[149181] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Grom'kar Pyro",
					["npcID"] = 75387,
				},
				[270657] = {
					["source"] = "Punchosaurus",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[320338] = {
					["source"] = "Casperisbad",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[298839] = {
					["source"] = "Deadcow-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[136] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Nannami-Draenor",
					["npcID"] = 0,
				},
				[233641] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[234153] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Hitzlock-Ragnaros",
					["npcID"] = 0,
				},
				[256483] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Coldtooth Alpha",
					["npcID"] = 136204,
				},
				[265540] = {
					["source"] = "Fetid Maggot",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 130909,
				},
				[275779] = {
					["source"] = "Mélittâ-TwistingNether",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[139] = {
					["source"] = "Mirrý-Ravencrest",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[79470] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Gasher",
					["npcID"] = 0,
				},
				[162248] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Sabertron",
					["npcID"] = 139328,
				},
				[270661] = {
					["source"] = "Hiëdra-DunModr",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[267589] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 139163,
				},
				[255141] = {
					["source"] = "Luckzoo",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[269310] = {
					["npcID"] = 134419,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Titan Keeper Hezrel",
					["encounterID"] = 2123,
				},
				[65081] = {
					["source"] = "Baldkaaya",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[81262] = {
					["source"] = "Efflorescence",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 47649,
				},
				[171194] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Charl Doomwing",
					["npcID"] = 81548,
				},
				[212061] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 129276,
				},
				[61882] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Kubuliak-Drak'thul",
					["npcID"] = 0,
				},
				[104430] = {
					["source"] = "Viix",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[201151] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Murkwater Warrior",
					["npcID"] = 102166,
				},
				[255654] = {
					["source"] = "Smooch",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[270663] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Demolisher",
					["npcID"] = 137622,
				},
				[223722] = {
					["source"] = "Mooberella-AzjolNerub",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[268616] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Mytho-Sanguino",
					["npcID"] = 0,
				},
				[196277] = {
					["source"] = "Randomiitti-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[158378] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[198590] = {
					["source"] = "Xeradz-Doomhammer",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[19236] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Wàltz",
					["npcID"] = 0,
				},
				[174708] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Lozzix-Draenor",
					["npcID"] = 0,
				},
				[198837] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Risen Skulker",
					["npcID"] = 99541,
				},
				[80240] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Fëlwaffle",
					["npcID"] = 0,
				},
				[313663] = {
					["source"] = "Hiëdra-DunModr",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[310592] = {
					["source"] = "Imbackwhodis-Magtheridon",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[241835] = {
					["source"] = "Ériza-Lightbringer",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[185017] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Disturbed Blood Globule",
					["npcID"] = 150818,
				},
				[268619] = {
					["source"] = "Alalios-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[149186] = {
					["source"] = "Iron Grunt",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 76960,
				},
				[119910] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Hitzlock-Ragnaros",
					["npcID"] = 0,
				},
				[162495] = {
					["source"] = "Smooch",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[139212] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 151738,
				},
				[164543] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Bloodmane Raider",
					["npcID"] = 80447,
				},
				[282953] = {
					["source"] = "Wàltz",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[5019] = {
					["source"] = "Darwins-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[268623] = {
					["source"] = "Numpti",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[310595] = {
					["source"] = "Imbackwhodis-Magtheridon",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[282954] = {
					["source"] = "Wàltz",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[303953] = {
					["source"] = "Träumer",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[61243] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Yifference",
					["npcID"] = 0,
				},
				[290121] = {
					["source"] = "Merlay",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[282955] = {
					["source"] = "Wàltz",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[5225] = {
					["source"] = "Defilia",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[259241] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 131265,
				},
				[203286] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Harafrost-Draenor",
					["npcID"] = 0,
				},
				[24394] = {
					["source"] = "Peto",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 21108,
				},
				[288075] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Goblislayer",
					["npcID"] = 0,
				},
				[5211] = {
					["source"] = "Feeltheheat-ArgentDawn",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[120679] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Urkel",
					["npcID"] = 0,
				},
				[256171] = {
					["type"] = "BUFF",
					["source"] = "Stàbzz-Ragnaros",
					["npcID"] = 0,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2257,
				},
				[254635] = {
					["source"] = "Primum",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[224199] = {
					["source"] = "Hnusnohnil-Drak'thul",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[147654] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 72777,
				},
				[262483] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Briarback Lookout",
					["npcID"] = 130073,
				},
				[17253] = {
					["source"] = "Peto",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 21108,
				},
				[167105] = {
					["source"] = "Scraw-Darksorrow",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[164547] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Fessa-Blade'sEdge",
					["npcID"] = 0,
				},
				[270674] = {
					["source"] = "Deepdamp-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[271698] = {
					["npcID"] = 129227,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Azerokk",
					["encounterID"] = 2106,
				},
				[298832] = {
					["source"] = "Genize-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[202425] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Minstruxa",
					["npcID"] = 0,
				},
				[84849] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Twilight Soul Blade",
					["npcID"] = 45265,
				},
				[316744] = {
					["source"] = "Zire",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[305483] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Elementul",
					["npcID"] = 0,
				},
				[172] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Hitzlock-Ragnaros",
					["npcID"] = 0,
				},
				[116841] = {
					["source"] = "Chanelgödx-Stormscale",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[152262] = {
					["type"] = "BUFF",
					["source"] = "Mélittâ-TwistingNether",
					["encounterID"] = 2139,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[165059] = {
					["source"] = "Unknown",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 81822,
				},
				[255661] = {
					["source"] = "Snublefant",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[304369] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Mordog",
					["npcID"] = 0,
				},
				[114282] = {
					["source"] = "Swartajump-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[305485] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Elementul",
					["npcID"] = 0,
				},
				[98414] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Antoninus-Stormrage",
					["npcID"] = 0,
				},
				[295248] = {
					["source"] = "Dizziedix-Turalyon",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[128064] = {
					["source"] = "Skittering Doomstinger",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 85562,
				},
				[269302] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Hired Assassin",
					["npcID"] = 134232,
				},
				[90992] = {
					["source"] = "Tsoullitsa",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[53822] = {
					["source"] = "Okmate-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[199356] = {
					["source"] = "Stormcaller Mylra",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 98378,
				},
				[207289] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Nikoma-Stormreaver",
					["npcID"] = 0,
				},
				[147145] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Sipsterfam",
					["npcID"] = 0,
				},
				[290640] = {
					["source"] = "Moonshan",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[254639] = {
					["source"] = "Raggun-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[175245] = {
					["source"] = "Prowler Sasha",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 81263,
				},
				[84850] = {
					["source"] = "Twilight Soul Blade",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 45265,
				},
				[258202] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Awakened Guardian",
					["npcID"] = 128302,
				},
				[256687] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[286031] = {
					["source"] = "Divinebanana-Dentarg",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[175302] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Char the Burning",
					["npcID"] = 82311,
				},
				[159943] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Lokra",
					["npcID"] = 72940,
				},
				[267611] = {
					["source"] = "Dumpl-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[223929] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Nikoma-Stormreaver",
					["npcID"] = 0,
				},
				[303056] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Isuldarr-Magtheridon",
					["npcID"] = 0,
				},
				[35395] = {
					["source"] = "Zabrak-Aszune",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[267612] = {
					["source"] = "Ogjooga-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[195775] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 99555,
				},
				[162243] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Xolene",
					["npcID"] = 0,
				},
				[278874] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Hallewell-Stormreaver",
					["npcID"] = 0,
				},
				[204343] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Forsaken Keenblade",
					["npcID"] = 136439,
				},
				[157386] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Thunderlord Invader",
					["npcID"] = 74329,
				},
				[125801] = {
					["source"] = "Serr'ah",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 115287,
				},
				[170695] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[170694] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[216251] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Leevismum",
					["npcID"] = 0,
				},
				[118635] = {
					["source"] = "Invatkaa-Stormreaver",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[241846] = {
					["source"] = "Higgsbozon-Shadowsong",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[303144] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Lavabeard-Nordrassil",
					["npcID"] = 0,
				},
				[115308] = {
					["source"] = "Punchosaurus",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[265568] = {
					["source"] = "Befouled Spirit",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 133685,
				},
				[3110] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Garkol",
					["npcID"] = 416,
				},
				[288091] = {
					["source"] = "Apexie-Draenor",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[285020] = {
					["npcID"] = 144244,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "The Platinum Pummeler",
					["encounterID"] = 2257,
				},
				[196289] = {
					["source"] = "Squallfin Pearlguard",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 127833,
				},
				[116844] = {
					["source"] = "Deepdamp-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[279902] = {
					["source"] = "Exrat-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[272737] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Kubuliak-Drak'thul",
					["npcID"] = 0,
				},
				[157387] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Thunderlord Talon",
					["npcID"] = 72232,
				},
				[6552] = {
					["source"] = "Apexie-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[267618] = {
					["encounterID"] = 2142,
					["source"] = "Mchimba the Embalmer",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 134993,
				},
				[154828] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Primal Growth",
					["npcID"] = 81769,
				},
				[257715] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[278880] = {
					["source"] = "Dumpl-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[268604] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Hitzlock-Ragnaros",
					["npcID"] = 0,
				},
				[152108] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Fëlwaffle",
					["npcID"] = 0,
				},
				[157388] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Thunderlord Handler",
					["npcID"] = 74514,
				},
				[273232] = {
					["source"] = "Iamherb-Dragonblight",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[197561] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Bollins-Draenor",
					["npcID"] = 0,
				},
				[303052] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Lavabeard-Nordrassil",
					["npcID"] = 0,
				},
				[257716] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[84853] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Twilight Soul Blade",
					["npcID"] = 45265,
				},
				[221885] = {
					["source"] = "Slayzak-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[301405] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Deloa-Dentarg",
					["npcID"] = 0,
				},
				[281954] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Kumugwe",
					["npcID"] = 0,
				},
				[291065] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Energized Scraphound",
					["npcID"] = 150976,
				},
				[269670] = {
					["npcID"] = 133392,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Avatar of Sethraliss",
					["encounterID"] = 2127,
				},
				[264352] = {
					["source"] = "Lionjur-Destromath",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[257717] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[280654] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[221886] = {
					["source"] = "Reverance-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[115310] = {
					["source"] = "Vevyv-BurningLegion",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[157390] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Giantslayer Zhakta",
					["npcID"] = 74702,
				},
				[285515] = {
					["source"] = "Caverna-Draenor",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[257719] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[334168] = {
					["source"] = "Shamalama-Twilight'sHammer",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[257718] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[319836] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Dazzar-Draenor",
					["npcID"] = 0,
				},
				[84342] = {
					["source"] = "Níkomaaní-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[272699] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Faithless Tender",
					["npcID"] = 134364,
				},
				[298823] = {
					["source"] = "Himena-Al'Akir",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[274792] = {
					["source"] = "Released Crawg",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 140149,
				},
				[267626] = {
					["encounterID"] = 2142,
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[276840] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Siz-Bloodhoof",
					["npcID"] = 0,
				},
				[200389] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[233149] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[304482] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Frostminum-ShatteredHand",
					["npcID"] = 0,
				},
				[161790] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Lightning Strike",
					["npcID"] = 80207,
				},
				[299846] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Såphirå-Doomhammer",
					["npcID"] = 0,
				},
				[19750] = {
					["source"] = "Redemptíon-Al'Akir",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[279913] = {
					["source"] = "Idiefree-ShatteredHand",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[175308] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Char the Burning",
					["npcID"] = 82311,
				},
				[257720] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[116847] = {
					["source"] = "Punchosaurus",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[260279] = {
					["npcID"] = 0,
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2108,
				},
				[203975] = {
					["source"] = "Tróllbearpig",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[312677] = {
					["source"] = "Drowned Adherent",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 153179,
				},
				[260280] = {
					["type"] = "BUFF",
					["source"] = "Mogul Razdunk",
					["npcID"] = 129232,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2108,
				},
				[260792] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Sandswept Marksman",
					["npcID"] = 134600,
				},
				[175309] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Char the Burning",
					["npcID"] = 82311,
				},
				[298343] = {
					["source"] = "Hiëdra-DunModr",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[114800] = {
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[38556] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Hatecoil Ambusher",
					["npcID"] = 88870,
				},
				[312678] = {
					["source"] = "Amaria-Dragonmaw",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[194249] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Wàltz",
					["npcID"] = 0,
				},
				[262513] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Venture Co. Skyscorcher",
					["npcID"] = 133436,
				},
				[260793] = {
					["npcID"] = 131817,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Cragmaw the Infested",
					["encounterID"] = 2118,
				},
				[276846] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Siz-Bloodhoof",
					["npcID"] = 0,
				},
				[155347] = {
					["source"] = "Rotchlock-Frostwhisper",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[55233] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[164561] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Bloodmane Gutripper",
					["npcID"] = 80450,
				},
				[115313] = {
					["source"] = "Deepdamp-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[84856] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Twilight Dark Mender",
					["npcID"] = 45266,
				},
				[262515] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Venture Co. Skyscorcher",
					["npcID"] = 133436,
				},
				[312679] = {
					["source"] = "Tidal Corruptor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 153910,
				},
				[301418] = {
					["source"] = "Mechanized Crawler",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 154448,
				},
				[257723] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[273779] = {
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[152277] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Souschef",
					["npcID"] = 0,
				},
				[181454] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Unknown",
					["npcID"] = 106106,
				},
				[56641] = {
					["npcID"] = 0,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Frestor-Draenor",
					["encounterID"] = 2124,
				},
				[141528] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 73718,
				},
				[275826] = {
					["source"] = "Ashvane Commander",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 128969,
				},
				[163027] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Veil Akraz Outcast",
					["npcID"] = 80320,
				},
				[257724] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[116849] = {
					["source"] = "Deepdamp-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[273226] = {
					["npcID"] = 0,
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2112,
				},
				[197835] = {
					["source"] = "Integral-Dentarg",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[115175] = {
					["source"] = "Deepdamp-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[126063] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Cove Shark",
					["npcID"] = 71986,
				},
				[48707] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[272721] = {
					["source"] = "Nxon",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[273781] = {
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[269686] = {
					["npcID"] = 0,
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2127,
				},
				[238274] = {
					["source"] = "Whitefng-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[51124] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Kogó",
					["npcID"] = 0,
				},
				[18651] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Garrison Marksman",
					["npcID"] = 88391,
				},
				[175314] = {
					["source"] = "Lady Liadrin",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 81812,
				},
				[202164] = {
					["source"] = "Skyrin",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[15572] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Warfang Miner",
					["npcID"] = 136015,
				},
				[312687] = {
					["source"] = "Faceless Conqueror",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 153903,
				},
				[242090] = {
					["source"] = "Zror'um the Infinite",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 154087,
				},
				[304496] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Rustbolt Defender",
					["npcID"] = 151828,
				},
				[182993] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Emmafox-Bronzebeard",
					["npcID"] = 0,
				},
				[132829] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Southsea Lookout",
					["npcID"] = 73718,
				},
				[260286] = {
					["source"] = "Innerhunt",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[199373] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Army of the Dead",
					["npcID"] = 24207,
				},
				[264571] = {
					["source"] = "Theatriel-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[90985] = {
					["source"] = "Wolfmanamana-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[259597] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Feral Ravasaur",
					["npcID"] = 131560,
				},
				[316220] = {
					["source"] = "Ravachol",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[115315] = {
					["source"] = "Invatkaa-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[144093] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Snowfury",
					["npcID"] = 73755,
				},
				[57723] = {
					["source"] = "Laawry-Frostwhisper",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[313148] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[203981] = {
					["source"] = "Hakunbtata-AzjolNerub",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[298357] = {
					["source"] = "Nymfine",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[250050] = {
					["encounterID"] = 2087,
					["source"] = "Yazma",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 122968,
				},
				[275835] = {
					["source"] = "Ashvane Invader",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 137516,
				},
				[264574] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Sandswept Marksman",
					["npcID"] = 134600,
				},
				[16244] = {
					["source"] = "Bonechewer Hungerer",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 17259,
				},
				[81020] = {
					["source"] = "Darktide Marauder",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 144777,
				},
				[32612] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Leonya",
					["npcID"] = 0,
				},
				[160189] = {
					["source"] = "Ketya Shrediron",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 75986,
				},
				[162521] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[315763] = {
					["source"] = "Randomiitti-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[213708] = {
					["source"] = "Beelzebubb",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[23202] = {
					["source"] = "Limbflayer",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 86652,
				},
				[149212] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Blackrock Warder",
					["npcID"] = 72322,
				},
				[145629] = {
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[154331] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Grove Cultivator Kados",
					["npcID"] = 133104,
				},
				[275836] = {
					["source"] = "Ashvane Invader",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 137516,
				},
				[262983] = {
					["source"] = "Nazeshi Tempest-Wielder",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 128604,
				},
				[283005] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Reconfigured Perimeter Sentry",
					["npcID"] = 145461,
				},
				[267649] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Sapper Technician",
					["npcID"] = 134426,
				},
				[210126] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Irazorl",
					["npcID"] = 0,
				},
				[278543] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[278911] = {
					["source"] = "Warrnotop-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[272723] = {
					["source"] = "Witheredrose-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[271550] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Teltian-Drak'thul",
					["npcID"] = 0,
				},
				[242088] = {
					["source"] = "Zror'um the Infinite",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 154087,
				},
				[283007] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Warlord Surgios",
					["npcID"] = 145280,
				},
				[35272] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Monstyr",
					["npcID"] = 0,
				},
				[214222] = {
					["source"] = "Redemptíon-Al'Akir",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[273794] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[260291] = {
					["source"] = "Zandalari Exile",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 135311,
				},
				[124275] = {
					["source"] = "Punchosaurus",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[334196] = {
					["source"] = "Nosyaj",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[298196] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Såphirå-Doomhammer",
					["npcID"] = 0,
				},
				[196819] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Diedrich-Drak'thul",
					["npcID"] = 0,
				},
				[211887] = {
					["source"] = "Elisande",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 106643,
				},
				[158940] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 130232,
				},
				[213712] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Vixy-Blade'sEdge",
					["npcID"] = 0,
				},
				[44614] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Elrethíel",
					["npcID"] = 0,
				},
				[256709] = {
					["source"] = "Riptide Shredder",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 129371,
				},
				[236746] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Kubuliak-Drak'thul",
					["npcID"] = 0,
				},
				[273797] = {
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[221883] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Brutsid-Emeriss",
					["npcID"] = 0,
				},
				[201427] = {
					["source"] = "Iamherb-Dragonblight",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[288032] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Vazza-Bloodfeather",
					["npcID"] = 0,
				},
				[302408] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Lavabeard-Nordrassil",
					["npcID"] = 0,
				},
				[264587] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Krolusk Pup",
					["npcID"] = 134616,
				},
				[8676] = {
					["source"] = "Ác-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[199892] = {
					["source"] = "Randomiitti-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[154556] = {
					["source"] = "Iron Clusterpult",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 76629,
				},
				[50245] = {
					["source"] = "Jumbo Sandsnapper",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 129283,
				},
				[205523] = {
					["source"] = "Punchosaurus",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[231849] = {
					["source"] = "Crnaruka-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[280746] = {
					["source"] = "Eggywegg-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[207059] = {
					["source"] = "Harpoon Launcher",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 145299,
				},
				[279541] = {
					["source"] = "Jaylien-Blackmoore",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[257223] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Timberfang Lurker",
					["npcID"] = 129624,
				},
				[189363] = {
					["source"] = "Titicious-BurningLegion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[262540] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Expert Technician",
					["npcID"] = 133593,
				},
				[13877] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Jonsey-ShatteredHand",
					["npcID"] = 0,
				},
				[160991] = {
					["source"] = "Smooch",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[210643] = {
					["source"] = "Dembbeli-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[205231] = {
					["npcID"] = 103673,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Darkglare",
					["encounterID"] = 2105,
				},
				[192222] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Kubuliak-Drak'thul",
					["npcID"] = 0,
				},
				[187827] = {
					["type"] = "BUFF",
					["source"] = "Hakunbtata-AzjolNerub",
					["npcID"] = 0,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2118,
				},
				[273803] = {
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[199600] = {
					["source"] = "Ronx-BurningLegion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[316801] = {
					["source"] = "Idiefree-ShatteredHand",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[185562] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Kloster",
					["npcID"] = 0,
				},
				[22568] = {
					["source"] = "Animorpheus",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[279956] = {
					["source"] = "Venstale-Silvermoon",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[24423] = {
					["source"] = "Carrion Bird",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 76819,
				},
				[257225] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Timberfang Lurker",
					["npcID"] = 129624,
				},
				[5116] = {
					["source"] = "Strikehunter-Alonsus",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[159969] = {
					["source"] = "Gorebound Vessel",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 79125,
				},
				[123254] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Wàltz",
					["npcID"] = 0,
				},
				[193753] = {
					["source"] = "Dibdabs-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[259489] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Urkel",
					["npcID"] = 0,
				},
				[355] = {
					["source"] = "Alikhan-Stormscale",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[45181] = {
					["source"] = "Exrat-Kazzak",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[58180] = {
					["source"] = "Animorpheus",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[266047] = {
					["source"] = "Qargath-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[49020] = {
					["source"] = "Nxon",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[144102] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Thunderlord Crag-Leaper",
					["npcID"] = 70900,
				},
				[25255] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Baakksik-BurningLegion",
					["npcID"] = 0,
				},
				[5308] = {
					["source"] = "Skyrin",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[170208] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Kargath Bladefist",
					["npcID"] = 84053,
				},
				[24450] = {
					["source"] = "Herkooli",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 131069,
				},
				[212182] = {
					["source"] = "Exrat-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[277904] = {
					["source"] = "Kertsinator-Frostwhisper",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[294290] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Waste Processing Unit",
					["npcID"] = 144293,
				},
				[275857] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Nikoma-Stormreaver",
					["npcID"] = 0,
				},
				[339] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Pakoj-Bloodscalp",
					["npcID"] = 0,
				},
				[260813] = {
					["npcID"] = 129232,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Mogul Razdunk",
					["encounterID"] = 2108,
				},
				[207064] = {
					["source"] = "Harpoon Launcher",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 145299,
				},
				[260811] = {
					["npcID"] = 129232,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Mogul Razdunk",
					["encounterID"] = 2108,
				},
				[228563] = {
					["source"] = "Punchosaurus",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[104316] = {
					["source"] = "Randomiitti-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[295310] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Urkel",
					["npcID"] = 0,
				},
				[22120] = {
					["source"] = "Grom'kar Siegesmith",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 85978,
				},
				[235219] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Sindar-Nordrassil",
					["npcID"] = 0,
				},
				[348] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Fëlwaffle",
					["npcID"] = 0,
				},
				[278931] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Fëlwaffle",
					["npcID"] = 0,
				},
				[36554] = {
					["source"] = "Exrat-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[273815] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[160184] = {
					["source"] = "Ketya Shrediron",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 75986,
				},
				[315787] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Enexy",
					["npcID"] = 0,
				},
				[288146] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Léandoer-Draenor",
					["npcID"] = 0,
				},
				[259277] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "moggePUNG",
					["npcID"] = 50885,
				},
				[161509] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Mandragora Lifedrinker",
					["npcID"] = 80699,
				},
				[274838] = {
					["source"] = "Animorpheus",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[22888] = {
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[5740] = {
					["source"] = "Idiefree-ShatteredHand",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[167652] = {
					["source"] = "Grand Magister Reglakk",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 79105,
				},
				[116858] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Fëlwaffle",
					["npcID"] = 0,
				},
				[275863] = {
					["source"] = "Elonir-AzjolNerub",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[234084] = {
					["source"] = "Isudrood-ConseildesOmbres",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[285496] = {
					["source"] = "Alalios-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[11971] = {
					["source"] = "Gladiator",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 82769,
				},
				[316814] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[264603] = {
					["encounterID"] = 2111,
					["source"] = "Elder Leaxa",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 131318,
				},
				[167653] = {
					["source"] = "Grand Magister Reglakk",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 79105,
				},
				[51271] = {
					["source"] = "Nxon",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[51399] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Phabio-TwistingNether",
					["npcID"] = 0,
				},
				[193759] = {
					["source"] = "Flumini",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[165606] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Adherent Sol-Shaper",
					["npcID"] = 82285,
				},
				[370] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Zuldir",
					["npcID"] = 0,
				},
				[273817] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[199854] = {
					["source"] = "Scraw-Darksorrow",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[273819] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[12054] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Amani Warrior",
					["npcID"] = 120900,
				},
				[104318] = {
					["source"] = "Wild Imp",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 143622,
				},
				[171236] = {
					["source"] = "Wrathguard Destroyer",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 75382,
				},
				[192225] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Braveglaive-Haomarush",
					["npcID"] = 0,
				},
				[171444] = {
					["source"] = "Ravenous Mongrel",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 79110,
				},
				[263583] = {
					["source"] = "Taskmaster Askari",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 134012,
				},
				[268702] = {
					["type"] = "BUFF",
					["source"] = "Stonefury",
					["npcID"] = 130635,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2105,
				},
				[57286] = {
					["source"] = "Voidlunch-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[299415] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Anodized Coilbearer",
					["npcID"] = 151326,
				},
				[144109] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Thunderlord Crag-Leaper",
					["npcID"] = 70900,
				},
				[268703] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Charged Dust Devil",
					["npcID"] = 134990,
				},
				[198368] = {
					["source"] = "Pietrzu-BurningLegion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[160698] = {
					["source"] = "Zorka's Void Gate",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 79520,
				},
				[172774] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Canyon Boulderbreaker",
					["npcID"] = 81246,
				},
				[267639] = {
					["encounterID"] = 2142,
					["source"] = "Mchimba the Embalmer",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 134993,
				},
				[192226] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 97369,
				},
				[181477] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Nightfallen Construct",
					["npcID"] = 90005,
				},
				[263586] = {
					["source"] = "Taskmaster Askari",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 134012,
				},
				[268705] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Sand-Crusted Striker",
					["npcID"] = 135846,
				},
				[312720] = {
					["source"] = "Lost Guardian",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 153826,
				},
				[272469] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Abyssal Reach",
					["npcID"] = 138538,
				},
				[304537] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Rustbolt Defender",
					["npcID"] = 151828,
				},
				[176050] = {
					["source"] = "Prowler Sasha",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 81263,
				},
				[205025] = {
					["type"] = "BUFF",
					["source"] = "Mytho-Sanguino",
					["npcID"] = 0,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2105,
				},
				[196834] = {
					["source"] = "Dizziedix-Turalyon",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[288158] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Léandoer-Draenor",
					["npcID"] = 0,
				},
				[403] = {
					["npcID"] = 0,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Voxylol-Darksorrow",
					["encounterID"] = 2124,
				},
				[218845] = {
					["type"] = "BUFF",
					["source"] = "Louy-Stormreaver",
					["encounterID"] = 2086,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[272183] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Fallen Deathspeaker",
					["npcID"] = 134284,
				},
				[304539] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Rustbolt Defender",
					["npcID"] = 151828,
				},
				[408] = {
					["source"] = "Gotyâ-DunModr",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[204513] = {
					["source"] = "Hakunbtata-AzjolNerub",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[17962] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Fëlwaffle",
					["npcID"] = 0,
				},
				[267685] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Kubuliak-Drak'thul",
					["npcID"] = 0,
				},
				[6572] = {
					["source"] = "Alikhan-Stormscale",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[153326] = {
					["source"] = "Smooch",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[212704] = {
					["source"] = "Phoenixhuntr-Aszune",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[316826] = {
					["source"] = "Twisted Appendage",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 162764,
				},
				[247454] = {
					["source"] = "Hakunbtata-AzjolNerub",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[192229] = {
					["source"] = "Quelchua-Drak'thul",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[147696] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 72987,
				},
				[315746] = {
					["source"] = "Deephive Chosen",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 153905,
				},
				[259285] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Urkel",
					["npcID"] = 0,
				},
				[210657] = {
					["source"] = "Dembbeli-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[421] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Voxylol-Darksorrow",
					["npcID"] = 0,
				},
				[274837] = {
					["source"] = "Animorpheus",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[268712] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Wanton Sapper",
					["npcID"] = 130653,
				},
				[241223] = {
					["source"] = "Blitzenclaus-Turalyon",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[19434] = {
					["source"] = "Sírvival-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[144114] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Thunderlord Crag-Leaper",
					["npcID"] = 72378,
				},
				[228260] = {
					["source"] = "Wàltz",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[312107] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[274742] = {
					["source"] = "Bahamra-Eredar",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[13750] = {
					["source"] = "Pietrzu-BurningLegion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[24331] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Roaming Nibbler",
					["npcID"] = 130589,
				},
				[290213] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Malnoc",
					["npcID"] = 0,
				},
				[296750] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[6940] = {
					["source"] = "Redemptíon-Al'Akir",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[281000] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Holdkæft",
					["npcID"] = 0,
				},
				[210660] = {
					["source"] = "Dembbeli-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[207076] = {
					["source"] = "Korberes-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[60103] = {
					["source"] = "Gunnarson-DefiasBrotherhood",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[232670] = {
					["npcID"] = 0,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Hitzlock-Ragnaros",
					["encounterID"] = 2106,
				},
				[310690] = {
					["source"] = "Exrat-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[278954] = {
					["source"] = "Dinkpaladin-Al'Akir",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[172781] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Canyon Boulderbreaker",
					["npcID"] = 81246,
				},
				[241221] = {
					["source"] = "Barovo-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[273836] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Beyondpowdar",
					["npcID"] = 0,
				},
				[170222] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Kargath Bladefist",
					["npcID"] = 84053,
				},
				[292264] = {
					["npcID"] = 144249,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Omega Buster",
					["encounterID"] = 2260,
				},
				[196840] = {
					["source"] = "Moist",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[271456] = {
					["encounterID"] = 2108,
					["source"] = "Mogul Razdunk",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 129232,
				},
				[299431] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Malfunctioning Scraphound",
					["npcID"] = 151301,
				},
				[316835] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Twisted Appendage",
					["npcID"] = 162764,
				},
				[317859] = {
					["source"] = "Balushi-Ragnaros",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[227041] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Bonècriton-BurningLegion",
					["npcID"] = 0,
				},
				[299432] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Malfunctioning Scrapbot",
					["npcID"] = 151640,
				},
				[191210] = {
					["source"] = "Hingrim-ShatteredHand",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[317861] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Bloodded-Mazrigos",
					["npcID"] = 0,
				},
				[206760] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Hunkesen",
					["npcID"] = 0,
				},
				[295290] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Felrazor-Skullcrusher",
					["npcID"] = 0,
				},
				[292267] = {
					["type"] = "DEBUFF",
					["source"] = "Omega Buster",
					["npcID"] = 144249,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2260,
				},
				[121471] = {
					["source"] = "Meilun",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[124506] = {
					["source"] = "Punchosaurus",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[295339] = {
					["source"] = "Urzadpracy-BurningLegion",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[191211] = {
					["source"] = "Pollyssra-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[281007] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Haunted Servitor",
					["npcID"] = 137587,
				},
				[269747] = {
					["source"] = "Gobekoboeona-Nemesis",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[465] = {
					["source"] = "Tyreir",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[263604] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Haunted Servitor",
					["npcID"] = 137587,
				},
				[250036] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[273842] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[278961] = {
					["source"] = "Diseased Lasher",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 133870,
				},
				[79976] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Alynblaze",
					["npcID"] = 98159,
				},
				[210152] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Xolene",
					["npcID"] = 0,
				},
				[273843] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[299437] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Malfunctioning Scraphound",
					["npcID"] = 151301,
				},
				[83245] = {
					["npcID"] = 0,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Arendell-Kazzak",
					["encounterID"] = 2123,
				},
				[475] = {
					["source"] = "Fröstshade",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[298794] = {
					["source"] = "Bagoosh",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[301939] = {
					["source"] = "Katsodooro-Magtheridon",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[158453] = {
					["source"] = "Coldstomp the Griever",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 77513,
				},
				[201640] = {
					["source"] = "Ringo-Darksorrow",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[263257] = {
					["npcID"] = 133944,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Aspix",
					["encounterID"] = 2124,
				},
				[22570] = {
					["source"] = "Animorpheus",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[257946] = {
					["source"] = "Reycazador-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[114051] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[295269] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Giov-BurningLegion",
					["npcID"] = 0,
				},
				[215785] = {
					["source"] = "Smooch",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[260829] = {
					["type"] = "DEBUFF",
					["source"] = "Homing Missile Stalker",
					["npcID"] = 132338,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2108,
				},
				[294324] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Waste Processing Unit",
					["npcID"] = 144293,
				},
				[147193] = {
					["source"] = "Hiëdra-DunModr",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[84106] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Proto-Behemoth",
					["npcID"] = 44687,
				},
				[275895] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Koyri-BurningBlade",
					["npcID"] = 0,
				},
				[34767] = {
					["source"] = "Fettegman-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[277943] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Vixy-Blade'sEdge",
					["npcID"] = 0,
				},
				[260318] = {
					["npcID"] = 129232,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Mogul Razdunk",
					["encounterID"] = 2108,
				},
				[256735] = {
					["source"] = "Vogjin-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[46924] = {
					["source"] = "Bahamra-Eredar",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[159479] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Frostwolf Grunt",
					["npcID"] = 74280,
				},
				[63560] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Enexy",
					["npcID"] = 0,
				},
				[24705] = {
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[165110] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[206572] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Grimbob",
					["npcID"] = 0,
				},
				[319919] = {
					["source"] = "Deepdamp-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[158456] = {
					["source"] = "Coldstomp the Griever",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 77513,
				},
				[272827] = {
					["source"] = "Bilge Rat Pillager",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 135241,
				},
				[273851] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[299445] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Kalashnika-Bronzebeard",
					["npcID"] = 0,
				},
				[8092] = {
					["source"] = "Wàltz",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[263234] = {
					["npcID"] = 133379,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Adderis",
					["encounterID"] = 2124,
				},
				[273852] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[260320] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Nol'ixwan",
					["npcID"] = 130741,
				},
				[306474] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Koyri-BurningBlade",
					["npcID"] = 0,
				},
				[268709] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Venture Co. Earthshaper",
					["npcID"] = 130661,
				},
				[276268] = {
					["source"] = "Faceless Conqueror",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 153903,
				},
				[85256] = {
					["source"] = "Dumpl-Drak'thul",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[169902] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 86192,
				},
				[293671] = {
					["source"] = "Messii-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[273854] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[272172] = {
					["source"] = "Shivarra",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 136406,
				},
				[176277] = {
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[258622] = {
					["npcID"] = 129227,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Azerokk",
					["encounterID"] = 2106,
				},
				[273855] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[204197] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Lewella-EmeraldDream",
					["npcID"] = 0,
				},
				[275903] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Jantimir",
					["npcID"] = 0,
				},
				[257251] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Braedan Whitewall",
					["npcID"] = 139321,
				},
				[158128] = {
					["source"] = "Grom'kar Grunt",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 85641,
				},
				[260322] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Nol'ixwan",
					["npcID"] = 130741,
				},
				[256739] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Lottee",
					["npcID"] = 0,
				},
				[236776] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Surfrider",
					["npcID"] = 0,
				},
				[278908] = {
					["source"] = "Níkomaaní-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[546] = {
					["source"] = "Tzual",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[31935] = {
					["source"] = "Mélittâ-TwistingNether",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[272834] = {
					["source"] = "Bilge Rat Pillager",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 135241,
				},
				[265668] = {
					["source"] = "Living Rot",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 133852,
				},
				[267546] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Rowdy Reveler",
					["npcID"] = 144231,
				},
				[556] = {
					["source"] = "Balredar-BurningLegion",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[212207] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Llothien Grizzly",
					["npcID"] = 90134,
				},
				[92043] = {
					["type"] = "BUFF",
					["source"] = "Smooch",
					["encounterID"] = 2111,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[272471] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 138255,
				},
				[102793] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[9080] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Thunderlord Spearhand",
					["npcID"] = 88263,
				},
				[145152] = {
					["source"] = "Feeltheheat-ArgentDawn",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[167164] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Restless Stone",
					["npcID"] = 134966,
				},
				[13730] = {
					["source"] = "Darktide Marauder",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 144777,
				},
				[204018] = {
					["source"] = "Mélittâ-TwistingNether",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[298431] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[305599] = {
					["source"] = "Randomiitti-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[115078] = {
					["source"] = "Deepdamp-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[180986] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 91166,
				},
				[161533] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Mandragora Lifedrinker",
					["npcID"] = 80699,
				},
				[124036] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[199412] = {
					["source"] = "Maridiel-BurningBlade",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[204019] = {
					["source"] = "Mélittâ-TwistingNether",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[167677] = {
					["source"] = "Grand Magister Reglakk",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 79105,
				},
				[299457] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Malfunctioning Scrapbot",
					["npcID"] = 151640,
				},
				[2383] = {
					["source"] = "Namjo-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[33917] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[277959] = {
					["source"] = "Cellith-Draenor",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[243435] = {
					["source"] = "Deepdamp-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[260838] = {
					["npcID"] = 0,
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2108,
				},
				[163070] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 86590,
				},
				[277960] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Kubuliak-Drak'thul",
					["npcID"] = 0,
				},
				[287174] = {
					["source"] = "Rustfeather",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 152182,
				},
				[263628] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Mechanized Peacekeeper",
					["npcID"] = 130485,
				},
				[51533] = {
					["npcID"] = 0,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Smooch",
					["encounterID"] = 2118,
				},
				[51661] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[269096] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Sandfury Dunerider",
					["npcID"] = 130230,
				},
				[280009] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 137915,
				},
				[204021] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Mongolen-Doomhammer",
					["npcID"] = 0,
				},
				[208628] = {
					["source"] = "Silannara-ShatteredHand",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[80016] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Thunderlord Invader",
					["npcID"] = 74329,
				},
				[285981] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Deviantsword-EmeraldDream",
					["npcID"] = 0,
				},
				[188443] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Kubuliak-Drak'thul",
					["npcID"] = 0,
				},
				[295368] = {
					["source"] = "Deepdamp-Kazzak",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[291272] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Brann Bronzebeard",
					["npcID"] = 149824,
				},
				[49358] = {
					["source"] = "Cindamayka",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[288546] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Magus of the Dead",
					["npcID"] = 148797,
				},
				[267047] = {
					["npcID"] = 134390,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Sand-crusted Striker",
					["encounterID"] = 2125,
				},
				[98444] = {
					["source"] = "Nietzschean-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[115080] = {
					["source"] = "Jinraya-KhazModan",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[281036] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Urkel",
					["npcID"] = 0,
				},
				[298440] = {
					["source"] = "Irkanzz",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[257258] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Timberbough Invader",
					["npcID"] = 129768,
				},
				[199416] = {
					["source"] = "Larsaboy",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[49998] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[298956] = {
					["source"] = "Bubbling Crude",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 153935,
				},
				[272457] = {
					["npcID"] = 131383,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Sporecaller Zancha",
					["encounterID"] = 2112,
				},
				[5277] = {
					["source"] = "Exrat-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[193786] = {
					["source"] = "Gunnarson-DefiasBrotherhood",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[255723] = {
					["source"] = "Smooch",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[54861] = {
					["source"] = "Thadoc-Mazrigos",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[181502] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Withered Scavenger",
					["npcID"] = 89801,
				},
				[256236] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Rodny-Nordrassil",
					["npcID"] = 0,
				},
				[686] = {
					["source"] = "Randomiitti-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[265468] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Bloodsworn Defiler",
					["npcID"] = 133912,
				},
				[263636] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Addled Thug",
					["npcID"] = 130435,
				},
				[25771] = {
					["source"] = "Klkl-Draenor",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[177919] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Alliance Opportunist",
					["npcID"] = 87040,
				},
				[295373] = {
					["source"] = "Deepdamp-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[260843] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Jahden Fla",
					["npcID"] = 122704,
				},
				[268756] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Weemz-Draenor",
					["npcID"] = 0,
				},
				[688] = {
					["source"] = "Méaa",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[297412] = {
					["source"] = "Pldna-Dentarg",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[135700] = {
					["source"] = "Shushuna",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[64843] = {
					["source"] = "Lijkbleek",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[171433] = {
					["source"] = "Felwrought Annihilator",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 77528,
				},
				[313113] = {
					["source"] = "Exrat-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[278981] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Diedrich-Drak'thul",
					["npcID"] = 0,
				},
				[143625] = {
					["source"] = "Staboteur",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[119611] = {
					["source"] = "Deepdamp-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[328136] = {
					["source"] = "Aeden-TheMaelstrom",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[269092] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Ordnance Specialist",
					["npcID"] = 137029,
				},
				[250261] = {
					["source"] = "Valhallis",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[41425] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Mytho-Sanguino",
					["npcID"] = 0,
				},
				[213241] = {
					["source"] = "Niashu-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[162565] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[158982] = {
					["source"] = "Unknown",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 79439,
				},
				[273185] = {
					["source"] = "Shieldbearer of Zul",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 127879,
				},
				[295378] = {
					["source"] = "Deepdamp-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[27243] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Hitzlock-Ragnaros",
					["npcID"] = 0,
				},
				[283094] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[161542] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Malrok Thornscar",
					["npcID"] = 80509,
				},
				[278999] = {
					["source"] = "Detritus-Stormrage",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[34428] = {
					["source"] = "Scraw-Darksorrow",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[46585] = {
					["source"] = "Gorot",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[326419] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Pielemaus-ShatteredHand",
					["npcID"] = 0,
				},
				[118922] = {
					["source"] = "Beerejäger-Blackrock",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[740] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Bbana-Magtheridon",
					["npcID"] = 0,
				},
				[162244] = {
					["source"] = "Sharpfang Stalker",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 76685,
				},
				[298452] = {
					["source"] = "Apexie-Draenor",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[243955] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Tearzi",
					["npcID"] = 0,
				},
				[213405] = {
					["source"] = "Oblie-Draenor",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[263371] = {
					["npcID"] = 133944,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Aspix",
					["encounterID"] = 2124,
				},
				[295384] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Sallahdin-Nordrassil",
					["npcID"] = 0,
				},
				[213243] = {
					["source"] = "Niashu-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[2983] = {
					["source"] = "Exrat-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[64844] = {
					["source"] = "Lijkbleek",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[290264] = {
					["source"] = "Smushiie-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[283098] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[170758] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Challenge Post",
					["npcID"] = 85517,
				},
				[228600] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Elrethíel",
					["npcID"] = 0,
				},
				[768] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[127113] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[772] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Хса-СвежевательДуш",
					["npcID"] = 0,
				},
				[774] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[286171] = {
					["source"] = "Guldkoen",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[57934] = {
					["source"] = "Bladedance-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[12472] = {
					["type"] = "BUFF",
					["source"] = "Fröstshade",
					["encounterID"] = 2139,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[175366] = {
					["source"] = "Exarch Maladaar",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 81813,
				},
				[105871] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 56349,
				},
				[279000] = {
					["npcID"] = 133392,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Avatar of Sethraliss",
					["encounterID"] = 2127,
				},
				[172807] = {
					["source"] = "Sor the Eradicator",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 80691,
				},
				[268769] = {
					["source"] = "Anubîs-Dethecus",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[185763] = {
					["source"] = "Wishr",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[279003] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Horde Vanguard",
					["npcID"] = 142082,
				},
				[126346] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Thunderlord Stalker",
					["npcID"] = 78809,
				},
				[264234] = {
					["npcID"] = 134516,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Egg",
					["encounterID"] = 2125,
				},
				[818] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[127114] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Bïw-Drak'thul",
					["npcID"] = 0,
				},
				[280032] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[267327] = {
					["source"] = "Azraela-Pozzodell'Eternità",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[8921] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[131347] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Braveglaive-Haomarush",
					["npcID"] = 0,
				},
				[304603] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Reqx-Magtheridon",
					["npcID"] = 0,
				},
				[285152] = {
					["npcID"] = 145185,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Gnomercy 4.U.",
					["encounterID"] = 2257,
				},
				[151310] = {
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[303580] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Dazohan",
					["npcID"] = 0,
				},
				[201846] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Shapesham-Draenor",
					["npcID"] = 0,
				},
				[193796] = {
					["source"] = "Dizziedix-Turalyon",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[273892] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Southern Sabertusk",
					["npcID"] = 140664,
				},
				[269085] = {
					["source"] = "Juriko-AzjolNerub",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[304605] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Bloodhideius-Drak'thul",
					["npcID"] = 0,
				},
				[268774] = {
					["encounterID"] = 2109,
					["source"] = "Blusangue-Pozzodell'Eternità",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[304606] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Navelpain-BurningLegion",
					["npcID"] = 0,
				},
				[127115] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[82326] = {
					["source"] = "Callá-Spinebreaker",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[279503] = {
					["source"] = "Blusangue-Pozzodell'Eternità",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[199721] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[111759] = {
					["source"] = "Unholyvibe",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[295258] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Antraluk",
					["npcID"] = 0,
				},
				[268776] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Amani Battle Bear",
					["npcID"] = 130257,
				},
				[264235] = {
					["npcID"] = 134517,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Egg",
					["encounterID"] = 2125,
				},
				[278574] = {
					["source"] = "Dinkpaladin-Al'Akir",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[47541] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Enexy",
					["npcID"] = 0,
				},
				[269493] = {
					["type"] = "BUFF",
					["source"] = "Coin-Operated Crowd Pummeler",
					["npcID"] = 129214,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2105,
				},
				[259830] = {
					["type"] = "BUFF",
					["source"] = "Sporecaller Zancha",
					["npcID"] = 131383,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2112,
				},
				[50769] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[300277] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Weemz-Draenor",
					["npcID"] = 0,
				},
				[307985] = {
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[216814] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Nar'thalas Nightwatcher",
					["npcID"] = 88782,
				},
				[17767] = {
					["source"] = "Konkath",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 1860,
				},
				[193287] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Yoidk",
					["npcID"] = 0,
				},
				[272874] = {
					["source"] = "Ashvane Commander",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 128969,
				},
				[196608] = {
					["source"] = "Akrm-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[172812] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[304611] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Navelpain-BurningLegion",
					["npcID"] = 0,
				},
				[197720] = {
					["source"] = "Bronzefur Elk",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 152092,
				},
				[253689] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Mongolen-Doomhammer",
					["npcID"] = 0,
				},
				[205061] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 105646,
				},
				[304612] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Reqx-Magtheridon",
					["npcID"] = 0,
				},
				[169230] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[193641] = {
					["source"] = "Gotyâ-DunModr",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[1449] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Mytho-Sanguino",
					["npcID"] = 0,
				},
				[3567] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Ikaerf-Draenor",
					["npcID"] = 0,
				},
				[29722] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Fëlwaffle",
					["npcID"] = 0,
				},
				[61391] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[147732] = {
					["source"] = "Dizziedix-Turalyon",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[106898] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[54609] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Frostwolf Greyfur",
					["npcID"] = 70879,
				},
				[257422] = {
					["source"] = "Kreatores-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[270831] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Whistlebloom Harvester",
					["npcID"] = 129289,
				},
				[265433] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Bloodsworn Defiler",
					["npcID"] = 133912,
				},
				[264689] = {
					["source"] = "Axelrod-Bloodhoof",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[294378] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Kittycat-Draenor",
					["npcID"] = 0,
				},
				[295402] = {
					["source"] = "Zulmaran-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[131865] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Xanory",
					["npcID"] = 0,
				},
				[169232] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Iron Subjugator",
					["npcID"] = 84551,
				},
				[7357] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Salteye Shoresprinter",
					["npcID"] = 88100,
				},
				[283118] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Chief Expedition Officer McCormick",
					["npcID"] = 145148,
				},
				[275429] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Fëlwaffle",
					["npcID"] = 0,
				},
				[89751] = {
					["source"] = "Kazgorath",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 58965,
				},
				[267764] = {
					["source"] = "Coffin",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 136256,
				},
				[271711] = {
					["source"] = "Balushi-Ragnaros",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[196364] = {
					["source"] = "Pastek-BurningLegion",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[156070] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Hexop-Drak'thul",
					["npcID"] = 0,
				},
				[290577] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Abomination",
					["npcID"] = 149555,
				},
				[255742] = {
					["source"] = "Ipsissimus-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[304619] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Conker",
					["npcID"] = 0,
				},
				[982] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Hercu-Draenor",
					["npcID"] = 0,
				},
				[212743] = {
					["source"] = "Integral-Dentarg",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[260349] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Young Savagelands Devilsaur",
					["npcID"] = 139703,
				},
				[186270] = {
					["source"] = "Innerhunt",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[91800] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Plaguerumbler",
					["npcID"] = 26125,
				},
				[255741] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Faithless Ravager",
					["npcID"] = 134320,
				},
				[299502] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Upgraded Sentry",
					["npcID"] = 150667,
				},
				[85401] = {
					["source"] = "Vermillion Sentinel",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 45503,
				},
				[158997] = {
					["source"] = "Acidtooth Corroder",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 79439,
				},
				[3839] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Whatisheal",
					["npcID"] = 0,
				},
				[279028] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Kubuliak-Drak'thul",
					["npcID"] = 0,
				},
				[80354] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Priesteys-Frostwhisper",
					["npcID"] = 0,
				},
				[78491] = {
					["source"] = "Dragonmaw Whelpstealer",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 42041,
				},
				[269815] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[11417] = {
					["source"] = "Cindamayka",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[158486] = {
					["source"] = "Hymage",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[158998] = {
					["source"] = "Acidtooth Corroder",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 79439,
				},
				[299789] = {
					["source"] = "Jaylien-Blackmoore",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[50259] = {
					["source"] = "Feeltheheat-ArgentDawn",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[980] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Hitzlock-Ragnaros",
					["npcID"] = 0,
				},
				[177426] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Unknown",
					["npcID"] = 88265,
				},
				[199845] = {
					["source"] = "Psyfiend",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 101398,
				},
				[257420] = {
					["source"] = "Consumable-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[974] = {
					["source"] = "Tàylorswîft",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[89753] = {
					["source"] = "Kazgorath",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 58965,
				},
				[261886] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Scorpashi Direclaw",
					["npcID"] = 125882,
				},
				[262652] = {
					["source"] = "Gunnarson-DefiasBrotherhood",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[214794] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Forsaken Deathguard",
					["npcID"] = 135886,
				},
				[303041] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Malvin-Magtheridon",
					["npcID"] = 0,
				},
				[255744] = {
					["source"] = "Ipsissimus-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[279033] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Kubuliak-Drak'thul",
					["npcID"] = 0,
				},
				[255372] = {
					["encounterID"] = 2086,
					["source"] = "Rezan",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 122963,
				},
				[268796] = {
					["encounterID"] = 2143,
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[195292] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[5394] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Voxylol-Darksorrow",
					["npcID"] = 0,
				},
				[213771] = {
					["source"] = "Beelzebubb",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[268797] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Venture Co. Alchemist",
					["npcID"] = 133432,
				},
				[278288] = {
					["source"] = "Jezzabell-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[20271] = {
					["source"] = "Zabrak-Aszune",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[120360] = {
					["source"] = "Nateríver-ShatteredHand",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[272893] = {
					["source"] = "Híroshi",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[259329] = {
					["source"] = "Darktide Sorceress",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 144769,
				},
				[270846] = {
					["source"] = "Scorpashi Direclaw",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 125882,
				},
				[277703] = {
					["source"] = "Tarasbulba-Pozzodell'Eternità",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[24750] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Fibreoptics-Draenor",
					["npcID"] = 0,
				},
				[1329] = {
					["source"] = "Exrat-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[283132] = {
					["source"] = "Infinite Shade of Delormi",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 145507,
				},
				[2823] = {
					["source"] = "Exrat-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[334320] = {
					["source"] = "Obban-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[300809] = {
					["source"] = "Athanior-ArgentDawn",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[196881] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Haránt-Bloodscalp",
					["npcID"] = 0,
				},
				[1064] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Voxylol-Darksorrow",
					["npcID"] = 0,
				},
				[268801] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Sandfury Axe Thrower",
					["npcID"] = 121017,
				},
				[130265] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Thunder Hold Soldier",
					["npcID"] = 66291,
				},
				[223499] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Han-Zenedar",
					["npcID"] = 0,
				},
				[162586] = {
					["source"] = "Witch Lord Morkurk",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 80335,
				},
				[289277] = {
					["source"] = "Dioni",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[300142] = {
					["source"] = "Diknek-Doomhammer",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[266030] = {
					["source"] = "Idiefree-ShatteredHand",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[1044] = {
					["source"] = "Mélittâ-TwistingNether",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[137639] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Kurupt",
					["npcID"] = 0,
				},
				[45524] = {
					["source"] = "Nxon",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[260355] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Ten'gor",
					["npcID"] = 130713,
				},
				[162075] = {
					["source"] = "Smooch",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[257284] = {
					["source"] = "Urkel",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[218164] = {
					["source"] = "Invatkaa-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[283403] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[245388] = {
					["source"] = "Exrat-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[170778] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[300806] = {
					["type"] = "BUFF",
					["source"] = "Simôns-TwistingNether",
					["npcID"] = 0,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2124,
				},
				[157981] = {
					["source"] = "Ocelaska",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[236298] = {
					["source"] = "Lionjur-Destromath",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[299782] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Kelfin Scout",
					["npcID"] = 151309,
				},
				[257797] = {
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[196884] = {
					["source"] = "Nosyaj",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[1160] = {
					["source"] = "Alikhan-Stormscale",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[197908] = {
					["source"] = "Deepdamp-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[269831] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[162077] = {
					["source"] = "Smooch",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[236299] = {
					["source"] = "Lionjur-Destromath",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[272903] = {
					["source"] = "Mélittâ-TwistingNether",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[257798] = {
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[255239] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 128699,
				},
				[258822] = {
					["source"] = "Rustfeather",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 152182,
				},
				[202004] = {
					["type"] = "BUFF",
					["source"] = "Smooch",
					["encounterID"] = 2111,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[160029] = {
					["type"] = "DEBUFF",
					["source"] = "Except",
					["npcID"] = 0,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2260,
				},
				[77472] = {
					["npcID"] = 0,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Voxylol-Darksorrow",
					["encounterID"] = 2124,
				},
				[299781] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Kelfin Scout",
					["npcID"] = 151310,
				},
				[268810] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Test Subject",
					["npcID"] = 133963,
				},
				[171804] = {
					["source"] = "Corefire-Dragonmaw",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[110744] = {
					["encounterID"] = 2086,
					["source"] = "Wàltz",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[242443] = {
					["source"] = "Sliceolator",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[199260] = {
					["source"] = "Wàltz",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[273930] = {
					["source"] = "Kul Tiran Footman",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 141495,
				},
				[162079] = {
					["source"] = "Coldtusk",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 76914,
				},
				[275909] = {
					["source"] = "Jaylien-Blackmoore",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[50842] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[166302] = {
					["source"] = "Blingtron 7000",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 153897,
				},
				[52437] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Holdkæft",
					["npcID"] = 0,
				},
				[292359] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Kardes-BurningBlade",
					["npcID"] = 0,
				},
				[256778] = {
					["source"] = "Miracledemon",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[265742] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Tangetsu-Draenor",
					["npcID"] = 0,
				},
				[295431] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Löskuk-Dentarg",
					["npcID"] = 0,
				},
				[256777] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Phaeleh-Draenor",
					["npcID"] = 0,
				},
				[179996] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Withered Leyfeeder",
					["npcID"] = 90377,
				},
				[269838] = {
					["npcID"] = 0,
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2123,
				},
				[237838] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 104493,
				},
				[292361] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Gallet",
					["npcID"] = 0,
				},
				[268815] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Test Subject",
					["npcID"] = 133963,
				},
				[255754] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 134556,
				},
				[156064] = {
					["source"] = "Karost",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[292362] = {
					["source"] = "Chodal",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[184092] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Brutsid-Emeriss",
					["npcID"] = 0,
				},
				[273935] = {
					["source"] = "Jinraya-KhazModan",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[58452] = {
					["source"] = "Amargosa-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[292363] = {
					["source"] = "Yourfather",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[267793] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Shallows Softshell",
					["npcID"] = 141872,
				},
				[141917] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Kofoten",
					["npcID"] = 0,
				},
				[270865] = {
					["source"] = "King A'akul",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 137484,
				},
				[292364] = {
					["source"] = "Slayerd",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[208086] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Koyri-BurningBlade",
					["npcID"] = 0,
				},
				[269837] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Amani Thug",
					["npcID"] = 120843,
				},
				[147750] = {
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[257063] = {
					["source"] = "Kul Tiran Wavetender",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 141284,
				},
				[257292] = {
					["source"] = "Kul Tiran Vanguard",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 138019,
				},
				[269843] = {
					["npcID"] = 133007,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Unbound Abomination",
					["encounterID"] = 2123,
				},
				[131493] = {
					["source"] = "Millamagia",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[207640] = {
					["source"] = "Clawandnail-Darkspear",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[183582] = {
					["source"] = "Calydus",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 111816,
				},
				[246851] = {
					["source"] = "Nateríver-ShatteredHand",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[164131] = {
					["source"] = "Smooch",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[5246] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Souschef",
					["npcID"] = 0,
				},
				[267799] = {
					["source"] = "Глорифейс-Термоштепсель",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[298510] = {
					["source"] = "Aqir Stinger",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 163045,
				},
				[194844] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[267798] = {
					["source"] = "Глорифейс-Термоштепсель",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[299776] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Kelfin Scout",
					["npcID"] = 151310,
				},
				[113974] = {
					["source"] = "Rîddler",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[259853] = {
					["type"] = "DEBUFF",
					["source"] = "Rixxa Fluxflame",
					["npcID"] = 129231,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2107,
				},
				[115098] = {
					["source"] = "Punchosaurus",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[301583] = {
					["source"] = "Sentry Ambusher",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 155465,
				},
				[273942] = {
					["source"] = "Succmeoff-Blackmoore",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[111771] = {
					["source"] = "Randomiitti-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[162597] = {
					["source"] = "Witch Lord Morkurk",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 80335,
				},
				[293394] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Speedpower-Drak'thul",
					["npcID"] = 0,
				},
				[247776] = {
					["source"] = "Banankungen-Xavius",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[46168] = {
					["source"] = "Thehood-Kor'gall",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[194310] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Enexy",
					["npcID"] = 0,
				},
				[265754] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Gurubashi Thug",
					["npcID"] = 125458,
				},
				[210714] = {
					["source"] = "Tharnivas-Blackmoore",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[77535] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[1464] = {
					["source"] = "Scraw-Darksorrow",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[183585] = {
					["source"] = "Lightsworn Anchorite",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 109751,
				},
				[265755] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Orb Guardian",
					["npcID"] = 135007,
				},
				[266779] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Joggrog",
					["npcID"] = 0,
				},
				[59052] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Kogó",
					["npcID"] = 0,
				},
				[105688] = {
					["source"] = "Sylten",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[266006] = {
					["source"] = "Gol'than the Malodorous",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 135448,
				},
				[23920] = {
					["source"] = "Cakestance",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[316944] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Antraluk",
					["npcID"] = 0,
				},
				[159016] = {
					["source"] = "Grom'kar Deadeye",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 85642,
				},
				[273947] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[168230] = {
					["source"] = "Tura'aka",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 83591,
				},
				[304660] = {
					["source"] = "Ulatar-Bladefist",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[197919] = {
					["source"] = "Chúmpý-Stormscale",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[259856] = {
					["npcID"] = 129231,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Rixxa Fluxflame",
					["encounterID"] = 2107,
				},
				[264735] = {
					["source"] = "Jumbo Sandsnapper",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 129283,
				},
				[144166] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Ga'nar",
					["npcID"] = 70878,
				},
				[257297] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Vinespeaker Ratha",
					["npcID"] = 135939,
				},
				[115356] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[8219] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Innervazíøn",
					["npcID"] = 0,
				},
				[209693] = {
					["source"] = "Surger-AzjolNerub",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[61781] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Ølper-Spinebreaker",
					["npcID"] = 0,
				},
				[158506] = {
					["source"] = "Windroc",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 79398,
				},
				[260369] = {
					["source"] = "Invatkaa-Stormreaver",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[260881] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Weemz-Draenor",
					["npcID"] = 0,
				},
				[21169] = {
					["npcID"] = 0,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Natvrdo-Drak'thul",
					["encounterID"] = 2258,
				},
				[108446] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 58965,
				},
				[227723] = {
					["source"] = "Aeden-TheMaelstrom",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[190356] = {
					["source"] = "Fröstshade",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[289308] = {
					["source"] = "Fröstshade",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[263637] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Addled Thug",
					["npcID"] = 130435,
				},
				[102560] = {
					["source"] = "Níkomaaní-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[252692] = {
					["source"] = "Shadowblade Stalker",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 122970,
				},
				[283167] = {
					["source"] = "Frezi-BurningLegion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[188196] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Kubuliak-Drak'thul",
					["npcID"] = 0,
				},
				[1604] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Malfunctioning Scrapbot",
					["npcID"] = 151640,
				},
				[193315] = {
					["source"] = "Wishr",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[255252] = {
					["source"] = "Bahamra-Eredar",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[306715] = {
					["source"] = "Madgor-BurningLegion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[36828] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Twilight Crossfire",
					["npcID"] = 45264,
				},
				[162714] = {
					["source"] = "Skaggit",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 80225,
				},
				[268836] = {
					["source"] = "Domlin-Baelgun",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[273955] = {
					["source"] = "Chínpettum-Kilrogg",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[274979] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Vugthuth",
					["npcID"] = 128584,
				},
				[193316] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Bonziqa-AzjolNerub",
					["npcID"] = 0,
				},
				[132403] = {
					["source"] = "Mélittâ-TwistingNether",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[273956] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Faithless Tender",
					["npcID"] = 134364,
				},
				[260372] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Venture Co. Skyscorcher",
					["npcID"] = 133436,
				},
				[203554] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[65365] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Zapharra",
					["npcID"] = 0,
				},
				[290337] = {
					["source"] = "Lovesucks",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[93402] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[261396] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Moraldîous",
					["npcID"] = 0,
				},
				[132404] = {
					["source"] = "Obogae-BurningLegion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[1680] = {
					["source"] = "Scraw-Darksorrow",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[55095] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Kogó",
					["npcID"] = 0,
				},
				[300174] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Koyri-BurningBlade",
					["npcID"] = 0,
				},
				[289315] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[33757] = {
					["source"] = "Nosyaj",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[198688] = {
					["source"] = "Rurumi-Stormrage",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[155158] = {
					["source"] = "Gopherqt",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[202347] = {
					["source"] = "Lichef",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[272934] = {
					["source"] = "Gopherqt",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[275540] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Oskir",
					["npcID"] = 0,
				},
				[183081] = {
					["source"] = "Kirin Tor Guardian",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 104091,
				},
				[155722] = {
					["source"] = "Except",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[263642] = {
					["source"] = "Hakunbtata-AzjolNerub",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[8258] = {
					["source"] = "Exarch Maladaar",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 81813,
				},
				[131894] = {
					["source"] = "Phoenixhuntr-Aszune",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[1543] = {
					["source"] = "Sírvival-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[51886] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Zuldir",
					["npcID"] = 0,
				},
				[259352] = {
					["source"] = "Darktide Sorceress",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 144769,
				},
				[263725] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Mytho-Sanguino",
					["npcID"] = 0,
				},
				[146739] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Hitzlock-Ragnaros",
					["npcID"] = 0,
				},
				[265773] = {
					["encounterID"] = 2139,
					["source"] = "The Golden Serpent",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 135322,
				},
				[170902] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Sethe",
					["npcID"] = 80644,
				},
				[91807] = {
					["source"] = "Bathead",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 26125,
				},
				[272940] = {
					["source"] = "Yoleryk-Quel'Thalas",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[233490] = {
					["source"] = "Pastek-BurningLegion",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[287273] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Deloa-Dentarg",
					["npcID"] = 0,
				},
				[1784] = {
					["source"] = "Elcrow-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[268846] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Weapons Tester",
					["npcID"] = 136934,
				},
				[53209] = {
					["source"] = "Phoenixhuntr-Aszune",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[233759] = {
					["source"] = "Deepdamp-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[259456] = {
					["source"] = "Minz-Darksorrow",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[24753] = {
					["source"] = "Janpuli-Stormreaver",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[145205] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[272820] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Imbued Stormcaller",
					["npcID"] = 134599,
				},
				[3566] = {
					["source"] = "Articfowl-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[108194] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Corrosive-Quel'Thalas",
					["npcID"] = 0,
				},
				[295137] = {
					["source"] = "Gotyâ-DunModr",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[274991] = {
					["encounterID"] = 2100,
					["source"] = "Viq'Goth",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 128652,
				},
				[271920] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Haránt-Bloodscalp",
					["npcID"] = 0,
				},
				[289324] = {
					["source"] = "Deepdamp-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[96231] = {
					["source"] = "Mélittâ-TwistingNether",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[179091] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Nar'thalas Magister",
					["npcID"] = 88783,
				},
				[262984] = {
					["source"] = "Nazeshi Tempest-Wielder",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 128604,
				},
				[272945] = {
					["source"] = "Randomiitti-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[1856] = {
					["source"] = "Exrat-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[73899] = {
					["source"] = "Lamer-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[186257] = {
					["source"] = "Sírvival-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[259455] = {
					["source"] = "Earthenring-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[205708] = {
					["source"] = "Nanto-Drak'thul",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[250241] = {
					["type"] = "BUFF",
					["source"] = "Vol'kaal",
					["encounterID"] = 2085,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 122965,
				},
				[8004] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Voxylol-Darksorrow",
					["npcID"] = 0,
				},
				[268852] = {
					["source"] = "Nolóve",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[175513] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Crucia",
					["npcID"] = 0,
				},
				[287280] = {
					["source"] = "Greatgravy-TwistingNether",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[271924] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Weemz-Draenor",
					["npcID"] = 0,
				},
				[222501] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "7th Legion Sailor",
					["npcID"] = 135858,
				},
				[170900] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Sethe",
					["npcID"] = 80644,
				},
				[174385] = {
					["source"] = "Iron Bulwark",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 86536,
				},
				[157736] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Fëlwaffle",
					["npcID"] = 0,
				},
				[268854] = {
					["source"] = "Iamherb-Dragonblight",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[280541] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Husein-Draenor",
					["npcID"] = 0,
				},
				[289524] = {
					["source"] = "Kertsinator-Frostwhisper",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[8690] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Warbones-EmeraldDream",
					["npcID"] = 0,
				},
				[264760] = {
					["source"] = "Akibell-Exodar",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[273974] = {
					["source"] = "Shushuna",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[268856] = {
					["source"] = "Deepdamp-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[174898] = {
					["source"] = "Acidtooth Corroder",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 79439,
				},
				[228645] = {
					["source"] = "Rune Weapon",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 27893,
				},
				[278070] = {
					["source"] = "Djöfli",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[225574] = {
					["source"] = "Swartajump-Drak'thul",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[131901] = {
					["source"] = "Dead Inkgill Spearman",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 61532,
				},
				[202028] = {
					["source"] = "Animorpheus",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[7870] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 1863,
				},
				[173876] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Bloodmane Gutripper",
					["npcID"] = 80450,
				},
				[260894] = {
					["encounterID"] = 2111,
					["source"] = "Elder Leaxa",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 131318,
				},
				[273977] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[208683] = {
					["source"] = "Cublabla",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[272119] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Wàltz",
					["npcID"] = 0,
				},
				[276025] = {
					["source"] = "Deepdamp-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[264764] = {
					["source"] = "Corewax-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[269883] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Sadboi-Karazhan",
					["npcID"] = 0,
				},
				[23922] = {
					["source"] = "Alikhan-Stormscale",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[276026] = {
					["source"] = "Animorpheus",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[264765] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Static-charged Dervish",
					["npcID"] = 134691,
				},
				[204079] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Brutsid-Emeriss",
					["npcID"] = 0,
				},
				[318187] = {
					["source"] = "Dizziedix-Turalyon",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[276213] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Ookin Rum Guard",
					["npcID"] = 140209,
				},
				[177460] = {
					["source"] = "Corrupted Wind Spirit",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 80381,
				},
				[290360] = {
					["source"] = "Erlendaar-Magtheridon",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[260384] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Wihaicut-Vashj",
					["npcID"] = 0,
				},
				[32752] = {
					["source"] = "Randomiitti-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[309812] = {
					["source"] = "Zror'um the Infinite",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 154087,
				},
				[290361] = {
					["source"] = "Erlendaar-Magtheridon",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[8220] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Híroshi",
					["npcID"] = 0,
				},
				[106918] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Orchard Wasp",
					["npcID"] = 56201,
				},
				[103079] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Training Bag",
					["npcID"] = 55183,
				},
				[259873] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Gutgut",
					["npcID"] = 138596,
				},
				[275006] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Mytho-Sanguino",
					["npcID"] = 0,
				},
				[270070] = {
					["source"] = "Relocation",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[301624] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Vigdia-AzjolNerub",
					["npcID"] = 0,
				},
				[264761] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Syce-Draenor",
					["npcID"] = 0,
				},
				[2120] = {
					["source"] = "Gopherqt",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[276031] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[268865] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Weapons Tester",
					["npcID"] = 136934,
				},
				[162708] = {
					["source"] = "Skaggit",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 80225,
				},
				[186387] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Frestor-Draenor",
					["npcID"] = 0,
				},
				[186254] = {
					["source"] = "Reycazador-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[322101] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Uctugun-Alonsus",
					["npcID"] = 0,
				},
				[306745] = {
					["source"] = "Slappy",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 157166,
				},
				[250585] = {
					["encounterID"] = 2085,
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[216328] = {
					["source"] = "Callá-Spinebreaker",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[221573] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 109670,
				},
				[302651] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Medeiá-Draenor",
					["npcID"] = 0,
				},
				[166203] = {
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[166714] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Terokk",
					["npcID"] = 82820,
				},
				[108199] = {
					["encounterID"] = 2109,
					["source"] = "Blusangue-Pozzodell'Eternità",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[127797] = {
					["source"] = "Except",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[160060] = {
					["source"] = "Scorpox",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 165189,
				},
				[316985] = {
					["source"] = "Rwbmage",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[18100] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 31775,
				},
				[30449] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Mytho-Sanguino",
					["npcID"] = 0,
				},
				[101545] = {
					["source"] = "Kunglau-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[31707] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Water Elemental",
					["npcID"] = 78116,
				},
				[55078] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[264776] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Rodny-Nordrassil",
					["npcID"] = 0,
				},
				[107574] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Oskir",
					["npcID"] = 0,
				},
				[193333] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Yoidk",
					["npcID"] = 0,
				},
				[309821] = {
					["source"] = "Zror'um the Infinite",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 154087,
				},
				[327225] = {
					["source"] = "Huulymuuly-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[275014] = {
					["type"] = "DEBUFF",
					["source"] = "Viq'Goth",
					["encounterID"] = 2100,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 128652,
				},
				[183096] = {
					["source"] = "Kirin Tor Guardian",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 104091,
				},
				[290372] = {
					["source"] = "Denneé",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[269896] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Faithless Tender",
					["npcID"] = 134364,
				},
				[289349] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[121253] = {
					["source"] = "Punchosaurus",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[313918] = {
					["source"] = "Ïnsomnia-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[278087] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Sabertron",
					["npcID"] = 139328,
				},
				[101546] = {
					["source"] = "Deepdamp-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[290600] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Jawbreaker",
					["npcID"] = 151684,
				},
				[322109] = {
					["source"] = "Fraux-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[204596] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Mongolen-Doomhammer",
					["npcID"] = 0,
				},
				[260292] = {
					["npcID"] = 131817,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Cragmaw the Infested",
					["encounterID"] = 2118,
				},
				[269214] = {
					["source"] = "Grukbar-Ravenholdt",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[272970] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Yuuyi-Ragnaros",
					["npcID"] = 0,
				},
				[102558] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[270923] = {
					["source"] = "Queen Wasi",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 137478,
				},
				[74589] = {
					["source"] = "Nateríver-ShatteredHand",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[194084] = {
					["source"] = "Dizziedix-Turalyon",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[269885] = {
					["source"] = "Tobilicious-Stormscale",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[279029] = {
					["source"] = "Dizziedix-Turalyon",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[168766] = {
					["source"] = "Blackhand",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 77256,
				},
				[268877] = {
					["source"] = "Nateríver-ShatteredHand",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[167744] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[174398] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 86536,
				},
				[122278] = {
					["source"] = "Mankato-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[268878] = {
					["source"] = "Erlendaar-Magtheridon",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[204598] = {
					["source"] = "Hakunbtata-AzjolNerub",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[49246] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[34914] = {
					["source"] = "Hiëdra-DunModr",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[166722] = {
					["source"] = "Fireblade Invoker",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 83811,
				},
				[247676] = {
					["source"] = "Kubeckson-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[275022] = {
					["source"] = "Weaponmaster Halu",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 140123,
				},
				[5215] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[187707] = {
					["source"] = "Ween-BurningLegion",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[128933] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 81308,
				},
				[275023] = {
					["source"] = "Weaponmaster Halu",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 140123,
				},
				[100780] = {
					["source"] = "Cumis-Ragnaros",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[148805] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Bladespire Ogron",
					["npcID"] = 78173,
				},
				[258860] = {
					["source"] = "Iamherb-Dragonblight",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[272979] = {
					["source"] = "Mélittâ-TwistingNether",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[300618] = {
					["source"] = "Scraw-Darksorrow",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[187708] = {
					["source"] = "Gobekoboeona-Nemesis",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[148295] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Bladespire Mauler",
					["npcID"] = 73373,
				},
				[270930] = {
					["source"] = "Queen Patlaa",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 137486,
				},
				[201529] = {
					["source"] = "Tabacon-Stormrage",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[260908] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Ji'arak",
					["npcID"] = 132253,
				},
				[235313] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Mistlebolt-Magtheridon",
					["npcID"] = 0,
				},
				[270931] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[248622] = {
					["source"] = "Scraw-Darksorrow",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[5487] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[167746] = {
					["source"] = "Grom'kar Captive",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 84414,
				},
				[199483] = {
					["source"] = "Sírvival-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[164675] = {
					["source"] = "Generic Bunny",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 54638,
				},
				[105132] = {
					["source"] = "Sylten",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[212792] = {
					["source"] = "Snãga-Draenor",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[166211] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[11196] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Doc Marrtens",
					["npcID"] = 140925,
				},
				[171331] = {
					["source"] = "Shadow Pillager",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 78729,
				},
				[278100] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[265966] = {
					["source"] = "Sandfury Stonefist",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 134991,
				},
				[259448] = {
					["source"] = "Soulhuntr",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[289362] = {
					["source"] = "Theatrics",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[172941] = {
					["source"] = "Sor the Eradicator",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 80691,
				},
				[166212] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[280149] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Kogó",
					["npcID"] = 0,
				},
				[195901] = {
					["source"] = "Frezi-BurningLegion",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[33763] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[146250] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Piran-Draenor",
					["npcID"] = 0,
				},
				[231843] = {
					["source"] = "Dumpl-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[122281] = {
					["source"] = "Deepdamp-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[190784] = {
					["source"] = "Tankhe-BurningLegion",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[154953] = {
					["source"] = "Exrat-Kazzak",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[69046] = {
					["source"] = "Skreep-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[134477] = {
					["source"] = "Kazgorath",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 58965,
				},
				[196414] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Warbones-EmeraldDream",
					["npcID"] = 0,
				},
				[164166] = {
					["source"] = "Unknown",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 81377,
				},
				[268893] = {
					["source"] = "Exrat-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[342601] = {
					["source"] = "Felneferpito",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[216890] = {
					["source"] = "Scraw-Darksorrow",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[194879] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Piran-Draenor",
					["npcID"] = 0,
				},
				[288343] = {
					["source"] = "Maridiel-BurningBlade",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[272987] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Jæveln",
					["npcID"] = 0,
				},
				[225080] = {
					["type"] = "DEBUFF",
					["source"] = "Natvrdo-Drak'thul",
					["npcID"] = 0,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2258,
				},
				[49248] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[251187] = {
					["source"] = "Toxic Saurid",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 128435,
				},
				[281178] = {
					["source"] = "Zabrak-Aszune",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[302677] = {
					["source"] = "Sarvice-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[65116] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Nebertoceko-Drak'thul",
					["npcID"] = 0,
				},
				[312915] = {
					["source"] = "Apexie-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[268894] = {
					["source"] = "Tailzy",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[118699] = {
					["source"] = "Randomiitti-Stormreaver",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[8221] = {
					["source"] = "Forzâ",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[49376] = {
					["source"] = "Feeltheheat-ArgentDawn",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[218427] = {
					["source"] = "Infinite Shade of Delormi",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 145507,
				},
				[166727] = {
					["source"] = "Fireblade Invoker",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 83811,
				},
				[263778] = {
					["type"] = "DEBUFF",
					["source"] = "Aspix",
					["npcID"] = 133944,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2124,
				},
				[325202] = {
					["source"] = "Fraux-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[299783] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Kelfin Scout",
					["npcID"] = 151309,
				},
				[278115] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "P4-N73R4",
					["npcID"] = 139205,
				},
				[268898] = {
					["source"] = "Animorpheus",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[100784] = {
					["source"] = "Deepdamp-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[251188] = {
					["source"] = "Toxic Saurid",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 128435,
				},
				[294491] = {
					["source"] = "Chronal Anomaly",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 145902,
				},
				[260402] = {
					["source"] = "Sírvival-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[47585] = {
					["source"] = "Wàltz",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[318038] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Itseve",
					["npcID"] = 0,
				},
				[3409] = {
					["source"] = "Gotyâ-DunModr",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[317020] = {
					["source"] = "Reycazador-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[232698] = {
					["source"] = "Hiëdra-DunModr",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[268899] = {
					["source"] = "Animorpheus",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[294493] = {
					["source"] = "Chronal Anomaly",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 145902,
				},
				[260403] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Wihaicut-Vashj",
					["npcID"] = 0,
				},
				[3408] = {
					["source"] = "Shaiden",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[224126] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Spirit Wolf",
					["npcID"] = 100820,
				},
				[212799] = {
					["source"] = "Lionjur-Destromath",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[275043] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Vugthuth",
					["npcID"] = 128584,
				},
				[256374] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Nanika-Darkspear",
					["npcID"] = 0,
				},
				[268901] = {
					["source"] = "Majør",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[286305] = {
					["source"] = "Varok Saurfang",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 146011,
				},
				[126892] = {
					["source"] = "Munkaware-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[276068] = {
					["encounterID"] = 2099,
					["source"] = "Hadal Darkfathom",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 128651,
				},
				[261428] = {
					["encounterID"] = 2097,
					["source"] = "Sergeant Bainbridge",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 128649,
				},
				[212800] = {
					["source"] = "Ráscál-Blackhand",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[221502] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Timeless Flamespeaker",
					["npcID"] = 108439,
				},
				[154449] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Beastmaster Torash",
					["npcID"] = 72864,
				},
				[313948] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Antraluk",
					["npcID"] = 0,
				},
				[127915] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Natvrdo-Drak'thul",
					["npcID"] = 0,
				},
				[252215] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Crimson Cultist",
					["npcID"] = 138274,
				},
				[280165] = {
					["source"] = "Bearu",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[150864] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 75006,
				},
				[269928] = {
					["source"] = "Shadow-Borne Champion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 134158,
				},
				[268007] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Heart Guardian",
					["npcID"] = 139946,
				},
				[246585] = {
					["source"] = "Devlynn Styx",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 121527,
				},
				[218432] = {
					["source"] = "Wàltz",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[31475] = {
					["source"] = "Infinite Eradicator",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 32185,
				},
				[252216] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Meztlí-Draenor",
					["npcID"] = 0,
				},
				[131476] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[278244] = {
					["source"] = "Loctarogar-Quel'Thalas",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[294500] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[268907] = {
					["source"] = "Vermitox",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[246586] = {
					["source"] = "Devlynn Styx",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 121527,
				},
				[82615] = {
					["source"] = "Gladiator",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 82780,
				},
				[269931] = {
					["source"] = "Shadow-Borne Warrior",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 134157,
				},
				[162127] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Bladespire Boarbuster",
					["npcID"] = 75240,
				},
				[207684] = {
					["source"] = "Merfael-BurningLegion",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[138130] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Earth Spirit",
					["npcID"] = 69792,
				},
				[294502] = {
					["source"] = "Infinite Shade of Delormi",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 145507,
				},
				[268905] = {
					["source"] = "Exrat-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[280170] = {
					["source"] = "Phiranah",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[19574] = {
					["source"] = "Phoenixhuntr-Aszune",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[132951] = {
					["source"] = "Phoenixhuntr-Aszune",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[273006] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Haránt-Bloodscalp",
					["npcID"] = 0,
				},
				[308742] = {
					["source"] = "Melivia-Twilight'sHammer",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[257337] = {
					["npcID"] = 129214,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Coin-Operated Crowd Pummeler",
					["encounterID"] = 2105,
				},
				[278124] = {
					["source"] = "Zepto",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[287338] = {
					["source"] = "Nxon",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[3600] = {
					["source"] = "Unknown",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 2630,
				},
				[82616] = {
					["source"] = "Gladiator",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 82780,
				},
				[269935] = {
					["source"] = "Minion of Zul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 133943,
				},
				[343648] = {
					["source"] = "Snits-Terenas",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[158546] = {
					["source"] = "Rustwing Raven",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 153269,
				},
				[260989] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Ji'arak",
					["npcID"] = 132253,
				},
				[269936] = {
					["source"] = "Minion of Zul",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 133943,
				},
				[287340] = {
					["source"] = "Lómilmandra-Dentarg",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[95926] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[276194] = {
					["source"] = "Yata",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[197003] = {
					["source"] = "Snowpera-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[65247] = {
					["source"] = "Shady-Darkspear",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[93622] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[175439] = {
					["source"] = "Guläs-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[294508] = {
					["source"] = "Shade of Delormi",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 145135,
				},
				[279152] = {
					["type"] = "BUFF",
					["source"] = "Athanior-ArgentDawn",
					["encounterID"] = 2105,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[259388] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Urkel",
					["npcID"] = 0,
				},
				[259387] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Urkel",
					["npcID"] = 0,
				},
				[276193] = {
					["source"] = "Yata",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[131474] = {
					["source"] = "Wàltz",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[280177] = {
					["source"] = "Lionjur-Destromath",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[108211] = {
					["source"] = "Elcrow-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[261947] = {
					["source"] = "Aureliyà-TwistingNether",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[225604] = {
					["source"] = "Thebanger-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[292463] = {
					["source"] = "Animorpheus",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[157013] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Thunderlord Talon",
					["npcID"] = 72232,
				},
				[193356] = {
					["source"] = "Pietrzu-BurningLegion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[97462] = {
					["encounterID"] = 2108,
					["source"] = "Souschef",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[260924] = {
					["encounterID"] = 2097,
					["source"] = "Sergeant Bainbridge",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 128649,
				},
				[193357] = {
					["source"] = "Wishr",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[288477] = {
					["source"] = "Drasol",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[196941] = {
					["source"] = "Dinkpaladin-Al'Akir",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[160597] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Motgång",
					["npcID"] = 0,
				},
				[265954] = {
					["source"] = "Phoenixhuntr-Aszune",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[182096] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Chaos Spawn",
					["npcID"] = 92447,
				},
				[162133] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Bladespire Boarbuster",
					["npcID"] = 75240,
				},
				[288371] = {
					["source"] = "Szeith-Blackhand",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[166740] = {
					["source"] = "Mag'har Outrider",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 144323,
				},
				[171859] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Bloodmane Earthbinder",
					["npcID"] = 82944,
				},
				[275063] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Vugthuth",
					["npcID"] = 128584,
				},
				[193358] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Bonziqa-AzjolNerub",
					["npcID"] = 0,
				},
				[293491] = {
					["source"] = "Leduzii-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[280286] = {
					["source"] = "Zabrak-Aszune",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[97463] = {
					["type"] = "BUFF",
					["source"] = "Souschef",
					["encounterID"] = 2108,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[284277] = {
					["source"] = "Bobérg",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[179538] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Hatecoil Spitespeaker",
					["npcID"] = 89025,
				},
				[203277] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Navelpain-BurningLegion",
					["npcID"] = 0,
				},
				[108238] = {
					["source"] = "Engine-Khadgar",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[193359] = {
					["source"] = "Wishr",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[259391] = {
					["source"] = "Gobekoboeona-Nemesis",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[335467] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Altergutten",
					["npcID"] = 0,
				},
				[276190] = {
					["source"] = "Yata",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[271071] = {
					["source"] = "Wàltz",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[281209] = {
					["source"] = "Aquaranna",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[92089] = {
					["source"] = "Senpaiuzi",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[294617] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Venture Co. Repossesor",
					["npcID"] = 145137,
				},
				[81340] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Enexy",
					["npcID"] = 0,
				},
				[279163] = {
					["source"] = "Jersey-Al'Akir",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[194384] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Lealet-Draenor",
					["npcID"] = 0,
				},
				[8143] = {
					["source"] = "Smooch",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[280187] = {
					["source"] = "Deepdamp-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[130736] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Enexy",
					["npcID"] = 0,
				},
				[221562] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[8222] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Híroshi",
					["npcID"] = 0,
				},
				[292473] = {
					["source"] = "Banankungen-Xavius",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[188290] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[158549] = {
					["source"] = "Rustwing Scavenger",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 153293,
				},
				[80353] = {
					["type"] = "BUFF",
					["source"] = "Mytho-Sanguino",
					["npcID"] = 0,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2106,
				},
				[168279] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[256390] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Tunnel Stalker",
					["npcID"] = 137967,
				},
				[215598] = {
					["source"] = "Krakosz",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[270976] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Unknown",
					["npcID"] = 137842,
				},
				[210764] = {
					["source"] = "Viciouwu",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[85948] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Enexy",
					["npcID"] = 0,
				},
				[278143] = {
					["source"] = "Grapejuices-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[278144] = {
					["source"] = "Grapejuices-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[166743] = {
					["source"] = "Nagrand Warrider",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 81331,
				},
				[220492] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Vengeful Soul",
					["npcID"] = 107628,
				},
				[77758] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[205648] = {
					["source"] = "Gunnarson-DefiasBrotherhood",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[258883] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Xolene",
					["npcID"] = 0,
				},
				[281216] = {
					["source"] = "Vorrak-BronzeDragonflight",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[47528] = {
					["source"] = "ßaußau-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[279169] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Foxxyluv-Draenor",
					["npcID"] = 0,
				},
				[280184] = {
					["source"] = "Deepdamp-Kazzak",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[268932] = {
					["encounterID"] = 2143,
					["source"] = "King Dazar",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 136160,
				},
				[268008] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Plague Doctor",
					["npcID"] = 139949,
				},
				[184662] = {
					["source"] = "Tsirppu-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[255858] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Coldtooth Howler",
					["npcID"] = 136205,
				},
				[96312] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Nìkkì",
					["npcID"] = 0,
				},
				[278147] = {
					["source"] = "Callá-Spinebreaker",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[183111] = {
					["source"] = "Kirin Tor Guardian",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 104091,
				},
				[216441] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Renard-Anachronos",
					["npcID"] = 0,
				},
				[172377] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 86286,
				},
				[182104] = {
					["source"] = "Jezzabell-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[172378] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Bladefist Ravager",
					["npcID"] = 84058,
				},
				[157534] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Thunderlord Shaman",
					["npcID"] = 78665,
				},
				[211793] = {
					["source"] = "Nxon",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[127923] = {
					["source"] = "Àbbott",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[68054] = {
					["source"] = "Jeeves",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 35642,
				},
				[272007] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Vessi",
					["npcID"] = 0,
				},
				[268936] = {
					["encounterID"] = 2143,
					["source"] = "King Dazar",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 136160,
				},
				[163677] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Vengeful Soul",
					["npcID"] = 107628,
				},
				[262794] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Venture Co. Mastermind",
					["npcID"] = 133430,
				},
				[172891] = {
					["source"] = "Commander Gar",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 85571,
				},
				[205179] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Hitzlock-Ragnaros",
					["npcID"] = 0,
				},
				[320125] = {
					["source"] = "Crint",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[145762] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Thunderlord Spearhand",
					["npcID"] = 71784,
				},
				[158558] = {
					["source"] = "Rustwing Scavenger",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 153293,
				},
				[89766] = {
					["source"] = "Kazgorath",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 58965,
				},
				[33395] = {
					["source"] = "Water Elemental",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 78116,
				},
				[5697] = {
					["source"] = "Parafernalia-Sanguino",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[280200] = {
					["source"] = "Exrat-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[228128] = {
					["source"] = "Yorlin-Frostwhisper",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[227151] = {
					["source"] = "Meilun",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[270987] = {
					["source"] = "Disciple of Nalorakk",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 120949,
				},
				[292486] = {
					["source"] = "Blusangue-Pozzodell'Eternità",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[118455] = {
					["source"] = "Nateríver-ShatteredHand",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[280204] = {
					["source"] = "Wàltz",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[160096] = {
					["source"] = "Smooch",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[272012] = {
					["source"] = "Illidari Satyr",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 136398,
				},
				[293511] = {
					["source"] = "Ryliloc-Draenor",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[278155] = {
					["source"] = "Nesseri-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[176001] = {
					["source"] = "Tarlna the Ageless",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 81535,
				},
				[126389] = {
					["source"] = "Moromete-Magtheridon",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[77505] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Kubuliak-Drak'thul",
					["npcID"] = 0,
				},
				[77761] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[147812] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Evermaw Time Locks",
					["npcID"] = 73487,
				},
				[258889] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Faithless Skycaller",
					["npcID"] = 128665,
				},
				[280205] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Weemz-Draenor",
					["npcID"] = 0,
				},
				[45927] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[260425] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Milden Mud Snout",
					["npcID"] = 141977,
				},
				[276110] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Taskmaster Burlok",
					["npcID"] = 138793,
				},
				[167264] = {
					["source"] = "Archmage Khadgar",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 77195,
				},
				[258945] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Faithless Aggressor",
					["npcID"] = 128660,
				},
				[16953] = {
					["source"] = "Animorpheus",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[34026] = {
					["source"] = "Phoenixhuntr-Aszune",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[316036] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[269129] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Imbued Stormcaller",
					["npcID"] = 134599,
				},
				[170336] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[269970] = {
					["type"] = "DEBUFF",
					["source"] = "Merektha",
					["npcID"] = 133384,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2125,
				},
				[208769] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Jæveln",
					["npcID"] = 0,
				},
				[77762] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Antraluk",
					["npcID"] = 0,
				},
				[118968] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 80583,
				},
				[320137] = {
					["source"] = "Shamanqueue",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[115385] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Riverbottom Hunter",
					["npcID"] = 133285,
				},
				[287379] = {
					["source"] = "Aaronxd",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[166242] = {
					["source"] = "Void Tendril",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 81230,
				},
				[133994] = {
					["source"] = "Yorlin-Frostwhisper",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[253261] = {
					["source"] = "Ipsissimus-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[48103] = {
					["source"] = "Jaghút",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[111803] = {
					["source"] = "Sneakyfurboi",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[317065] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Drevacek-Drak'thul",
					["npcID"] = 0,
				},
				[270997] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Ranishu Gorger",
					["npcID"] = 133565,
				},
				[269973] = {
					["source"] = "Shadow-Borne Witch Doctor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 134174,
				},
				[279187] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Voxylol-Darksorrow",
					["npcID"] = 0,
				},
				[255852] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Coldtooth Howler",
					["npcID"] = 136205,
				},
				[191837] = {
					["source"] = "Vevyv-BurningLegion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[211805] = {
					["source"] = "Iqcheck-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[205146] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Dárkheárt-Draenor",
					["npcID"] = 0,
				},
				[284307] = {
					["source"] = "Vyrtex",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[300747] = {
					["source"] = "Avatar of Xuen",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 154231,
				},
				[259408] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Siltfeeder Ray",
					["npcID"] = 126677,
				},
				[299664] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Lottee",
					["npcID"] = 0,
				},
				[256846] = {
					["source"] = "Dinomancer Kish'o",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 129553,
				},
				[281240] = {
					["source"] = "Ðrukßavian",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[206685] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Spitting Cobra",
					["npcID"] = 104493,
				},
				[250192] = {
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[209754] = {
					["source"] = "Pietrzu-BurningLegion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[268953] = {
					["source"] = "Exrat-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[157543] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Thunderlord Shaman",
					["npcID"] = 88266,
				},
				[262811] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Leech Globule",
					["npcID"] = 133753,
				},
				[216411] = {
					["source"] = "Callá-Spinebreaker",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[268954] = {
					["source"] = "Exrat-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[77764] = {
					["source"] = "Buuman-Zenedar",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[271002] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 137453,
				},
				[19577] = {
					["source"] = "Ogjooga-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[268955] = {
					["source"] = "Exrat-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[274074] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Pervz-BurningLegion",
					["npcID"] = 0,
				},
				[158056] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 86727,
				},
				[172390] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Bladefist Ravager",
					["npcID"] = 84058,
				},
				[268956] = {
					["source"] = "Hiëdra-DunModr",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[196447] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Karybdus-BurningBlade",
					["npcID"] = 0,
				},
				[170887] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Sethek Supplicant",
					["npcID"] = 85570,
				},
				[300693] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[161128] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Bladespire Goresnout",
					["npcID"] = 75241,
				},
				[161640] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 83739,
				},
				[215387] = {
					["source"] = "Krakosz",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[114108] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Beefbeef-Draenor",
					["npcID"] = 0,
				},
				[126649] = {
					["source"] = "Gobekoboeona-Nemesis",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[20473] = {
					["source"] = "Callá-Spinebreaker",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[53351] = {
					["source"] = "Illeris",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[263840] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Wolf",
					["npcID"] = 82308,
				},
				[293529] = {
					["source"] = "Cêluna-Blackrock",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[265888] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Urkel",
					["npcID"] = 0,
				},
				[158058] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 86728,
				},
				[162665] = {
					["source"] = "Grom'kar Deadeye",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 75749,
				},
				[259434] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[29175] = {
					["source"] = "Someholyname",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[275103] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Vugthuth",
					["npcID"] = 128584,
				},
				[2641] = {
					["source"] = "Ashvard-Magtheridon",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[165225] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 82106,
				},
				[180612] = {
					["type"] = "BUFF",
					["source"] = "Degigi-BronzeDragonflight",
					["npcID"] = 0,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2124,
				},
				[101568] = {
					["source"] = "Jumpxy",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[276128] = {
					["source"] = "Madhawk",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[116680] = {
					["source"] = "Deepdamp-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[147310] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Brilliant Windfeather",
					["npcID"] = 72762,
				},
				[147306] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Brilliant Windfeather",
					["npcID"] = 72762,
				},
				[5217] = {
					["source"] = "Animorpheus",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[170367] = {
					["source"] = "Shadow Militant",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 78319,
				},
				[300691] = {
					["source"] = "Mélittâ-TwistingNether",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[119996] = {
					["source"] = "Deepdamp-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[256849] = {
					["source"] = "Dinomancer Kish'o",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 129553,
				},
				[285344] = {
					["npcID"] = 144244,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "The Platinum Pummeler",
					["encounterID"] = 2257,
				},
				[196451] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[162666] = {
					["source"] = "Grom'kar Deadeye",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 75749,
				},
				[264870] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Gothryk-BurningLegion",
					["npcID"] = 0,
				},
				[259412] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[125883] = {
					["source"] = "Drywater-Darkspear",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[256882] = {
					["source"] = "Monzumi",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 129552,
				},
				[2645] = {
					["source"] = "Aibas-Turalyon",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[159085] = {
					["source"] = "Grom'kar Deadeye",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 85642,
				},
				[196452] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[279204] = {
					["source"] = "Zabrak-Aszune",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[30455] = {
					["source"] = "Nanto-Drak'thul",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[220510] = {
					["source"] = "Bobchick",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[74964] = {
					["source"] = "Wàltz",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[162157] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Dorogg the Ruthless",
					["npcID"] = 74254,
				},
				[267944] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Avatar of Sethraliss",
					["npcID"] = 133392,
				},
				[165230] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 82109,
				},
				[116670] = {
					["source"] = "Deepdamp-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[275113] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Vugthuth",
					["npcID"] = 128584,
				},
				[280230] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Statue Eyes",
					["npcID"] = 136291,
				},
				[109248] = {
					["source"] = "Kitemaster",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[290468] = {
					["source"] = "Acirox-BurningBlade",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[207203] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Kogó",
					["npcID"] = 0,
				},
				[276136] = {
					["source"] = "Barrelroll-EmeraldDream",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[27576] = {
					["source"] = "Exrat-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[290469] = {
					["source"] = "ßaußau-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[266923] = {
					["type"] = "DEBUFF",
					["source"] = "Energy Core",
					["npcID"] = 135445,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2126,
				},
				[213858] = {
					["source"] = "Chymplaz-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[259415] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[294565] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Warlord Surgios",
					["npcID"] = 145280,
				},
				[190824] = {
					["source"] = "Charrik",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[263853] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Matte",
					["npcID"] = 142755,
				},
				[263854] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Raptor",
					["npcID"] = 127000,
				},
				[191840] = {
					["source"] = "Vevyv-BurningLegion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[303780] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[32375] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Wàltz",
					["npcID"] = 0,
				},
				[264878] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[294567] = {
					["source"] = "Katsodooro-Magtheridon",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[256616] = {
					["source"] = "Scrimshaw Gutter",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 141566,
				},
				[276140] = {
					["source"] = "Barrelroll-EmeraldDream",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[89798] = {
					["source"] = "Lord Victor Nefarius",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 49799,
				},
				[23161] = {
					["source"] = "Malhávoc-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[300762] = {
					["source"] = "Moist",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[288426] = {
					["type"] = "BUFF",
					["source"] = "Blusangue-Pozzodell'Eternità",
					["encounterID"] = 2100,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[148852] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Bladespire Ogron",
					["npcID"] = 78173,
				},
				[165744] = {
					["source"] = "Lady Liadrin",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 81812,
				},
				[299779] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Kelfin Scout",
					["npcID"] = 151310,
				},
				[165746] = {
					["source"] = "Lady Liadrin",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 81812,
				},
				[16827] = {
					["source"] = "Jumbo Sandsnapper",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 129283,
				},
				[257882] = {
					["encounterID"] = 2099,
					["source"] = "Hadal Darkfathom",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 128651,
				},
				[148354] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Frost Wolf",
					["npcID"] = 73132,
				},
				[263858] = {
					["source"] = "Hotmom",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 126973,
				},
				[285357] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Jekhamog",
					["npcID"] = 0,
				},
				[270003] = {
					["source"] = "Animated Guardian",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 133935,
				},
				[117952] = {
					["source"] = "Deepdamp-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[300714] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Fëlwaffle",
					["npcID"] = 0,
				},
				[265931] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Sadboi-Karazhan",
					["npcID"] = 0,
				},
				[26297] = {
					["type"] = "BUFF",
					["source"] = "Voxylol-Darksorrow",
					["npcID"] = 0,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2127,
				},
				[21562] = {
					["source"] = "Prästmåns",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[202090] = {
					["source"] = "Cumis-Ragnaros",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[159092] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 84630,
				},
				[51690] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Stàbzz-Ragnaros",
					["npcID"] = 0,
				},
				[291502] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[154485] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Corrosive-Quel'Thalas",
					["npcID"] = 0,
				},
				[134522] = {
					["source"] = "Johnnydk-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[48107] = {
					["source"] = "Gopherqt",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[265912] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Agitated Nimbus",
					["npcID"] = 136076,
				},
				[258908] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Scalefang Tech-Thief",
					["npcID"] = 128554,
				},
				[121536] = {
					["source"] = "Ateline",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[202602] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Hônoris-Blackmoore",
					["npcID"] = 0,
				},
				[113858] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Fëlwaffle",
					["npcID"] = 0,
				},
				[263863] = {
					["source"] = "Lindemann",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 128710,
				},
				[26745] = {
					["source"] = "Beshte",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[265911] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Agitated Nimbus",
					["npcID"] = 136076,
				},
				[221543] = {
					["source"] = "Munkaware-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[11327] = {
					["source"] = "Exrat-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[31224] = {
					["source"] = "Exrat-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[7744] = {
					["source"] = "Exrat-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[22842] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[179057] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Iuckeer-BurningLegion",
					["npcID"] = 0,
				},
				[195949] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Inukí",
					["npcID"] = 0,
				},
				[257886] = {
					["encounterID"] = 2099,
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[147833] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Morfay-Ragnaros",
					["npcID"] = 0,
				},
				[223591] = {
					["source"] = "Unknown",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 112301,
				},
				[58729] = {
					["source"] = "Taunka Spirit Guide",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 31841,
				},
				[190319] = {
					["source"] = "Gopherqt",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[190831] = {
					["source"] = "Beerbank",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[69070] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Frestor-Draenor",
					["npcID"] = 0,
				},
				[216425] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Renard-Anachronos",
					["npcID"] = 0,
				},
				[102342] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[266939] = {
					["encounterID"] = 2140,
					["source"] = "Aka'ali the Conqueror",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 135470,
				},
				[261477] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Unknown",
					["npcID"] = 134558,
				},
				[166772] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Ka'alu",
					["npcID"] = 82890,
				},
				[343721] = {
					["source"] = "Roseheart-Shadowsong",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[223592] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 112301,
				},
				[166774] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Terokk",
					["npcID"] = 82820,
				},
				[263912] = {
					["npcID"] = 133384,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Merektha",
					["encounterID"] = 2125,
				},
				[48108] = {
					["source"] = "Gredelin",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[2649] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "moggePUNG",
					["npcID"] = 50885,
				},
				[104395] = {
					["source"] = "Viix",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[277179] = {
					["source"] = "Frestor-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[286393] = {
					["source"] = "Dumpl-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[113860] = {
					["source"] = "Lulfy",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[256865] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Crimson Evoker",
					["npcID"] = 134076,
				},
				[302771] = {
					["source"] = "Misskamilla-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[343724] = {
					["source"] = "Babylonbeef-ShatteredHand",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[196980] = {
					["source"] = "Sthetrogue-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[276154] = {
					["source"] = "Engine-Khadgar",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[277181] = {
					["source"] = "Deepdamp-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[302775] = {
					["source"] = "Blådårén-Draenor",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[278222] = {
					["source"] = "Grimscowl the Harebrained",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 141059,
				},
				[158589] = {
					["source"] = "Yrel",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 77197,
				},
				[289467] = {
					["source"] = "Gotyâ-DunModr",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[270016] = {
					["source"] = "Animated Guardian",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 133935,
				},
				[303800] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "HK-8 Aerial Oppression Unit",
					["npcID"] = 154442,
				},
				[8512] = {
					["source"] = "Nosyaj",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[268993] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Shrouded Fang",
					["npcID"] = 134602,
				},
				[199027] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Speedpower-Drak'thul",
					["npcID"] = 0,
				},
				[256355] = {
					["source"] = "Stonejaw Saurolisk",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 141641,
				},
				[256867] = {
					["source"] = "Sergeant Bainbridge",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 128649,
				},
				[51052] = {
					["source"] = "Barnagma",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[296793] = {
					["source"] = "Nazguls-BurningLegion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[106951] = {
					["type"] = "BUFF",
					["source"] = "Feeltheheat-ArgentDawn",
					["encounterID"] = 2139,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[258915] = {
					["source"] = "Ruincrawler",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 124211,
				},
				[277185] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Fëlwaffle",
					["npcID"] = 0,
				},
				[265924] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Vessi",
					["npcID"] = 0,
				},
				[697] = {
					["source"] = "Lanë",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[166778] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Terokk",
					["npcID"] = 82820,
				},
				[171385] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 80382,
				},
				[163710] = {
					["source"] = "Shimmerwing Moth",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 79910,
				},
				[32379] = {
					["source"] = "Becquerel-Drak'thul",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[314040] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Antraluk",
					["npcID"] = 0,
				},
				[36208] = {
					["source"] = "Shadow Pillager",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 76686,
				},
				[266940] = {
					["encounterID"] = 2140,
					["source"] = "Aka'ali the Conqueror",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 135470,
				},
				[271045] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Urkel",
					["npcID"] = 0,
				},
				[228204] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Vile Stalker",
					["npcID"] = 90241,
				},
				[268998] = {
					["source"] = "Zelxar-BurningLegion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[163708] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 80638,
				},
				[266951] = {
					["encounterID"] = 2140,
					["source"] = "Aka'ali the Conqueror",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 135470,
				},
				[256864] = {
					["source"] = "Dinomancer Kish'o",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 129553,
				},
				[174453] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Invasive Razorwing",
					["npcID"] = 131558,
				},
				[253810] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Jåy-Draenor",
					["npcID"] = 0,
				},
				[203123] = {
					["source"] = "Animorpheus",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[274459] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Hitzlock-Ragnaros",
					["npcID"] = 0,
				},
				[120517] = {
					["source"] = "Lómilmandra-Dentarg",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[265929] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Appraiser Versik",
					["npcID"] = 130396,
				},
				[147841] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Evermaw Time Locks",
					["npcID"] = 73487,
				},
				[256350] = {
					["source"] = "Young Sourback",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 152035,
				},
				[285381] = {
					["source"] = "Feeltheheat-ArgentDawn",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[287504] = {
					["source"] = "Gehn-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[271049] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Urkel",
					["npcID"] = 0,
				},
				[196473] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[260954] = {
					["encounterID"] = 2097,
					["source"] = "Sergeant Bainbridge",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 128649,
				},
				[196470] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[159786] = {
					["source"] = "Peto",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 21108,
				},
				[296644] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Wrablé-BurningLegion",
					["npcID"] = 0,
				},
				[159090] = {
					["source"] = "Iron Siegecaller",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 86108,
				},
				[301734] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Rustbolt Enforcer",
					["npcID"] = 155110,
				},
				[260455] = {
					["npcID"] = 132051,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Blood Tick",
					["encounterID"] = 2118,
				},
				[288455] = {
					["source"] = "Vaînglory",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[290467] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Felrazor-Skullcrusher",
					["npcID"] = 0,
				},
				[196471] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[289184] = {
					["source"] = "Rohdak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[258920] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Braveglaive-Haomarush",
					["npcID"] = 0,
				},
				[257879] = {
					["source"] = "Rewired Harvester",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 130131,
				},
				[172396] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 85277,
				},
				[256639] = {
					["source"] = "Blacktar Bomber",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 129372,
				},
				[146308] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Onlv",
					["npcID"] = 0,
				},
				[171390] = {
					["source"] = "Volatile Fire Spirit",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 80380,
				},
				[196472] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[316099] = {
					["source"] = "Saphix-Drak'thul",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[148356] = {
					["source"] = "Grom'kar Captive",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 84414,
				},
				[259433] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[276191] = {
					["source"] = "Yata",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[158082] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Blackrock Siegesmith",
					["npcID"] = 73360,
				},
				[256874] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Crimson Evoker",
					["npcID"] = 134076,
				},
				[163201] = {
					["source"] = "Vaînglory",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[216948] = {
					["source"] = "Shadescale Flyeater",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 109023,
				},
				[276197] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Hallewell-Stormreaver",
					["npcID"] = 0,
				},
				[300745] = {
					["source"] = "Avatar of Xuen",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 154231,
				},
				[210294] = {
					["source"] = "Callá-Spinebreaker",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[154475] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Corrosive-Quel'Thalas",
					["npcID"] = 0,
				},
				[158083] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Adherent Stormblade",
					["npcID"] = 84158,
				},
				[199545] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Gifflar-Lightbringer",
					["npcID"] = 0,
				},
				[245102] = {
					["source"] = "Devlynn Styx",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 121527,
				},
				[196474] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[164197] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Vixy-Blade'sEdge",
					["npcID"] = 0,
				},
				[59628] = {
					["type"] = "BUFF",
					["source"] = "Bladedance-Drak'thul",
					["encounterID"] = 2139,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[275094] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Frawl",
					["npcID"] = 0,
				},
				[298700] = {
					["source"] = "Rîddler",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[291534] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[256333] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[299662] = {
					["source"] = "Pinggwin-BurningLegion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[269972] = {
					["source"] = "Shadow-Borne Witch Doctor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 134174,
				},
				[262804] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Venture Co. Mastermind",
					["npcID"] = 133430,
				},
				[294540] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Scalefang Warguard",
					["npcID"] = 128749,
				},
				[190870] = {
					["source"] = "Viix",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[290512] = {
					["source"] = "Gehn-Draenor",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[267237] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Faithless Tender",
					["npcID"] = 134364,
				},
				[195452] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Diedrich-Drak'thul",
					["npcID"] = 0,
				},
				[171394] = {
					["source"] = "Tumultuous Water Spirit",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 80379,
				},
				[298703] = {
					["source"] = "Jepedk-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[2825] = {
					["source"] = "Boeman-Doomhammer",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[258925] = {
					["source"] = "Oblie-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[145763] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Thunderlord Crag-Leaper",
					["npcID"] = 70900,
				},
				[15487] = {
					["source"] = "Wàltz",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[170371] = {
					["source"] = "Shadow Guardian",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 77973,
				},
				[263897] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Bucktooth Beaver",
					["npcID"] = 134359,
				},
				[198069] = {
					["source"] = "Oldemort-GrimBatol",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[209746] = {
					["source"] = "Engine-Khadgar",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[33907] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Broll Bearmantle",
					["npcID"] = 142294,
				},
				[205691] = {
					["source"] = "Feyfey-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[198013] = {
					["source"] = "Iamherb-Dragonblight",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[105421] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Jamanjia",
					["npcID"] = 0,
				},
				[123725] = {
					["source"] = "Punchosaurus",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[166789] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 82885,
				},
				[126664] = {
					["source"] = "Skyrin",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[1079] = {
					["source"] = "Animorpheus",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[205180] = {
					["type"] = "BUFF",
					["source"] = "Hitzlock-Ragnaros",
					["npcID"] = 0,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2105,
				},
				[272090] = {
					["source"] = "Harambeh",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[271107] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Karizev-Draenor",
					["npcID"] = 0,
				},
				[190336] = {
					["source"] = "Mageymcmagey",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[166815] = {
					["source"] = "Nagrand Warrider",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 84250,
				},
				[304851] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[204157] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Hakunbtata-AzjolNerub",
					["npcID"] = 0,
				},
				[179089] = {
					["source"] = "Nazeshi Overseer",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 128632,
				},
				[146329] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Broken Clefthoof",
					["npcID"] = 72881,
				},
				[276187] = {
					["source"] = "Yata",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[39171] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Halfus Wyrmbreaker",
					["npcID"] = 44600,
				},
				[51490] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Kubuliak-Drak'thul",
					["npcID"] = 0,
				},
				[165961] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[77489] = {
					["source"] = "Manakiir",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[171398] = {
					["source"] = "Corrupted Wind Spirit",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 80381,
				},
				[102351] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[172422] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[276189] = {
					["source"] = "Yata",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[163671] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Nar'thalas Nightwatcher",
					["npcID"] = 88782,
				},
				[165768] = {
					["source"] = "Prowler Sasha",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 81263,
				},
				[207230] = {
					["source"] = "Iqcheck-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[195457] = {
					["source"] = "Lovesucks",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[25020] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Lokra",
					["npcID"] = 72940,
				},
				[12544] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Karba Blazemaw",
					["npcID"] = 49573,
				},
				[272790] = {
					["source"] = "Reycazador-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[300761] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[259442] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[294619] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "McCormick's Shredder",
					["npcID"] = 145345,
				},
				[284275] = {
					["source"] = "Nazgash-Lightbringer",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[276192] = {
					["source"] = "Yata",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[293142] = {
					["source"] = "Phoenixhuntr-Aszune",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[102352] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[65753] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Tonga's Eyes",
					["npcID"] = 34615,
				},
				[242551] = {
					["source"] = "Kreatores-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[275059] = {
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[48099] = {
					["source"] = "Klorepus-Emeriss",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[199042] = {
					["source"] = "Obogae-BurningLegion",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[207744] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Mongolen-Doomhammer",
					["npcID"] = 0,
				},
				[268439] = {
					["source"] = "Bladedance-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[269932] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[268904] = {
					["source"] = "Hiëdra-DunModr",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[206662] = {
					["source"] = "Madgor-BurningLegion",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[269029] = {
					["encounterID"] = 2109,
					["source"] = "Dread Captain Lockwood",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 129208,
				},
				[44530] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Hungry Rooter",
					["npcID"] = 129869,
				},
				[2782] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[224125] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Spirit Wolf",
					["npcID"] = 100820,
				},
				[294499] = {
					["source"] = "Shade of Delormi",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 145135,
				},
				[274149] = {
					["npcID"] = 142929,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Energy Fragment",
					["encounterID"] = 2127,
				},
				[6673] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Gallet",
					["npcID"] = 0,
				},
				[213888] = {
					["source"] = "Souschef",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[172875] = {
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[207682] = {
					["source"] = "Hakunbtata-AzjolNerub",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[137619] = {
					["source"] = "Vanolachtern-Sylvanas",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[203651] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[53600] = {
					["source"] = "Mélittâ-TwistingNether",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[30451] = {
					["source"] = "Lionjur-Destromath",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[62574] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Allez",
					["npcID"] = 0,
				},
				[263914] = {
					["npcID"] = 133384,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Merektha",
					["encounterID"] = 2125,
				},
				[185736] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Gandewar-Draenor",
					["npcID"] = 0,
				},
				[198533] = {
					["source"] = "Jade Serpent Statue",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 60849,
				},
				[207167] = {
					["source"] = "Hãrleyquinn-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[300770] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Appal",
					["npcID"] = 0,
				},
				[179088] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Salteye Spearwaver",
					["npcID"] = 88871,
				},
				[270058] = {
					["source"] = "Kreatores-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[90325] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Naga Brute",
					["npcID"] = 91459,
				},
				[115151] = {
					["source"] = "Deepdamp-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[144787] = {
					["source"] = "Chadarus",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[212283] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Diedrich-Drak'thul",
					["npcID"] = 0,
				},
				[272986] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Jæveln",
					["npcID"] = 0,
				},
				[204092] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Felguard Invader",
					["npcID"] = 92445,
				},
				[112042] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 1860,
				},
				[208772] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Lealet-Draenor",
					["npcID"] = 0,
				},
				[178497] = {
					["source"] = "Galdranorn-BurningLegion",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[268013] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Hoodoo Hexer",
					["npcID"] = 136250,
				},
				[36213] = {
					["encounterID"] = 2106,
					["source"] = "Greater Earth Elemental",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 95072,
				},
				[44531] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 3415,
				},
				[268887] = {
					["source"] = "Exrat-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[3569] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[61295] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Voxylol-Darksorrow",
					["npcID"] = 0,
				},
				[1953] = {
					["source"] = "Maikis-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[172430] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[172942] = {
					["source"] = "Sor the Eradicator",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 80691,
				},
				[259449] = {
					["source"] = "Slexxern",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[265968] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Charged Dust Devil",
					["npcID"] = 134990,
				},
				[279118] = {
					["source"] = "Zanchuli Witch-Doctor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 122969,
				},
				[166720] = {
					["source"] = "Fireblade Invoker",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 83811,
				},
				[124622] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Xanory",
					["npcID"] = 0,
				},
				[202761] = {
					["source"] = "Gobekoboeona-Nemesis",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[205191] = {
					["source"] = "Thronbill-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[255620] = {
					["source"] = "Reanimated Honor Guard",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 127757,
				},
				[187650] = {
					["source"] = "Sírvival-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[247677] = {
					["source"] = "Dumpl-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[264774] = {
					["source"] = "Anrien-Bloodfeather",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[129250] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Lewella-EmeraldDream",
					["npcID"] = 0,
				},
				[203538] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Derlenne-Draenor",
					["npcID"] = 0,
				},
				[85799] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[273992] = {
					["source"] = "Ayire",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[12975] = {
					["source"] = "Alikhan-Stormscale",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[2336] = {
					["source"] = "Hvnnvh",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[165687] = {
					["source"] = "Forest Stalker",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 79745,
				},
				[297034] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Caifa",
					["npcID"] = 0,
				},
				[146327] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Broken Clefthoof",
					["npcID"] = 72881,
				},
				[273988] = {
					["source"] = "Nateríver-ShatteredHand",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[53595] = {
					["source"] = "Ill-Drak'thul",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[147863] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Jademist Dancer",
					["npcID"] = 72767,
				},
				[596] = {
					["source"] = "Mirrý-Ravencrest",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[207472] = {
					["source"] = "Clownes-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[210824] = {
					["source"] = "Lionjur-Destromath",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[318227] = {
					["source"] = "Randomiitti-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[263927] = {
					["type"] = "DEBUFF",
					["source"] = "Merektha",
					["npcID"] = 133384,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2125,
				},
				[197937] = {
					["source"] = "Louy-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[200587] = {
					["source"] = "Idiefree-ShatteredHand",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[90328] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 121571,
				},
				[272118] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Kuntho-Draenor",
					["npcID"] = 0,
				},
				[189838] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Jiuquan",
					["npcID"] = 0,
				},
				[187698] = {
					["source"] = "Jukelitoon-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[256382] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Midland Stag",
					["npcID"] = 126967,
				},
				[268024] = {
					["type"] = "DEBUFF",
					["source"] = "Heart of Sethraliss",
					["npcID"] = 135641,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2127,
				},
				[289523] = {
					["source"] = "Kertsinator-Frostwhisper",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[107428] = {
					["source"] = "Deepdamp-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[222503] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Horde Vanguard",
					["npcID"] = 142082,
				},
				[85739] = {
					["source"] = "Slaqzspeed",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[259454] = {
					["source"] = "Patuc-Frostwhisper",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[202636] = {
					["source"] = "Tundradruid",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[18960] = {
					["source"] = "Rälg-Doomhammer",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[272121] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Wàltz",
					["npcID"] = 0,
				},
				[198097] = {
					["source"] = "Exrat-Kazzak",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[126935] = {
					["source"] = "Rîddler",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[217481] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Zapharra",
					["npcID"] = 0,
				},
				[276217] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Ayame",
					["npcID"] = 133980,
				},
				[289526] = {
					["source"] = "Thronbill-Draenor",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[178067] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Sea Skrog",
					["npcID"] = 88094,
				},
				[48168] = {
					["source"] = "Matron Ossela",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 96955,
				},
				[300788] = {
					["source"] = "Erlendaar-Magtheridon",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[257408] = {
					["source"] = "Möykky-Turalyon",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[164145] = {
					["source"] = "Smooch",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[164247] = {
					["source"] = "Gordunni Basher",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 79231,
				},
				[236645] = {
					["source"] = "Lionjur-Destromath",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[105174] = {
					["source"] = "Randomiitti-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[186258] = {
					["source"] = "Sírvival-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[853] = {
					["source"] = "Tsirppu-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[256897] = {
					["source"] = "Snarling Dockhound",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 129640,
				},
				[253721] = {
					["source"] = "Shieldbearer of Zul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 127879,
				},
				[260879] = {
					["encounterID"] = 2111,
					["source"] = "Elder Leaxa",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 131318,
				},
				[17364] = {
					["source"] = "Gunnarson-DefiasBrotherhood",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[272126] = {
					["source"] = "Vectot",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[251267] = {
					["source"] = "Kalaei-Draenor",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[294649] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Chief Expedition Officer McCormick",
					["npcID"] = 145148,
				},
				[271103] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[263275] = {
					["type"] = "BUFF",
					["source"] = "Taskmaster Askari",
					["npcID"] = 134012,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2105,
				},
				[257410] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Reqx-Magtheridon",
					["npcID"] = 0,
				},
				[280661] = {
					["source"] = "Absorb-o-Tron",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 143985,
				},
				[75998] = {
					["source"] = "Commander Gar",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 85571,
				},
				[272128] = {
					["source"] = "Ashanly-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[169368] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 77196,
				},
				[265986] = {
					["npcID"] = 135445,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Energy Core",
					["encounterID"] = 2126,
				},
				[271105] = {
					["source"] = "Mélittâ-TwistingNether",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[288509] = {
					["source"] = "Himena-Al'Akir",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[164139] = {
					["source"] = "Smooch",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[302842] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Naglia-Magtheridon",
					["npcID"] = 0,
				},
				[131490] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Renard-Anachronos",
					["npcID"] = 0,
				},
				[273274] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[289534] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Burben",
					["npcID"] = 0,
				},
				[149406] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Rattling Mariner",
					["npcID"] = 72033,
				},
				[178583] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[278789] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[285440] = {
					["npcID"] = 144248,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Head Machinist Sparkflux",
					["encounterID"] = 2259,
				},
				[108503] = {
					["source"] = "Kataru-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[185123] = {
					["source"] = "Surger-AzjolNerub",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[201787] = {
					["source"] = "Pikkuinen-Stormreaver",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[210320] = {
					["source"] = "Pldna-Dentarg",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[261896] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 133168,
				},
				[162204] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Flurries",
					["npcID"] = 0,
				},
				[166811] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Terokk",
					["npcID"] = 82820,
				},
				[314107] = {
					["source"] = "Faceless Tormentor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 153904,
				},
				[270868] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[246152] = {
					["source"] = "Nateríver-ShatteredHand",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[252687] = {
					["source"] = "Shadowblade Stalker",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 122970,
				},
				[285443] = {
					["npcID"] = 0,
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2259,
				},
				[186263] = {
					["source"] = "Wàltz",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[203155] = {
					["source"] = "Balushi-Ragnaros",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[260364] = {
					["encounterID"] = 2086,
					["source"] = "Invatkaa-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[204179] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Felguard Shocktrooper",
					["npcID"] = 101943,
				},
				[147751] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 73448,
				},
				[279302] = {
					["source"] = "Hãrleyquinn-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[300801] = {
					["source"] = "Gotyâ-DunModr",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[121557] = {
					["source"] = "Ateline",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[58867] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Spirit Wolf",
					["npcID"] = 29264,
				},
				[279303] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Lodeth-Draenor",
					["npcID"] = 0,
				},
				[300802] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[257415] = {
					["source"] = "Langon-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[147362] = {
					["source"] = "Ogjooga-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[283399] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[313088] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Braveglaive-Haomarush",
					["npcID"] = 0,
				},
				[292360] = {
					["source"] = "Endless-Dentarg",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[186265] = {
					["type"] = "BUFF",
					["source"] = "Cellith-Draenor",
					["npcID"] = 0,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2112,
				},
				[271115] = {
					["source"] = "Níkomaaní-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[22703] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Fëlwaffle",
					["npcID"] = 0,
				},
				[283100] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[31661] = {
					["source"] = "Gopherqt",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[283401] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[272140] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[210324] = {
					["source"] = "Tsirppu-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[203539] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Derlenne-Draenor",
					["npcID"] = 0,
				},
				[275212] = {
					["source"] = "Weaponmaster Halu",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 140123,
				},
				[170910] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Sethe",
					["npcID"] = 80644,
				},
				[157982] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Bbana-Magtheridon",
					["npcID"] = 0,
				},
				[300543] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 154261,
				},
				[53365] = {
					["source"] = "Jumpxy",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[298932] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Foul Manifestation",
					["npcID"] = 151202,
				},
				[318211] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Kubuliak-Drak'thul",
					["npcID"] = 0,
				},
				[210837] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[262929] = {
					["source"] = "Bonepicker",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 152001,
				},
				[282975] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[119085] = {
					["source"] = "Deepdamp-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[33786] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[164257] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Stonemaul Guard",
					["npcID"] = 75819,
				},
				[272144] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[274942] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[319237] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[105691] = {
					["source"] = "Angevin-Darksorrow",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[585] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Lewella-EmeraldDream",
					["npcID"] = 0,
				},
				[285454] = {
					["npcID"] = 144248,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Head Machinist Sparkflux",
					["encounterID"] = 2259,
				},
				[139176] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[267027] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Venomous Ophidian",
					["npcID"] = 135562,
				},
				[185245] = {
					["npcID"] = 0,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Hakunbtata-AzjolNerub",
					["encounterID"] = 2123,
				},
				[165282] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Apexis Turret",
					["npcID"] = 82153,
				},
				[270481] = {
					["source"] = "Demonic Tyrant",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 135002,
				},
				[119415] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Erubadhriel-Drak'thul",
					["npcID"] = 0,
				},
				[134058] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Vigil Hill Marine",
					["npcID"] = 130695,
				},
				[318216] = {
					["source"] = "Shushuna",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[272888] = {
					["source"] = "Ashvane Destroyer",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 137517,
				},
				[192924] = {
					["source"] = "Wolfmanamana-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[263958] = {
					["type"] = "DEBUFF",
					["source"] = "A Knot of Snakes",
					["npcID"] = 134388,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2125,
				},
				[165283] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Apexis Turret",
					["npcID"] = 82153,
				},
				[319241] = {
					["source"] = "Athanior-ArgentDawn",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[299790] = {
					["source"] = "Lynet",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[300814] = {
					["source"] = "Gehn-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[139546] = {
					["source"] = "Wishr",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[49143] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Kogó",
					["npcID"] = 0,
				},
				[291601] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Gragock-Draenor",
					["npcID"] = 0,
				},
				[61684] = {
					["source"] = "Jumbo Sandsnapper",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 129283,
				},
				[318219] = {
					["source"] = "Sírvival-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[91021] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Hunkesen",
					["npcID"] = 0,
				},
				[11426] = {
					["source"] = "Maybez",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[58448] = {
					["source"] = "Thrallerina",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[253327] = {
					["source"] = "Ballongvisp-Bladefist",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[223819] = {
					["source"] = "Dumpl-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[224001] = {
					["source"] = "Ériza-Lightbringer",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[31358] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 78918,
				},
				[49361] = {
					["source"] = "Cindamayka",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[161040] = {
					["source"] = "Pack Boar",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 80174,
				},
				[190879] = {
					["source"] = "Viix",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[256911] = {
					["source"] = "Frightened Brutosaur",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 129668,
				},
				[46968] = {
					["source"] = "Obogae-BurningLegion",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[278296] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Cindark-Stormreaver",
					["npcID"] = 0,
				},
				[262940] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Leech Globule",
					["npcID"] = 133753,
				},
				[272783] = {
					["source"] = "Mirrý-Ravencrest",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[148906] = {
					["source"] = "Smooch",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[278297] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Maranal-Draenor",
					["npcID"] = 0,
				},
				[271843] = {
					["source"] = "Greatgravy-TwistingNether",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[267702] = {
					["encounterID"] = 2142,
					["source"] = "Mchimba the Embalmer",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 134993,
				},
				[257424] = {
					["source"] = "Kpxyz",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[267325] = {
					["type"] = "BUFF",
					["source"] = "Azraela-Pozzodell'Eternità",
					["encounterID"] = 2109,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[250258] = {
					["encounterID"] = 2085,
					["source"] = "Vol'kaal",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 122965,
				},
				[268061] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Plague Doctor",
					["npcID"] = 139949,
				},
				[165287] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Apexis Turret",
					["npcID"] = 82153,
				},
				[84963] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Sakek-Draenor",
					["npcID"] = 0,
				},
				[256401] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Jungleweb Crawler",
					["npcID"] = 123813,
				},
				[268062] = {
					["source"] = "Phabio-TwistingNether",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[171430] = {
					["source"] = "Felwrought Annihilator",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 77528,
				},
				[298836] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Shadowmen-BurningLegion",
					["npcID"] = 0,
				},
				[250259] = {
					["encounterID"] = 2085,
					["source"] = "Vol'kaal",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 122965,
				},
				[275936] = {
					["source"] = "Iamherb-Dragonblight",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[259473] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Casteless Zandalari",
					["npcID"] = 131331,
				},
				[57846] = {
					["source"] = "Gladiator",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 82767,
				},
				[279885] = {
					["source"] = "Randomiitti-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[212552] = {
					["source"] = "Péew-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[154584] = {
					["source"] = "Generic Bunny - PRK",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 41200,
				},
				[115072] = {
					["source"] = "Invatkaa-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[283421] = {
					["npcID"] = 145185,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Gnomercy 4.U.",
					["encounterID"] = 2257,
				},
				[31850] = {
					["source"] = "Ashenlight-AzjolNerub",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[259474] = {
					["npcID"] = 129231,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Rixxa Fluxflame",
					["encounterID"] = 2107,
				},
				[266018] = {
					["source"] = "Mirrý-Ravencrest",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[283422] = {
					["npcID"] = 145185,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Gnomercy 4.U.",
					["encounterID"] = 2257,
				},
				[50936] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Xanory",
					["npcID"] = 0,
				},
				[269090] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Ordnance Specialist",
					["npcID"] = 137029,
				},
				[269652] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Boulder Caster",
					["npcID"] = 137078,
				},
				[135601] = {
					["source"] = "Bearu",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[59638] = {
					["source"] = "Mirror Image",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 31216,
				},
				[184575] = {
					["source"] = "Zabrak-Aszune",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[274774] = {
					["source"] = "Thuya-Blackmoore",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[316823] = {
					["source"] = "Pastek-BurningLegion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[116189] = {
					["source"] = "Punchosaurus",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[285472] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Dextro-Drak'thul",
					["npcID"] = 0,
				},
				[315161] = {
					["source"] = "Deepdamp-Kazzak",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[277969] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Joggrog",
					["npcID"] = 0,
				},
				[52174] = {
					["source"] = "Skyrin",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[269093] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Sandfury Dunerider",
					["npcID"] = 130230,
				},
				[294349] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Living Waste",
					["npcID"] = 144301,
				},
				[130266] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Thunder Hold Soldier",
					["npcID"] = 66200,
				},
				[215607] = {
					["source"] = "Krakosz",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[293664] = {
					["source"] = "Millercow",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[274213] = {
					["npcID"] = 131383,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Sporecaller Zancha",
					["encounterID"] = 2112,
				},
				[188838] = {
					["npcID"] = 0,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Voxylol-Darksorrow",
					["encounterID"] = 2124,
				},
				[18562] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[642] = {
					["source"] = "Redemptíon-Al'Akir",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[149424] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Thunderlord Beastwrangler",
					["npcID"] = 74160,
				},
				[295367] = {
					["source"] = "Kyun-DefiasBrotherhood",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[300832] = {
					["source"] = "Hakunbtata-AzjolNerub",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[6770] = {
					["source"] = "Exrat-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[278310] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Sasquachan-Doomhammer",
					["npcID"] = 0,
				},
				[156079] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Dárkheárt-Draenor",
					["npcID"] = 0,
				},
				[288548] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Magus of the Dead",
					["npcID"] = 148797,
				},
				[258278] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Gothryk-BurningLegion",
					["npcID"] = 0,
				},
				[109536] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Undeadgunso",
					["npcID"] = 0,
				},
				[85222] = {
					["source"] = "Callá-Spinebreaker",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[586] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Filtro",
					["npcID"] = 0,
				},
				[1725] = {
					["source"] = "Skyggegud",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[1719] = {
					["source"] = "Skyrin",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[224729] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Faithless Conscript",
					["npcID"] = 135971,
				},
				[34861] = {
					["source"] = "Mirrý-Ravencrest",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[269099] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Venture Co. War Machine",
					["npcID"] = 133463,
				},
				[158459] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Adherent Wind-Thrasher",
					["npcID"] = 82817,
				},
				[203173] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Iizi-Stormreaver",
					["npcID"] = 0,
				},
				[265165] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Midland Stag",
					["npcID"] = 126967,
				},
				[293670] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Workshop Defender",
					["npcID"] = 144299,
				},
				[82828] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Bloodmane Razorclaw",
					["npcID"] = 80455,
				},
				[16979] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[201638] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Skraptor",
					["npcID"] = 0,
				},
				[259480] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Casteless Zandalari",
					["npcID"] = 131331,
				},
				[109537] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Undeadgunso",
					["npcID"] = 0,
				},
				[256409] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Saurolisk",
					["npcID"] = 123647,
				},
				[48890] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Zuff",
					["npcID"] = 0,
				},
				[289577] = {
					["source"] = "Szeith-Blackhand",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[233375] = {
					["source"] = "Lacroix-Zenedar",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[171253] = {
					["source"] = "Ishake-Blade'sEdge",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[201639] = {
					["source"] = "Caffaina-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[185771] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Timeless Flamespeaker",
					["npcID"] = 108439,
				},
				[217832] = {
					["source"] = "Athanior-ArgentDawn",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[287916] = {
					["source"] = "Hordeman",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[259232] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Dreadcoil Seeker",
					["npcID"] = 125174,
				},
				[73325] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Wernlol-DefiasBrotherhood",
					["npcID"] = 0,
				},
				[79849] = {
					["source"] = "Moraka",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 46718,
				},
				[164273] = {
					["source"] = "Aeden-TheMaelstrom",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[1833] = {
					["source"] = "Exrat-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[15286] = {
					["type"] = "BUFF",
					["source"] = "Simôns-TwistingNether",
					["npcID"] = 0,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2124,
				},
				[109538] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Undeadgunso",
					["npcID"] = 0,
				},
				[152175] = {
					["source"] = "Mellermonk-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[291247] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Magni Bronzebeard",
					["npcID"] = 149867,
				},
				[278962] = {
					["source"] = "Pietrzu-BurningLegion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[155145] = {
					["source"] = "Mélittâ-TwistingNether",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[278873] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Fuzzyfights-AeriePeak",
					["npcID"] = 0,
				},
				[14914] = {
					["source"] = "Mirrý-Ravencrest",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[272817] = {
					["source"] = "Daemik-AzjolNerub",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[315176] = {
					["source"] = "Except",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[337313] = {
					["source"] = "Crorus-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[263601] = {
					["source"] = "Taskmaster Askari",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 134012,
				},
				[274395] = {
					["source"] = "Klkl-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[116705] = {
					["encounterID"] = 2085,
					["source"] = "Invatkaa-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[150770] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Captive Gronn",
					["npcID"] = 71646,
				},
				[272180] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Grotesque Horror",
					["npcID"] = 138187,
				},
				[189869] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Expedition Guard",
					["npcID"] = 139090,
				},
				[290608] = {
					["source"] = "Zensih",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[320297] = {
					["source"] = "Except",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[48891] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Thumaz-Dentarg",
					["npcID"] = 0,
				},
				[246852] = {
					["source"] = "Reycazador-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[315179] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Zulty-BronzeDragonflight",
					["npcID"] = 0,
				},
				[18499] = {
					["type"] = "BUFF",
					["source"] = "Souschef",
					["encounterID"] = 2105,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[197548] = {
					["source"] = "Clossen-TheMaelstrom",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[265016] = {
					["source"] = "Chosen Blood Matron",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 131436,
				},
				[280634] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[240034] = {
					["source"] = "Barovo-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[211881] = {
					["source"] = "Athanior-ArgentDawn",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[302932] = {
					["source"] = "Bladedance-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[278326] = {
					["source"] = "Athanior-ArgentDawn",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[253595] = {
					["source"] = "Kákke",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[265376] = {
					["source"] = "Fanatical Headhunter",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 133663,
				},
				[84714] = {
					["source"] = "Fröstshade",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[223143] = {
					["source"] = "Mýszojeleñ-BurningLegion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[203407] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Barrywhite-ShatteredHand",
					["npcID"] = 0,
				},
				[154552] = {
					["source"] = "Greatmother Geyah",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 88655,
				},
				[265019] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Chosen Blood Matron",
					["npcID"] = 131436,
				},
				[276880] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Drust Evoker",
					["npcID"] = 137758,
				},
				[173183] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Antraluk",
					["npcID"] = 0,
				},
				[193455] = {
					["source"] = "Phoenixhuntr-Aszune",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[35915] = {
					["source"] = "Overlord Sunderfury",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 50085,
				},
				[186289] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Urkel",
					["npcID"] = 0,
				},
				[240036] = {
					["source"] = "Loctarogar-Quel'Thalas",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[183218] = {
					["source"] = "Moczondo-BurningLegion",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[269116] = {
					["npcID"] = 134599,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Imbued Stormcaller",
					["encounterID"] = 2124,
				},
				[262554] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Expert Technician",
					["npcID"] = 133593,
				},
				[242084] = {
					["source"] = "Zror'um the Infinite",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 154087,
				},
				[193456] = {
					["source"] = "Djöfli",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[281402] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Frozøne",
					["npcID"] = 0,
				},
				[118905] = {
					["encounterID"] = 2105,
					["source"] = "Capacitor Totem",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 61245,
				},
				[240037] = {
					["source"] = "Dogtershifts-AzjolNerub",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[48892] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Gvcn",
					["npcID"] = 0,
				},
				[281403] = {
					["source"] = "Tomashar-BurningBlade",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[2050] = {
					["source"] = "Mirrý-Ravencrest",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[12323] = {
					["source"] = "Skyrin",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[273812] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[281404] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Navelpain-BurningLegion",
					["npcID"] = 0,
				},
				[302476] = {
					["source"] = "Pikkuinen-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[5484] = {
					["source"] = "Vasanir",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[2098] = {
					["source"] = "Uncrowned-Dentarg",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[285500] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Xolene",
					["npcID"] = 0,
				},
				[185565] = {
					["source"] = "Exrat-Kazzak",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[112869] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Xenophorm",
					["npcID"] = 0,
				},
				[148413] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Sipsterfam",
					["npcID"] = 0,
				},
				[198065] = {
					["source"] = "Nukeit-Doomhammer",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[280385] = {
					["source"] = "Kumakun-Quel'Thalas",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[240039] = {
					["source"] = "Blitzenclaus-Turalyon",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[288573] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Urkel",
					["npcID"] = 0,
				},
				[110310] = {
					["source"] = "Except",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[61336] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[173000] = {
					["source"] = "Iron Shredder Prototype",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 75942,
				},
				[242599] = {
					["source"] = "Slaqzspeed",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[259491] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Urkel",
					["npcID"] = 0,
				},
				[198764] = {
					["source"] = "Echo of Chi-Ji",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 152895,
				},
				[316216] = {
					["source"] = "Deephive Voidsinger",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 163704,
				},
				[154557] = {
					["source"] = "Iron Clusterpult",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 76629,
				},
				[83693] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Halfus Wyrmbreaker",
					["npcID"] = 44600,
				},
				[163771] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Grimfrost Drudge",
					["npcID"] = 72955,
				},
				[112870] = {
					["source"] = "Randomiitti-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[152510] = {
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[156774] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Thrallmar Mage",
					["npcID"] = 150131,
				},
				[255909] = {
					["source"] = "Moromete-Magtheridon",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[158141] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Icehoof Bull",
					["npcID"] = 78920,
				},
				[199603] = {
					["source"] = "Wishr",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[301886] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Koyri-BurningBlade",
					["npcID"] = 0,
				},
				[144092] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 71716,
				},
				[45182] = {
					["source"] = "Exrat-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[152511] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Thunderlord Gronnstalker",
					["npcID"] = 88268,
				},
				[45438] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Mytho-Sanguino",
					["npcID"] = 0,
				},
				[188625] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Invading Grunt",
					["npcID"] = 135860,
				},
				[158142] = {
					["source"] = "Adherent Wing-Guard",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 75283,
				},
				[280389] = {
					["encounterID"] = 2109,
					["source"] = "Dread Captain Lockwood",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 129208,
				},
				[281413] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Hughsey-AeriePeak",
					["npcID"] = 0,
				},
				[176058] = {
					["source"] = "Noshoedk-Twilight'sHammer",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[67826] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[152280] = {
					["source"] = "Grukbar-Ravenholdt",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[148929] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Bladespire Stonecaster",
					["npcID"] = 73472,
				},
				[58875] = {
					["source"] = "Terkki-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[34433] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Lewella-EmeraldDream",
					["npcID"] = 0,
				},
				[116768] = {
					["source"] = "Mellermonk-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[55164] = {
					["source"] = "Djöfli",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[204490] = {
					["source"] = "Hakunbtata-AzjolNerub",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[55420] = {
					["source"] = "Bunny",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 83842,
				},
				[152513] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 75723,
				},
				[259495] = {
					["source"] = "Gobekoboeona-Nemesis",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[43519] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Amani Warrior",
					["npcID"] = 120900,
				},
				[174524] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Cyan",
					["npcID"] = 0,
				},
				[75249] = {
					["source"] = "Wàltz",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[204213] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Lealet-Draenor",
					["npcID"] = 0,
				},
				[271371] = {
					["source"] = "Scrapbone Scavenger",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 151985,
				},
				[257722] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[152514] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Thunderlord Gronnstalker",
					["npcID"] = 88268,
				},
				[257721] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[302917] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Fessa-Blade'sEdge",
					["npcID"] = 0,
				},
				[223665] = {
					["source"] = "Crnaruka-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[183227] = {
					["source"] = "Unknown",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 92450,
				},
				[285514] = {
					["source"] = "Caverna-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[20484] = {
					["npcID"] = 0,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["encounterID"] = 2260,
				},
				[195782] = {
					["source"] = "Succmeoff-Blackmoore",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[6795] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[57724] = {
					["source"] = "Fanfare",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[527] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Wàltz",
					["npcID"] = 0,
				},
				[303943] = {
					["source"] = "Stolid",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[195776] = {
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[226943] = {
					["source"] = "Szeith-Blackhand",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[83952] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Halfus Wyrmbreaker",
					["npcID"] = 44600,
				},
				[198300] = {
					["source"] = "Gunnarson-DefiasBrotherhood",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[280398] = {
					["source"] = "Cublabla",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[202168] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Блэкоул-СвежевательДуш",
					["npcID"] = 0,
				},
				[79934] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 106914,
				},
				[278826] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Oskir",
					["npcID"] = 0,
				},
				[305497] = {
					["source"] = "Vis-Bloodscalp",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[12548] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Frostwolf Greyfur",
					["npcID"] = 70879,
				},
				[16870] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[228537] = {
					["source"] = "Kazikame",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[280400] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Babouras-BurningLegion",
					["npcID"] = 0,
				},
				[273234] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Unknown",
					["npcID"] = 139108,
				},
				[87024] = {
					["source"] = "Ashketchup",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[299852] = {
					["source"] = "Djöfli",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[272733] = {
					["source"] = "Frestor-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[187837] = {
					["encounterID"] = 2111,
					["source"] = "Smooch",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[287062] = {
					["source"] = "Teepee-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[197051] = {
					["source"] = "Cloze-Onyxia",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[177088] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Bloodmane Hunter",
					["npcID"] = 82938,
				},
				[31458] = {
					["source"] = "Infinite Eradicator",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 32185,
				},
				[44544] = {
					["source"] = "Nanto-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[215479] = {
					["source"] = "Punchosaurus",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[256034] = {
					["source"] = "Obedient Drudge",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 126807,
				},
				[223829] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Nikoma-Stormreaver",
					["npcID"] = 0,
				},
				[2818] = {
					["source"] = "Gotyâ-DunModr",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[18501] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Drywind Bonepicker",
					["npcID"] = 81207,
				},
				[280404] = {
					["source"] = "Execrate-Blackhand",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[273238] = {
					["source"] = "Divadevil-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[214968] = {
					["source"] = "Kreatores-Drak'thul",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[223670] = {
					["source"] = "Mooberella-AzjolNerub",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[202719] = {
					["source"] = "Athanior-ArgentDawn",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[171459] = {
					["source"] = "Shadow Militant",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 78319,
				},
				[164545] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Fessa-Blade'sEdge",
					["npcID"] = 0,
				},
				[152008] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Dorogg the Ruthless",
					["npcID"] = 74254,
				},
				[275689] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Ahkaun-Draenor",
					["npcID"] = 0,
				},
				[161222] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Sabertron",
					["npcID"] = 139328,
				},
				[270670] = {
					["source"] = "Lionjur-Destromath",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[113899] = {
					["source"] = "Demonic Gateway",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 59262,
				},
				[122470] = {
					["source"] = "Thuya-Blackmoore",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[273241] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Loose Spark",
					["npcID"] = 139108,
				},
				[233397] = {
					["source"] = "Deathnology-Ravencrest",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[271194] = {
					["source"] = "Moromete-Magtheridon",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[43265] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[123904] = {
					["source"] = "Thuya-Blackmoore",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[307026] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Rightupyour-Draenor",
					["npcID"] = 0,
				},
				[166342] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Echo Hunter",
					["npcID"] = 79895,
				},
				[280409] = {
					["source"] = "Shushuna",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[267362] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 135985,
				},
				[298837] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Krallum",
					["npcID"] = 0,
				},
				[159242] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Durotan",
					["npcID"] = 76240,
				},
				[317265] = {
					["source"] = "Dizziedix-Turalyon",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[199844] = {
					["source"] = "Nanto-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[285721] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Naxogodx-BurningLegion",
					["npcID"] = 0,
				},
				[113900] = {
					["source"] = "Demonic Gateway",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 59271,
				},
				[39207] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Servant of Neptulon",
					["npcID"] = 134343,
				},
				[172728] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Creeping Vine",
					["npcID"] = 85538,
				},
				[102383] = {
					["source"] = "Slayerd",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[20549] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[288602] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Septus-EmeraldDream",
					["npcID"] = 0,
				},
				[24708] = {
					["source"] = "Munahilkka-Bloodscalp",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[212653] = {
					["source"] = "Lionjur-Destromath",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[256434] = {
					["source"] = "Squishypug-Magtheridon",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[224186] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 0,
				},
				[301367] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Gravydeath",
					["npcID"] = 0,
				},
				[83956] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Proto-Behemoth",
					["npcID"] = 44687,
				},
				[152762] = {
					["source"] = "Decommissioned Iron Shredder",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 75869,
				},
				[268129] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Refreshment Vendor",
					["npcID"] = 136470,
				},
				[8042] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Antraluk",
					["npcID"] = 0,
				},
				[272592] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Faceless Corruptor",
					["npcID"] = 138281,
				},
				[81141] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[268130] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Refreshment Vendor",
					["npcID"] = 136470,
				},
				[293724] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Shield Generator",
					["npcID"] = 151579,
				},
				[245686] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Priesteys-Frostwhisper",
					["npcID"] = 0,
				},
				[164298] = {
					["source"] = "Gorian Arcanist",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 79023,
				},
				[115181] = {
					["source"] = "Punchosaurus",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[273714] = {
					["source"] = "Exrat-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[178119] = {
					["source"] = "Drezah",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[152661] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Trained Bonestripper",
					["npcID"] = 72650,
				},
				[317587] = {
					["source"] = "Vil'raxx",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 153326,
				},
				[108271] = {
					["source"] = "Boeman-Doomhammer",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[327510] = {
					["source"] = "Jezzabell-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[67833] = {
					["source"] = "Except",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[300893] = {
					["source"] = "Gotyâ-DunModr",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[50106] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 31150,
				},
				[235450] = {
					["source"] = "Lionjur-Destromath",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[80676] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 139570,
				},
				[224189] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 0,
				},
				[69369] = {
					["source"] = "Animorpheus",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[167883] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Terokk",
					["npcID"] = 83554,
				},
				[162921] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Tormented Stagwing",
					["npcID"] = 90480,
				},
				[164812] = {
					["source"] = "Except",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[293729] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Mechagon Mechanic",
					["npcID"] = 144295,
				},
				[95987] = {
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[279397] = {
					["source"] = "Mélittâ-TwistingNether",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[316703] = {
					["source"] = "Jhoppe-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[183752] = {
					["source"] = "Kazikame",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[167884] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Terokk",
					["npcID"] = 83554,
				},
				[297084] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[104945] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 113797,
				},
				[99] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Except",
					["npcID"] = 0,
				},
				[251832] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Foxxyluv-Draenor",
					["npcID"] = 0,
				},
				[170444] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 85355,
				},
				[288613] = {
					["source"] = "Sírvival-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[232893] = {
					["source"] = "Niashu-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[167885] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Terokk",
					["npcID"] = 83554,
				},
				[260243] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Surfrider",
					["npcID"] = 0,
				},
				[196770] = {
					["source"] = "Iqcheck-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[198817] = {
					["source"] = "Vic",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[257544] = {
					["type"] = "DEBUFF",
					["source"] = "Earthrager",
					["npcID"] = 129802,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2106,
				},
				[147117] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Bladespire Boarbuster",
					["npcID"] = 75240,
				},
				[228287] = {
					["source"] = "Mellermonk-Draenor",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[35717] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Surmakos",
					["npcID"] = 0,
				},
				[167078] = {
					["source"] = "Smooch",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[275544] = {
					["source"] = "Alalios-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[164815] = {
					["source"] = "Except",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[159262] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Durotan",
					["npcID"] = 76240,
				},
				[165839] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 82439,
				},
				[172553] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Terokk",
					["npcID"] = 84017,
				},
				[115546] = {
					["source"] = "Punchosaurus",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[107100] = {
					["source"] = "Vindicator Maraad",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 77196,
				},
				[205766] = {
					["source"] = "Nanto-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[10277] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Thunderlord Trapper",
					["npcID"] = 74067,
				},
				[24709] = {
					["source"] = "Cedx-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[165328] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Adherent Stormblade",
					["npcID"] = 84158,
				},
				[278381] = {
					["source"] = "Djöfli",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[272659] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Scaled Krolusk Rider",
					["npcID"] = 134629,
				},
				[321379] = {
					["source"] = "Lómilmandra-Dentarg",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[165026] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[302952] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Frestor-Draenor",
					["npcID"] = 0,
				},
				[67836] = {
					["source"] = "Wormhole",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 35646,
				},
				[313190] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Depths Monstrosity",
					["npcID"] = 153171,
				},
				[273264] = {
					["source"] = "Phoenixhuntr-Aszune",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[190411] = {
					["source"] = "Slaqzspeed",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[118000] = {
					["source"] = "Apexie-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[203720] = {
					["source"] = "Hakunbtata-AzjolNerub",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[256138] = {
					["source"] = "Dazar'ai Honor Guard",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 127799,
				},
				[274289] = {
					["source"] = "Athanior-ArgentDawn",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[265487] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Bloodsworn Defiler",
					["npcID"] = 133912,
				},
				[171166] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Charl Doomwing",
					["npcID"] = 81548,
				},
				[285959] = {
					["source"] = "Zhusie",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[251837] = {
					["source"] = "Zeldrood-Archimonde",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[17735] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Belthak",
					["npcID"] = 1860,
				},
				[280433] = {
					["source"] = "Deju",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[212423] = {
					["source"] = "Risen Skulker",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 99541,
				},
				[171985] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Smooch",
					["npcID"] = 0,
				},
				[164307] = {
					["source"] = "Gorian Arcanist",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 79023,
				},
				[271439] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Bombarding Zeppelin",
					["npcID"] = 136957,
				},
				[173116] = {
					["source"] = "Beremus the Overgrowth",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 80700,
				},
				[251838] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Uctugun-Alonsus",
					["npcID"] = 0,
				},
				[256445] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Whistlebloom Hunter",
					["npcID"] = 133888,
				},
				[256957] = {
					["source"] = "Kul Tiran Wavetender",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 141284,
				},
				[294142] = {
					["source"] = "Cêluna-Blackrock",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[296820] = {
					["source"] = "Dauðakóngur-Skullcrusher",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[257522] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Vengeful Bones",
					["npcID"] = 128703,
				},
				[172060] = {
					["source"] = "Arcane Wraith",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 78451,
				},
				[226757] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Volcaniac-Lightbringer",
					["npcID"] = 0,
				},
				[251839] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Grimbob",
					["npcID"] = 0,
				},
				[252351] = {
					["source"] = "Jersey-Al'Akir",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[296817] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Rusty Mechanocrawler",
					["npcID"] = 152892,
				},
				[265081] = {
					["source"] = "Chosen Blood Matron",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 131436,
				},
				[156314] = {
					["source"] = "Gorn",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 80324,
				},
				[164309] = {
					["source"] = "Gorian Arcanist",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 79023,
				},
				[321388] = {
					["source"] = "Meryloo-BurningLegion",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[273272] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Polarized Spire",
					["npcID"] = 139131,
				},
				[266106] = {
					["source"] = "Feral Bloodswarmer",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 133835,
				},
				[190927] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Urkel",
					["npcID"] = 0,
				},
				[256959] = {
					["source"] = "Reanimated Honor Guard",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 127757,
				},
				[76892] = {
					["source"] = "Darktide Champion",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 144778,
				},
				[266107] = {
					["source"] = "Feral Bloodswarmer",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 133835,
				},
				[279416] = {
					["source"] = "Detritus-Stormrage",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[35079] = {
					["source"] = "Nateríver-ShatteredHand",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[165334] = {
					["source"] = "Hemet Nesingwary",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 82163,
				},
				[153561] = {
					["source"] = "Gopherqt",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[113973] = {
					["source"] = "Rîddler",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[256960] = {
					["source"] = "Reanimated Honor Guard",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 127757,
				},
				[342242] = {
					["source"] = "Størmbläzeqt-Stormrage",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[268532] = {
					["source"] = "Grukbar-Ravenholdt",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[176596] = {
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[314599] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 145978,
				},
				[198793] = {
					["source"] = "Lookmaeyez-Drak'thul",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[255937] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Klamat-Drak'thul",
					["npcID"] = 0,
				},
				[162264] = {
					["source"] = "Iamherb-Dragonblight",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[166019] = {
					["source"] = "Gorgrond Ogron",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 80695,
				},
				[49028] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Pravuss",
					["npcID"] = 0,
				},
				[188370] = {
					["source"] = "Mélittâ-TwistingNether",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[97108] = {
					["source"] = "Vaniiliia-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[24710] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Holyfakmoly",
					["npcID"] = 0,
				},
				[201350] = {
					["source"] = "Fasttbooyy-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[286587] = {
					["source"] = "Pikkuinen-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[164364] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Nagrand Skirmisher",
					["npcID"] = 81599,
				},
				[255096] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Mycobac-Draenor",
					["npcID"] = 0,
				},
				[265089] = {
					["source"] = "Devout Blood Priest",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 131492,
				},
				[102165] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Mikaso-BurningLegion",
					["npcID"] = 0,
				},
				[177698] = {
					["source"] = "Blackhand",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 77256,
				},
				[159240] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Frostwolf Grunt",
					["npcID"] = 74280,
				},
				[269185] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unbound Abomination",
					["npcID"] = 133007,
				},
				[49576] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Phabio-TwistingNether",
					["npcID"] = 0,
				},
				[207311] = {
					["source"] = "Grukbar-Ravenholdt",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[77130] = {
					["npcID"] = 0,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Voxylol-Darksorrow",
					["encounterID"] = 2124,
				},
				[169041] = {
					["source"] = "Blackhand",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 77256,
				},
				[168063] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 80429,
				},
				[159802] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Frostwolf Shaman",
					["npcID"] = 74622,
				},
				[51460] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Enexy",
					["npcID"] = 0,
				},
				[29893] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Hitzlock-Ragnaros",
					["npcID"] = 0,
				},
				[262184] = {
					["source"] = "Nazeshi Tempest-Wielder",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 128604,
				},
				[152574] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Thunderlord Beastmaster",
					["npcID"] = 88265,
				},
				[33076] = {
					["source"] = "Lómilmandra-Dentarg",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[212431] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Инсейшен-Ревущийфьорд",
					["npcID"] = 0,
				},
				[167898] = {
					["source"] = "Lionjur-Destromath",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[180695] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Lost Tormenter",
					["npcID"] = 90985,
				},
				[272260] = {
					["source"] = "Gelbus-Thrall",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[297854] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Furnace Flames",
					["npcID"] = 151930,
				},
				[164425] = {
					["source"] = "Smooch",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[256453] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Redsam",
					["npcID"] = 0,
				},
				[161919] = {
					["source"] = "Yrel",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 77197,
				},
				[204242] = {
					["source"] = "Mélittâ-TwistingNether",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[253894] = {
					["source"] = "Barovo-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[158809] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Sethekk Oracle",
					["npcID"] = 86123,
				},
				[168923] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Nagrand Savager",
					["npcID"] = 84388,
				},
				[273286] = {
					["source"] = "Washen-Doomhammer",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[13445] = {
					["source"] = "Darktide Champion",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 144778,
				},
				[173138] = {
					["source"] = "Beremus the Overgrowth",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 80700,
				},
				[221647] = {
					["source"] = "Silver Hand Knight",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 111292,
				},
				[108280] = {
					["type"] = "BUFF",
					["source"] = "Voxylol-Darksorrow",
					["npcID"] = 0,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2127,
				},
				[253895] = {
					["source"] = "Barovo-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[275335] = {
					["source"] = "Detritus-Stormrage",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[293947] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Faceless Subduer",
					["npcID"] = 150137,
				},
				[109304] = {
					["source"] = "Phoenixhuntr-Aszune",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[206803] = {
					["source"] = "Herso-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[256455] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Bolcovnik-Draenor",
					["npcID"] = 0,
				},
				[256967] = {
					["source"] = "Frightened Brutosaur",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 129668,
				},
				[241260] = {
					["source"] = "Aeden-TheMaelstrom",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[212084] = {
					["source"] = "Cardoordh",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[307391] = {
					["source"] = "Highland Worg",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 157589,
				},
				[115191] = {
					["source"] = "Exrat-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[297860] = {
					["source"] = "Nukeit-Doomhammer",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[223202] = {
					["source"] = "Iagertha-BurningBlade",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[256456] = {
					["source"] = "Randomiitti-Stormreaver",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[115192] = {
					["source"] = "Gotyâ-DunModr",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[224869] = {
					["source"] = "Nuby",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[273525] = {
					["source"] = "Saphix-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[254409] = {
					["source"] = "Dewinnie",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[173021] = {
					["source"] = "Iron Shredder Prototype",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 75942,
				},
				[198103] = {
					["encounterID"] = 2106,
					["source"] = "Gunnarson-DefiasBrotherhood",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[113656] = {
					["source"] = "Mellermonk-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[207317] = {
					["source"] = "Dauðakóngur-Skullcrusher",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[256969] = {
					["source"] = "Snarling Dockhound",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 129640,
				},
				[273293] = {
					["source"] = "Jersey-Al'Akir",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[192473] = {
					["source"] = "Xsyluz-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[317507] = {
					["source"] = "Depthsborn Binder",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 154329,
				},
				[173022] = {
					["source"] = "Iron Shredder Prototype",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 75942,
				},
				[255434] = {
					["encounterID"] = 2086,
					["source"] = "Rezan",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 122963,
				},
				[124430] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Naikas-Draenor",
					["npcID"] = 0,
				},
				[202748] = {
					["source"] = "Devalina",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[102167] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Souschef",
					["npcID"] = 0,
				},
				[54149] = {
					["source"] = "Callá-Spinebreaker",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[170089] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Vixy-Blade'sEdge",
					["npcID"] = 0,
				},
				[315508] = {
					["source"] = "Elonir-AzjolNerub",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[169567] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Primal Growth",
					["npcID"] = 81769,
				},
				[273455] = {
					["source"] = "Zuthgrim",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[322729] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Uctugun-Alonsus",
					["npcID"] = 0,
				},
				[256459] = {
					["source"] = "Munkrif-Stormrage",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[170555] = {
					["source"] = "Smooch",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[257483] = {
					["encounterID"] = 2086,
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[297133] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Defense Bot Mk III",
					["npcID"] = 144298,
				},
				[156132] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Kloster",
					["npcID"] = 0,
				},
				[74243] = {
					["source"] = "Jerrey-Zenedar",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[210391] = {
					["source"] = "Pavpl-Drak'thul",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[246809] = {
					["source"] = "Discodemon",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[256460] = {
					["source"] = "Tibrys-Mazrigos",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[146407] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Thunderlord Beastmaster",
					["npcID"] = 88265,
				},
				[273299] = {
					["source"] = "Gehn-Draenor",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[275364] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Abrasive Reconfigulator 8000",
					["npcID"] = 140530,
				},
				[185311] = {
					["source"] = "Exrat-Kazzak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[272276] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[96039] = {
					["source"] = "Smooch",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[298894] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Malfunctioning Scraphound",
					["npcID"] = 151301,
				},
				[291937] = {
					["npcID"] = 0,
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2258,
				},
				[41635] = {
					["source"] = "Lómilmandra-Dentarg",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[171490] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Beam Bunny",
					["npcID"] = 85850,
				},
				[262092] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Addled Thug",
					["npcID"] = 130435,
				},
				[58514] = {
					["source"] = "Orgrimmar Grunt",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 3296,
				},
				[272278] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Deloa-Dentarg",
					["npcID"] = 0,
				},
				[259533] = {
					["npcID"] = 0,
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2107,
				},
				[115968] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Forest Huntress",
					["npcID"] = 59102,
				},
				[255996] = {
					["npcID"] = 0,
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Meztlí-Draenor",
					["encounterID"] = 2105,
				},
				[115006] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Ookin Rum Guard",
					["npcID"] = 140209,
				},
				[175586] = {
					["source"] = "Tura'aka",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 83591,
				},
				[270232] = {
					["source"] = "Ipsissimus-Draenor",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[263066] = {
					["source"] = "Feckless Assistant",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 133345,
				},
				[242642] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Nanshee-Twilight'sHammer",
					["npcID"] = 0,
				},
				[247249] = {
					["source"] = "Nérds",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[344179] = {
					["source"] = "Evandèr",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[12654] = {
					["source"] = "Gopherqt",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[191587] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Enexy",
					["npcID"] = 0,
				},
				[118522] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Antraluk",
					["npcID"] = 0,
				},
				[34827] = {
					["source"] = "Bittertide Brinetail",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 131674,
				},
				[287638] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Lewella-EmeraldDream",
					["npcID"] = 0,
				},
				[185313] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Diedrich-Drak'thul",
					["npcID"] = 0,
				},
				[257552] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Awoken Guardian",
					["npcID"] = 126355,
				},
				[202225] = {
					["source"] = "Unforgivenll-AeriePeak",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[256464] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Faithless Raider",
					["npcID"] = 138214,
				},
				[170981] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Sethe",
					["npcID"] = 80644,
				},
				[151018] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Bladespire Stonecaster",
					["npcID"] = 73472,
				},
				[19801] = {
					["source"] = "Ðeadshøt",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[156137] = {
					["source"] = "Agg'thok the Eternal",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 77411,
				},
				[164839] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Iron Subjugator",
					["npcID"] = 84551,
				},
				[198111] = {
					["source"] = "Diknek-Doomhammer",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[260072] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Pa'kura Priest",
					["npcID"] = 131834,
				},
				[231895] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Crusádér-Draenor",
					["npcID"] = 0,
				},
				[272285] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Vinemaster Smagh",
					["npcID"] = 132160,
				},
				[187874] = {
					["source"] = "Gunnarson-DefiasBrotherhood",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[118779] = {
					["source"] = "Scraw-Darksorrow",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[301088] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Bomb Tonk",
					["npcID"] = 151657,
				},
				[24712] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Snimo",
					["npcID"] = 0,
				},
				[273310] = {
					["source"] = "Wàltz",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[266144] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Gahz'ragon",
					["npcID"] = 120850,
				},
				[257069] = {
					["type"] = "DEBUFF",
					["source"] = "Kul Tiran Footman",
					["encounterID"] = 2097,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 141282,
				},
				[170983] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Anzu",
					["npcID"] = 85614,
				},
				[204255] = {
					["source"] = "Hakunbtata-AzjolNerub",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[12550] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Blythe",
					["npcID"] = 108912,
				},
				[263074] = {
					["source"] = "Grotesque Experiment",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 133345,
				},
				[213981] = {
					["source"] = "Adekastos",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[273312] = {
					["type"] = "BUFF",
					["source"] = "Wàltz",
					["encounterID"] = 2086,
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[266146] = {
					["source"] = "Squallfin Oracle",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 127836,
				},
				[48020] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Helloyoucant",
					["npcID"] = 0,
				},
				[268194] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Dextro-Drak'thul",
					["npcID"] = 0,
				},
				[8679] = {
					["source"] = "Shaiden",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[172008] = {
					["source"] = "Panarock-Agamaggan",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[102953] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Goradark-Darkspear",
					["npcID"] = 0,
				},
				[208353] = {
					["source"] = "Chocowaffle-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[53140] = {
					["source"] = "Pandalffi-Stormreaver",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[206931] = {
					["source"] = "Phabio-TwistingNether",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[203233] = {
					["source"] = "Clàudia-Magtheridon",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[292766] = {
					["source"] = "Timeweaver Delormi",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 151137,
				},
				[30151] = {
					["source"] = "Kazgorath",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 58965,
				},
				[188389] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Kubuliak-Drak'thul",
					["npcID"] = 0,
				},
				[295838] = {
					["source"] = "Lionjur-Destromath",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[303060] = {
					["source"] = "Skreep-Draenor",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[293854] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Mechagon Tinkerer",
					["npcID"] = 144294,
				},
				[182346] = {
					["source"] = "Yaap",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[85253] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Unknown",
					["npcID"] = 73704,
				},
				[256981] = {
					["source"] = "Frightened Brutosaur",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 129668,
				},
				[187878] = {
					["source"] = "Gunnarson-DefiasBrotherhood",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[102401] = {
					["source"] = "Feeltheheat-ArgentDawn",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[295840] = {
					["source"] = "Kakaopie-Blackrock",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[198149] = {
					["source"] = "Bajpe",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[94743] = {
					["source"] = "Wàltz",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[274342] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Adderis",
					["npcID"] = 133379,
				},
				[175098] = {
					["source"] = "Unknown",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 79558,
				},
				[288675] = {
					["type"] = "BUFF",
					["source"] = "Natvrdo-Drak'thul",
					["npcID"] = 0,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2258,
				},
				[97054] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Acwulf-Draenor",
					["npcID"] = 0,
				},
				[6788] = {
					["source"] = "Baldkaaya",
					["type"] = "DEBUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[295842] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[264106] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Hitzlock-Ragnaros",
					["npcID"] = 0,
				},
				[34189] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Warspear Shadow Hunter",
					["npcID"] = 86655,
				},
				[161774] = {
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[17038] = {
					["source"] = "Draugrinnr",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[283565] = {
					["type"] = "BUFF",
					["source"] = "Gnomercy 4.U.",
					["npcID"] = 145185,
					["event"] = "SPELL_AURA_APPLIED",
					["encounterID"] = 2257,
				},
				[273321] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Sallahdin-Nordrassil",
					["npcID"] = 0,
				},
				[167917] = {
					["source"] = "Lady Liadrin",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 81812,
				},
				[192999] = {
					["source"] = "Munkrif-Stormrage",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[97059] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Monquaij-Twilight'sHammer",
					["npcID"] = 0,
				},
				[180733] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Smitelight",
					["npcID"] = 0,
				},
				[91141] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Leevismum",
					["npcID"] = 0,
				},
				[23881] = {
					["source"] = "Skyrin",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[186401] = {
					["source"] = "Except",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[200166] = {
					["encounterID"] = 2109,
					["source"] = "Azraela-Pozzodell'Eternità",
					["event"] = "SPELL_CAST_SUCCESS",
					["npcID"] = 0,
				},
				[311202] = {
					["source"] = "Gopherqt",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[127757] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Lemonyfresh",
					["npcID"] = 0,
				},
				[156657] = {
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[293930] = {
					["event"] = "SPELL_CAST_SUCCESS",
					["source"] = "Mechagon Mechanic",
					["npcID"] = 144295,
				},
				[58519] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "DEBUFF",
					["source"] = "Orgrimmar Grunt",
					["npcID"] = 3296,
				},
				[48778] = {
					["source"] = "Grukbar-Ravenholdt",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[333889] = {
					["source"] = "Felneferpito",
					["type"] = "BUFF",
					["event"] = "SPELL_AURA_APPLIED",
					["npcID"] = 0,
				},
				[97033] = {
					["event"] = "SPELL_AURA_APPLIED",
					["type"] = "BUFF",
					["source"] = "Dextro-Drak'thul",
					["npcID"] = 0,
				},
			},
			["indicator_faction"] = false,
		},
	},
}

	local db = LibStub("AceDB-3.0"):New(PlaterDB, nil, true)
		db:SetProfile("SouschefsUI")
	
end